@extends('layouts.admin')

@section('content')
    	<h3 class="page-title"> {{ $title }}
            <small></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="icon-home"></i>
                    <a href="{{ route('admin.home') }}">Dashboard</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span>{{ $title }}</span>
                </li>
            </ul>
         	<div class="page-toolbar hidden">
                <div class="btn-group pull-right">
                    <button type="button" class="btn btn-fit-height grey-salt dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true"> Actions
                        <i class="fa fa-angle-down"></i>
                    </button>
                    <ul class="dropdown-menu pull-right" role="menu">
                        <li>
                            <a href="#">
                                <i class="icon-bell"></i> Action</a>
                        </li>
                        <li>
                            <a href="#">
                                <i class="icon-shield"></i> Another action</a>
                        </li>
                        <li>
                            <a href="#">
                                <i class="icon-user"></i> Something else here</a>
                        </li>
                        <li class="divider"> </li>
                        <li>
                            <a href="#">
                                <i class="icon-bag"></i> Separated link</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <div class="note note-danger note-bordered">
            <p> Below you can edit the system configuration. <strong>WARNING</strong>: If configured incorrectly, you may have unwanted results. </p>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="portlet light">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-gear"></i>System Configuration {{ $title }}
                        </div>
                    </div>
                    <div class="portlet-body form">
                        <div class="tabbable-custom">
                            <ul class="nav nav-tabs">
                            <?php $tab = Session::get('tab'); ?>
                            @if($tab)
                                @foreach( $groups as $g )
                                    <li @if( $tab == $g ) class="active" @endif><a href="#edit-{{ $g }}" role="tab" data-toggle="tab"> {{ ucfirst($g) }}</a></li>
                                @endforeach
                            @else
                                <?php $i = 0; ?>
                                @foreach( $groups as $g )
                                    <li{{ ( $i == 0 ) ? ' class=active' : '' }}><a href="#edit-{{ $g }}" role="tab" data-toggle="tab"> {{ ucfirst($g) }}</a></li>
                                    <?php $i++; ?>
                                @endforeach
                            @endif
                            </ul>
                            <div class="tab-content">
                            <?php $i = 0; ?>
                            @foreach( $configs as $groupname => $c )
                                @if( $i == 0 )
                                <div class="tab-pane @if(isset($tab)) {{ (Session::get('tab') == $groupname) ? ' active in' : '' }} @else {{ ' active in' }} @endif" id="edit-{{ $groupname }}">
                                @else
                                <div class="tab-pane fade{{ (Session::get('tab') == $groupname) ? ' active in' : '' }}" id="edit-{{ $groupname }}">
                                @endif

                                <form class="form-horizontal" method="post" action="" autocomplete="off">
                                    <div class="form-body">
                                        @foreach($c as $_c)
                                        <?php 
                                        switch ( $_c->type ) {
                                            case 'input': 
                                            if( $_c->value !== 'false' || $_c->value !== 'true' ) {
                                                if( !is_null( $value_decoded = json_decode( $_c->value ) ) ) {

                                                    $_c->value = ( is_array( $value_decoded ) ) ? implode(', ', $value_decoded) : $value_decoded;

                                                }
                                            }

                                            ?>
                                                <div class="form-group {{ $errors->has( $_c->key ) ? 'error' : '' }}">
                                                    <label class="col-md-2 control-label" for="<?=$_c->key?>"><?=$_c->display_name?></label>
                                                    <div class="col-md-5">
                                                        <input class="form-control" type="text" name="<?=$_c->key?>" id="<?=$_c->key?>" value="{{ Input::old($_c->key, $_c->value) }}" />
                                                        {{ $errors->first($_c->key, '<span class="help-inline">:message</span>') }}
                                                    </div>
                                                </div>
                                        <?php
                                            break;

                                            case 'input-multiple':

                                            $values = json_decode( $_c->value, true );
                                        ?>

                                         <div class="form-group {{ $errors->has( $_c->key ) ? 'error' : '' }}">
                                            <label class="col-md-2 control-label" for="<?=$_c->key?>"><?=$_c->display_name?></label>
                                            <div class="input-group">
                                            @foreach( $values as $key => $v )
                                                <div class="col-md-12">
                                                    <input class="form-control" type="text" name="<?=$_c->key?>[]" id="<?=$_c->key?>_<?=$key?>" value="{{ $v }}" />
                                                </div>
                                            @endforeach
                                            </div>
                                        </div>



                                        <?php 
                                            break;

                                            case 'radio': ?>
                                                <div class="form-group {{ $errors->has( $_c->key ) ? 'error' : '' }}">
                                                    <label class="col-md-2 control-label" for="<?=$_c->key?>"><?=$_c->display_name?></label>
                                                    <input type="checkbox" name="<?=$_c->key?>" id="<?=$_c->key?>" data-type="switch"@if($_c->value == 'true') checked @endif />
                                                    {{ $errors->first($_c->key, '<span class="help-inline">:message</span>') }}
                                                </div>
                                        <?php
                                            break;

                                            case 'select': 
                                                $options = json_decode( $_c->options, true );

                                                if( is_null( $options ) ) {
                                                    $linked_values = $c[ substr( $_c->options, 1) ]->value;
                                                    $options = json_decode( $linked_values, true );
                                                }
                                            ?>
                                            <div class="form-group {{ $errors->has( $_c->key ) ? 'error' : '' }}">
                                                <label class="col-md-2 control-label" for="<?=$_c->key?>"><?=$_c->display_name?></label>
                                                <div class="col-md-5">
                                                    <select class="form-control" type="text" name="<?=$_c->key?>" id="<?=$_c->key?>" value="{{ Input::old($_c->key, $_c->value) }}">
                                                    @foreach( $options as $o )
                                                        <option value="{{ $o }}"{{ (Input::old($_c->key, $_c->value) == $o) ? ' selected' : '' }}>{{ $o }}</option>
                                                    @endforeach
                                                    </select>
                                                    {{ $errors->first($_c->key, '<span class="help-inline">:message</span>') }}
                                                </div>
                                            </div>
                                        <?php
                                            break;

                                            case 'group-checkbox':
                                                $values = json_decode( $_c->value, true );
                                                $option = json_decode( $_c->options, true );
                                            ?>

                                                <div class="form-group {{ $errors->has( $_c->key ) ? 'error' : '' }}">
                                                <label class="col-md-2 control-label"><?=$_c->display_name?></label>
                                                <div class="col-md-10">
                                                 @foreach( $option as $key => $o )
                                                    <label class="checkbox-inline" for="<?=$_c->key?>_<?=$key?>">
                                                        <input type="checkbox" name="<?=$_c->key?>[]" value="<?=$o?>" id="<?=$_c->key?>_<?=$key?>" data-type="switch" @if(in_array($o, $values)) checked @endif />
                                                        <?=pretty_text($o)?>
                                                    </label>
                                                @endforeach
                                                </div>
                                                {{ $errors->first($_c->key, '<span class="help-inline">:message</span>') }}
                                                </div>

                                            <?php
                                            break;

                                            case 'list-append':

                                            $values = json_decode( $_c->value, true );
                                            $groups = json_decode( $_c->options, true );    

                                            ?>
                                            <div class="form-group {{ $errors->has( $_c->key ) ? 'error' : '' }}">
                                            <label class="col-md-2 control-label" for="<?=$_c->key?>"><?=$_c->display_name?></label>
                                                <div class="col-md-3">
                                                @foreach( $values as $key => $v )
                                                    <div class="input-appendable-wrapper">
                                                        <h4>{{ $groups[ $key ] }}</h4>
                                                        <?php $counter = 1; ?>
                                                        @foreach( $v as $i => $value )
                                                        <div class="input-group input-group-appendable" id="input-group-appendable{{ $i }}">
                                                            <input autocomplete="off" class="input form-control" id="field{{ $i }}" name="<?=$_c->key?>_{{ $key }}[]" type="text" value="{{ $value }}">
                                                            <span class="input-group-btn">
                                                            @if( $i == 1 )
                                                                <button id="btn{{ $i }}" class="btn btn-primary add-more" type="button">+</button>
                                                            @else
                                                                <button id="btn{{ $i }}" class="btn btn-danger remove-more" type="button">-</button>
                                                            @endif
                                                            </span>
                                                        </div>
                                                        <?php $counter++; ?>
                                                        @endforeach
                                                        <input type="hidden" id="count" value="{{ $counter - 1 }}">
                                                    </div>
                                                @endforeach
                                                </div>
                                            </div>

                                            <?php
                                            break;
                                        }
                                        ?>
                                        @endforeach
                                    </div>

                                    <div class="form-actions">

                                        <input type="hidden" name="save" value="{{ $groupname }}">
                                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                        <button type="submit" class="btn red"><i class="fa fa-floppy-o"></i> Save</button>

                                    </div>
                                </form>
                                </div>
                                <?php $i++; ?>
                            @endforeach
                                </div>
                            </div>
                        </div>
                    </div> 
                </div>
            </div>
        </div>
@stop