@extends('layouts.admin')
@section('content')
        <h3 class="page-title"> {{ $title }}
            <small></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="icon-home"></i>
                    <a href="{{ route('admin.home') }}">Dashboard</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span>{{ $title }}</span>
                </li>
            </ul>
        </div>
        <div class="row">
            <div class="col-md-12">         
                <!-- BEGIN SAMPLE TABLE PORTLET-->
                <div class="portlet light">
                    <div class="portlet-title">
                        <div class="caption">
                            <span class="caption-subject font-yellow bold uppercase">
                                {{ $title }}
                            </span>
                        </div>
                    </div>
                    <div class="portlet-body">
                        <div class="table-responsive">
                            <table class="table table-responsive table-striped">
                                <thead>
                                    <tr>
                                        <th>Title</th>
                                        <th>Short content</th>
                                        <th>Date</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                @if( $contents->count() )
                                    @foreach( $contents as $c )
                                    <tr>
                                        <td><a href="{{ route('admin.content-manager.view', $c->id) }}">{{ $c->title }}</a></td>
                                        <td>{{ trim_text($c->content, 100) }}</td>
                                        <td>{{ $c->created_at->diffForHumans() }}</td>
                                        <td><a href="{{ route('admin.content-manager.view', $c->id) }}" class="btn yellow"><i class="fa fa-edit"></a></td>
                                    </tr>
                                    @endforeach
                                @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <!-- END SAMPLE TABLE PORTLET-->
            </div>
        </div>
@stop