@extends('layouts.admin')
@section('content')
        <h3 class="page-title"> {{ $title }}
            <small></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="fa fa-home"></i>
                    <a href="{{ route('admin.home') }}">Dashboard</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <i class="fa fa-clone"></i>
                    <a href="{{ route('admin.content-manager') }}">Content Manager</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span>{{ $title }}</span>
                </li>
            </ul>
        </div>
        <div class="row">
            <div class="col-md-12">         
                <!-- BEGIN SAMPLE TABLE PORTLET-->
                <div class="portlet light">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-edit font-yellow"></i>
                            <span class="caption-subject font-yellow bold uppercase">
                                {{ $title }}
                            </span>
                        </div>
                    </div>
                    <div class="portlet-body form">
                        <form class="form-horizontal" id="saveContent" method="POST">
                            <div class="form-body">
                            @foreach( Config::get('app.languages') as $key => $lang )
                                <div class="form-group last @if($errors->has('translate.[{{$key}}].content')) has-error @endif">
                                    <label class="control-label col-md-2">Content {{$lang }}</label>
                                    <div class="col-md-10">
                                         <textarea name="translate[{{$key}}][content]" class="tinyeditor">{{ old('translate.$key.content', $content->translate($key)->content) }}</textarea>
                                    </div>
                                </div>
                            </div>
                            @endforeach
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                            <div class="form-actions">
                                <div class="row">
                                    <div class="col-md-offset-2 col-md-10">
                                        <button type="submit" class="btn yellow">
                                            <i class="fa fa-floppy-o"></i> Save
                                        </button>
                                        <a href="{{ route('admin.content-manager') }}" class="btn default">Cancel</a>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <!-- END SAMPLE TABLE PORTLET-->
            </div>
        </div>
@stop
@section('script')
<script src="//cdn.tinymce.com/4/tinymce.min.js"></script>
<script type="text/javascript" src="{{ asset('__admin/scripts/pages/content-manager-edit.js') }}"></script>
@stop