@extends('admin.layouts.default')
@section('content')
        <h3 class="page-title"> {{ $title }}
            <small></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="icon-home"></i>
                    <a href="{{ route('admin.dashboard') }}">Dashboard</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span>{{ $title }}</span>
                </li>
            </ul>
            <div class="page-toolbar hidden">
                <div class="btn-group pull-right">
                    <button type="button" class="btn btn-fit-height grey-salt dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true"> Actions
                        <i class="fa fa-angle-down"></i>
                    </button>
                    <ul class="dropdown-menu pull-right" role="menu">
                        <li>
                            <a href="#">
                                <i class="icon-bell"></i> Action</a>
                        </li>
                        <li>
                            <a href="#">
                                <i class="icon-shield"></i> Another action</a>
                        </li>
                        <li>
                            <a href="#">
                                <i class="icon-user"></i> Something else here</a>
                        </li>
                        <li class="divider"> </li>
                        <li>
                            <a href="#">
                                <i class="icon-bag"></i> Separated link</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">         
                <!-- BEGIN SAMPLE TABLE PORTLET-->
                <div class="portlet light">
                    <div class="portlet-title">
                        <div class="caption">
                            <span class="caption-subject font-green bold uppercase">
                                {{ $title }}
                            </span>
                        </div>
                    </div>
                    <div class="portlet-body">
                        <div class="table-responsive">
                            <table class="table table-responsive table-striped">
                                <thead>
                                    <tr>
                                        <th>Title</th>
                                        <th>Short content</th>
                                        <th>Date</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                @if( $contents->count() )
                                    @foreach( $contents as $c )
                                    <tr>
                                        <td><a href="{{ route('admin.contentmanager.view', $c->id) }}">{{ $c->title }}</a></td>
                                        <td>{{ trim_text($c->content, 90) }}</td>
                                        <td>{{ $c->created_at->diffForHumans() }}</td>
                                        <td><a href="{{ route('admin.contentmanager.view', $c->id) }}" class="btn blue"><i class="fa fa-edit"></a></td>
                                    </tr>
                                    @endforeach
                                @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <!-- END SAMPLE TABLE PORTLET-->
            </div>
        </div>
@stop