@extends('layouts.admin')
@section('content')
        <h3 class="page-title"> {{ $title }}
            <small></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="icon-home"></i>
                    <a href="{{ route('admin.home') }}">{{ $title }}</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span>{{ $title }}</span>
                </li>
            </ul>
        </div>
        <div class="row">
            <div class="col-md-12">         
                <div class="portlet light">
                    <div class="portlet-title">
                        <div class="caption">
                            <span class="caption-subject font-yellow bold uppercase">
                                {{ $title }}
                            </span>
                        </div>
                        <div class="actions">
                            <a href="{{ route('admin.emailtemplates.new') }}" class="btn btn-primary yellow"><i class="fa fa-plus"></i> Create</a>
                        </div>
                    </div>
                    <div class="portlet-body">
                        <table id="datatable-emails" class="table table-sorting table-striped table-hover table-bordered datatable">
                        </table>
                    </div>
                </div>
            </div>
        </div>
@stop
@section('style')
<link href="{{ asset('__admin/global/plugins/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css') }}" rel="stylesheet" type="text/css" />
@stop
@section('script')
<script src="{{ asset('__admin/global/scripts/datatable.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/datatables/datatables.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js') }}" type="text/javascript"></script>
<script type="text/javascript">
    var ajax_emailtemplates_dt = '{{ route("admin.ajax.emailtemplates.table") }}';
    var url_admin_emailtempltes_edit = '{{ route("admin.emailtemplates.edit") }}';
    var ajax_emailtemplates_delete = '{{ route("admin.ajax.emailtemplates.delete") }}';
</script>
<script type="text/javascript" src="{{ asset('__admin/scripts/pages/emailtemplates-index.js') }}"></script>
@stop