@extends('admin.layouts.default')
@section('content')
        <h3 class="page-title"> {{ $title }}
            <small></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="fa fa-home"></i>
                    <a href="{{ route('admin.dashboard') }}">Dashboard</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <i class="icon-puzzle"></i>
                    <a href="{{ route('admin.emailtemplates') }}">Email Templates</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span>{{ $title }}</span>
                </li>
            </ul>
            <div class="page-toolbar hidden">
                <div class="btn-group pull-right">
                    <button type="button" class="btn btn-fit-height grey-salt dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true"> Actions
                        <i class="fa fa-angle-down"></i>
                    </button>
                    <ul class="dropdown-menu pull-right" role="menu">
                        <li>
                            <a href="#">
                                <i class="icon-bell"></i> Action</a>
                        </li>
                        <li>
                            <a href="#">
                                <i class="icon-shield"></i> Another action</a>
                        </li>
                        <li>
                            <a href="#">
                                <i class="icon-user"></i> Something else here</a>
                        </li>
                        <li class="divider"> </li>
                        <li>
                            <a href="#">
                                <i class="icon-bag"></i> Separated link</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">         
                <!-- BEGIN SAMPLE TABLE PORTLET-->
                <div class="portlet light">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-edit font-green"></i>
                            <span class="caption-subject font-green bold uppercase">
                                {{ $title }}
                            </span>
                        </div>
                    </div>
                    <div class="portlet-body form">
                        <form class="form-horizontal" id="saveTemplate" method="POST">
                            <div class="form-body">
                                <div class="form-group @if($errors->has('title')) has-error @endif">
                                    <label class="control-label col-md-2">Title</label>
                                    <div class="col-md-10">
                                        <input type="text" name="title" class="form-control" id="title" placeholder="Title" value="{{ Input::old('title', $template->title) }}">
                                    </div>
                                </div>
                                <div class="form-group last @if($errors->has('content')) has-error @endif">
                                    <label class="control-label col-md-2">Content</label>
                                    <div class="col-md-10">
                                        <textarea name="content" class="hidden">{{ Input::old('content', $template->content) }}</textarea>
                                        <div class="summernote">
                                        {{ Input::old('content', $template->content) }}
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                            <div class="form-actions">
                                <div class="row">
                                    <div class="col-md-offset-2 col-md-10">
                                        <button type="submit" class="btn green">
                                            <i class="fa fa-floppy-o"></i> Save
                                        </button>
                                        <a href="{{ route('admin.emailtemplates') }}" class="btn default">Cancel</a>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <!-- END SAMPLE TABLE PORTLET-->
            </div>
        </div>
@stop
@section('style')
<link href="{{ asset('__admin/global/plugins/bootstrap-summernote/summernote.css') }}" rel="stylesheet" type="text/css" />
@stop
@section('script')
<script src="{{ asset('__admin/global/plugins/bootstrap-summernote/summernote.min.js') }}" type="text/javascript"></script>
<script type="text/javascript">
    $(document).ready(function(){
        $('.summernote').summernote({height: 300});
        $('#saveTemplate').submit( function(e){
            $('textarea[name="content"]').html($('.summernote').code());
        });
    });
</script>
@stop