@extends('layouts.admin')
@section('content')
        <h3 class="page-title"> {{ $title }}
            <small></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="icon-home"></i>
                    <a href="{{ route('admin.home') }}">Dashboard</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span>{{ $title }}</span>
                </li>
            </ul>
        </div>
        <div class="row">
            <div class="col-md-12">         
                <!-- BEGIN SAMPLE TABLE PORTLET-->
                <div class="portlet light">
                    <div class="portlet-title">
                        <div class="caption">
                            <span class="caption-subject font-yellow bold uppercase">
                                {{ $title }}
                            </span>
                        </div>
                        <div class="actions">
                            <a href="{{ route('admin.faq-manager.new') }}" class="btn yellow"><i class="fa fa-plus"></i> Create</a>
                        </div>
                    </div>
                    <div class="portlet-body">
                        <div class="table-responsive">
                            <table class="table table-responsive table-striped">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Question</th>
                                        <th>Short answer</th>
                                        <th>Top</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                @if( $faqs->count() )
                                    @foreach( $faqs as $f )
                                    <tr>
                                        <td>{{ $f->id }}</td>
                                        <td><a href="{{ route('admin.faq-manager.view', $f->id) }}"><?php echo $f->question ?> ?</a></td>
                                        <td><?php echo trim_text($f->answer, 100) ?></td>
                                        <td>{{ ( $f->top == 1) ? 'Yes' : 'No' }}</td>
                                        <td><a href="{{ route('admin.faq-manager.view', $f->id) }}" class="btn yellow btn-sm"><i class="fa fa-eye"></i> View</a> <a href="{{ route('admin.faq-manager.delete', $f->id) }}" class="btn red btn-sm"><i class="fa fa-trash"></i> Delete</a></td>
                                    </tr>
                                    @endforeach
                                @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <!-- END SAMPLE TABLE PORTLET-->
            </div>
        </div>
@stop