@extends('layouts.admin')
@section('content')
    <h3 class="page-title"> {{ $title }}
        <small></small>
    </h3>
    <div class="page-bar">
        <ul class="page-breadcrumb">
            <li>
                <i class="icon-home"></i>
                <a href="{{ route('admin.home') }}">{{ $title }}</a>
                <i class="fa fa-angle-right"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
    </div>
    <div class="row">
        <div class="col-md-12">         
            <!-- BEGIN SAMPLE TABLE PORTLET-->
            <div class="portlet light">
                <div class="portlet-title">
                    <div class="caption">
                        <i class="fa fa-edit font-yellow"></i>
                        <span class="caption-subject font-yellow bold uppercase">
                            {{ $title }}
                        </span>
                    </div>
                </div>
                <div class="portlet-body form">
                    
                    <form class="form-horizontal" id="saveArticle" method="POST">
                        
                    @foreach( Config::get('app.languages') as $key => $lang )

                        <div class="form-group @if($errors->has('translate.[{{$key}}].question')) has-error @endif">
                        <label class="control-label col-md-2">Question {{$lang}}</label>
                            <div class="col-md-10">
                                <input type="text" name="translate[{{$key}}][question]" class="form-control" id="translate[{{$key}}]question" placeholder="Question" value="{{ old('translate.$key.question', $faq->translate($key)->question) }}">
                            </div>
                        </div>
                        <div class="form-group last @if($errors->has('translate.[{{$key}}].answer')) has-error @endif">
                            <label class="control-label col-md-2">Answer {{$lang}}</label>
                            <div class="col-md-10">
                                <textarea name="translate[{{$key}}][answer]" class="tinyeditor">{{ old('translate.$key.answer', $faq->translate($key)->answer) }}</textarea>
                            </div>

                        </div>

                    @endforeach

                        <div class="form-group @if($errors->has('top')) has-error @endif">
                            <label class="control-label col-md-2">Top Question?</label>
                            <div class="col-md-10">
                                <input type="checkbox" class="make-switch" data-size="small" data-on-color="success" data-on-text='<i class="fa fa-check" aria-hidden="true"></i>' data-off-color="default" data-off-text='<i class="fa fa-times" aria-hidden="true"></i>' name="top" value="1" @if( $faq->top == 0 ) @else checked @endif>
                            </div>
                        </div>
                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                        <div class="form-actions">
                            <div class="row">
                                <div class="col-md-offset-2 col-md-10">
                                    <button type="submit" class="btn yellow">
                                        <i class="fa fa-floppy-o"></i> Save
                                    </button>
                                    <a class="btn default" href="{{ route('admin.faq-manager') }}">Cancel</a>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <!-- END SAMPLE TABLE PORTLET-->
        </div>
    </div>
@stop
@section('script')
<script src="//cdn.tinymce.com/4/tinymce.min.js"></script>
<script type="text/javascript" src="{{ asset('__admin/scripts/pages/faq-manager-edit.js') }}"></script>
@stop