@extends('layouts.admin')
@section('content')
	<h3 class="page-title"> {{ $title }}
        <small></small>
    </h3>
    <div class="page-bar">
        <ul class="page-breadcrumb">
            <li>
                <i class="icon-home"></i>
                <a href="{{ route('admin.home') }}">{{ $title }}</a>
                <i class="fa fa-angle-right"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="portlet light ">
                <div class="portlet-title">
                    <div class="caption">
                        <i class="fa fa-filter"></i>
                        <span class="caption-subject bold uppercase">Search Gift Cards</span>
                    </div>
                    <div class="tools">
                        <a href="javascript:;" class="collapse"> </a>
                    </div>
                </div>
                <div class="portlet-body form">
                    <form class="form-horizontal" action="" method="POST" id="filterForm">
    
    
                        <div class="form-body">
    
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label col-md-3" for=title">Title</label>
                                        <div class="col-md-6">
                                            <input type="text" class="form-control" id="title" name="title">
                                        </div>
                                    </div>
                                </div>
                            </div>
    
    

                            
                            <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="control-label col-md-3" for="userID">Owner</label>
                                            <div class="col-md-6">
                                                <select class="form-control userSearch" id="userID" name="userID"></select>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            
                                <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label col-md-3">Created</label>
                                                <div class="col-md-6">
                                                    <div class="input-group" id="betweenFilter">
                                                        <input type="text" class="form-control">
                                                        <span class="input-group-btn">
                                                            <button class="btn default date-range-toggle" type="button">
                                                                <i class="fa fa-calendar"></i>
                                                            </button>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                        </div>
    
                        <div class="form-actions">
                            <input type="hidden" name="startDate" id="startDate" value="">
                            <input type="hidden" name="endDate" id="endDate" value="">
                            <button type="submit" id="SearchBtn" class="btn yellow"><i class="fa fa-filter"></i>
                                Search</button>
                            <button type="reset" id="reset" class="btn default">Reset</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    
    <div class="row">
        <div class="col-md-12">
            <div class="portlet light">
                <div class="portlet-title">
                    <div class="caption"><i class="fa fa-plus"></i> {{ $title }}</div>
                    <div class="actions">
                        <a href="{{ route('admin.giftcards.new') }}" class="btn yellow"><i class="fa fa-plus"></i> Create</a>
                    </div>
                </div>
                <div class="portlet-body">
                    <table id="datatable-giftcards" class="table table-sorting table-striped table-hover table-bordered datatable">
                    </table>
                </div>
            </div>
        </div>
    </div>
@stop
@section('style')
<link rel="stylesheet" type="text/css" href="{{ asset('__admin/global/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" type="text/css" href="{{ asset('__admin/global/plugins/select2/css/select2-bootstrap.min.css') }}">
<link href="{{ asset('__admin/global/plugins/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css') }}"  rel="stylesheet" type="text/css" />
<link rel="stylesheet" type="text/css" href="{{ asset('assets/global/plugins/daterangepicker/daterangepicker.css') }}" rel="stylesheet" type="text/css" />
@stop
@section('script')
<script type="text/javascript" src="{{ asset('assets/global/plugins/daterangepicker/moment.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('assets/global/plugins/daterangepicker/daterangepicker.min.js') }}"></script>
<script src="{{ asset('__admin/global/scripts/datatable.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/datatables/datatables.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/select2/js/select2.full.min.js') }}"></script>
<script type="text/javascript">
    var ajax_admin_usersearch_select2 = "{{ route('admin.ajax.users.search.select2') }}";
    var ajax_giftcards_dt = '{{ route("admin.ajax.giftcards.table") }}';
    var ajax_giftcards_delete = '{{ route("admin.ajax.giftcards.delete") }}';
</script>
<script type="text/javascript" src="{{ asset('__admin/scripts/pages/giftcards-index.js') }}"></script>
@stop
