@extends('layouts.admin')
@section('content')
    <h3 class="page-title"> {{ $title }}
        <small></small>
    </h3>
    <div class="page-bar">
        <ul class="page-breadcrumb">
            <li>
                <i class="icon-home"></i>
                <a href="{{ route('admin.home') }}">{{ $title }}</a>
                <i class="fa fa-angle-right"></i>
            </li>
            <li>
                <i class="fa fa-plus"></i>
                <a href="{{ route('admin.giftcards.index') }}">Gift Cards</a>
                <i class="fa fa-angle-right"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
    </div>
    <div class="row">
        <div class="col-md-12">
            <!-- BEGIN SAMPLE TABLE PORTLET-->
            <div class="portlet light">
                <div class="portlet-title">
                    <div class="caption">
                        <i class="fa fa-edit font-green"></i>
                        <span class="caption-subject font-green bold uppercase">
                            {{ $title }}
                        </span>
                    </div>
                </div>
                <div class="portlet-body form">

                    @if ($hash = Session::get('hash'))
                    <div class="alert alert-success top_of_viewport">
                    	<div class="container">
                    		<strong>The hash of the creted gift card:</strong> {!! $hash !!}
                    	</div>
                    </div>
                    {{ Session::forget('hash') }}
                    @endif

                    <form class="form-horizontal" method="POST">
                        <div class="form-body">

                            <div class="row">
                                <div class="col-md-9">
                                    <div class="form-group @if($errors->has('title')) has-error @endif">
                                        <label class="control-label col-md-2">Title</label>
                                        <div class="col-md-3">
                                            <input type="text" name="title" class="form-control" id="title" placeholder="Title" value="{{ old('title') }}">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label col-md-3" for="user_id">Owner ID</label>
                                        <div class="col-md-6">
                                            <select class="form-control userSearch" id="user_id" name="user_id"></select>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group @if($errors->has('amount')) has-error @endif">
                                        <label class="control-label col-md-2">Amount</label>
                                        <div class="col-md-10">
                                            <input type="text" name="amount" class="form-control" id="amount" placeholder="Amount" value="{{ old('amount') }}">
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <input type="hidden" name="_token" value="{{ csrf_token() }}">

                        <div class="form-actions">
                            <div class="row">
                                <div class="col-md-offset-2 col-md-10">
                                    <button type="submit" class="btn green">
                                        <i class="fa fa-floppy-o"></i> Create
                                    </button>
                                    <a href="{{ route('admin.giftcards.index') }}" class="btn default">Cancel</a>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <!-- END SAMPLE TABLE PORTLET-->
        </div>
    </div>
@stop

@section('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('__admin/global/plugins/select2/css/select2.min.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('__admin/global/plugins/select2/css/select2-bootstrap.min.css') }}">
@stop
@section('script')
    <script src="{{ asset('__admin/global/plugins/select2/js/select2.full.min.js') }}"></script>
    <script type="text/javascript">
        var ajax_admin_usersearch_select2 = "{{ route('admin.ajax.users.search.select2') }}";
    </script>
    <script type="text/javascript" src="{{ asset('__admin/scripts/pages/giftcards-new.js') }}"></script>
@stop
