@extends('layouts.admin')
@section('content')
<!-- BEGIN CONTAINER -->
        <h3 class="page-title"> {{ $title }}
            <small>{{ ( isset( $subtitle ) ) ? $subtitle : '' }}</small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="icon-home"></i>
                    <a href="{{ route('admin.home') }}">Dashboard</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><i class="fa fa-book"></i> {{ $title }}</span>
                </li>
            </ul>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="portlet light ">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-filter"></i>
                            <span class="caption-subject bold uppercase">Search Cashout</span>
                        </div>
                        <div class="tools">
                            <a href="javascript:;" class="collapse"> </a>
                        </div>
                    </div>
                    <div class="portlet-body form">
                    <form class="form-horizontal" action="" method="POST" id="filterForm">
                        <div class="form-body">

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label col-md-3" for="user_id">User ID</label>
                                        <div class="col-md-6">
                                            <select class="form-control userSearch" id="user_id" name="user_id"></select>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label col-md-3" for="loanID">Cashout ID</label>
                                        <div class="col-md-6">
                                            <input type="text" placeholder="Cashout ID" class="form-control" id="id" value="" />
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label col-md-3" for="type">Type</label>
                                        <div class="col-md-6">
                                            <select type="text" class="form-control" id="type">
                                                <option value="any">Any</option>
                                                @foreach( $types as $id => $t )
                                                    @if( $id >= 7 )
                                                        <option value="{{ $id }}">{{ $t }}</option>
                                                    @endif
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label col-md-3" for="type">Processor</label>
                                        <div class="col-md-6">
                                            <select type="text" class="form-control" id="processor">
                                                <option value="any">Any</option>
                                                @foreach( $processors as $key => $p )
                                                <option value="{{ $p->id }}">{{ $p->name }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label col-md-3">Date range</label>
                                        <div class="col-md-6">
                                            <div class="input-group" id="betweenFilter">
                                                <input type="text" class="form-control">
                                                <span class="input-group-btn">
                                                    <button class="btn default date-range-toggle" type="button">
                                                        <i class="fa fa-calendar"></i>
                                                    </button>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                        <div class="form-actions">
                            <input type="hidden" name="startDate" id="startDate" value="">
                            <input type="hidden" name="endDate" id="endDate" value="">
                            <button type="submit" id="SearchBtn" class="btn yellow"><i class="fa fa-filter"></i> Search</button>
                            <button type="reset" class="btn default">Reset</button>
                        </div>
                    </form>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <!-- BEGIN SAMPLE TABLE PORTLET-->
                <div class="portlet light">
                    <div class="portlet-title">
                        <div class="caption"><i class="fa fa-book"></i> {{ $title }}</div>
                    </div>
                    <div class="portlet-body">
                        <table id="datatable-cashouts" class="table table-sorting table-striped table-hover table-bordered datatable">
                        </table>
                    </div>
                </div>
                <!-- END SAMPLE TABLE PORTLET-->
            </div>
        </div>
@stop
@section('style')
<link rel="stylesheet" type="text/css" href="{{ asset('__admin/global/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" type="text/css" href="{{ asset('__admin/global/plugins/select2/css/select2-bootstrap.min.css') }}">
<link href="{{ asset('__admin/global/plugins/bootstrap-daterangepicker/daterangepicker-bs3.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/global/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/global/plugins/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css') }}" rel="stylesheet" type="text/css" />
@stop
@section('script')
<script src="{{ asset('__admin/global/plugins/select2/js/select2.full.min.js') }}"></script>
<script src="{{ asset('__admin/global/scripts/datatable.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/datatables/datatables.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/bootstrap-daterangepicker/moment.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/bootstrap-daterangepicker/daterangepicker.js') }}" type="text/javascript"></script>
<script type="text/javascript">
    var ajax_admin_usersearch_select2 = "{{ route('admin.ajax.users.search.select2') }}";
    var ajax_cashouts_dt = '{{ route("admin.ajax.history.cashouts.table") }}';
    var processorImgUrl = "{{ asset('img/payment-icons/pay-') }}";
    var userInfoUrl = '{{ route("admin.users.popup", null) }}';
</script>
<script type="text/javascript" src="{{ asset('__admin/scripts/pages/history-cashouts.js') }}"></script>
@stop
