@extends('layouts.admin')
@section('content')
    <h3 class="page-title"> {{ $title }}
        <small></small>
    </h3>
    <div class="page-bar">
        <ul class="page-breadcrumb">
            <li>
                <i class="icon-home"></i>
                <a href="{{ route('admin.home') }}">{{ $title }}</a>
                <i class="fa fa-angle-right"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
    </div>
    <div class="row">
        <div class="col-md-12">         
            <!-- BEGIN SAMPLE TABLE PORTLET-->
            <div class="portlet light">
                <div class="portlet-title">
                    <div class="caption">
                        <i class="fa fa-edit font-green"></i>
                        <span class="caption-subject font-green bold uppercase">
                            {{ $title }}
                        </span>
                    </div>
                </div>
                <div class="portlet-body form">
                    <form class="form-horizontal" id="saveArticle" method="POST">
                        <div class="form-body">

                            <div class="form-group @if($errors->has('title')) has-error @endif">
                                <label class="control-label col-md-2">Title</label>
                                <div class="col-md-10">
                                    <input type="text" name="title" class="form-control" id="title" placeholder="Title" value="{{ old('title') }}">
                                </div>
                            </div>

                            <div class="form-group last @if($errors->has('content')) has-error @endif">
                                <label class="control-label col-md-2">Content</label>
                                <div class="col-md-10">
                                    <textarea name="content" class="tinyeditor">{{ old('content') }}</textarea>
                                </div>
                            </div>
                            
                        </div>

                        <input type="hidden" name="_token" value="{{ csrf_token() }}">

                        <div class="form-actions">
                            <div class="row">
                                <div class="col-md-offset-2 col-md-10">
                                    <button type="submit" class="btn green">
                                        <i class="fa fa-floppy-o"></i> Save
                                    </button>
                                    <a href="{{ route('admin.news') }}" class="btn default">Cancel</a>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <!-- END SAMPLE TABLE PORTLET-->
        </div>
    </div>
@stop
@section('script')
<script src="//cdn.tinymce.com/4/tinymce.min.js"></script>
<script type="text/javascript" src="{{ asset('__admin/scripts/pages/news-create.js') }}"></script>
@stop