@extends('layouts.admin')
@section('content')
    <h3 class="page-title"> {{ $title }}
        <small></small>
    </h3>
    <div class="page-bar">
        <ul class="page-breadcrumb">
            <li>
                <i class="icon-home"></i>
                <a href="{{ route('admin.home') }}">{{ $title }}</a>
                <i class="fa fa-angle-right"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
    </div>
    <div class="row">
        <div class="col-md-12">         
            <!-- BEGIN SAMPLE TABLE PORTLET-->
            <div class="portlet light">
                <div class="portlet-title">
                    <div class="caption">
                        <i class="fa fa-edit font-yellow"></i>
                        <span class="caption-subject font-yellow bold uppercase">
                            {{ $title }}
                        </span>
                    </div>
                </div>
                <div class="portlet-body form">
                    <form class="form-horizontal" id="saveArticle" method="POST">
                        @foreach( Config::get('app.languages') as $key => $lang )
                            <div class="form-group @if($errors->has('translate.{{$key}}.title')) has-error @endif">
                                <label class="control-label col-md-2">{{$lang}} Title</label>
                                <div class="col-md-10">
                                    <input type="text" name="translate[{{$key}}][title]" class="form-control" id="title" placeholder="Title" value="{{ old('translate.$key.title', $article->translate($key)->title)  }}">
                                </div>                                                                                   
                            </div>
                            <div class="form-group last @if($errors->has('translate.{{$key}}.content')) has-error @endif">
                                <label class="control-label col-md-2">{{$lang}} Content</label>
                                <div class="col-md-10">
                                    <textarea name="translate[{{$key}}][content]" class="tinyeditor">{{ old('translate.$key.content', $article->translate($key)->content) }}</textarea>
                                </div>
                            </div>
                        @endforeach
                      
                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                        <div class="form-actions">
                            <div class="row">
                                <div class="col-md-offset-2 col-md-10">
                                    <button type="submit" class="btn yellow">
                                        <i class="fa fa-floppy-o"></i> Save
                                    </button>
                                    <button type="button" class="btn default">Cancel</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <!-- END SAMPLE TABLE PORTLET-->
        </div>
    </div>
@stop
@section('script')
<script src="//cdn.tinymce.com/4/tinymce.min.js"></script>
<script type="text/javascript" src="{{ asset('__admin/scripts/pages/news-edit.js') }}"></script>
@stop