@extends('layouts.admin')
@section('content')
	<h3 class="page-title"> {{ $title }}
        <small></small>
    </h3>
    <div class="page-bar">
        <ul class="page-breadcrumb">
            <li>
                <i class="icon-home"></i>
                <a href="{{ route('admin.home') }}">Home</a>
                <i class="fa fa-angle-right"></i>
            </li>
            <li>
                <i class="icon-home"></i>
                <a href="{{ route('admin.packages') }}">Packages</a>
                <i class="fa fa-angle-right"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="portlet light">
                <div class="portlet-title">
                    <div class="caption"><i class="fa fa-cubes"></i> {{ $title }}</div>
                </div>
                <div class="portlet-body form">
                        <form class="form-horizontal send-newresponse" role="form" action="" method="POST">
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <label for="name" class="col-sm-1 control-label @if($errors->has('name')) has-error @endif">Package name</label>
                                        <div class="col-sm-6">
                                            <input type="text" name="name" class="form-control" id="name" placeholder="Package name" value="{{ Input::old('name', $t->name) }}">
                                            <p class="help-block">Display name of this package.</p>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for="name" class="col-sm-1 control-label @if($errors->has('description')) has-error @endif">Description</label>
                                        <div class="col-sm-6">
                                            <input type="text" name="description" class="form-control" id="description" placeholder="Package description" value="{{ Input::old('description', $t->description) }}">
                                            <p class="help-block">Description of this package.</p>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for="expiry" class="col-sm-1 control-label @if($errors->has('price')) has-error @endif">Price</label>
                                        <div class="col-sm-6">
                                            <input type="text" name="price" class="form-control" id="expiry" placeholder="Price" value="{{ Input::old('price', $t->price) }}">
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for="offset_units" class="col-sm-1 control-label @if($errors->has('offset_units')) has-error @endif">Offset Units</label>
                                        <div class="col-sm-6">
                                            <input type="text" name="offset_units" class="form-control" id="offset_units" placeholder="Offset Units" value="{{ Input::old('offset_units', $t->offset_units) }}">
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for="resale_units" class="col-sm-1 control-label @if($errors->has('resale_units')) has-error @endif">Resale Units</label>
                                        <div class="col-sm-6">
                                            <input type="text" name="resale_units" class="form-control" id="resale_units" placeholder="Offset Units" value="{{ Input::old('resale_units', $t->resale_units) }}">
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for="wholesale_credit" class="col-sm-1 control-label @if($errors->has('wholesale_credit')) has-error @endif">Wholesale Credit</label>
                                        <div class="col-sm-6">
                                            <input type="text" name="wholesale_credit" class="form-control" id="wholesale_credit" placeholder="Offset Units" value="{{ Input::old('wholesale_credit', $t->wholesale_credit) }}">
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for="cv" class="col-sm-1 control-label @if($errors->has('cv')) has-error @endif">CV</label>
                                        <div class="col-sm-6">
                                            <input type="text" name="cv" class="form-control" id="cv" placeholder="CV" value="{{ Input::old('cv', $t->cv) }}">
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for="matching_bonus" class="col-sm-1 control-label @if($errors->has('matching_bonus')) has-error @endif">Matching Bonus</label>
                                        <div class="col-sm-6">
                                            <input type="checkbox" class="switch-demo switch-small" data-off="default" name="matching_bonus" id="matching_bonus" value="1" @if( $t->matching_bonus == 1) checked @endif>
                                            <p class="help-block"></p>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for="infinity_bonus" class="col-sm-1 control-label @if($errors->has('infinity_bonus')) has-error @endif">Infinity Bonus</label>
                                        <div class="col-sm-6">
                                            <input type="checkbox" class="switch-demo switch-small" data-off="default" name="infinity_bonus" id="infinity_bonus" value="1" @if( $t->infinity_bonus == 1) checked @endif>
                                            <p class="help-block"></p>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for="status" class="col-sm-1 control-label @if($errors->has('status')) has-error @endif">Status</label>
                                        <div class="col-sm-6">
                                            <input type="checkbox" class="switch-demo switch-small" data-off="default" name="status" id="status" value="1" @if( $t->status == 1) checked @endif>
                                            <p class="help-block"></p>
                                        </div>
                                    </div>


                                </div>
                            </div>

                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                        <div class="form-actions">
                            <button type="submit" class="btn yellow"><i class="fa fa-floppy-o"></i> Save</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@stop

@section('script')
<script type="text/javascript">
$(document).ready(function(){
    $('.levels').on('click', '.input-appendable-wrapper .input-group-appendable .remove-more', function()
    {
        var $wrapper = $(this).parents('.input-appendable-wrapper');
        var levels = $(this).parents('.levels');
        var $count = $wrapper.find('#count').val();

        if( $wrapper.find('#count').val() > 1 ) {
            $wrapper.remove();
            //$wrapper.find('#count').val($count);
        }

        levels.find('.input-appendable-wrapper').each(function( i, val ){
            var self = $(this);
            self.find('#count').val( i + 1 );
            self.find('span.level').html( i + 1 );
        });
    });

    $('.input-appendable-wrapper').on('click', '.input-group-appendable .add-more', function(){
        var $levels = $(this).parents('.levels');
        var $lastItem = $levels.find('.input-appendable-wrapper:last-child');
        var $wrapper = $(this).parents('.input-appendable-wrapper');

        var $newWrapper = $wrapper.clone(true);

        // change attribute for new item
        var $count = parseInt($lastItem.find('#count').val());
        $count = $count + 1;

        // change text input and the button
        $newWrapper.attr('id', 'input-group-appendable' + $count);
        /*$newInput.find('input[type="text"]').attr({
            id: "field" + $count,
            name: "field" + $count
        });*/

        $newWrapper.find('.btn').attr('id', 'btn' + $count);
        $levels.append($newWrapper);

        $newWrapper.find('#count').val($count);
        $newWrapper.find('span.level').html($count);

        $newWrapper.find('.btn')
        .removeClass('add-more btn-primary')
        .addClass('btn-danger remove-more')
        .text('-');

    });
});
</script>
@stop
