@extends('layouts.admin')
@section('content')
<h3 class="page-title"> {{ $title }}
    <small></small>
</h3>
<div class="page-bar">
    <ul class="page-breadcrumb">
        <li>
            <i class="icon-home"></i>
            <a href="{{ route('admin.home') }}">Dashboard</a>
            <i class="fa fa-angle-right"></i>
        </li>
        <li>
            <span>{{ $title }}</span>
        </li>
    </ul>
</div>
<div class="row">
    <div class="col-md-12">
        <!-- BEGIN SAMPLE TABLE PORTLET-->
        <div class="portlet light">
            <div class="portlet-title">
                <div class="caption">
                    <span class="caption-subject font-yellow bold uppercase">
                        {{ $title }}
                    </span>
                </div>
            </div>
            <div class="portlet-body form">
                <form action="" method="POST" class="form-horizontal">
                    <div class="form-body clearfix">
                        <div class="tabbable-line">
                            <ul class="nav nav-tabs">
                            @foreach( $processors as $k => $p )
                                <li @if( $k == 0 ) class="active" @endif>
                                    <a href="#processor_{{ $p->id }}" data-toggle="tab">  {{ $p->name }} <img src="{{ asset('img/payment-icons/pay-' . $p->id . '.gif') }}" /> </a>
                                </li>
                            @endforeach
                            </ul>

                            <div class="tab-content">

                                @foreach( $processors as $k => $p )
                                <?php $data = json_decode($p->data, true); ?>
                                    <div class="tab-pane @if( $k == 0 ) active @else fade @endif" id="processor_{{ $p->id }}">

                                        <div class="row">
                                            <div class="col-md-6">
                                                <h4>Fees</h4>
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-6">Deposit Status</label>
                                                            <div class="col-md-6">
                                                                <input type="checkbox" class="make-switch" data-size="small" data-on-color="success" data-on-text="ON" data-off-color="default" data-off-text="OFF" name="{{ $p->id }}-fee_fund_status" value="1" @if($p->fee_fund_status) checked @endif>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-4">Deposit Value</label>
                                                            <div class="col-md-8">
                                                                <input type="text" class="form-control" name="{{ $p->id }}-fee_fund" value="{{ $p->fee_fund }}">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-6">Cashout Status</label>
                                                            <div class="col-md-6">
                                                                <input type="checkbox" class="make-switch" data-size="small" data-on-color="success" data-on-text="ON" data-off-color="default" data-off-text="OFF" name="{{ $p->id }}-fee_cashout_status" value="1" @if($p->fee_cashout_status) checked @endif>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-4">Cashout Value</label>
                                                            <div class="col-md-8">
                                                                <input type="text" class="form-control" name="{{ $p->id }}-fee_cashout" value="{{ $p->fee_cashout }}">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <h4>Limits</h4>
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-4">Deposit Min</label>
                                                            <div class="col-md-8">
                                                                <input type="text" class="form-control" name="{{ $p->id }}-limit_fund_min" value="{{ $p->limit_fund_min }}">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-4">Deposit Max</label>
                                                            <div class="col-md-8">
                                                                <input type="text" class="form-control" name="{{ $p->id }}-limit_fund_max" value="{{ $p->limit_fund_max }}">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-4">Cashout Status</label>
                                                            <div class="col-md-8">
                                                                <input type="text" class="form-control" name="{{ $p->id }}-limit_cashout_min" value="{{ $p->limit_cashout_min }}">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-4">Cashout Value</label>
                                                            <div class="col-md-8">
                                                                <input type="text" class="form-control" name="{{ $p->id }}-limit_cashout_max" value="{{ $p->limit_cashout_max }}">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <hr />

                                        <div class="row">
                                            <div class="col-md-6">
                                                <h4>Auto Cashout</h4>
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-6">Status</label>
                                                            <div class="col-md-6">
                                                                <input type="checkbox" class="make-switch" data-size="small" data-on-color="success" data-on-text="ON" data-off-color="default" data-off-text="OFF" name="{{ $p->id }}-auto_cashout" value="1" @if($p->auto_cashout) checked @endif>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <hr />

                                        <div class="row">
                                            <div class="col-md-12">
                                                <h4>Settings</h4>
                                                @if( $data && !is_null( $data ) )
                                                <?php $i = 1; ?>
                                                <?php if( $p->id !== 1 && $p->id !== 4 ): ?>
                                                    @foreach( $data as $k => $d )
                                                    <?php
                                                        $_n = array_map(function( $v ) {
                                                            return ucfirst( $v );
                                                        }, explode('_', $k));
                                                        $displayName = implode(' ', $_n);
                                                    ?>

                                                    <?php if( $i === 1 ) { ?>
                                                        <div class="row">
                                                    <?php } ?>

                                                            <div class="col-md-4">
                                                                <div class="form-group">
                                                                    <label class="control-label col-md-4">{{ $displayName }}</label>
                                                                    <div class="col-md-8">
                                                                        <input @if( in_array($k, $hiddenFields) ) type="password" @else type="text" @endif class="form-control" name="{{ $p->id }}-data-{{ $k }}" value="{{ $d }}">
                                                                    </div>
                                                                </div>
                                                            </div>

                                                    <?php
                                                        if( count( $data ) === $i ) {
                                                            $i = 1;
                                                    ?>
                                                        </div>
                                                    <?php
                                                        } else {
                                                            if( $i % 3 === 0 ) {
                                                    ?>
                                                        </div>
                                                    <?php
                                                                if( count( $data ) >= ($i + 1) ) {
                                                    ?>
                                                        <div class="row">
                                                    <?php
                                                                }
                                                            }

                                                            $i++;
                                                        }
                                                    ?>
                                                    @endforeach
                                                @endif
                                              @endif
                                            </div>
                                        </div>

                                    </div>
                                @endforeach
                            </div>
                        </div>
                    </div>
                    <div class="form-actions">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="row">
                                    <div class="col-md-offset-3 col-md-9">
                                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                        <button type="submit" class="btn yellow">Save</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <!-- END SAMPLE TABLE PORTLET-->
    </div>
</div>
@stop
