@extends('layouts.admin')
@section('content')
<!-- BEGIN CONTAINER -->
        <h3 class="page-title"> {{ $title }}
            <small>{{ ( isset( $subtitle ) ) ? $subtitle : '' }}</small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="icon-home"></i>
                    <a href="{{ route('admin.home') }}">Dashboard</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><i class="fa fa-pie-chart"></i> {{ $title }}</span>
                </li>
            </ul>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="portlet light ">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-calculator"></i>
                            <span class="caption-subject bold uppercase">Pending Deposits Summary</span>
                        </div>
                        <div class="tools">
                            <a href="javascript:;" class="collapse"> </a>
                        </div>
                    </div>
                    <div class="portlet-body">
                        <p><strong>Pending Deposits Total:</strong> $ {{ number_format($pending_total, 2) }}</p>
                    </div>
                </div>

                <div class="portlet light">
                    <div class="portlet-title">
                        <div class="caption"><i class="fa fa-hourglass"></i> {{ $title }}</div>
                    </div>
                    <div class="portlet-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-12" style="margin-bottom:20px">
                                        <button class="btn yellow bulkBtn" data-action="1">Approve (<span id="selectedCount">0</span>)</button>
                                        <button class="btn yellow bulkBtn" data-action="2">Decline (<span id="selectedCount">0</span>)</button>
                                    </div>
                                </div>

                                <table class="table-condensed peding-table selecter" id="pendingCashouts">
                                   <thead>
                                    <tr>
                                      <th><input name="select_all" value="1" type="checkbox"></th>
                                      <th>ID</th>
                                      <th>Processor</th>
                                      <th>Balance</th>
                                      <th>User</th>
                                      <th>Type</th>
                                      <th>Fee</th>
                                      <th>Amount</th>
                                      <th>Note/Bitcoin TX Id</th>
                                      <th>Created At</th>
                                      <th>Actions</th>
                                    </tr>
                                  </thead>
                                  <tbody></tbody>
                                </table>

                                <div class="row">
                                    <div class="col-md-12" style="margin-bottom:20px">
                                        <button class="btn yellow bulkBtn" data-action="1">Approve (<span id="selectedCount">0</span>)</button>
                                        <button class="btn yellow bulkBtn" data-action="2">Decline (<span id="selectedCount">0</span>)</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- END SAMPLE TABLE PORTLET-->
            </div>
        </div>
@stop
@section('style')
<link href="{{ asset('__admin/global/plugins/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css') }}" rel="stylesheet" type="text/css" />
@stop
@section('script')
<script src="{{ asset('__admin/global/scripts/datatable.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/datatables/datatables.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/bootbox/bootbox.min.js') }}" type="text/javascript"></script>
<script type="text/javascript">
var ajax_pendingCashouts_dt = "{{ route('admin.ajax.requests.pendingCashouts.table') }}";
var ajax_pendingCashouts_action = "{{ route('admin.ajax.requests.pendingCashouts.action') }}";
var processorImgUrl = "{{ asset('img/payment-icons/pay-') }}";
var userInfoUrl = '{{ route("admin.users.popup", null) }}';
</script>
<script type="text/javascript" src="{{ asset('__admin/scripts/pages/requests-pendingCashouts.js') }}"></script>
@stop
