@extends('layouts.admin')
@section('content')
<!-- BEGIN CONTAINER -->
        <h3 class="page-title"> {{ $title }}
            <small>{{ ( isset( $subtitle ) ) ? $subtitle : '' }}</small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="icon-home"></i>
                    <a href="{{ route('admin.home') }}">Dashboard</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><i class="fa fa-book"></i> {{ $title }}</span>
                </li>
            </ul>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="portlet light ">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-filter"></i>
                            <span class="caption-subject bold uppercase">Filter Accounting</span>
                        </div>
                        <div class="tools">
                            <a href="javascript:;" class="collapse"> </a>
                        </div>
                    </div>
                    <div class="portlet-body form">
                    <form class="form-horizontal" action="" method="POST" id="filterForm">


                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label col-md-3">Date range</label>
                                        <div class="col-md-6">
                                            <div class="input-group" id="betweenFilter">
                                                <input type="text" class="form-control">
                                                <span class="input-group-btn">
                                                    <button class="btn default date-range-toggle" type="button">
                                                        <i class="fa fa-calendar"></i>
                                                    </button>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="form-actions">
                            <input type="hidden" name="startDate" id="startDate" value="">
                            <input type="hidden" name="endDate" id="endDate" value="">
                            <button type="submit" id="filterBtn" class="btn yellow"><i class="fa fa-filter"></i> Filter</button>
                            <button type="reset" class="btn default">Reset</button>
                        </div>
                    </form>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <!-- BEGIN SAMPLE TABLE PORTLET-->
                <div class="portlet light">
                    <div class="portlet-title">
                        <div class="caption"><i class="fa fa-book"></i> {{ $title }}</div>
                    </div>
                    <div class="portlet-body">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="table-responsive">
                                    <table class="table credit">
                                        <thead>
                                            <tr>
                                                <th colspan="2">Account Credit Summary</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr class="processor-deposit">
                                                <td><i class="fa fa-money"></i> <strong>Processor Deposits:</strong></td>
                                                <td class="value"></td>
                                            </tr>
                                            <tr class="ewallet-cashout">
                                                <td><i class="fa fa-briefcase"></i> Online Wallet via Cashout:</td>
                                                <td class="value"></td>
                                            </tr>
                                            <tr class="interest">
                                                <td><i class="fa fa-line-chart"></i> Interest:</td>
                                                <td class="value"></td>
                                            </tr>
                                            <tr class="commission">
                                                <td><i class="fa fa-group"></i> Commission:</td>
                                                <td class="value"></td>
                                            </tr>
                                            <tr class="transfer-from">
                                                <td><i class="fa fa-arrows"></i> Transfer from Member:</td>
                                                <td class="value"></td>
                                            </tr>
                                            <tr class="misc-credit">
                                                <td><i class="fa fa-plus"></i> Misc Account Credits:</td>
                                                <td class="value"></td>
                                            </tr>
                                        </tbody>
                                        <tfoot>
                                            <tr class="total-credits">
                                                <td><i class="fa fa-calculator"></i> <strong>Total Account Credits:</strong></td>
                                                <td class="value"></td>
                                            </tr>
                                        </tfoot>
                                    </table>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="table-responsive">
                                    <table class="table debit">
                                        <thead>
                                            <tr>
                                                <th colspan="2">Account Debit Summary</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr class="processor-cashouts">
                                                <td><i class="fa fa-money"></i> <strong>Processor Cashouts:</strong></td>
                                                <td class="value"></td>
                                            </tr>
                                            <tr class="ewallet-cashouts">
                                                <td><i class="fa fa-briefcase"></i> Online Wallet Cashouts:</td>
                                                <td class="value"></td>
                                            </tr>
                                            <tr class="plans">
                                                <td><i class="fa fa-cubes"></i> Plans:</td>
                                                <td class="value"></td>
                                            </tr>
                                            <tr class="transfer-to">
                                                <td><i class="fa fa-arrow"></i> Transfer to Member:</td>
                                                <td class="value"></td>
                                            </tr>
                                            <tr class="misc-debit">
                                                <td><i class="fa fa-cross"></i> Misc Account Debits:</td>
                                                <td class="value"></td>
                                            </tr>
                                        </tbody>
                                        <tfoot>
                                            <tr class="total-debits">
                                                <td><i class="fa fa-calculator"></i> <strong>Total Account Debits:</strong></td>
                                                <td class="value"></td>
                                            </tr>
                                        </tfoot>
                                    </table>
                                </div>
                            </div>
                        </div>

                        <h4><i class="fa fa-find"></i> <a href="{{ route('admin.history.transactions') }}">Click Here to view the <strong>Transaction History</strong></a></h4>
                        <br />

                        <div class="row">
                            <div class="col-md-6">
                                <div class="table-responsive">
                                    <table class="table cashout">
                                        <thead>
                                            <tr>
                                                <th colspan="2">Cashouts, Fees and Estimated Profit</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr class="cashout-fee">
                                                <td><i class="fa fa-pie-chart"></i> Cashout Fees:</td>
                                                <td class="value">$ 0.00</td>
                                            </tr>
                                            <tr class="transfer-fee">
                                                <td><i class="fa fa-cross"></i> To Member Transfer Fees:</td>
                                                <td class="value">$ 0.00</td>
                                            </tr>

                                            <tr class="ewallet-cashouts">
                                                <td><i class="fa fa-briefcase"></i> Online Wallet Cashouts:</td>
                                                <td class="value"></td>
                                            </tr>
                                            <tr class="processor-cashouts">
                                                <td><i class="fa fa-money"></i> Processor Cashouts:</td>
                                                <td class="value"></td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>

                        <h4><i class="fa fa-find"></i> <a href="{{ route('admin.history.cashouts') }}">Click Here to view the <strong>Cashout History</strong></a></h4>
                        <br />

                    </div>
                </div>
                <!-- END SAMPLE TABLE PORTLET-->
            </div>
        </div>
@stop
@section('style')
<link href="{{ asset('__admin/global/plugins/bootstrap-daterangepicker/daterangepicker-bs3.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/global/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}" rel="stylesheet" type="text/css" />
@stop
@section('script')
<script src="{{ asset('__admin/global/plugins/bootstrap-daterangepicker/moment.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/bootstrap-daterangepicker/daterangepicker.js') }}" type="text/javascript"></script>
<script type="text/javascript">
    var ajax_accounting_data = '{{ route("admin.ajax.summary.accounting.data") }}';
</script>
<script type="text/javascript" src="{{ asset('__admin/scripts/pages/summary-accounting.js') }}"></script>
@stop
