@extends('layouts.admin')
@section('content')
	<h3 class="page-title"> {{ $title }}
        <small></small>
    </h3>
    <div class="page-bar">
        <ul class="page-breadcrumb">
            <li>
                <i class="icon-home"></i>
                <a href="{{ route('admin.home') }}">{{ $title }}</a>
                <i class="fa fa-angle-right"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="portlet light">
                <div class="portlet-title">
                    <div class="caption"><i class="fa fa-newspaper-o"></i> {{ $title }}</div>
                </div>
                <div class="portlet-body">
                    <table class="table table-sorting table-striped table-hover table-bordered">
                        <thead>
                                <th colspan="2">Processor</th>
                                <th>Online Wallet</th>
                                <th>Users Available Bids Left</th>
                                <th>Deposited Amount</th>
                                <th>Unused Giftcard Amount</th>

                        </thead>
                        <tbody>

                        <tr>
                            <td colspan="2"><i class="fa fa-credit-card" aria-hidden="true"></i> Wallet</td>
                            <td>$ {{ number_format($data['sum_users_wallet'][0]['wallet'], 0) }}</td>
                            <td> {{ number_format($data['sum_users_bids'][0]['bid'], 0) }}</td>
                            <td> {{ number_format($data['sum_users_deposit'][0]['deposit'], 0) }}</td>
                            <td> {{ number_format($data['sum_users_giftcard'][0]['giftcard'], 0) }}</td>
                        </tr>

                        </tbody>
                        <tfoot>
                            <tr>
                                <td colspan="2"><strong>Total:</strong></td>
                                <td><strong>$ {{ number_format($data['sum_users_wallet'][0]['wallet'], 0) }}</strong></td>
                                <td><strong> {{ number_format($data['sum_users_bids'][0]['bid'], 0) }}</strong></td>
                                <td><strong> {{ number_format($data['sum_users_deposit'][0]['deposit'], 0) }}</strong></td>
                                <td><strong> {{ number_format($data['sum_users_giftcard'][0]['giftcard'], 0) }}</strong></td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>








    <div class="row">
        <div class="col-md-12">
            <div class="portlet light">
                <div class="portlet-title">

                    <div class="caption">
                            <i class="flaticon-line-graph"></i>


                                {{ $title }}
                    </div>

                    </div>

                <div class="portlet-body">
                    <div class="row m-row--no-padding m-row--col-separator-xl">
                        <div class="col-md-4">
                            <div class="m-widget1">
                                <div class="m-widget1__item">
                                    <div class="row m-row--no-padding align-items-center">
                                        <div class="col">
                                            <h3 class="m-widget1__title">Total Users</h3>
                                            <span class="m-widget1__desc">Total number of users</span>
                                        </div>
                                        <div class="col">
                                            <span class="m-widget1__number m--font-brand">{{ $summary->totalUsers }}</span>
                                        </div>
                                    </div>
                                </div>
                                <div class="m-widget1__item">
                                    <div class="row m-row--no-padding align-items-center">
                                        <div class="col">
                                            <h3 class="m-widget1__title">Active Users</h3>
                                            <span class="m-widget1__desc">Total number of active users</span>
                                        </div>
                                        <div class="col">
                                            <span class="m-widget1__number m--font-danger">{{ $summary->activeUsers }}</span>
                                        </div>
                                    </div>
                                </div>
                                <div class="m-widget1__item">
                                    <div class="row m-row--no-padding align-items-center">
                                        <div class="col">
                                            <h3 class="m-widget1__title">Total Purchases</h3>
                                            <span class="m-widget1__desc">Total number of purchases</span>
                                        </div>
                                        <div class="col">
                                            <span class="m-widget1__number m--font-success">{{ $summary->totalPurchases }}</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="m-widget14">
                                <div class="m-widget14__header m--margin-bottom-30">
                                    <h3 class="m-widget14__title">
                                        Daily Sales
                                    </h3>
                                    <span class="m-widget14__desc">
                                        Hover on the columns for the details
                                    </span>
                                </div>
                                <div class="m-widget14__chart" style="height:120px;">
                                    <canvas  id="m_chart_daily_sales"></canvas>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="m-widget14">
                                <div class="m-widget14__header">
                                    <h3 class="m-widget14__title">
                                        Package Sold
                                    </h3>
                                    <span class="m-widget14__desc">
                                        Sold packages by type
                                    </span>
                                </div>
                                <div class="row  align-items-center">
                                    <div class="col">
                                        <div id="m_chart_profit_share" class="m-widget14__chart" style="height: 160px">
                                            <div class="m-widget14__stat">{{ $summary->totalPurchases }}</div>
                                        </div>
                                    </div>
                                    <div class="col">
                                        <div class="m-widget14__legends">
                                            @foreach( $summary->packagesByTypes as $pt )
                                                <div class="m-widget14__legend">
                                                    <span class="m-widget14__legend-bullet m--bg-accent"></span>
                                                    <span class="m-widget14__legend-text">{{ $pt->count }} {{ $pt->name }}</span>
                                                </div>
                                            @endforeach
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>




    <div class="row">
        <div class="col-md-12">
            <div class="portlet light">
                <div class="portlet-title">
                    <div class="caption">
                        Addresses
                    </div>
                </div>
                <div class="portlet-body">
                    <div class="row m-row--no-padding m-row--col-separator-xl">
                        <div style="height: 500px; width: 100%; overflow-x: auto">
                            <ul>
                                @foreach( $addresses as $u )
                                    <li>{{ $u['username'] }} - <a href="https://www.blockchain.com/btc/address/{{ $u['address'] }}" target="_blank">{{ $u['address'] }}</a> - {{ $u['amount'] }} - {{ $u['received'] }} - {{ $u['created_at'] }}</li>
                                @endforeach
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop

@section('script')
    <script type="text/javascript">
        $(document).ready(function() {
            var e = $("#m_chart_daily_sales");
            if (0 != e.length) {
                var t = {
                    labels: [@foreach($summary->dailyPurchases as $dp) "{{ $dp->date }}", @endforeach],
                    datasets: [{
                        backgroundColor: mApp.getColor("success"),
                        data: [@foreach($summary->dailyPurchases as $dp) "{{ $dp->count }}", @endforeach]
                    }]
                };
                new Chart(e, {
                    type: "bar",
                    data: t,
                    options: {
                        title: {
                            display: !1
                        },
                        tooltips: {
                            intersect: !1,
                            mode: "nearest",
                            xPadding: 10,
                            yPadding: 10,
                            caretPadding: 10
                        },
                        legend: {
                            display: !1
                        },
                        responsive: !0,
                        maintainAspectRatio: !1,
                        barRadius: 4,
                        scales: {
                            xAxes: [{
                                display: !1,
                                gridLines: !1,
                                stacked: !0
                            }],
                            yAxes: [{
                                display: !1,
                                stacked: !0,
                                gridLines: !1
                            }]
                        },
                        layout: {
                            padding: {
                                left: 0,
                                right: 0,
                                top: 0,
                                bottom: 0
                            }
                        }
                    }
                })
            }

            new Chartist.Pie("#m_chart_profit_share", {
                series: [
                        @foreach( $summary->packagesByTypes as $pt )
                    {
                        value: {{ $pt->percent }},
                        className: "custom",
                        meta: {
                            color: mApp.getColor("brand")
                        }
                    },
                    @endforeach],
                labels: [1, 2, 3]
            }, {
                donut: !0,
                donutWidth: 17,
                showLabel: !1
            }).on("draw", function(e) {
                if ("slice" === e.type) {
                    var t = e.element._node.getTotalLength();
                    e.element.attr({
                        "stroke-dasharray": t + "px " + t + "px"
                    });
                    var a = {
                        "stroke-dashoffset": {
                            id: "anim" + e.index,
                            dur: 1e3,
                            from: -t + "px",
                            to: "0px",
                            easing: Chartist.Svg.Easing.easeOutQuint,
                            fill: "freeze",
                            stroke: e.meta.color
                        }
                    };
                    0 !== e.index && (a["stroke-dashoffset"].begin = "anim" + (e.index - 1) + ".end"), e.element.attr({
                        "stroke-dashoffset": -t + "px",
                        stroke: e.meta.color
                    }), e.element.animate(a, !1)
                }
            });

        });
    </script>
@endsection
