@extends('layouts.admin')
@section('content')
	<h3 class="page-title"> {{ $title }}
        <small></small>
    </h3>
    <div class="page-bar">
        <ul class="page-breadcrumb">
            <li>
                <i class="icon-home"></i>
                <a href="{{ route('admin.home') }}">{{ $title }}</a>
                <i class="fa fa-angle-right"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="portlet light">
                <div class="portlet-title">
                    <div class="caption"><i class="fa fa-newspaper-o"></i> {{ $title }}</div>
                </div>
                <div class="portlet-body">
                    <table class="table table-sorting table-striped table-hover table-bordered">
                        <thead>
                                <th colspan="2">Processor</th>
                                <th>Deposit</th>
                                <th>Cashouts</th>
                                <th>Balance</th>
                        </thead>
                        <tbody>
                        <?php $total_deposit = 0; $total_cashouts = 0; ?>
                        @foreach( $processors as $pid => $pname )
                            @if( isset( $data[ $pid ] ) )
                                @foreach( $data as $id => $d )
                                <?php $total_deposit = $total_deposit + $d['deposit']; ?>
                                <?php $total_cashouts = $total_cashouts + $d['cash']; ?>
                                @endforeach
                                <tr>
                                    <td colspan="2"><img src="{{ asset('img/payment-icons/pay-' . $pid . '.gif') }}"> {{ $data[ $pid ]['name'] }}</td>
                                    <td>$ {{ number_format($data[ $pid ]['deposit'], 2) }}</td>
                                    <td>$ {{ number_format($data[ $pid ]['cash'], 2) }}</td>
                                    <td>$ {{ number_format(($data[ $pid ]['deposit'] - $data[ $pid ]['cash']), 2) }}</td>
                                </tr>
                            @else
                                <tr>
                                    <td colspan="2"><img src="{{ asset('img/payment-icons/pay-' . $pid . '.gif') }}"> {{ $pname }}</td>
                                    <td>$ {{ number_format(0, 2) }}</td>
                                    <td>$ {{ number_format(0, 2) }}</td>
                                    <td>$ {{ number_format(0, 2) }}</td>
                                </tr>
                            @endif
                        @endforeach
                        </tbody>
                        <tfoot>
                            <tr>
                                <td colspan="2"><strong>Total:</strong></td>
                                <td><strong>$ {{ number_format($total_deposit, 2) }}</strong></td>
                                <td><strong>$ {{ number_format($total_cashouts, 2) }}</strong></td>
                                <td><strong>$ {{ number_format(($total_deposit - $total_cashouts), 2) }}</strong></td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
@stop
