@extends('layouts.admin')
@section('content')
        <h3 class="page-title"> {{ $title }}
            <small></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="fa fa-home"></i>
                    <a href="{{ route('admin.home') }}">Dashboard</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span>{{ $title }}</span>
                </li>
            </ul>
            <div class="page-toolbar hidden">
                <div class="btn-group pull-right">
                    <button type="button" class="btn btn-fit-height grey-salt dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true"> Actions
                        <i class="fa fa-angle-down"></i>
                    </button>
                    <ul class="dropdown-menu pull-right" role="menu">
                        <li>
                            <a href="#">
                                <i class="icon-bell"></i> Action</a>
                        </li>
                        <li>
                            <a href="#">
                                <i class="icon-shield"></i> Another action</a>
                        </li>
                        <li>
                            <a href="#">
                                <i class="icon-user"></i> Something else here</a>
                        </li>
                        <li class="divider"> </li>
                        <li>
                            <a href="#">
                                <i class="icon-bag"></i> Separated link</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">         
                <!-- BEGIN SAMPLE TABLE PORTLET-->
                <div class="portlet light">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-edit font-yellow"></i>
                            <span class="caption-subject font-yellow bold uppercase">
                                {{ $title }}
                            </span>
                        </div>
                    </div>
                    <div class="portlet-body form">
                        <form class="form-horizontal" method="POST">
                            @foreach($types as $t)
                            <div class="form-group">
                                <label class="col-sm-2 control-label">{{ $t->name }}</label>
                                <div class="col-sm-5">
                                    <select name="assigned_types[{{ $t->id }}]" class="select-assign">
                                    @foreach($users as $u)
                                    <option value="{{ $u->id }}" @if( $t->assigned_to == $u->id ) selected @endif>{{ $u->fullName() }} (#{{ $u->id }})</option>
                                    @endforeach
                                    </select>
                                </div>
                            </div>
                            @endforeach
                        </form>
                    </div>
                </div>
                <!-- END SAMPLE TABLE PORTLET-->
            </div>
        </div>
@stop