@extends('layouts.admin')
@section('content')
    <h3 class="page-title"> {{ $title }}
        <small></small>
    </h3>
    <div class="page-bar">
        <ul class="page-breadcrumb">
            <li>
                <i class="icon-home"></i>
                <a href="{{ route('admin.home') }}">Dashboard</a>
                <i class="fa fa-angle-right"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
    </div>
    <div class="row">
        <div class="col-md-12">         
            <!-- BEGIN SAMPLE TABLE PORTLET-->
            <div class="portlet light">
                <div class="portlet-title">
                    <div class="caption">
                        <i class="fa fa-edit"></i>
                        <span class="caption-subject">
                            {{ $title }}
                        </span>
                    </div>
                </div>
                <div class="portlet-body form">
                    <form class="form-horizontal" method="POST" enctype="multipart/form-data">
                        <div class="form-body">
                            @foreach( Config::get('app.languages') as $key => $lang )
                                <div class="form-group @if($errors->has('translate.[{{$key}}].name')) has-error @endif">
                                    <label class="control-label col-md-2">{{$lang}} Name</label>
                                    <div class="col-md-10">
                                        <input type="text"  name="translate[{{$key}}][name]" class="form-control" id="translate[{{$key}}][name]" placeholder="{{$lang}} Name" value="{{ old('translate.$key.name') }}">
                                    </div>
                                </div>
                            @endforeach
                            <div class="form-group @if($errors->has('status')) has-error @endif">
                                <label class="control-label col-md-2">Status</label>
                                <div class="col-md-10">
                                    <input type="checkbox" class="make-switch" data-size="small" data-on-color="success" data-on-text="ON" data-off-color="default" data-off-text="OFF" name="status" value="1" @if( old('status', 1) == 0 ) @else checked @endif>
                                </div>
                            </div>
                            
                        </div>

                        <input type="hidden" name="_token" value="{{ csrf_token() }}">

                        <div class="form-actions">
                            <div class="row">
                                <div class="col-md-offset-2 col-md-10">
                                    <button type="submit" class="btn yellow">
                                        <i class="fa fa-floppy-o"></i> Save
                                    </button>
                                    <a href="{{ route('admin.support.categories') }}" class="btn default">Cancel</a>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <!-- END SAMPLE TABLE PORTLET-->
        </div>
    </div>
@stop
@section('script')
<script src="//cdn.tinymce.com/4/tinymce.min.js"></script>
<script type="text/javascript" src="{{ asset('__admin/scripts/pages/support-categories-new.js') }}"></script>
@stop