@extends('layouts.admin')
@section('content')
<!-- BEGIN CONTAINER -->
<h3 class="page-title"> {{ $title }}
    <small></small>
</h3>
<div class="page-bar">
    <ul class="page-breadcrumb">
        <li>
            <i class="icon-home"></i>
            <a href="{{ route('admin.home') }}">Dashboard</a>
            <i class="fa fa-angle-right"></i>
        </li>
        <li>
            <span>{{ $title }}</span>
        </li>
    </ul>
    <div class="page-toolbar hidden">
        <div class="btn-group pull-right">
            <button type="button" class="btn btn-fit-height grey-salt dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true"> Actions
                <i class="fa fa-angle-down"></i>
            </button>
            <ul class="dropdown-menu pull-right" role="menu">
                <li>
                    <a href="#">
                        <i class="icon-bell"></i> Action</a>
                </li>
                <li>
                    <a href="#">
                        <i class="icon-shield"></i> Another action</a>
                </li>
                <li>
                    <a href="#">
                        <i class="icon-user"></i> Something else here</a>
                </li>
                <li class="divider"> </li>
                <li>
                    <a href="#">
                        <i class="icon-bag"></i> Separated link</a>
                </li>
            </ul>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">         
        <div class="support-ui">
            <div class="support-sidebar">
                <div class="portlet light ">
                    <div class="portlet-title">
                        <div class="caption" data-toggle="collapse" data-target=".support-project-list-content">
                            <i class="fa fa-tags font-yellow-sharp"></i>
                            <span class="caption-subject font-yellow-sharp bold uppercase">Statuses </span>
                            <span class="caption-helper visible-sm-inline-block visible-xs-inline-block">click to view status list</span>
                        </div>
                    </div>
                    <div class="portlet-body support-project-list-content">
                        <div class="support-project-list">
                            <ul class="nav nav-pills nav-stacked">
                                <li @if( $current == 'active' ) class="active" @endif>
                                    <a href="{{ route('admin.support') }}" class="font-red-mint">
                                        @if( $active_count ) <span class="badge badge-danger"> {{ $active_count }} </span> @endif Active </a>
                                </li>
                                <li @if( $current == 'open' ) class="active" @endif>
                                    <a href="{{ route('admin.support.open') }}" class="font-blue">
                                        @if( $open_count ) <span class="badge badge-info"> {{ $open_count }} </span> @endif Open </a>
                                </li>
                                <li @if( $current == 'closed' ) class="active" @endif>
                                    <a href="{{ route('admin.support.closed') }}" class="text-muted">
                                       @if( $closed_count ) <span class="badge badge-default"> {{ $closed_count }} </span> @endif Closed </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <!-- END TODO SIDEBAR -->
            <!-- BEGIN TODO CONTENT -->
            <div class="support-content">
                <div class="portlet light ">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="icon-bar-chart font-yellow-sharp hide"></i>
                            <span class="caption-subject font-yellow-sharp bold uppercase">{{ $title }}</span>
                        </div>
                    </div>
                    <div class="portlet-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="table-responsive">
                                    <table class="table table-striped table-hover table-light">
                                        <thead>
                                            <tr>
                                                <th>User</th>
                                                <th>Subject</th>
                                                <th>Category</th>
                                                <th>Replies</th>
                                                <th>Date Start</th>
                                                <th>Priority</th>
                                                <th>Status</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @if( $tickets->count() )
                                                @foreach( $tickets as $t )
                                                    <tr>
                                                        <td>{{$t->user->username}}</td>
                                                        <td><a href="{{ route('admin.support.view', $t->id) }}">{{ $t->subject }}</a></td>
                                                        <td>{{ $t->category->name }}</td>
                                                        <td>{{ $t->replies->count() }}</td>
                                                        <td>{{ $t->created_at->format('d-m-Y') }}</td>
                                                        <td>
                                                            <?php
                                                                switch ($t->priority) {
                                                                    case 1:
                                                                        echo '<span class="label label-success">LOW</span>';
                                                                        break;
                                                                    case 2:
                                                                        echo '<span class="label label-warning">MEDIUM</span>';
                                                                        break;
                                                                    case 3:
                                                                        echo '<span class="label label-danger">HIGH</span>';
                                                                        break;
                                                                }
                                                                ?>
                                                        </td>
                                                        <td>
                                                            <?php
                                                                switch ($t->status) {
                                                                    case 0:
                                                                        echo '<span class="label label-warning">OPEN</span>';
                                                                        break;
                                                                    case 1:
                                                                        echo '<span class="label label-success">ACTIVE</span>';
                                                                        break;
                                                                    case 2:
                                                                        echo '<span class="label label-default">CLOSED</span>';
                                                                        break;
                                                                }
                                                                ?>
                                                        </td>
                                                        <td>
                                                            <a href="{{ route('admin.support.delete', $t->id) }}" class="btn red"><i class="fa fa-trash"></i></a>
                                                        </td>
                                                    </tr>
                                                @endforeach
                                            @endif
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- END TODO CONTENT -->
        </div>
    </div>
</div>
@stop

@section('style')
<link href="{{ asset('__admin/global/plugins/select2/css/select2.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/global/plugins/select2/css/select2-bootstrap.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/css/pages/support.css') }}" rel="stylesheet" type="text/css" />
@stop

@section('script')
<script src="{{ asset('__admin/global/plugins/select2/js/select2.full.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/scripts/pages/support.js') }}" type="text/javascript"></script>
@stop