@extends('layouts.admin')
@section('content')
<!-- BEGIN CONTAINER -->
<h3 class="page-title"> {{ $title }}
    <small></small>
</h3>
<div class="page-bar">
    <ul class="page-breadcrumb">
        <li>
            <i class="icon-home"></i>
            <a href="{{ route('admin.home') }}">Dashboard</a>
            <i class="fa fa-angle-right"></i>
        </li>
        <li>
            <a href="{{ route('admin.support.' . $current) }}">Support Tickets - {{ ucfirst($current) }}</a>
            <i class="fa fa-angle-right"></i>
        </li>
        <li>
            <span>{{ $title }}</span>
        </li>
    </ul>
    <div class="page-toolbar hidden">
        <div class="btn-group pull-right">
            <button type="button" class="btn btn-fit-height grey-salt dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true"> Actions
                <i class="fa fa-angle-down"></i>
            </button>
            <ul class="dropdown-menu pull-right" role="menu">
                <li>
                    <a href="#">
                        <i class="icon-bell"></i> Action</a>
                </li>
                <li>
                    <a href="#">
                        <i class="icon-shield"></i> Another action</a>
                </li>
                <li>
                    <a href="#">
                        <i class="icon-user"></i> Something else here</a>
                </li>
                <li class="divider"> </li>
                <li>
                    <a href="#">
                        <i class="icon-bag"></i> Separated link</a>
                </li>
            </ul>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">         
        <div class="support-ui">
            <div class="support-sidebar">
                <div class="portlet light ">
                    <div class="portlet-title">
                        <div class="caption" data-toggle="collapse" data-target=".support-project-list-content">
                            <i class="fa fa-tags font-yellow-sharp"></i>
                            <span class="caption-subject font-yellow-sharp bold uppercase">Statuses </span>
                            <span class="caption-helper visible-sm-inline-block visible-xs-inline-block">click to view status list</span>
                        </div>
                    </div>
                    <div class="portlet-body support-project-list-content">
                        <div class="support-project-list">
                            <ul class="nav nav-pills nav-stacked">
                                <li @if( $current == 'active' ) class="active" @endif>
                                    <a href="{{ route('admin.support') }}" class="font-red-mint">
                                        @if( $active_count ) <span class="badge badge-danger"> {{ $active_count }} </span> @endif Active </a>
                                </li>
                                <li @if( $current == 'open' ) class="active" @endif>
                                    <a href="{{ route('admin.support.open') }}" class="font-blue">
                                        @if( $open_count ) <span class="badge badge-info"> {{ $open_count }} </span> @endif Open </a>
                                </li>
                                <li @if( $current == 'closed' ) class="active" @endif>
                                    <a href="{{ route('admin.support.closed') }}" class="text-muted">
                                       @if( $closed_count ) <span class="badge badge-default"> {{ $closed_count }} </span> @endif Closed </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <!-- END TODO SIDEBAR -->
            <!-- BEGIN TODO CONTENT -->
            <div class="support-content">
                <div class="portlet light ">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="icon-bar-chart font-yellow-sharp hide"></i>
                            <span class="caption-subject font-yellow-sharp bold uppercase">{{ $title }}</span>
                        </div>
                        <div class="actions">
                            @if( $ticket->status == 0 )
                                <a href="{{ route('admin.support.closeticket', $ticket->id) }}" class="btn btn-primary"><i class="fa fa-close"></i> Close Ticket</a>
                            @elseif( $ticket->status == 2 )
                                <a href="{{ route('admin.support.openticket', $ticket->id) }}" class="btn btn-primary"><i class="fa fa-plus"></i> Open Ticket</a>
                            @endif
                        </div>
                    </div>
                    <div class="portlet-body">
                        <div class="row">
                            <div class="col-md-12">
                                 <div class="support-tasklist">
                                    <div class="support-tasklist-item support-tasklist-item-border-yellow">
                                        <img class="support-userpic pull-left" src="{{ $ticket->user->getAvatar() }}" width="27px" height="27px">
                                        <div class="support-tasklist-item-title"> {{ $ticket->user->username}} 
                                            <?php
                                                switch ($ticket->status) {
                                                    case 0:
                                                        echo '<span class="support-tasklist-badge badge badge-warning">OPEN</span>';
                                                        break;
                                                    case 1:
                                                        echo '<span class="support-tasklist-badge badge badge-success">ACTIVE</span>';
                                                        break;
                                                    case 2:
                                                        echo '<span class="support-tasklist-badge badge badge-default">CLOSED</span>';
                                                        break;
                                                }
                                            ?>
                                        </div>
                                        <div class="support-tasklist-item-text"> <?php echo $ticket->content; ?> </div>
                                        <div class="support-tasklist-controls">
                                            <span class="support-tasklist-date">
                                                <i class="fa fa-calendar"></i> {{ $ticket->created_at }} <small>({{ $ticket->created_at->diffForHumans() }})</small></span>
                                                <?php
                                                switch ($ticket->priority) {
                                                    case 1:
                                                        echo '<span class="support-tasklist-badge badge badge-success badge-roundless">LOW</span>';
                                                        break;
                                                    case 2:
                                                        echo '<span class="support-tasklist-badge badge badge-warning badge-roundless">MEDIUM</span>';
                                                        break;
                                                    case 3:
                                                        echo '<span class="support-tasklist-badge badge badge-danger badge-roundless">HIGH</span>';
                                                        break;
                                                }
                                                ?>
                                        </div>
                                        @if( $ticket->attachment !== NULL )
                                        <div class="support-tasklist-controls">
                                            <span class="support-tasklist-date">
                                                <i class="fa fa-paperclip"></i> <small><a href="{{ route('support.attachment', $ticket->id) }}" target="_blank">View</a></small>
                                            </span>
                                        </div>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="tabbable-line">
                                    <ul class="nav nav-tabs ">
                                        <li class="active">
                                            <a href="#replies" data-toggle="tab"> Replies <span class="badge badge-success"> {{ $ticket->replies->count() }} </span> </a>
                                        </li>
                                        <li>
                                            <a href="#history" data-toggle="tab"> History </a>
                                        </li>
                                    </ul>
                                    <div class="tab-content">
                                        <div class="tab-pane active" id="replies">
                                            <!-- TASK COMMENTS -->
                                            <div class="form-group">
                                                <div class="col-md-12">
                                                @if( $ticket->replies->count() )
                                                    <ul class="media-list">
                                                    @foreach( $ticket->replies as $reply )
                                                        <li class="media">
                                                            <a class="pull-left" href="javascript:;">
                                                                <img class="support-userpic" src="{{ $reply->user->getAvatar() }}" width="27px" height="27px"> </a>
                                                            <a href="{{ route('admin.support.delete_reply', $reply->id) }}" class="pull-right btn btn-small"><i class="fa fa-trash"></i></a>
                                                            <div class="media-body support-comment">
                                                                <p class="support-comment-head">
                                                                    <span class="support-comment-username">{{ $reply->user->fullName() }}</span> &nbsp;
                                                                    <span class="support-comment-date" title="{{ $reply->created_at }}">{{ $reply->created_at->diffForHumans() }}</span>
                                                                </p>
                                                                <p class="support-text-color"><?php echo $reply->content; ?></p>
                                                            </div>
                                                        </li>
                                                    @endforeach
                                                    </ul>
                                                @endif
                                                </div>
                                            </div>
                                            @if( $ticket->status !== 2  )
                                            <form action="" class="form-horizontal sendReply" method="POST">
                                                <div class="form-group">
                                                    <label class="col-sm-2 control-label">Stored Replies</label>
                                                    <div class="col-md-4">
                                                        <select id="stored_replies" name="stored_replies" class="form-control">
                                                        @foreach($responses as $r)
                                                        <option value="{{ $r->id }}">{{ $r->title }}</option>
                                                        @endforeach
                                                        </select>
                                                    </div>
                                                    <div class="col-sm-3"><a href="#" class="btn blue support-reply-load"><i class="fa fa-refresh"></i> Load</a></div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="col-sm-2 control-label">Status</label>
                                                    <div class="col-md-6">
                                                        <select id="status" name="status" class="form-control">
                                                            <option value="0" selected>Leave ticket Open with reply</option>
                                                            <option value="2">Close ticket with reply</option>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <div class="col-md-12">
                                                        <ul class="media-list">
                                                            <li class="media">
                                                                <a class="pull-left" href="javascript:;">
                                                                    <img class="support-userpic" src="{{ $user->getAvatar() }}" width="27px" height="27px"> </a>
                                                                <div class="media-body">
                                                                    <textarea name="content" class="tinyeditor">{{ old('content') }}</textarea>
                                                                </div>
                                                            </li>
                                                        </ul>
                                                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                                        <button type="submit" class="pull-right btn btn-sm btn-circle yellow"> Submit </button>
                                                    </div>
                                                </div>
                                            </form>
                                            @endif
                                        </div>
                                        <div class="tab-pane" id="history">
                                            <ul class="support-task-history">
                                                <li class="hidden">
                                                    <div class="support-task-history-date"> 20 Jun, 2014 at 11:35am </div>
                                                    <div class="support-task-history-desc"> Task created </div>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- END TODO CONTENT -->
        </div>
    </div>
</div>
@stop

@section('style')
<link href="{{ asset('__admin/css/pages/support.css') }}" rel="stylesheet" type="text/css" />
@stop

@section('script')
<script src="//cdn.tinymce.com/4/tinymce.min.js"></script>
<script type="text/javascript">
var load_content_ajax_url = '{{ route("admin.ajax.support.getResponse") }}';
</script>
<script src="{{ asset('__admin/scripts/pages/support.js') }}" type="text/javascript"></script>
@stop