@extends('layouts.admin')
@section('content')
<h3 class="page-title"> {{ $title }}
    <small></small>
</h3>
<div class="page-bar">
    <ul class="page-breadcrumb">
        <li>
            <i class="icon-home"></i>
            <a href="{{ route('admin.home') }}">Dashboard</a>
            <i class="fa fa-angle-right"></i>
        </li>
        <li>
            <span>{{ $title }}</span>
        </li>
    </ul>
</div>
<div class="row">
  <div class="col-md-12">         
    <div class="portlet light">
      <div class="portlet-title">
          <div class="caption"><i class="fa fa-newspaper-o"></i> {{ $title }}</div>
      </div>
      <div class="portlet-body">

				<form class="form-horizontal" role="form" action="" method="POST" id="transaction_form">

					<div class="row">
						<div class="col-sm-12">

							<div class="form-group">
                <label class="col-sm-2 control-label">Transaction Method</label>
                <div class="col-sm-4">
                <?php $method = Input::old('method', '1'); ?>
                  <select id="method" name="method" class="form-control">
                    <option value="1"{{ ($method == '1')? ' selected' : '' }}>Transfer - Money Internally Transferred</option>
                    <option value="2"{{ ($method == '2')? ' selected' : '' }}>Deposit - Money Entering the System</option>
                    <option value="3"{{ ($method == '3')? ' selected' : '' }}>Withdrawal - Money Leaving the System</option>
                  </select>
                  <p class="help-block">Select the appropriate transaction method.</p>
                </div>
              </div>

							<hr class="inner-separator" />

						</div>
					</div>

          <div class="row" id="from_to_section">

            <div class="col-sm-6" id="from">

              <h4 class="block">From Account</h4>

              <div class="form-group col-sm-12">
                <label for="member_id_from" class="col-sm-2 control-label">Member ID</label>
                <div class="col-sm-4">
                  <select class="form-control userSearch" id="member_id_from" name="member_id_from" value="{{ old('member_id_from') }}"></select>
                </div>
              </div>

              <div class="form-group col-sm-12">
                <label for="pool_from" class="col-sm-2 control-label">Pool</label>
                <div class="col-sm-4">
                  <select id="pool_from" name="pool_from" class="form-control">
                    @foreach( $pools as $key => $p)
                        <option value="{{ $key }}">{{ $p['label'] }}</option>
                    @endforeach
                  </select>
                </div>
              </div>

              <div class="form-group col-sm-12">
                <label for="processor_from" class="col-sm-2 control-label">Processor</label>
                <div class="col-sm-4">
                  <select id="processor_from" name="processor_from" class="form-control">
                    @foreach( $processors as $key => $p )
                        <option value="{{ $p->id }}">{{ $p->name }}</option>
                    @endforeach
                  </select>
                </div>
              </div>
            </div>

            <div class="col-sm-6" id="to">
              <h4 class="block">To Account</h4>

              <div class="form-group col-sm-12">
                <label for="member_id_to" class="col-sm-2 control-label">Member ID</label>
                <div class="col-sm-4">
                  <select class="form-control userSearch" id="member_id_to" name="member_id_to" value="{{ old('member_id_to') }}"></select>
                </div>
              </div>
              <div class="form-group col-sm-12">
                <label for="pool_to" class="col-sm-2 control-label">Pool</label>
                <div class="col-sm-4">
                  <select id="pool_to" name="pool_to" class="form-control">
                    @foreach( $pools as $key => $p)
                      <option value="{{ $key }}">{{ $p['label'] }}</option>
                    @endforeach
                  </select>
                </div>
              </div>
              <div class="form-group col-sm-12">
                <label for="processor_to" class="col-sm-2 control-label">Processor</label>
                <div class="col-sm-4">
                  <select id="processor_to" name="processor_to" class="form-control">
                  @foreach( $processors as $key => $p )
                  <option value="{{ $p->id }}">{{ $p->name }}</option>
                  @endforeach
                  </select>
                </div>
              </div>
            </div>

          </div>

          <div class="row" id="from_to_section">

            <div class="col-sm-6" id="from">
              <h4 class="block">Amount & Extra Info</h4>

              <div class="form-group col-sm-12">
                <label for="amount" class="col-sm-2 control-label">Amount</label>
                <div class="col-sm-4">
                  <input type="text" class="form-control" id="amount" placeholder="Amount" name="amount" value="{{ old('amount') }}">
                </div>
              </div>

              <div class="form-group col-sm-12">
                <label for="account_id" class="col-sm-2 control-label">Proc. Account ID</label>
                <div class="col-sm-4">
                  <input type="text" class="form-control" id="account_id" placeholder="Account ID" name="account_id" value="{{ old('account_id') }}">
                </div>
              </div>

              <div class="form-group col-sm-12">
                <label for="date" class="col-sm-2 control-label">Date</label>
                <div class="col-sm-4">
                  <div class="input-group">
                    <input type="text" id="date" name="date" placeholder="Date" class="form-control date-picker" value="{{ ( old('birth_date', false) ) ? \App\Models\Date::format(Input::old('birth_date'), 'm/d/Y') :  \App\Models\Date::now('m/d/Y') }}">
                    <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                  </div>
                </div>
              </div>

              <div class="form-group col-sm-12">
                <label for="note" class="col-sm-2 control-label">Note</label>
                <div class="col-sm-4">
                  <input type="text" class="form-control" id="note" placeholder="Note" name="note" value="{{ old('note') }}">
                </div>
              </div>

              <input type="hidden" name="_token" value="{{ csrf_token() }}">

              <div class="form-actions">
                <div class="row">
                  <div class="col-md-offset-2 col-md-10">
                    <button type="submit" class="btn yellow">
                        <i class="fa fa-floppy-o"></i> Save
                    </button>
                    <a href="{{ route('admin.home') }}" class="btn default">Cancel</a>
                  </div>
                </div>
              </div>

            </div>

          </div>

        </form>
      </div>
    </div>
  </div>
</div>
@stop

@section('style')
<link rel="stylesheet" type="text/css" href="{{ asset('__admin/global/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" type="text/css" href="{{ asset('__admin/global/plugins/select2/css/select2-bootstrap.min.css') }}">
<link href="{{ asset('__admin/global/plugins/bootstrap-daterangepicker/daterangepicker-bs3.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/global/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}" rel="stylesheet" type="text/css" />
@stop
@section('script')
<script src="{{ asset('__admin/global/plugins/select2/js/select2.full.min.js') }}"></script>
<script src="{{ asset('__admin/global/plugins/bootstrap-daterangepicker/moment.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/bootstrap-daterangepicker/daterangepicker.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}" type="text/javascript"></script>
<script type="text/javascript">
var ajax_admin_usersearch_select2 = "{{ route('admin.ajax.users.search.select2') }}";
$(document).ready(function(){

  $('select#method').on('change', function() {
      var value = $('select#method option:selected').val();
      var from_to_section = $('#from_to_section');

      switch( value ) {
        case '1':
          from_to_section.find('#from').fadeIn(300);
          from_to_section.find('#to').fadeIn(300);
        break;

        case '2':
          from_to_section.find('#from').fadeOut(300);
          from_to_section.find('#to').fadeIn(300);
        break;

        case '3':
          from_to_section.find('#from').fadeIn(300);
          from_to_section.find('#to').fadeOut(300);
        break;
      }
    });

  $('.date-picker').datepicker({
    orientation: "left",
    autoclose: true
  });


  $(".userSearch").select2({
      tags: false,
      multiple: false,
      width: '400px',
      ajax: {
          url: ajax_admin_usersearch_select2,
          dataType: "json",
          type: "POST",
          data: function(params) {
              return {
                  q: params.term, // search term
                  page: params.page
              };
          },
          processResults: function (data) {
              var results = [];
              $.each(data.data, function (index, user) {
                  results.push({
                      id: user.id,
                      text: user.username
                  });
              });

              return {
                  results: results
              };
          },
          cache: true
      }
  });
});
</script>
@stop