@extends('layouts.admin')
@section('content')
	<h3 class="page-title"> {{ $title }}
        <small></small>
    </h3>
    <div class="page-bar">
        <ul class="page-breadcrumb">
            <li>
                <i class="icon-home"></i>
                <a href="{{ route('admin.home') }}">{{ $title }}</a>
                <i class="fa fa-angle-right"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
    </div>
    <div class="row">
        <div class="col-md-12">
					<div class="portlet light">
							<div class="portlet-title">
									<div class="caption"><i class="fa fa-newspaper-o"></i> {{ $title }}</div>
							</div>
							<div class="portlet-body">
									<div class="row">
											<div class="col-lg-12">

												<form action="" class="form" method="POST" enctype="multipart/form-data">
													<div class="form-group @if($errors->has('date')) has-error @endif">
		                          <label>Date</label>
		                          <input class="form-control input-medium date-picker" size="16" name="date" type="text" value="" />
		                      </div>
													<div class="form-group @if($errors->has('week')) has-error @endif">
		                          <label>Week</label>
		                          <select class="form-control input-medium" name="week">
																<option value="1">1</option>
																<option value="2">2</option>
															</select>
		                      </div>
													<div class="form-group @if($errors->has('attachment_1')) has-error @endif">
															<label>File 1</label>
															<input type="file" name="attachment_1" />
													</div>
													<div class="form-group @if($errors->has('attachment_2')) has-error @endif">
															<label>File 2</label>
															<input type="file" name="attachment_2" />
													</div>
													<div class="form-actions">
															<input name="_token" value="{{ csrf_token() }}" type="hidden">
															<button type="submit" class="btn btn-sm yellow">Upload</button>
													</div>
												</form>
											</div>
									</div>
							</div>
						</div>
        </div>
    </div>

		<div class="row">
				<div class="col-md-12">
						<!-- BEGIN SAMPLE TABLE PORTLET-->
						<div class="portlet light">
								<div class="portlet-title">
										<div class="caption"><i class="fa fa-book"></i> Reports</div>
								</div>
								<div class="portlet-body">
										<table id="datatable-reports" class="table table-sorting table-striped table-hover table-bordered datatable datatable-reports">
										</table>
								</div>
						</div>
						<!-- END SAMPLE TABLE PORTLET-->
				</div>
		</div>
@stop
@section('style')
<link href="{{ asset('__admin/global/plugins/bootstrap-daterangepicker/daterangepicker.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/global/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/global/plugins/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css') }}" rel="stylesheet" type="text/css" />

@stop
@section('script')
<script src="{{ asset('__admin/global/scripts/datatable.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/datatables/datatables.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/bootstrap-daterangepicker/daterangepicker.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}" type="text/javascript"></script>
<script type="text/javascript">
var reportFile_url = "{{ route('reports.download') }}";
var ajax_reports_dt = "{{ route('admin.ajax.tools.reports.table') }}";
var ajax_reports_delete = "{{ route('admin.ajax.tools.reports.delete') }}";

$(document).ready(function(){
	$('.date-picker').datepicker({
      orientation: "left",
      autoclose: true,
			minViewMode: 1,
     	format: 'yyyy-mm'
  });
});
</script>
<script src="{{ asset('__admin/scripts/pages/report-uploader.js') }}" type="text/javascript"></script>
@stop
