@extends('layouts.admin')
@section('content')
	<h3 class="page-title"> {{ $title }}
        <small></small>
    </h3>
    <div class="page-bar">
        <ul class="page-breadcrumb">
            <li>
                <i class="icon-home"></i>
                <a href="{{ route('admin.home') }}">Dashboard</a>
                <i class="fa fa-angle-right"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
    </div>
    <div class="row">
      <div class="col-md-12">         
          <div class="portlet light">
              <div class="portlet-title">
                  <div class="caption"><i class="fa fa-newspaper-o"></i> {{ $title }}</div>
              </div>
              <div class="portlet-body">

								<form class="form-horizontal" role="form" action="" method="POST" id="transaction_form">

									<div class="row">
										<div class="col-sm-12">

											<div class="form-group">
												<label class="col-sm-2 control-label">Transaction Method</label>
												<div class="col-md-4">
												<?php $method = old('method', 'interest'); ?>
													<select id="method" name="method" class="form-control">
														<option value="interest"{{ ($method == 'interest')? ' selected' : '' }}>Pay Interest</option>
														<option value="create"{{ ($method == 'create')? ' selected' : '' }}>Create Token</option>
														<option value="expire"{{ ($method == 'expire')? ' selected' : '' }}>Expire Token</option>
													</select>
													<p class="help-block">Select the appropriate transaction method.</p>
												</div>
											</div>

											<hr class="inner-separator" />

										</div>
									</div>

									<div class="row method_section" id="method_interest" @if( $method !== 'interest' ) style="display:none;" @endif>
										<form class="form-horizontal" role="form" action="" method="POST" id="token_form">
											<div class="form-body">

												<h4 class="block">Pay Interest on Token(s)</h4>

												<div class="row">
													<div class="form-group col-sm-12">
														<label for="token_id" class="col-sm-2 control-label">Token ID</label>
														<div class="col-sm-3">
																<input type="text" class="form-control" id="token_id" placeholder="Token ID" name="token_id" value="{{ Input::old('token_id') }}">
														</div>
													</div>
												</div>

												<div class="row">
													<div class="form-group col-sm-12">
														<label for="amount" class="col-sm-2 control-label">Amount</label>
														<div class="col-sm-3">
															<div class="input-group">
																<input type="text" class="form-control" id="amount" placeholder="Amount" name="amount" value="{{ Input::old('amount') }}">
																<div class="input-group-btn" style="bottom:6px;">
																	<input type="checkbox" class="switch-demo" style="width:100px;" data-on="default" data-off="default" name="amount_format" data-size="normal" data-handle-width="30px" data-label-width="10px" value="1" data-on-text="%" data-off-text="$" @if( Input::old('amount_format') == 1) checked @endif>
																</div>
															</div>
														</div>
													</div>
												</div>

												<input type="hidden" name="method" id="_method" value="interest">
												<input type="hidden" name="_token" value="{{ csrf_token() }}">

												<div class="form-actions">
                            <div class="row">
                                <div class="col-md-offset-2 col-md-10">
                                    <button type="submit" class="btn yellow">
                                        <i class="fa fa-floppy-o"></i> Save
                                    </button>
                                    <a href="{{ route('admin.home') }}" class="btn default">Cancel</a>
                                </div>
                            </div>
                        </div>

											</div>
										</form>
									</div>
									

									<div class="row method_section" id="method_create" @if( $method !== 'create' ) style="display:none;" @endif>
										<form class="form-horizontal" role="form" action="" method="POST" id="token_form">
											<div class="form-body">

												<h4 class="block">Create Token</h4>

												<div class="row">
													<div class="form-group col-sm-12">
														<label for="member_id" class="col-sm-2 control-label">Member ID</label>
														<div class="col-sm-4">
															<select class="form-control userSearch" id="member_id" name="member_id" value=""></select>
														</div>
													</div>
												</div>

												<div class="row">
													<div class="form-group col-sm-12">
														<label for="token_id" class="col-sm-2 control-label">Token Type</label>
														<div class="col-sm-4">
															<select id="token_id" name="token_id" class="form-control">
															@foreach( $plans as $key => $p )
															<option value="{{ $p->id }}">{{ $p->name }}</option>
															@endforeach
															</select>
														</div>
													</div>
												</div>

												<div class="row">
													<div class="form-group col-sm-12">
														<label for="processor_id" class="col-sm-2 control-label">Processor</label>
														<div class="col-sm-4">
															<select id="processor_id" name="processor_id" class="form-control">
															@foreach( $processors as $key => $p )
															<option value="{{ $p->id }}">{{ $p->name }}</option>
															@endforeach
															</select>
														</div>
													</div>
												</div>

												<div class="row">
													<div class="form-group col-sm-12">
														<label for="amount" class="col-sm-2 control-label">Amount</label>
														<div class="col-sm-4">
															<input type="text" class="form-control" id="amount" placeholder="Amount" name="amount" value="{{ Input::old('amount') }}">
														</div>
													</div>
												</div>

												<div class="row">
													<div class="form-group col-sm-12">
														<label class="col-sm-2 control-label"></label>
														<div class="col-sm-4">
															<label class="control-inline fancy-checkbox">
																<input type="checkbox" name="charge_member" class="form-control" value="1" @if( Input::old('charge_member') == 1) checked @endif>
																<span>Charge the Members Online Wallet</span>
															</label>
														</div>
													</div>
												</div>

												<input type="hidden" name="method" id="_method" value="create">
												<input type="hidden" name="_token" value="{{ csrf_token() }}">

												<div class="form-actions">
                            <div class="row">
                                <div class="col-md-offset-2 col-md-10">
                                    <button type="submit" class="btn yellow">
                                        <i class="fa fa-floppy-o"></i> Save
                                    </button>
                                    <a href="{{ route('admin.home') }}" class="btn default">Cancel</a>
                                </div>
                            </div>
                        </div>

											</div>
										</form>
									</div>
							
									<div class="row method_section" id="method_expire" @if( $method !== 'expire' ) style="display:none;" @endif>
										<form class="form-horizontal" role="form" action="" method="POST" id="token_form">
											<div class="form-body">

												<h4 class="block">Pay Interest on Token(s)</h4>

													<div class="row">
														<div class="form-group col-sm-12">
															<label for="token_id" class="col-sm-2 control-label">Token ID</label>
															<div class="col-sm-4">
																	<input type="text" class="form-control" id="token_id" placeholder="Token ID" name="token_id" value="{{ Input::old('token_id') }}">
															</div>
														</div>
													</div>

													<input type="hidden" name="method" id="_method" value="expire">
													<input type="hidden" name="_token" value="{{ csrf_token() }}">
													<div class="form-actions">
	                          <div class="row">
	                              <div class="col-md-offset-2 col-md-10">
	                                  <button type="submit" class="btn yellow">
	                                      <i class="fa fa-floppy-o"></i> Save
	                                  </button>
	                                  <a href="{{ route('admin.home') }}" class="btn default">Cancel</a>
	                              </div>
	                          </div>
	                        </div>
												</div>

											</form>
										</div>
								</form>

						</div>
					</div>
				</div>
			</div>
@stop
@section('style')
<link rel="stylesheet" type="text/css" href="{{ asset('__admin/global/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" type="text/css" href="{{ asset('__admin/global/plugins/select2/css/select2-bootstrap.min.css') }}">
@stop
@section('script')
	<script src="{{ asset('__admin/global/plugins/select2/js/select2.full.min.js') }}"></script>
	<script type="text/javascript">
	var ajax_admin_usersearch_select2 = "{{ route('admin.ajax.users.search.select2') }}";
	$(document).ready(function(){
		$('.switch-demo').bootstrapSwitch({
			width: '100px'
		});

		$('#method').on('change', function(){
			var o = $('#method option:selected').val();

			$('.method_section').slideUp(300, function(){

				$('#method_' + o).slideDown(300);

				$('#_method').val(o);
			});
		});


		$(".userSearch").select2({
		    tags: false,
		    multiple: false,
		    width: '400px',
		    ajax: {
		        url: ajax_admin_usersearch_select2,
		        dataType: "json",
		        type: "POST",
		        data: function(params) {
                return {
                    q: params.term, // search term
                    page: params.page
                };
            },
            processResults: function (data) {
						    var results = [];
						    $.each(data.data, function (index, user) {
						        results.push({
						            id: user.id,
						            text: user.username
						        });
						    });

						    return {
						        results: results
						    };
						},
            cache: true
		    }
		});

	});
</script>
@stop