@extends('layouts.admin')
@section('content')
<!-- BEGIN CONTAINER -->
        <h3 class="page-title"> {{ $title }}
            <small>{{ ( isset( $subtitle ) ) ? $subtitle : '' }}</small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="icon-home"></i>
                    <a href="{{ route('admin.home') }}">Dashboard</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span><i class="fa fa-users"></i> {{ $title }}</span>
                </li>
            </ul>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="portlet light ">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-user"></i>
                            <span class="caption-subject bold uppercase">Create User</span>
                        </div>
                        <div class="tools">
                            <a href="javascript:;" class="collapse"> </a>
                        </div>
                    </div>
                    <div class="portlet-body form">
											<form class="form-horizontal" role="form" action="" method="POST" accept-charset="UTF-8" autocomplete="off">
												<fieldset>
												<legend>Account information</legend>
													<div class="form-group{{ $errors->has('username') ? ' has-error has-feedback' : '' }}">
														<label for="username" class="control-label sr-only">Username</label>
														<div class="col-sm-12">
																<input type="text" placeholder="username" id="username" name="username" class="form-control" value="{{ Input::old('username') }}">
														</div>
													</div>

													<div class="form-group{{ $errors->has('password') ? ' has-error has-feedback' : '' }}">
													<label for="password" class="control-label sr-only">Password</label>
														<div class="col-sm-12">
																<input type="password" name="password" placeholder="password" id="password" class="form-control">
														</div>
													</div>

													<div class="form-group{{ $errors->has('password_confirm') ? ' has-error has-feedback' : '' }}">
													<label for="password_confirm" class="control-label sr-only">Password Confirmation</label>
														<div class="col-sm-12">
																<input type="password" name="password_confirm" placeholder="password confirmation" id="password_confirm" class="form-control">
														</div>
													</div>
													{{--
													<div class="form-group{{ $errors->has('secondary_password') ? ' has-error has-feedback' : '' }}">
													<label for="secondary_password" class="control-label sr-only">Secondary Password</label>
														<div class="col-sm-12">
																<input type="password" name="secondary_password" placeholder="secondary password" id="secondary_password" class="form-control">
														</div>
													</div>

													<div class="form-group{{ $errors->has('secondary_password_confirm') ? ' has-error has-feedback' : '' }}">
													<label for="secondary_password_confirm" class="control-label sr-only">Secondary Password Confirmation</label>
														<div class="col-sm-12">
																<input type="password" name="secondary_password_confirm" placeholder="secondary password confirmation" id="secondary_password_confirm" class="form-control">
														</div>
													</div>
													--}}

													<table class="table table-light table-hover">
                            <tbody>
                                @foreach( $groups as $ug )
                                <tr>
                                    <td> {{ $ug->name }} </td>
                                    <td>
                                        <label class="uniform-inline" for="group_{{ $ug->id }}">
                                        <input type="checkbox" name="groups[{{ $ug->id }}]" id="group_{{ $ug->id }}" value="1">
                                        </label>
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        	</table>

												</fieldset>

												<fieldset>
													<legend>Contact Information</legend>

													<div class="form-group{{ $errors->has('first_name') ? ' has-error has-feedback' : '' }}">
														<label for="first_name" class="control-label sr-only">First name</label>
														<div class="col-sm-12">
																<input type="text" placeholder="first name" id="first_name" name="first_name" class="form-control" value="{{ Input::old('first_name') }}">
														</div>
													</div>

													<div class="form-group{{ $errors->has('last_name') ? ' has-error has-feedback' : '' }}">
														<label for="last_name" class="control-label sr-only">Last name</label>
														<div class="col-sm-12">
																<input type="text" placeholder="last name" id="last_name" name="last_name" class="form-control" value="{{ Input::old('last_name') }}">
														</div>
													</div>

													<div class="form-group{{ $errors->has('email') ? ' has-error has-feedback' : '' }}">
														<label for="email" class="control-label sr-only">Email</label>
														<div class="col-sm-12">
															<input type="email" placeholder="email" id="email" name="email" class="form-control" value="{{ Input::old('email') }}">
														</div>
													</div>

												  {{--  <div class="form-group {{ $errors->has('birth_date') ? 'has-error' : '' }}">
												        <label for="last_name" class="control-label sr-only">Birth date</label>
												        <div class="col-sm-12">
												          <div class="input-group">
																		<input type="text" id="datepicker" name="birth_date" placeholder="birth date" class="form-control" value="{{ ( Input::old('birth_date', false) ) ? \App\Date::format(Input::old('birth_date'), 'm/d/Y') : '' }}">
																		<span class="input-group-addon"><i class="fa fa-calendar"></i></span>
																	</div>
																</div>
												    </div>

												    <div class="form-group {{ $errors->has('gender') ? 'has-error' : '' }}">
												        <label for="gender" class="control-label sr-only">Gender</label>
												        <div class="col-sm-4">
												          <div class="input-group center">
												          	<select id="multiselect2" name="gender">
												          		<option>Gender</option>
																			<option value="1"{{ (Input::old('gender') == 1) ? ' selected' : '' }}>Male</option>
																			<option value="2"{{ (Input::old('gender') == 2) ? ' selected' : '' }}>Female</option>
																		</select>
																	</div>
																</div>
												    </div> --}}

												{{--		<div class="form-group {{ $errors->has('country') ? 'has-error' : '' }}">
												        <label for="country" class="control-label sr-only">Country</label>
												        <div class="col-sm-12">
												          	<select id="country" class="form-control" name="country">
												              	@foreach($countries as $country)
												              	<option value="{{ $country->id }}"{{ ($country->id == Input::old('country') ) ? ' selected' : '' }}>{{ $country->name }}</option>
												                @endforeach
												            </select>
												        </div>
												    </div>
												--}}
											      {{-- <div class="form-group {{ $errors->has('zip') ? 'has-error' : '' }}">
											          <label for="zip" class="control-label sr-only">Zip Code</label>
											          <div class="col-sm-12">
											            <div class="input-group">
											            	<input type="text" class="form-control" id="zip" placeholder="zip code" name="zip" value="{{ Input::old('zip') }}" />
											            	<span class="input-group-addon"><i class="fa fa-globe"></i></span>
											            </div>
											          </div>
											      </div>
														<div class="form-group {{ $errors->has('state') ? 'has-error' : '' }}">
											          <label for="state" class="control-label sr-only">State</label>
											          <div class="col-sm-12">
											          	<div class="input-group">
											            	<input type="text" class="form-control" id="state" placeholder="state" name="state" value="{{ Input::old('state') }}" />
											            	<span class="input-group-addon"><i class="fa fa-road"></i></span>
											            </div>
											          </div>
											      </div>--}}
											{{--			<div class="form-group {{ $errors->has('city') ? 'has-error' : '' }}">
											          <label for="city" class="control-label sr-only">City</label>
											          <div class="col-sm-12">
											            	<input type="text" class="form-control" id="city" placeholder="city" name="city" value="{{ Input::old('city') }}" />
											          </div>
											      </div>
											      --}}
														{{--<div class="form-group {{ $errors->has('address') ? 'has-error' : '' }}">
											          <label for="address" class="control-label sr-only">Address</label>
											          <div class="col-sm-12">
											            <div class="input-group">
											            	<input type="text" class="form-control" id="address" placeholder="address" name="address" value="{{ Input::old('address') }}" />
											            	<span class="input-group-addon"><i class="fa fa-map-marker"></i></span>
											            </div>
											          </div>
											      </div>
											      <div class="form-group {{ $errors->has('phone') ? 'has-error' : '' }}">
											          <label for="phone" class="control-label sr-only">Phone</label>
											          <div class="col-sm-12">
											            <div class="input-group">
											              <input type="text" class="form-control" id="phone" placeholder="phone" name="phone" value="{{ Input::old('phone') }}" />
											              <span class="input-group-addon"><i class="fa fa-mobile"></i></span>
											            </div>
											          </div>
											      </div>--}}

												</fieldset>
											{{--
												<fieldset>
													<legend>Sponsor</legend>

													<div class="form-group {{ $errors->has('sponsor_code') ? 'has-error' : '' }}">
							              <label for="sponsor_code" class="control-label sr-only">Sponsor user</label>
							              <div class="col-sm-12">
							                <div class="input-group">
							                	<span class="input-group-addon"><i class="fa fa-users"></i></span>
							                  <input type="text" class="form-control" id="sponsor_code" placeholder="sponsor user" name="sponsor_code" value="{{ Input::old('sponsor_code') }}" />
							                  <span class="input-group-btn">
																	<button class="btn btn-default" type="button" id="sponsor_search_btn"><i class="fa fa-search"></i></button>
																</span>
							                </div>
							              </div>
							            </div>

							            <div class="form-group hidden" id="sponsor_result">
							                <label for="sponsor_name" class="col-sm-4 control-label" id="sponsor_name_label">Sponsor username</label>
							                <div class="col-sm-8">
								                <div class="input-group">
									                <p class="form-control-static success" id="sponsor_name"></p>
									                <p class="form-group-static text-danger hidden error"><strong>Could not find this sponsor.</strong></p>
							                  </div>
							                </div>
							            </div>

													<div class="form-group {{ $errors->has('upline_user') ? 'has-error' : '' }}">
							              <label for="upline_user" class="control-label sr-only">Upline user</label>
							              <div class="col-sm-12">
							                <div class="input-group">
							                	<span class="input-group-addon"><i class="fa fa-sitemap"></i></span>
							                  <input type="text" class="form-control" id="upline_user" placeholder="upline user" name="upline_user" value="{{ Input::old('upline_user') }}" />
							                  <span class="input-group-btn">
																	<button class="btn btn-default" type="button" id="upline_user_search_btn"><i class="fa fa-search"></i></button>
																</span>
							                </div>
							              </div>
							            </div>

							            <div class="form-group hidden" id="upline_user_result">
							                <label for="upline_username" class="col-sm-4 control-label" id="upline_username_label">Upline username</label>
							                <div class="col-sm-8">
								                <div class="input-group">
									                <p class="form-control-static success" id="upline_username"></p>
									                <p class="form-group-static text-danger hidden error"><strong>Could not find this upline user.</strong></p>
							                  </div>
							                </div>
							            </div>

							            <div class="form-group hidden {{ $errors->has('leg') ? 'has-error' : '' }}" id="legs">
							            	<label class="col-sm-4 control-label">Leg</label>
							            	<div class="col-sm-8">
							                <div class="input-group center">
										            <label class="control-inline" id="leg-left">
																	<input type="radio" name="leg" id="leg-left-input" value="1">
																	<span><i></i>Left</span>
																</label>
																<label class="control-inline" id="leg-right">
																	<input type="radio" name="leg" id="leg-right-input" value="2">
																	<span><i></i>Right</span>
																</label>
															</div>
															<div class="input-group center" id="leg-no">
																<p class="form-group-static text-danger"><strong>This user does not have any other free legs.</strong></p>
															</div>
														</div>
													</div>

												</fieldset>
												--}}

												<input type="hidden" name="_token" value="{{ csrf_token() }}">

												<button type="submit" class="btn yellow"><i class="fa fa-check-circle"></i> Create</button>
											</form>
										</div>
									</div>
								</div>
							</div>
@stop
@section('style')
<link rel="stylesheet" type="text/css" href="{{ asset('__admin/global/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" type="text/css" href="{{ asset('__admin/global/plugins/select2/css/select2-bootstrap.min.css') }}">
@stop

@section('script')
<script src="{{ asset('__admin/global/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}"></script>
<script src="{{ asset('__admin/global/plugins/jquery-inputmask/jquery.inputmask.bundle.min.js') }}"></script>
<script src="{{ asset('__admin/global/plugins/select2/js/select2.full.min.js') }}"></script>
<script src="{{ asset('__admin/global/plugins/bootstrap-daterangepicker/moment.min.js') }}" type="text/javascript"></script>
{{--
<script type="text/javascript">
	$(document).ready(function(){
	  var dom = {
    	sponsor_result: $('#sponsor_result'),
    	sponsor_code: $('#sponsor_code'),
    	sponsor_name: $('#sponsor_name'),

    	upline_user_result: $('#upline_user_result'),
    	upline_user: $('#upline_user'),
    	upline_name: $('#upline_username'),

    	legs: $('#legs'),
			leg_left: $('#leg-left'),
    	leg_right: $('#leg-right'),
    	leg_left_input: $('#leg-left-input'),
    	leg_right_input: $('#leg-right-input'),
    	leg_no: $('#leg-no')
    };

    var resetDom = function( type ) {
    	if( type == 1 ) {
	    	dom.sponsor_result.addClass('hidden');
	    	dom.sponsor_name.removeClass('hidden');
	    	dom.sponsor_name.html('');
	    	showError('sponsor_result', null, true);
	    }

	    if( type == 2 ) {
	    	dom.upline_user_result.addClass('hidden');
	    	dom.upline_name.removeClass('hidden');
	    	dom.upline_name.html('');

	    	dom.leg_left_input.prop('checked', false);
	    	dom.leg_right_input.prop('checked', false);

				dom.leg_left.addClass('hidden');
				dom.leg_right.addClass('hidden');

				dom.legs.addClass('hidden');

				showError('upline_user_result', null, true);
			}
    };

    var showError = function( type, msg, hide ) {
  		var error_dom = dom[ type ].find('.error');
  		var success_dom = dom[ type ].find('.success');

  		success_dom.addClass('hidden');
  		dom[ type ].removeClass('hidden');

  		if( hide ) {
  			error_dom.addClass('hidden');
  		} else {
  			error_dom.html(msg);
  			error_dom.removeClass('hidden');
  		}
    };

    dom.leg_left.addClass('hidden');
    dom.leg_right.addClass('hidden');

    var sponsor;
		var upline_user;
		var currentSponsor;
		var currentUpline;

		var sponsorStatus = false;
		var uplineStatus = false;

		var refreshPositionSelect = function( value ) {
			var ref = upline_user;

			dom.legs.removeClass('hidden');

			dom.leg_left.addClass('hidden');
    	dom.leg_right.addClass('hidden');
    	dom.leg_no.addClass('hidden');

			switch( ref.children ) {
				case 1:
					dom.leg_right.removeClass('hidden');
					dom.leg_right_input.prop('checked', 'checked');
				break;
				case 2:
					dom.leg_left.removeClass('hidden');
					dom.leg_left_input.prop('checked', 'checked');
				break;
				case 3:
					dom.leg_left.addClass('hidden');
					dom.leg_right.addClass('hidden');
					dom.leg_no.removeClass('hidden');
				break;
				default:
					dom.leg_left.removeClass('hidden');
					dom.leg_right.removeClass('hidden');
				break;
			}
		};

    var searchSponsor = function(e) {
			var val = dom.sponsor_code.val();

			if( !val || currentSponsor == val ) return;

			currentSponsor = val;

			$.ajax({
				type: 'POST',
				data: {
					sponsor_code: currentSponsor
				},
				url: '{{ route("ajax.getSponsor") }}',
				success: function( res ) {
					resetDom(1);

					if( !res.result ) {
						sponsorStatus = false;
						showError('sponsor_result', res.message);
						return;
					}

					sponsor = res.sponsor;

					dom.sponsor_name.removeClass('hidden');

					dom.sponsor_name.html( sponsor.username + ' (#' + sponsor.user_id + ')' );

					dom.sponsor_result.removeClass('hidden');

					sponsorStatus = true;
				},
				error: function( err ) {
					resetDom(1);
					alert('Error: ' + res.message);
					return;
				}
			});
		};

		var searchUpline = function(){
			var val = dom.upline_user.val();

			if( !val || currentUpline == val ) return;

			currentUpline = val;

			$.ajax({
				type: 'POST',
				data: {
					upline_user: currentUpline
				},
				url: '{{ route("ajax.getUpline") }}',
				success: function( res ) {
					resetDom(2);

					if( !res.result ) {
						uplineStatus = false;
						showError('upline_user_result', res.message);
						return;
					}

					upline_user = res.upline;

					dom.upline_name.removeClass('hidden');

					dom.upline_name.html( upline_user.username + ' (#' + upline_user.user_id + ')' );

					refreshPositionSelect( upline_user.user_id );

					dom.upline_user_result.removeClass('hidden');

					uplineStatus = true;
				},
				error: function( err ) {
					resetDom(2);
					alert('Error: ' + res.message);
					return;
				}
			});
		};

    searchSponsor();
    searchUpline();

		$('#sponsor_search_btn').on('click', searchSponsor);
		$('#upline_user_search_btn').on('click', searchUpline);

		$('.select2').select2();
	});
</script>--}}
@stop