@extends('admin.layouts.default')
@section('content')
        <h3 class="page-title"> {{ $title }}
            <small></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="icon-home"></i>
                    <a href="{{ route('admin.dashboard') }}">Dashboard</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <i class="icon-users"></i>
                    <a href="{{ route('admin.users') }}">Users Manager</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span>{{ $title }}</span>
                </li>
            </ul>
            <div class="page-toolbar hidden">
                <div class="btn-group pull-right">
                    <button type="button" class="btn btn-fit-height grey-salt dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true"> Actions
                        <i class="fa fa-angle-down"></i>
                    </button>
                    <ul class="dropdown-menu pull-right" role="menu">
                        <li>
                            <a href="#">
                                <i class="icon-bell"></i> Action</a>
                        </li>
                        <li>
                            <a href="#">
                                <i class="icon-shield"></i> Another action</a>
                        </li>
                        <li>
                            <a href="#">
                                <i class="icon-user"></i> Something else here</a>
                        </li>
                        <li class="divider"> </li>
                        <li>
                            <a href="#">
                                <i class="icon-bag"></i> Separated link</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">         
                <div class="profile-sidebar">
                    <!-- PORTLET MAIN -->
                    <div class="portlet light profile-sidebar-portlet ">
                        <!-- SIDEBAR USERPIC -->
                        <div class="profile-userpic">
                            <img src="{{ asset('/clientzone/img/avatar.png') }}" class="img-responsive" alt=""> </div>
                        <!-- END SIDEBAR USERPIC -->
                        <!-- SIDEBAR USER TITLE -->
                        <div class="profile-usertitle">
                            <div class="profile-usertitle-name"> {{ $user->fullName() }} </div>
                            <div class="profile-usertitle-job">
                                @if( $user->isActivated() ) 
                                <span class="text-success"><i class="fa fa-check"></i> <span class="value">Activated</span> </span>
                                @else 
                                <span class="text-muted"><i class="fa fa-cross"></i> Not activated</span>
                                @endif
                            </div>
                            <div class="profile-userbuttons">
                                <a type="button" class="btn btn-circle red btn-sm" href="{{ route('admin.users.edit', $user->id) }}">Edit</a>
                            </div>
                        </div>
                        <!-- END SIDEBAR USER TITLE -->
                        <!-- SIDEBAR MENU -->
                        <div class="profile-usermenu">
                            <ul class="nav">
                                <li>
                                    <a href="{{ route('admin.users.view', $user->id) }}">
                                        <i class="icon-home"></i> Overview </a>
                                </li>
                                <li class="active">
                                    <a href="{{ route('admin.users.edit', $user->id) }}">
                                        <i class="fa fa-edit"></i> Edit </a>
                                </li>
                            </ul>
                        </div>
                        <!-- END MENU -->
                    </div>
                    <!-- END PORTLET MAIN -->
                </div>
                <!-- END BEGIN PROFILE SIDEBAR -->
                <div class="profile-content">
                    <div class="row">
                    <div class="col-md-12">
                        <div class="portlet light ">
                            <div class="portlet-title tabbable-line">
                                <div class="caption caption-md">
                                    <i class="icon-globe theme-font hide"></i>
                                    <span class="caption-subject font-blue-madison bold uppercase">Edit Account</span>
                                </div>
                                <ul class="nav nav-tabs">
                                <?php $tab = Session::get('tab', false); ?>
                                    @if($tab)
                                        <li @if( $tab == 'personal') class="active" @endif>
                                            <a href="#personal-info" data-toggle="tab">Personal Info</a>
                                        </li>
                                        <li @if( $tab == 'group') class="active" @endif>
                                            <a href="#user-group" data-toggle="tab">User Group</a>
                                        </li>
                                        <li @if( $tab == 'password') class="active" @endif>
                                            <a href="#change-password" data-toggle="tab">Change Password</a>
                                        </li>
                                    @else
                                        <li class="active">
                                            <a href="#personal-info" data-toggle="tab">Personal Info</a>
                                        </li>
                                        <li>
                                            <a href="#user-group" data-toggle="tab">User Group</a>
                                        </li>
                                        <li>
                                            <a href="#change-password" data-toggle="tab">Change Password</a>
                                        </li>
                                    @endif
                                </ul>
                            </div>
                            <div class="portlet-body">
                                <div class="tab-content">
                                    <!-- PERSONAL INFO TAB -->
                                    <div class="tab-pane fade @if($tab) {{ ($tab == 'personal') ? ' active in' : '' }} @else {{ ' active in' }} @endif" id="personal-info">
                                        <form role="form" action="" method="POST">
                                            <div class="form-group">
                                                <label class="control-label">First Name</label>
                                                <input type="text" class="form-control" name="first_name" value="{{ old('first_name', $user->first_name) }}" /> </div>
                                            <div class="form-group">
                                                <label class="control-label">Middle Name</label>
                                                <input type="text" class="form-control" name="middle_name" value="{{ old('middle_name', $user->middle_name) }}" /> </div>
                                            <div class="form-group">
                                                <label class="control-label">Last Name</label>
                                                <input type="text" class="form-control" name="last_name" value="{{ old('last_name', $user->last_name) }}" /> </div>
                                            <div class="form-group">
                                                <label class="control-label">Email</label>
                                                <input type="text" class="form-control" name="email" value="{{ old('email', $user->email) }}" /> </div>
                                            <div class="form-group">
                                                <label class="control-label">Country</label>
                                                <select class="form-control" name="country">
                                                    @foreach( $countries as $c )
                                                    <option value="{{ $c->id }}" @if( $c->id == $user->profile->country_id ) selected="selected"  @endif>{{ $c->name }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label">Place of Birth</label>
                                                <input type="text" class="form-control" name="place_of_birth" value="{{ old('place_of_birth', $user->profile->place_of_birth) }}" /> </div>
                                            <div class="form-group">
                                                <label class="control-label">Date of Birth</label>
                                                <input type="text" class="form-control" name="date_of_birth" value="{{ old('date_of_birth', $user->profile->date_of_birth) }}" /> </div>
                                            <div class="margiv-top-10">
                                                <input type="hidden" name="save" value="personal">
                                                <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                                <button type="submit" class="btn green"> Save Changes </button>
                                                <a href="{{ route('admin.users.view', $user->id) }}" class="btn default"> Cancel </a>
                                            </div>
                                        </form>
                                    </div>
                                    <!-- END PERSONAL INFO TAB -->
                                    <div class="tab-pane fade @if($tab) {{ ($tab == 'group') ? ' active in' : '' }} @endif" id="user-group">
                                        <form role="form" action="" method="POST">
                                            <table class="table table-light table-hover">
                                                <tbody>
                                                <?php $group_ids = $user->groups->pluck('id')->all(); ?>
                                                    @foreach( $user_groups as $ug )
                                                    <tr>
                                                        <td> {{ $ug->name }} </td>
                                                        <td>
                                                            <label class="uniform-inline" for="group_{{ $ug->id }}">
                                                            <input type="checkbox" name="groups[{{ $ug->id }}]" id="group_{{ $ug->id }}" value="1" @if( in_array($ug->id, $group_ids) ) checked @endif>
                                                            </label>
                                                        </td>
                                                    </tr>
                                                    @endforeach
                                                </tbody>
                                            </table>
                                            <div class="margin-top-10">
                                                <input type="hidden" name="save" value="group">
                                                <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                                <button type="submit" class="btn green"> Save Changes </button>
                                                <a href="{{ route('admin.users.view', $user->id) }}" class="btn default"> Cancel </a>
                                            </div>
                                        </form>
                                    </div>
                                    <!-- CHANGE PASSWORD TAB -->
                                    <div class="tab-pane fade @if($tab) {{ ($tab == 'password') ? ' active in' : '' }} @endif" id="change-password">
                                        <form role="form" action="" method="POST">
                                            <div class="form-group">
                                                <label class="control-label">New Password</label>
                                                <input type="password" name="new_password" class="form-control" /> </div>
                                            <div class="form-group">
                                                <label class="control-label">Re-type New Password</label>
                                                <input type="password" name="new_password_confirmation" class="form-control" /> </div>
                                            <div class="margin-top-10">
                                                <input type="hidden" name="save" value="password">
                                                <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                                <button type="submit" class="btn green"> Save Changes </button>
                                                <a href="{{ route('admin.users.view', $user->id) }}" class="btn default"> Cancel </a>
                                            </div>
                                        </form>
                                    </div>
                                    <!-- END CHANGE PASSWORD TAB -->
                                    <!-- PRIVACY SETTINGS TAB -->
                                    <div class="tab-pane fade @if($tab) {{ ($tab == 'privacy') ? ' active in' : '' }} @endif" id="privacy">
                                        <form role="form" action="" method="POST">
                                            <table class="table table-light table-hover">
                                                <tr>
                                                    <td> Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus.. </td>
                                                    <td>
                                                        <label class="uniform-inline">
                                                            <input type="radio" name="optionsRadios1" value="option1" /> Yes </label>
                                                        <label class="uniform-inline">
                                                            <input type="radio" name="optionsRadios1" value="option2" checked/> No </label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td> Enim eiusmod high life accusamus terry richardson ad squid wolf moon </td>
                                                    <td>
                                                        <label class="uniform-inline">
                                                            <input type="checkbox" value="" /> Yes </label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td> Enim eiusmod high life accusamus terry richardson ad squid wolf moon </td>
                                                    <td>
                                                        <label class="uniform-inline">
                                                            <input type="checkbox" value="" /> Yes </label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td> Enim eiusmod high life accusamus terry richardson ad squid wolf moon </td>
                                                    <td>
                                                        <label class="uniform-inline">
                                                            <input type="checkbox" value="" /> Yes </label>
                                                    </td>
                                                </tr>
                                            </table>
                                            <!--end profile-settings-->
                                            <div class="margin-top-10">
                                                <input type="hidden" name="save" value="privacy">
                                                <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                                <button type="submit" class="btn green"> Save Changes </button>
                                                <a href="{{ route('admin.users.view', $user->id) }}" class="btn default"> Cancel </a>
                                            </div>
                                        </form>
                                    </div>
                                    <!-- END PRIVACY SETTINGS TAB -->
                                </div>
                            </div>
                        </div>
                    </div>
                    </div>
                </div>
            </div>
        </div>
@stop
@section('style')
<link href="{{ asset('__admin/css/pages/users.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/global/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}" rel="stylesheet" type="text/css" />
@stop
@section('script')
<script src="{{ asset('__admin/global/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/scripts/pages/users.js') }}" type="text/javascript"></script>
@stop