@extends('layouts.admin')
@section('content')
	<h3 class="page-title"> {{ $title }}
        <small></small>
    </h3>
    <div class="page-bar">
        <ul class="page-breadcrumb">
            <li>
                <i class="icon-home"></i>
                <a href="{{ route('admin.home') }}">Dashboard</a>
                <i class="fa fa-angle-right"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
    </div>
    <div class="row">
        <div class="col-md-12">         
            <div class="portlet light">
                <div class="portlet-title">
                    <div class="caption"><i class="fa fa-cubes"></i> {{ $title }}</div>
                    <div class="actions">{{--<a href="{{ route('admin.auction.categories.new') }}" class="btn yellow"><i class="fa fa-plus"></i> Create</a>--}}
                    </div>
                </div>
                <div class="portlet-body">
                    <table id="datatable-kycs" class="table table-sorting table-striped table-hover table-bordered datatable">
                    </table>
                </div>
            </div>
        </div>
    </div>


    <div id="blueimp-gallery" class="blueimp-gallery blueimp-gallery-controls" data-filter=":even">
        <div class="slides"> </div>
        <h3 class="title"></h3>
        <a class="prev"> ‹ </a>
        <a class="next"> › </a>
        <a class="close white"> </a>
        <a class="play-pause"> </a>
        <ol class="indicator"> </ol>
    </div>
@stop

@section('style')
<link href="{{ asset('__admin/global/plugins/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css') }}" rel="stylesheet" type="text/css" />


<link rel="stylesheet" href="{{ asset('assets/global/plugins/blueimp/css/blueimp-gallery.css') }}">

<link rel="stylesheet" href="{{ asset('assets/global/plugins/blueimp/css/blueimp-gallery-indicator.css') }}">
<link rel="stylesheet" href="{{ asset('assets/global/plugins/blueimp/css/blueimp-gallery-video.css') }}">
@stop

@section('script')
    <script type="text/javascript" src="{{ asset('/assets/global/plugins/blueimp/js/blueimp-gallery.min.js') }}"></script>
<script src="{{ asset('__admin/global/scripts/datatable.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/datatables/datatables.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js') }}" type="text/javascript"></script>
<script type="text/javascript">
    var ajax_kycs_dt = '{{ route("admin.ajax.kycs.table") }}';
    var admin_kycs_edit = '{{ route("admin.kycs.view") }}';
    var ajax_kycs_status = '{{ route("admin.ajax.kycs.status") }}';
    var ajax_kycs_delete = '{{ route("admin.ajax.kycs.delete") }}';
    var ajax_kycs_user_verify = '{{ route("admin.ajax.kycs.verify") }}';
    var userInfoUrl = '{{ route("admin.users.popup", null) }}';
    var user_kycs = '{{ route("admin.userkycs.view", null) }}';
</script>
<script type="text/javascript" src="{{ asset('__admin/scripts/pages/kycs.js') }}"></script>
@stop