@extends('layouts.admin')
@section('content')
    <h3 class="page-title"> {{ $title }}
        <small></small>
    </h3>
    <div class="page-bar">
        <ul class="page-breadcrumb">
            <li>
                <i class="icon-home"></i>
                <a href="{{ route('admin.home') }}">Dashboard</a>
                <i class="fa fa-angle-right"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
    </div>
    <div class="row">
        <div class="col-md-12">         
            <!-- BEGIN SAMPLE TABLE PORTLET-->
            <div class="portlet light">
                <div class="portlet-title">
                    <div class="caption">
                        <i class="fa fa-edit"></i>
                        <span class="caption-subject">
                            {{ $title }}
                        </span>
                    </div>
                </div>
                <div class="portlet-body form">
                    <form class="form-horizontal" method="POST" enctype="multipart/form-data">
                        <div class="form-body">

                            <div class="form-group">
                                <label class="control-label col-md-2">User</label>
                                <div class="col-md-10">
                                    <input type="text" readonly name="user" class="form-control" id="user" placeholder="User" value="{{ old('user', $kyc->user()->first()->username) }}">
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-2">Type</label>
                                <div class="col-md-10">
                                    <input type="text" readonly name="type" class="form-control" id="type" placeholder="Type" value="{{ old('type', $kyc->type) }}">
                                </div>
                            </div>

                            {{--@foreach( Config::get('app.languages') as $key => $lang )
                                <div class="form-group @if($errors->has('translate.[{{$key}}].title')) has-error @endif">
                                    <label class="control-label col-md-2">{{$lang}} Title</label>
                                    <div class="col-md-10">
                                        <input type="text"  name="translate[{{$key}}][title]" class="form-control" id="translate[{{$key}}][title]" placeholder="{{$lang}} Title" value="{{ old('translate.$key.title', $category->translate($key)->title) }}">
                                    </div>
                                </div>
                            @endforeach--}}

                            {{--<div class="form-group @if($errors->has('status')) has-error @endif">
                                <label class="control-label col-md-2">Status</label>
                                <div class="col-md-10">
                                    <input type="checkbox" class="make-switch" data-size="small" data-on-color="success" data-on-text="ON" data-off-color="default" data-off-text="OFF" name="status" value="1" @if( $category->status == 1 ) checked @endif>
                                </div>
                            </div>--}}



                            <div class="form-group @if($errors->has('status')) has-error @endif">
                                <label class="control-label col-md-2">Status</label>
                                <div class="col-md-10">
                                    <select name="status" class="form-control select2" id="status">
                                        <option value="0">Pending</option>
                                        <option value="1">Approved</option>
                                        <option value="1">Rejected</option>
                                    </select>
                                </div>
                            </div>
                            
                        </div>

                        <input type="hidden" name="_token" value="{{ csrf_token() }}">


                        <div class="row">
                            <div class="col-md-offset-2 col-md-10">
                                <div class="item-images" id="image-links">
                                    <a href="{{ $kyc->getImagePathAttribute() }}" class="main" title="{{ 'Image_' . $kyc->id }}" data-unique-id="{{ $kyc->id }}" data-gallery>
                                        <img src="{{ $kyc->getImagePathAttribute() }}">
                                    </a>
                                </div>
                            </div>
                        </div>

                        <div class="form-actions">
                            <div class="row">
                                <div class="col-md-offset-2 col-md-10">
                                    <button type="submit" class="btn yellow">
                                        <i class="fa fa-floppy-o"></i> Save
                                    </button>
                                    <a href="{{ route('admin.kycs') }}" class="btn default">Cancel</a>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <!-- END SAMPLE TABLE PORTLET-->
        </div>
    </div>
            <div id="blueimp-gallery" class="blueimp-gallery blueimp-gallery-controls" data-filter=":even">
                <div class="slides"> </div>
                <h3 class="title"></h3>
                <a class="prev"> ‹ </a>
                <a class="next"> › </a>
                <a class="close white"> </a>
                <a class="play-pause"> </a>
                <ol class="indicator"> </ol>
            </div>
            <!-- BEGIN JAVASCRIPTS(Load javascripts at bottom, this will reduce page load time) -->

@stop


@section('style')
    <link rel="stylesheet" href="{{ asset('assets/global/plugins/blueimp/css/blueimp-gallery.css') }}">

    <link rel="stylesheet" href="{{ asset('assets/global/plugins/blueimp/css/blueimp-gallery-indicator.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/global/plugins/blueimp/css/blueimp-gallery-video.css') }}">
    {{--<link rel="stylesheet" type="text/css" href="{{ asset('/assets/global/plugins/slick/slick.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('/assets/global/plugins/slick/slick-theme.css') }}">--}}
    <link href="{{ asset('assets/global/plugins/bootstrap-modal/css/bootstrap-modal-bs3patch.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('assets/global/plugins/bootstrap-modal/css/bootstrap-modal.css') }}" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="{{ asset('assets/css/pages/auction.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/global/plugins/blueimp/css/blueimp-gallery.css') }}">
@endsection

@section('script')
    <script src="//cdn.tinymce.com/4/tinymce.min.js"></script>
    <script type="text/javascript" src="{{ asset('/assets/global/plugins/blueimp/js/blueimp-gallery.min.js') }}"></script>
    <script src="{{ asset('assets/global/plugins/bootstrap-modal/js/bootstrap-modalmanager.js') }}" type="text/javascript"></script>
    <script src="{{ asset('assets/global/plugins/bootstrap-modal/js/bootstrap-modal.js') }}" type="text/javascript"></script>
<script type="text/javascript" src="{{ asset('__admin/scripts/pages/kycs-edit.js') }}"></script>
@stop