<ul class="nav nav-tabs">
  <?php $tab = Session::get('tab'); ?>
		@if($tab)
				<li @if( $tab == 'personal') class="active" @endif>
            <a href="#personal-info" data-toggle="tab">Personal Info</a>
        </li>
        <li @if( $tab == 'account') class="active" @endif>
            <a href="#account" data-toggle="tab">Account Info</a>
        </li>
        <li @if( $tab == 'groups') class="active" @endif>
            <a href="#groups" data-toggle="tab">Groups</a>
        </li>
        <li @if( $tab == 'password') class="active" @endif>
            <a href="#change-password" data-toggle="tab">Change Password</a>
        </li>
        <li @if( $tab == 'status') class="active" @endif>
            <a href="#status" data-toggle="tab">Status</a>
        </li>
			@else
        <li class="active">
            <a href="#personal-info" data-toggle="tab">Personal Info</a>
        </li>
        <li>
            <a href="#account" data-toggle="tab">Account Info</a>
        </li>
        <li>
            <a href="#groups" data-toggle="tab">Groups</a>
        </li>
        <li>
            <a href="#change-password" data-toggle="tab">Change Password</a>
        </li>
        <li>
            <a href="#status" data-toggle="tab">Status</a>
        </li>
      @endif
  </ul>
</div>
<div class="portlet-body">
    <div class="tab-content">
        <!-- PERSONAL INFO TAB -->
        <div class="tab-pane fade @if(isset($tab)) {{ (Session::get('tab') == 'personal') ? ' active in' : '' }} @else {{ ' active in' }} @endif" id="personal-info">
            <form role="form" action="" method="POST">
              <div class="form-group">
                  <label class="control-label" for="first_name">First Name</label>
                  <input type="text" placeholder="John" class="form-control" id="first_name" name="first_name" value="{{ $member->first_name }}" />
              </div>
              <div class="form-group">
                  <label class="control-label" for="last_name">Last Name</label>
                  <input type="text" placeholder="Doe" class="form-control" id="last_name" name="last_name" value="{{ $member->last_name }}" />
              </div>
              <div class="form-group">
                  <label class="control-label" for="gender">Gender</label>
                  <select class="form-control" name="gender">
                  	<option value="1" @if( $member->profile->gender == 1 ) selected="selected" @endif>Male</option>
                  	<option value="2" @if( $member->profile->gender == 2 ) selected="selected" @endif>Female</option>
                  </select>
              </div>
            	<hr />
            		<div class="form-group">
                    <label class="control-label" for="country">Country</label>
                    <select class="form-control" name="country" id="country">
                    	@foreach( $countries as $c )
                    	<option value="{{ $c->id }}" @if( $c->id == $member->profile->country_id ) selected="selected" @endif>{{ $c->name }}</option>
                    	@endforeach
                    </select>
                </div>
                <div class="form-group">
                    <label class="control-label" for="zip">Zip</label>
                    <input type="text" placeholder="98057" class="form-control" id="zip" name="zip" value="{{ $member->profile->zip }}" />
                </div>
                <div class="form-group">
                    <label class="control-label" for="state">State</label>
                    <input type="text" placeholder="Washington" class="form-control" id="state" name="state" value="{{ $member->profile->state }}" />
                </div>
                <div class="form-group">
                    <label class="control-label" for="city">City</label>
                    <input type="text" placeholder="Renton" class="form-control" id="city" name="city" value="{{ $member->profile->city }}" />
                </div>
                <div class="form-group">
                    <label class="control-label" for="address">Address</label>
                    <input type="text" placeholder="536 Wells Ave S" class="form-control" id="address" name="address" value="{{ $member->profile->address }}" />
                </div>

                <hr>

                <div class="form-group">
                    <label class="control-label" for="birth_date">Birth Date</label>
                    <input type="text" placeholder="1987-01-01" class="form-control date-picker" id="birth_date" name="birth_date" value="{{ $member->profile->birth_date }}" />
                </div>

                <div class="form-group">
                	<label class="control-label" for="phone">Phone Number</label>
                	<input type="text" placeholder="123456789" class="form-control" id="phone" name="phone" value="{{ $member->profile->phone }}" />
                </div>

                <div class="margiv-top-10">
                	<input type="hidden" name="save" value="personal">
                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                    <button type="submit" class="btn yellow"> Save Changes </button>
                    <a href="{{ route('admin.users.popup', [$member->id, 'details']) }}" class="btn default"> Cancel </a>
                </div>
            </form>
        </div>
        <div class="tab-pane fade @if($tab) {{ ($tab == 'groups') ? ' active in' : '' }} @endif" id="groups">
            <form role="form" action="" method="POST">
                <table class="table table-light table-hover">
                    <tbody>
                        @foreach( $user_groups as $ug )
                        <tr>
                            <td> {{ $ug->name }} </td>
                            <td>
                                <label class="uniform-inline" for="group_{{ $ug->id }}">
                                <input type="checkbox" name="groups[{{ $ug->id }}]" id="group_{{ $ug->id }}" value="1" @if( $member->hasRole($ug->name) ) checked @endif>
                                </label>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
                <div class="margin-top-10">
                    <input type="hidden" name="save" value="groups">
                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                    <button type="submit" class="btn yellow"> Save Changes </button>
                    <a href="{{ route('admin.users.popup', [$member->id, 'details']) }}" class="btn default"> Cancel </a>
                </div>
            </form>
        </div>
        <!-- END PERSONAL INFO TAB -->
        <div class="tab-pane fade @if(isset($tab)) {{ (Session::get('tab') == 'account') ? ' active in' : '' }} @endif" id="account">
            <form role="form" action="" method="POST">
            		<div class="form-group">
                    <label class="control-label" for="username">Username</label>
                    <input type="text" placeholder="username" class="form-control" id="username" name="username" value="{{ $member->username }}" />
                </div>
                <div class="form-group">
                    <label class="control-label" for="email">Email</label>
                    <input type="text" placeholder="me@user.com" class="form-control" id="email" name="email" value="{{ $member->email }}" />
                </div>

                <div class="form-group">
                    <label class="control-label">
                        <input type="checkbox" name="activated" id="activated" value="1"  @if(!is_null($member->activated_at)) checked="checked" @endif />
                        Email Verified
                    </label>
                </div>




                <!--end profile-settings-->
                <div class="margin-top-10">
                    <input type="hidden" name="save" value="account">
										<input type="hidden" name="_token" value="{{ csrf_token() }}">
                    <button type="submit" class="btn yellow"> Save Changes </button>
                    <a href="{{ route('admin.users.popup', [$member->id, 'details']) }}" class="btn default"> Cancel </a>
                </div>
            </form>
        </div>
        <!-- CHANGE PASSWORD TAB -->
        <div class="tab-pane fade @if(isset($tab)) {{ (Session::get('tab') == 'password') ? ' active in' : '' }} @endif" id="change-password">
            <form role="form" action="" method="POST">
                <div class="form-group">
                    <label class="control-label" for="new_password">New Password</label>
                    <input type="password" name="password" id="new_password" class="form-control" /> </div>
                <div class="form-group">
                    <label class="control-label" for="new_password_confirmation">Re-type New Password</label>
                    <input type="password" name="password_confirmation" id="new_password_confirmation" class="form-control" /> </div>

                <hr />

                <div class="form-group">
                    <label class="control-label" for="new_secondary_password">New Secondary Password</label>
                    <input type="password" name="secondary_password" id="new_secondary_password" class="form-control" /> </div>

                <div class="form-group">
                    <label class="control-label" for="new_secondary_password_confirmation">Re-type New Secondary Password</label>
                    <input type="password" name="secondary_password_confirmation" id="new_secondary_password_confirmation" class="form-control" /> </div>
                <div class="margin-top-10">
                    <input type="hidden" name="save" value="password">
                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                    <button type="submit" class="btn yellow"> Save Changes </button>
                    <a href="{{ route('admin.users.popup', [$member->id, 'details']) }}" class="btn default"> Cancel </a>
                </div>
            </form>
        </div>
        <div class="tab-pane fade @if($tab) {{ ($tab == 'status') ? ' active in' : '' }} @endif" id="status">
            <form role="form" action="" method="POST">
                <table class="table table-light table-hover">
                    <tr>
                        <td>Frozen</td>
                        <td>
                            <label class="uniform-inline">
                                <input type="checkbox" name="frozen" value="1" @if($member->frozen) checked="checked" @endif  />
                                Yes
                            </label>
                        </td>
                    </tr>
                    <tr>
                        <td>Suspended</td>
                        <td>
                            <label class="uniform-inline">
                                <input type="checkbox" name="suspended" id="suspended" value="1"  @if($member->suspended) checked="checked" @endif />
                                Yes
                            </label>
                        </td>
                    </tr>
                    <tr>
                        <td>Suspension ends</td>
                        <td>
                            <div class='input-group date col-lg-2' id='suspension-end'>
                                <input type='text' class="form-control" name='suspension-end-date' id='suspension-end-date' disabled="disabled" value="{{$member->suspension_end }}" />
                                <span class="input-group-addon">
                                    <span class="glyphicon glyphicon-calendar"></span>
                                </span>
                            </div>
                        </td>
                    </tr>
                </table>
                <div class="margin-top-10">
                    <input type="hidden" name="save" value="status">
                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                    <button type="submit" class="btn yellow"> Save Changes </button>
                    <a href="{{ route('admin.users.popup', [$member->id, 'details']) }}" class="btn default"> Cancel </a>
                </div>
            </form>
        </div>

@section('style')
<link href="{{ asset('__admin/global/plugins/bootstrap-daterangepicker/daterangepicker-bs3.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/global/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}" rel="stylesheet" type="text/css" />
@stop

@section('script')
<script src="{{ asset('__admin/global/plugins/bootstrap-daterangepicker/moment.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/bootstrap-daterangepicker/daterangepicker.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}" type="text/javascript"></script>
<script type="text/javascript">
	$(document).ready(function(){
		$('.date-picker').datepicker({
      orientation: "left",
      autoclose: true,
      format: 'yyyy-mm-dd'
    });

    //Suspension end check

    if($('#suspended').is('checked') === '1') {
        $('#suspension-end').datepicker({
            format: 'mm/dd/yyyy',
            minDate: '01/01/2012',
            maxDate: '12/31/2018'
        });
        $('#suspension-end-date').prop('disabled', false);
    }

    $(document).on('change', '#suspended', function() {
        if($('#suspended').prop('checked')) {
            if($("#suspension-end").data("datepicker") == undefined) {
                $('#suspension-end-date').prop('disabled', false);

                $('#suspension-end').datepicker({
                    format: 'mm/dd/yyyy',
                    minDate: '01/01/2012',
                    maxDate: '12/31/2018'
                });
            }
        } else {
            if($('#suspension-end').data('datepicker') != undefined) {
                $('#suspension-end-date').attr('value', '');
                $('#suspension-end-date').prop('disabled', true);

                $('#suspension-end').datepicker('remove');
            }
        }
    });
	});
</script>
@stop
