<div class="row">
	<div class="col-md-4 col-md-offset-4" style="margin-bottom:30px;">
		<a class="btn yellow" href="{{ route('admin.users.popup', [$member->id, 'details-edit']) }}">Edit</a>
	@if( $member->isActivated() )
		<a class="btn grey" href="{{ route('admin.users.changeStatus', [$member->id, 'unactivate']) }}">Unactivate</a>
	@else
		<a class="btn grey-mint" href="{{ route('admin.users.changeStatus', [$member->id, 'activate']) }}">Activate</a>
	@endif
		<a class="btn yellow" href="{{ route('admin.users.new-password', [$member->id]) }}">New Password</a>
		<a class="btn red" href="{{ route('admin.users.delete', [$member->id]) }}">Delete</a>
	</div>
</div>

<div class="row">
	<div class="col-md-3">
		<div class="user-info-left">
			<img src="{{ asset('avatars/avatar.png') }}" alt="Profile Picture" style="max-width:200px;max-height:200px;" />
			<h2>{{ $member->fullName() }}</h2>
		</div>
	</div>
	<div class="col-md-9">
		<div class="user-info-right">
			<div class="basic-info">
				<h3><i class="fa fa-square"></i> Basic Information</h3>
				<p class="data-row">
					<span class="data-name"><b>ID:</b></span>
					<span class="data-value">{{ $member->id }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>Username:</b></span>
					<span class="data-value">{{ $member->username }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>First name:</b></span>
					<span class="data-value">{{ $member->first_name }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>Middle name:</b></span>
					<span class="data-value">{{ $member->middle_name }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>Last name:</b></span>
					<span class="data-value">{{ $member->last_name }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>Birth Date:</b></span>
					<span class="data-value">{{ \App\Models\Date::format($member->profile->birth_date) }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>Status:</b></span>
					<span class="data-value">@if( $member->isActivated() ) Activeted @else Unactivated @endif</span>
				</p>
				{{--<p class="data-row">
					<span class="data-name"><b>Gender</b></span>
					<span class="data-value">{{ $member->profile->gender }}</span>
				</p>--}}
				<p class="data-row">
					<span class="data-name"><b>Last Login:</b></span>
					<span class="data-value">{{ \App\Models\Date::ago($member->last_login) }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>Last Update:</b></span>
					<span class="data-value">{{ $member->updated_at }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>Date Joined:</b></span>
					<span class="data-value">{{ $member->created_at }}</span>
				</p>
				{{--<p class="data-row">
					<span class="data-name">Sponsor ID</span>
					<span class="data-value">{{ $member->sponsor_code }}</span>
				</p>--}}
			</div>
			<hr />
			<div class="contact_info">
				<h3><i class="fa fa-square"></i> Contact Information</h3>
				<p class="data-row">
					<span class="data-name"><b>Email:</b></span>
					<span class="data-value">{{ $member->email }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>Phone</b></span>
					<span class="data-value">{{ $member->profile->phone }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>Address</b></span>
					<span class="data-value">{{ $member->profile->address }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>City</b></span>
					<span class="data-value">{{ $member->profile->city }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>State/Province</b></span>
					<span class="data-value">{{ $member->profile->state }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>Zip</b></span>
					<span class="data-value">{{ $member->profile->zip }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>Country</b></span>
					<span class="data-value">{{ ( !is_null( $member->profile->country ) ) ? $member->profile->country->name : '' }}</span>
				</p>
			</div>
		</div>
	</div>
</div>
