@extends('layouts.admin')
@section('content')
	<h3 class="page-title"> {{ $title }}
        <small></small>
    </h3>
    <div class="page-bar">
        <ul class="page-breadcrumb">
            <li>
                <i class="icon-home"></i>
                <a href="{{ route('admin.home') }}">Dashboard</a>
                <i class="fa fa-angle-right"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
    </div>
   
 
<div class="row">

  
	<div class="col-md-5">
		<div class="user-info-right">
			<div class="basic-info">
           
                <h3><i class="fa fa-square"></i> Basic Information</h3>
                <p class="data-row">
					<span class="data-name"><b>KYC status:</b></span>
                    <span class="data-value">{{ $kycText }}</span>
                    @if($user->kyc_pending==1)
                     <button class="btn btn-success btn-sm verifyBtn" id="verify" style="margin-right:10px; float: right;" data-action="2" data-id="{{$user->id}}"><i class="fa fa-check"></i> Verify User </button>
                    @endif
				</p>
                <p class="data-row">
					<span class="data-name"><b>Full Name:</b></span>
					<span class="data-value">{{ $user->fullName() }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>Username:</b></span>
					<span class="data-value">{{ $user->username }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>First name:</b></span>
					<span class="data-value">{{ $user->first_name }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>Middle name:</b></span>
					<span class="data-value">{{ $user->middle_name }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>Last name:</b></span>
					<span class="data-value">{{ $user->last_name }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>Birth Date:</b></span>
					<span class="data-value">{{ \App\Models\Date::format($user->profile->birth_date) }}</span>
				</p>


				<p class="data-row">
					<span class="data-name"><b>Last Update:</b></span>
					<span class="data-value">{{ $user->updated_at }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>Date Joined:</b></span>
					<span class="data-value">{{ $user->created_at }}</span>
				</p>
				{{--<p class="data-row">
					<span class="data-name">Sponsor ID</span>
					<span class="data-value">{{ $user->sponsor_code }}</span>
                </p>--}}
                
			</div>
            </div>
            </div>
            <div class="col-md-5">

                <div class="contact_info">
				<h3><i class="fa fa-square"></i> Contact Information</h3>
				<p class="data-row">
					<span class="data-name"><b>Email:</b></span>
					<span class="data-value">{{ $user->email }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>Phone</b></span>
					<span class="data-value">{{ $user->profile->phone }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>Address</b></span>
					<span class="data-value">{{ $user->profile->address }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>City</b></span>
					<span class="data-value">{{ $user->profile->city }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>State/Province</b></span>
					<span class="data-value">{{ $user->profile->state }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>Zip</b></span>
					<span class="data-value">{{ $user->profile->zip }}</span>
				</p>
				<p class="data-row">
					<span class="data-name"><b>Country</b></span>
					<span class="data-value">{{ ( !is_null( $user->profile->country ) ) ? $user->profile->country->name : '' }}</span>
				</p>
			
                </div>
            </div>   
            

            <div class="col-xs-9">
                <div class="images-list">   
                    @foreach( $images as $image )
                    
                    <a href="{{ $image->document_location }}" title="{{ 'Image_' . $image->id }}" data-unique-id="{{ $image->id }}" data-gallery>
                        <img src="{{ $image->document_location }}">
                    </a>
                    @endforeach
                </div>
            </div>
        
			
		</div>
	</div>
</div>

@stop

@section('style')
<link href="{{ asset('__admin/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css') }}" rel="stylesheet" type="text/css" />
<link rel="stylesheet" href="{{ asset('assets/global/plugins/blueimp/css/blueimp-gallery.css') }}">
<link rel="stylesheet" href="{{ asset('assets/global/plugins/blueimp/css/blueimp-gallery-indicator.css') }}">
<link rel="stylesheet" href="{{ asset('assets/global/plugins/blueimp/css/blueimp-gallery-video.css') }}">
<link rel="stylesheet" href="{{ asset('assets/global/plugins/blueimp/css/blueimp-gallery.css') }}">
<link rel="stylesheet" href="{{ asset('assets/global/plugins/blueimp/css/blueimp-gallery-indicator.css') }}">
<link rel="stylesheet" href="{{ asset('assets/global/plugins/blueimp/css/blueimp-gallery-video.css') }}">
<link href="{{ asset('assets/global/plugins/bootstrap-modal/css/bootstrap-modal-bs3patch.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/bootstrap-modal/css/bootstrap-modal.css') }}" rel="stylesheet" type="text/css" />
<link rel="stylesheet" href="{{ asset('assets/css/pages/auction.css') }}">
<link rel="stylesheet" href="{{ asset('assets/global/plugins/blueimp/css/blueimp-gallery.css') }}">
@endsection

@section('script')
<script type="text/javascript" src="{{ asset('/assets/global/plugins/blueimp/js/blueimp-gallery.min.js') }}"></script>
<script src="{{ asset('__admin/global/scripts/datatable.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/datatables/datatables.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js') }}" type="text/javascript"></script>
<script type="text/javascript">

    var admin_kycs = '{{ route("admin.kycs") }}';
    var ajax_kycs_user_verify = '{{ route("admin.ajax.kycs.verify") }}';

</script>
<script type="text/javascript" src="{{ asset('__admin/scripts/pages/user-kycs.js') }}"></script>
<script type="text/javascript" src="{{ asset('/assets/global/plugins/blueimp/js/blueimp-gallery.min.js') }}"></script>

@stop