@extends('admin.layouts.default')
@section('content')
        <h3 class="page-title"> {{ $title }}
            <small></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="icon-home"></i>
                    <a href="{{ route('admin.dashboard') }}">Dashboard</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <i class="icon-users"></i>
                    <a href="{{ route('admin.users') }}">Users Manager</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span>{{ $title }}</span>
                </li>
            </ul>
            <div class="page-toolbar hidden">
                <div class="btn-group pull-right">
                    <button type="button" class="btn btn-fit-height grey-salt dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true"> Actions
                        <i class="fa fa-angle-down"></i>
                    </button>
                    <ul class="dropdown-menu pull-right" role="menu">
                        <li>
                            <a href="#">
                                <i class="icon-bell"></i> Action</a>
                        </li>
                        <li>
                            <a href="#">
                                <i class="icon-shield"></i> Another action</a>
                        </li>
                        <li>
                            <a href="#">
                                <i class="icon-user"></i> Something else here</a>
                        </li>
                        <li class="divider"> </li>
                        <li>
                            <a href="#">
                                <i class="icon-bag"></i> Separated link</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">         
                <div class="profile-sidebar">
                    <!-- PORTLET MAIN -->
                    <div class="portlet light profile-sidebar-portlet ">
                        <!-- END SIDEBAR USERPIC -->
                        <!-- SIDEBAR USER TITLE -->
                        <div class="profile-usertitle">
                            <div class="profile-usertitle-name"> {{ $user->fullName() }} </div>
                            <div class="profile-usertitle-job">
                                @if( $user->isActivated() ) 
                                <span class="text-success"><i class="fa fa-check"></i> <span class="value">Activated</span> </span>
                                @else 
                                <span class="text-muted"><i class="fa fa-cross"></i> Not activated</span>
                                @endif
                            </div>
                            <div class="profile-userbuttons">
                                <a type="button" class="btn btn-circle red btn-sm" href="{{ route('admin.users.edit', $user->id) }}">Edit</a>
                            </div>
                        </div>
                        <!-- END SIDEBAR USER TITLE -->
                        <!-- SIDEBAR MENU -->
                        <div class="profile-usermenu">
                            <ul class="nav">
                                <li class="active">
                                    <a href="{{ route('admin.users.view', $user->id) }}">
                                        <i class="icon-home"></i> Overview </a>
                                </li>
                                <li>
                                    <a href="{{ route('admin.users.edit', $user->id) }}">
                                        <i class="fa fa-edit"></i> Edit </a>
                                </li>
                            </ul>
                        </div>
                        <!-- END MENU -->
                    </div>
                    <!-- END PORTLET MAIN -->
                </div>
                <!-- END BEGIN PROFILE SIDEBAR -->
            <div class="profile-content">
                <div class="row">
                    <div class="col-md-12">         
                        <!-- BEGIN SAMPLE TABLE PORTLET-->
                        <div class="portlet light">
                            <div class="portlet-title">
                                <div class="caption">
                                    <span class="caption-subject font-green bold uppercase">
                                        {{ $title }}
                                    </span>
                                </div>
                                <div class="actions">
                                    <a href="{{ route('admin.users.edit', $user->id) }}" class="btn btn-primary green"><i class="fa fa-edit"></i> Edit</a>
                                </div>
                            </div>
                            <div class="portlet-body">
                                <div class="row static-info">
                                    <div class="col-md-5 name"> First name</div>
                                    <div class="col-md-7 value"> {{ $user->first_name }}</div>
                                </div>
                                <div class="row static-info">
                                    <div class="col-md-5 name"> Middle name</div>
                                    <div class="col-md-7 value"> {{ $user->middle_name }}</div>
                                </div>
                                <div class="row static-info">
                                    <div class="col-md-5 name"> Last name</div>
                                    <div class="col-md-7 value"> {{ $user->last_name }}</div>
                                </div>
                                <div class="row static-info">
                                    <div class="col-md-5 name"> Email</div>
                                    <div class="col-md-7 value"> {{ $user->email }}</div>
                                </div>
                                <div class="row static-info">
                                    <div class="col-md-5 name"> Country: </div>
                                    <div class="col-md-7 value"> {{ $user->profile->country->name }} </div>
                                </div>
                                <div class="row static-info">
                                    <div class="col-md-5 name"> Birth Date</div>
                                    <div class="col-md-7 value"> {{ $user->profile->date_of_birth }}</div>
                                </div>
                                <div class="row static-info">
                                    <div class="col-md-5 name"> Place Date</div>
                                    <div class="col-md-7 value"> {{ $user->profile->place_of_birth }}</div>
                                </div>
                            </div>
                        </div>
                        <!-- END SAMPLE TABLE PORTLET-->
                    </div>
                </div>
            </div>
@stop
@section('style')
<link href="{{ asset('__admin/css/pages/users.css') }}" rel="stylesheet" type="text/css" />
@stop
@section('script')
<script src="{{ asset('__admin/scripts/pages/users.js') }}" type="text/javascript"></script>
@stop