@extends('admin.layouts.default')

@section('content')

@include('admin.videos.edit-shared')

<div class="row">
    <div class="col-md-12">
        <div class="portlet light">
            <div class="portlet-title">
                <div class="caption">
                    <i class="fa fa-commenting"></i>Details
                </div>
            </div>
            <div class="portlet-body form" id="stepBox_2">
                <form method="post" action="" autocomplete="off" class="horizontal-form">
                    <div class="form-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-body">

                                <ul class="nav nav-tabs">
                                    <li class="active">
                                        <a href="#langtab_hu" data-toggle="tab"> Hungarian </a>
                                    </li>
                                    <li>
                                        <a href="#langtab_en" data-toggle="tab"> English </a>
                                    </li>
                                    <li>
                                        <a href="#langtab_de" data-toggle="tab"> Deutch </a>
                                    </li>
                                </ul>
                                <div class="tab-content">
                                    <div class="tab-pane active" id="langtab_hu">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group @if($errors->has('title_hu')) has-error @endif">
                                                    <label for="title" class="control-label">Title</label>
                                                    <input type="text" id="title" class="form-control" placeholder="Title" name="title_hu" value="{{ $video->title_hu }}">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group @if($errors->has('description_hu')) has-error @endif">
                                                    <label class="col-sm-2 control-label" for="status">Description</label>
                                                    <textarea class="form-control tinyeditor" placeholder="Description" name="description_hu" rows="10">{{ $video->description_hu }}</textarea>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="tab-pane" id="langtab_en">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group @if($errors->has('title_en')) has-error @endif">
                                                    <label for="title" class="control-label">Title</label>
                                                    <input type="text" id="title" class="form-control" placeholder="Title" name="title_en" value="{{ $video->title_en }}">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group @if($errors->has('description_en')) has-error @endif">
                                                    <label class="col-sm-2 control-label" for="status">Description</label>
                                                    <textarea class="form-control tinyeditor" placeholder="Description" name="description_en" rows="10">{{ $video->description_en }}</textarea>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="tab-pane" id="langtab_de">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group @if($errors->has('title_de')) has-error @endif">
                                                    <label for="title" class="control-label">Title</label>
                                                    <input type="text" id="title" class="form-control" placeholder="Title" name="title_de" value="{{ $video->title_de }}">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group @if($errors->has('description_de')) has-error @endif">
                                                    <label class="col-sm-2 control-label" for="status">Description</label>
                                                    <textarea class="form-control tinyeditor" placeholder="Description" name="description_de" rows="10">{{ $video->description_de }}</textarea>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group @if($errors->has('fps')) has-error @endif">
                                    <label for="fps" class="control-label">Fps</label>
                                    <input type="text" id="fps" class="form-control" placeholder="Fps" name="fps" value="{{ $video->fps }}">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group @if($errors->has('length')) has-error @endif">
                                    <label for="length" class="control-label">Length</label>
                                    <input type="text" id="length" class="form-control" placeholder="Length" name="length" value="{{ $video->length }}">
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group @if($errors->has('width')) has-error @endif">
                                    <label for="width" class="control-label">Width</label>
                                    <input type="text" id="width" class="form-control" placeholder="Width" name="width" value="{{ $video->width }}">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group @if($errors->has('height')) has-error @endif">
                                    <label for="height" class="control-label">Height</label>
                                    <input type="text" id="height" class="form-control" placeholder="Height" name="height" value="{{ $video->height }}">
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group @if($errors->has('free')) has-error @endif">
                                    <label class="control-label" for="free">Free</label>
                                    <label class="control-inline fancy-checkbox">
                                        <input type="checkbox" value="1" @if( $video->free ) checked @endif name="free" id="free">
                                        <span></span>
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group @if($errors->has('period')) has-error @endif">
                                    <label for="period" class="control-label">Period</label>
                                    <input type="text" id="period" class="form-control" placeholder="Period" name="period" value="{{ $video->period }}">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group @if($errors->has('price')) has-error @endif">
                                    <label for="price" class="control-label">Price</label>
                                    <input type="text" id="price" class="form-control" placeholder="Price" name="price" value="{{ $video->price }}">
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group @if($errors->has('status')) has-error @endif">
                                    <label class="control-label" for="status">Status</label>
                                    <label class="control-inline fancy-checkbox">
                                        <input type="checkbox" value="1" @if( $video->status ) checked @endif name="status" id="status">
                                        <span>Live</span>
                                    </label>
                                </div>
                            </div>
                        </div>


                    </div>

                    <div class="form-actions">
                        <a href="#" data-step="2" class="btn default prevStep"><i class="fa fa-arrow-left"></i> Back</a>
                        <input type="hidden" name="section" value="details">
                        <button data-step="2" class="btn green nextStep">Save <i class="fa fa-arrow-right"></i></button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

@include('admin.videos.edit-footer')

@stop