@extends('admin.layouts.default')

@section('content')

@include('admin.videos.edit-shared')

<div class="row">
    <div class="col-md-12">
        <div class="portlet light">
            <div class="portlet-title">
                <div class="caption">
                    <i class="fa fa-file"></i>Files
                </div>
            </div>
            <div class="portlet-body form" id="stepBox_5">
                <div class="row">
                    <div class="col-md-6">
                        <h4>Video File</h4>
                        <div class="uploads-wrapper">
                            <div class="uploads-container" data-type="video">
                                @if( $video->videoFile != '' || $video->videoFile !== NULL )
                                <div class="block" data-id="{{ $video->id }}"><div class="filename">{{ $video->videoFile_original }}</div><div class="cancelButton">x</div></div>
                                @endif
                            </div>
                            <input type="file" id="videoUpload" data-id="videoUpload" name="file">
                        </div>
                    </div>
                    <div class="col-md-6">
                        <h4>Thumbnail</h4>
                        <div class="uploads-wrapper">
                            <div class="uploads-container" data-type="thumbnail">
                                @if( $video->thumbnailFile != '' || $video->thumbnailFile !== NULL )
                                    <div class="block" data-id="{{ $video->id }}"><div class="filename">{{ $video->thumbnailFile_original }}</div><div class="cancelButton">x</div></div>
                                @endif
                            </div>
                            <input type="file" id="thumbnailUpload" data-id="thumbnailUpload" name="file">
                        </div>
                    </div>
                </div>
                <hr />
                <div class="row">
                    <h4>Audio Files</h4>
                    @foreach( Config::get('app.languages') as $lang )
                            <div class="col-md-4">
                                <h5>{{ $lang }}</h5>
                                <div class="uploads-wrapper">
                                    <div class="uploads-container" data-type="audio" data-lang="{{ $lang }}">
                                        @foreach( $video->audios as $va )
                                            @if( $va->language == $lang )
                                            <div class="block" data-id="{{ $va->id }}"><div class="filename">{{ $va->original_filename }}</div><div class="cancelButton">x</div></div>
                                            @endif
                                        @endforeach
                                    </div>
                                    <input type="file" id="audioUpload" data-id="audioUpload_{{ $lang }}" name="file">
                                </div>
                            </div>
                        @endforeach
                </div>

                <div class="form-actions">
                    <a href="#" data-step="5" class="btn default prevStep"><i class="fa fa-arrow-left"></i> Back</a>
                    <form action="" method="POST" id="formSave" name="formSave">
                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                        <input type="hidden" name="video_filename" value="" id="video_filename">
                        <input type="hidden" name="video_original_filename" value="" id="video_original_filename">
                        <input type="hidden" name="thumbnail_filename" value="" id="thumbnail_filename">
                        <input type="hidden" name="thumbnail_original_filename" value="" id="thumbnail_original_filename">
                        @foreach(Config::get('app.languages') as $lang)
                            <input type="hidden" name="audio_filename_{{ $lang }}" value="" id="audio_filename_{{ $lang }}">
                            <input type="hidden" name="audio_original_filename_{{ $lang }}" value="" id="audio_original_filename_{{ $lang }}">
                        @endforeach
                        <input type="hidden" name="section" value="files">
                        <button type="submit" data-step="3" class="btn green">Next <i class="fa fa-arrow-right"></i></button>
                    </form>
                </div>

            </div>
        </div>
    </div>
</div>

@include('admin.videos.edit-footer')

@stop