@extends('admin.layouts.default')

@section('content')
    <h3 class="page-title"> {{ $title }}
        <small></small>
    </h3>
    <div class="page-bar">
        <ul class="page-breadcrumb">
            <li>
                <i class="icon-home"></i>
                <a href="{{ route('admin.dashboard') }}">Dashboard</a>
                <i class="fa fa-angle-right"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
        <div class="page-toolbar hidden">
            <div class="btn-group pull-right">
                <button type="button" class="btn btn-fit-height grey-salt dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true"> Actions
                    <i class="fa fa-angle-down"></i>
                </button>
                <ul class="dropdown-menu pull-right" role="menu">
                    <li>
                        <a href="#">
                            <i class="icon-bell"></i> Action</a>
                    </li>
                    <li>
                        <a href="#">
                            <i class="icon-shield"></i> Another action</a>
                    </li>
                    <li>
                        <a href="#">
                            <i class="icon-user"></i> Something else here</a>
                    </li>
                    <li class="divider"> </li>
                    <li>
                        <a href="#">
                            <i class="icon-bag"></i> Separated link</a>
                    </li>
                </ul>
            </div>
        </div>
    </div>

    <!-- Details -->
    <div class="row">
        <div class="col-md-12">
            <div class="portlet light">
                <div class="portlet-title">
                    <div class="caption">
                        <i class="fa fa-envelope"></i>{{ $title }}
                    </div>
                </div>
                <div class="portlet-body form">
                    <form class="horizontal-form" method="post" action="" autocomplete="off" id="createVideo">
                        <div class="form-body">

                        <div class="row">
                            <div class="col-md-12">
                                <ul class="nav nav-tabs">
                                    <li class="active">
                                        <a href="#langtab_hu" data-toggle="tab"> Hungarian </a>
                                    </li>
                                    <li>
                                        <a href="#langtab_en" data-toggle="tab"> English </a>
                                    </li>
                                    <li>
                                        <a href="#langtab_de" data-toggle="tab"> Deutch </a>
                                    </li>
                                </ul>
                                <div class="tab-content">
                                    <div class="tab-pane active" id="langtab_hu">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group @if($errors->has('title_hu')) has-error @endif">
                                                    <label for="title" class="control-label">Title</label>
                                                    <input type="text" id="title" class="form-control" placeholder="Title" name="title_hu" value="{{ old('title_hu', $video->title_hu) }}" form="formSave">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group @if($errors->has('description_hu')) has-error @endif">
                                                    <label class="col-sm-2 control-label" for="status">Description</label>
                                                    <textarea class="form-control tinyeditor" placeholder="Description" name="description_hu" rows="10" form="formSave">{{ old('description_hu', $video->description_hu) }}</textarea>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="tab-pane" id="langtab_en">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group @if($errors->has('title_en')) has-error @endif">
                                                    <label for="title" class="control-label">Title</label>
                                                    <input type="text" id="title" class="form-control" placeholder="Title" name="title_en" value="{{ old('title_en', $video->title_en) }}" form="formSave">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group @if($errors->has('description_en')) has-error @endif">
                                                    <label class="col-sm-2 control-label" for="status">Description</label>
                                                    <textarea class="form-control tinyeditor" placeholder="Description" name="description_en" rows="10" form="formSave">{{ old('description_en', $video->description_en) }}</textarea>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="tab-pane" id="langtab_de">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group @if($errors->has('title_de')) has-error @endif">
                                                    <label for="title" class="control-label">Title</label>
                                                    <input type="text" id="title" class="form-control" placeholder="Title" name="title_de" value="{{ old('title_de', $video->title_de) }}" form="formSave">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group @if($errors->has('description_de')) has-error @endif">
                                                    <label class="col-sm-2 control-label" for="status">Description</label>
                                                    <textarea class="form-control tinyeditor" placeholder="Description" name="description_de" rows="10" form="formSave">{{ old('description_de', $video->description_de) }}</textarea>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>


                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group @if($errors->has('fps')) has-error @endif">
                                        <label for="fps" class="control-label">Fps</label>
                                        <input type="text" id="fps" class="form-control" placeholder="Fps" name="fps" value="{{ old('fps', $video->fps) }}" form="formSave">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group @if($errors->has('length')) has-error @endif">
                                        <label for="length" class="control-label">Length</label>
                                        <input type="text" id="length" class="form-control" placeholder="Length" name="length" value="{{ old('length', $video->length) }}" form="formSave">
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group @if($errors->has('width')) has-error @endif">
                                        <label for="width" class="control-label">Width</label>
                                        <input type="text" id="width" class="form-control" placeholder="Width" name="width" value="{{ old('width', $video->width) }}" form="formSave">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group @if($errors->has('height')) has-error @endif">
                                        <label for="height" class="control-label">Height</label>
                                        <input type="text" id="height" class="form-control" placeholder="Height" name="height" value="{{ old('height', $video->height) }}" form="formSave">
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group @if($errors->has('free')) has-error @endif">
                                        <label class="control-label" for="free">Free</label>
                                        <label class="control-inline fancy-checkbox">
                                            <input type="checkbox" value="1" name="free" id="free" form="formSave" @if( $video->free ) checked="checked" @endif>
                                            <span></span>
                                        </label>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group @if($errors->has('period')) has-error @endif">
                                        <label for="period" class="control-label">Period</label>
                                        <input type="text" id="period" class="form-control" placeholder="Period" name="period" value="{{ old('period', $video->period) }}" form="formSave">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group @if($errors->has('price')) has-error @endif">
                                        <label for="price" class="control-label">Price</label>
                                        <input type="text" id="price" class="form-control" placeholder="Price" name="price" value="{{ old('price', $video->price) }}" form="formSave">
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group @if($errors->has('status')) has-error @endif">
                                        <label class="control-label" for="status">Status</label>
                                        <label class="control-inline fancy-checkbox">
                                            <input type="checkbox" value="1" name="status" id="status" form="formSave" @if( $video->status ) checked="checked" @endif>
                                            <span>Live</span>
                                        </label>
                                    </div>
                                </div>
                            </div>


                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <!-- Icons -->
    <div class="row">
        <div class="col-md-12">
            <div class="portlet light">
                <div class="portlet-title">
                    <div class="caption">
                        <i class="fa fa-list"></i> Icons
                    </div>
                </div>
                <div class="portlet-body">
                    <div class="btn btn-default add-accordion">
                        <i class="fa fa-plus"></i> New Icon
                    </div>

                    <div class="panel-group accordion scrollable mixed-accordion" id="accordion">

                    </div>

                     <div class="new-icon-container" style="display:none;">
                        <form class="form-horizontal" method="post" action="" autocomplete="off">
                            <div class="row">
                                <div class="col-md-12">
                                    <ul class="nav nav-tabs">
                                        <li class="active">
                                            <a href="#langtab_icon_hu" data-toggle="tab"> Hungarian </a>
                                        </li>
                                        <li>
                                            <a href="#langtab_icon_en" data-toggle="tab"> English </a>
                                        </li>
                                        <li>
                                            <a href="#langtab_icon_de" data-toggle="tab"> Deutch </a>
                                        </li>
                                    </ul>
                                    <div class="tab-content">
                                        <div class="tab-pane active" id="langtab_icon_hu">

                                            <div class="form-group">
                                                <label for="title" class="col-sm-2 control-label">Title</label>
                                                <div class="col-sm-10">
                                                    <input type="text" id="icon_title_hu" class="form-control" placeholder="Title" name="icon_title_hu" value="">
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <label class="col-sm-2 control-label" for="status">Description</label>
                                                <div class="col-sm-10">
                                                    <textarea id="icon_content_hu" class="tinyeditor" placeholder="Description" name="icon_content_hu" rows="10"></textarea>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="tab-pane" id="langtab_icon_en">

                                            <div class="form-group">
                                                <label for="title" class="col-sm-2 control-label">Title</label>
                                                <div class="col-sm-10">
                                                    <input type="text" id="icon_title_en" class="form-control" placeholder="Title" name="icon_title_en" value="">
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <label class="col-sm-2 control-label" for="status">Description</label>
                                                <div class="col-sm-10">
                                                    <textarea id="icon_content_en" class="tinyeditor" placeholder="Description" name="icon_content_en" rows="10"></textarea>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <div class="tab-pane" id="langtab_icon_de">

                                            <div class="form-group">
                                                <label for="title" class="col-sm-2 control-label">Title</label>
                                                <div class="col-sm-10">
                                                    <input type="text" id="icon_title_de" class="form-control" placeholder="Title" name="icon_title_de" value="">
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <label class="col-sm-2 control-label" for="status">Description</label>
                                                <div class="col-sm-10">
                                                    <textarea id="icon_content_de" class="tinyeditor" placeholder="Description" name="icon_content_de" rows="10"></textarea>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12">

                                    <div class="form-group">
                                        <label class="col-sm-2 control-label">Coordinates</label>
                                        <div class="col-sm-10">
                                            <textarea class="form-control coordinates" id="icon_coordinates" placeholder="Coordinates" name="icon_coordinates" rows="10"></textarea>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="col-sm-2 control-label">Status</label>
                                        <div class="col-sm-10">
                                            <label class="control-inline fancy-checkbox">
                                                <input type="checkbox" value="1" name="icon_status" id="icon_status">
                                                <span>Live</span>
                                            </label>
                                        </div>
                                    </div>
                                </div>
                            </div>


                        </form>

                        <div class="form-actions">
                            <button class="btn default" id="cancelBtn">Cancel</button>
                            <button class="btn blue" id="createBtn">Create</button>
                        </div>
                    </div>
                    <div class="table-container">
                        <table class="table table-striped table-bordered table-hover table-checkable" id="datatable_objects">
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Subvideos -->
    <div class="row">
        <div class="col-md-12">
            <div class="portlet light">
                <div class="portlet-title">
                    <div class="caption">
                        <i class="fa fa-anchor"></i>Subvideos
                    </div>
                </div>
                <div class="portlet-body">
                    <div class="typeSection active" id="typeSection_0" style="display:{{ $video->type == 0 ? "block" : "none" }}">
                        <h4>This is a SINGLE video. It cannot have subvideos</h4>
                    </div>

                    <div class="typeSection" id="typeSection_3" style="display:{{ $video->type == 1 ? "block" : "none" }}">
                        <h4>This is a SUB video. It cannot have subvideos.</h4>
                    </div>

                    <div class="typeSection" id="typeSection_1" style="display:{{ $video->type == 2 ? "block" : "none" }}">
                        <button class="btn green newFloorBtn" style="display:none"><i class="fa fa-plus"></i>New Floor</button>

                        <br />

                        <form action="{{ route('admin.videos.uploadFloormap') }}" class="dropzone dropzone-file-area" id="uploadFloormap">
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                            <h3 class="sbold">Drag file here or click upload</h3>
                            <button id="uploadBtn-floormap">Upload</button>
                        </form>

                        <div class="floors-container">

                        </div>
                    </div>

                    <div class="typeSection" id="typeSection_2" style="display:{{ $video->type == 3 ? "block" : "none" }}">
                        <div>
                            <button class="btn green" id="newPreviewButton"><i class="fa fa-plus"></i>Add Preview</button>
                        </div>
                        <ul class="preview-slider content-slider list-unstyled cS-hidden">

                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Files -->
    <div class="row">
        <div class="col-md-12">
            <div class="portlet light">
                <div class="portlet-title">
                    <div class="caption">
                        <i class="fa fa-file"></i>Files
                    </div>
                </div>
                <div class="portlet-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h4>Video File</h4>
                            <div class="uploads-wrapper">
                                <div class="uploads-container" data-type="video">
                                    @if( $video->videoFile != '' || $video->videoFile !== NULL )
                                    <div class="block" data-id="{{ $video->id }}"><div class="filename">{{ $video->videoFile_original }}</div><div class="cancelButton">x</div></div>
                                    @endif
                                </div>
                                <input type="file" id="videoUpload" data-id="videoUpload" name="file">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <h4>Thumbnail</h4>
                            <div class="uploads-wrapper">
                                <div class="uploads-container" data-type="thumbnail">
                                    @if( $video->thumbnailFile != '' || $video->thumbnailFile !== NULL )
                                        <div class="block" data-id="{{ $video->id }}"><div class="filename">{{ $video->thumbnailFile_original }}</div><div class="cancelButton">x</div></div>
                                    @endif
                                </div>
                                <input type="file" id="thumbnailUpload" data-id="thumbnailUpload" name="file">
                            </div>
                        </div>
                    </div>
                    <hr />
                    <div class="row">
                        <h4>Audio Files</h4>
                        @foreach( Config::get('app.languages') as $lang )
                            <div class="col-md-4">
                                <h5>{{ $lang }}</h5>
                                <div class="uploads-wrapper">
                                    <div class="uploads-container" data-type="audio" data-lang="{{ $lang }}">
                                        @foreach( $video->audios as $va )
                                            @if( $va->language == $lang )
                                            <div class="block" data-id="{{ $va->id }}"><div class="filename">{{ $va->original_filename }}</div><div class="cancelButton">x</div></div>
                                            @endif
                                        @endforeach
                                    </div>
                                    <input type="file" id="audioUpload" data-id="audioUpload_{{ $lang }}" name="file">
                                </div>
                            </div>
                        @endforeach
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Buttons -->
    <div class="row">
        <div class="col-md-12">
            <div class="form-actions">
                <form action="" method="POST" id="formSave" name="formSave">
                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                    <input type="hidden" name="video_filename" value="" id="video_filename">
                    <input type="hidden" name="video_original_filename" value="" id="video_original_filename">
                    <input type="hidden" name="thumbnail_filename" value="" id="thumbnail_filename">
                    <input type="hidden" name="thumbnail_original_filename" value="" id="thumbnail_original_filename">
                    @foreach(Config::get('app.languages') as $lang)
                        <input type="hidden" name="audio_filename_{{ $lang }}" value="" id="audio_filename_{{ $lang }}">
                        <input type="hidden" name="audio_original_filename_{{ $lang }}" value="" id="audio_original_filename_{{ $lang }}">
                    @endforeach
                    <input type="hidden" name="floormap_filename" value="" id="floormap_filename">
                    <button type="submit" class="btn green"><i class="fa fa-reply"></i> Save</button>
                    <a href="#" data-step="5" class="btn default prevStep"><i class="fa fa-arrow-left"></i> Cancel</a>
                </form>
            </div>
        </div>
    </div>
@stop
@section('style')
    <link href="{{ asset('__admin/global/plugins/bootstrap-summernote/summernote.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('__admin/global/plugins/select2/css/select2.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('__admin/global/plugins/select2/css/select2-bootstrap.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('__admin/global/plugins/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('__admin/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('__admin/global/plugins/bootstrap-modal/css/bootstrap-modal.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('__admin/global/plugins/simpleupload/simpleUpload.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('__admin/global/plugins/dropzone/basic.min.css') }}" rel="stylesheet" type="text/css" />
    <script src="//cdn.tinymce.com/4/tinymce.min.js"></script>
    <link rel="stylesheet" type="text/css" href="{{ asset('css/jquery.selectareas.css') }}" />
    <link rel="stylesheet" type="text/css" href="{{ asset('css/lightslider.css') }}" />
    <style type="text/css">
        .removeBtn {
            position: absolute;
            left: 50%;
            transform: translate(-40%, -45%);
            top: 50%;
        }
    </style>
@stop
@section('script')
    <script src="{{ asset('__admin/global/plugins/bootstrap-summernote/summernote.min.js') }}" type="text/javascript"></script>
    <script src="{{ asset('__admin/global/plugins/select2/js/select2.full.min.js') }}" type="text/javascript"></script>
    <script src="{{ asset('__admin/global/scripts/datatable.js') }}" type="text/javascript"></script>
    <script src="{{ asset('__admin/global/plugins/datatables/datatables.min.js') }}" type="text/javascript"></script>
    <script src="{{ asset('__admin/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js') }}" type="text/javascript"></script>
    <script src="{{ asset('__admin/global/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}" type="text/javascript"></script>
    <script src="{{ asset('__admin/global/plugins/bootstrap-maxlength/bootstrap-maxlength.min.js') }}" type="text/javascript"></script>
    <script src="{{ asset('__admin/global/plugins/fancybox/source/jquery.fancybox.pack.js') }}" type="text/javascript"></script>
    <script src="{{ asset('__admin/global/plugins/bootstrap-modal/js/bootstrap-modalmanager.js') }}" type="text/javascript"></script>
    <script src="{{ asset('__admin/global/plugins/bootstrap-modal/js/bootstrap-modal.js') }}" type="text/javascript"></script>
    <script src="{{ asset('__admin/global/plugins/simpleupload/simpleUpload.js') }}" type="text/javascript"></script>
    <script type="text/javascript" src="{{ asset('js/jquery.selectareas.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/lightslider.js') }}"></script>

    <!-- Render page specific variables -->
    <script type="text/javascript">
        var videoId = "{{ $video->id }}";
        var ajaxUrl_getVideoObjects = "{{ route('admin.ajax.videos.objects.table') }}";
        var ajaxUrl_getVideoObject = "{{ route('admin.ajax.videos.object') }}";
        var ajaxUrl_postRemoveObject = "{{ route('admin.ajax.video.object.remove') }}";
        var ajaxUrl_getVideoObjectSave = "{{ route('admin.ajax.videos.object.save') }}";
        var ajaxUrl_getVideoAudioObjects = "{{ route('admin.ajax.videos.audios') }}";

        var ajaxUrl_postUploadVideo = "{{ route('admin.videos.uploadVideo') }}";
        var ajaxUrl_postUploadThumbnail = "{{ route('admin.videos.uploadThumbnail') }}";
        var ajaxUrl_postUploadAudio = "{{ route('admin.videos.uploadAudio') }}";

        var ajaxUrl_postRemoveFile = "{{ route('admin.ajax.videos.removeFile') }}";
    </script>
    <script src="{{ asset('__admin/scripts/pages/videos.edit.js') }}" type="text/javascript"></script>
@stop
