@extends('admin.layouts.default')

@section('content')
<h3 class="page-title"> {{ $title }}
    <small></small>
</h3>
<div class="page-bar">
    <ul class="page-breadcrumb">
        <li>
            <i class="icon-home"></i>
            <a href="{{ route('admin.dashboard') }}">Dashboard</a>
            <i class="fa fa-angle-right"></i>
        </li>
        <li>
            <span>{{ $title }}</span>
        </li>
    </ul>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="portlet light">
            <div class="portlet-title">
                <div class="caption">
                    <i class="icon-share"></i>{{ $title }}
                </div>
            </div>
            <div class="portlet-body form">
                <div class="row">
                    <div class="col-md-8 col-md-offset-2">
                        <select class="form-control videoSelector">
                            @foreach($videos as $video)
                            <option value="{{ $video->id }}">{{ $video->title }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>

                <hr />

                <div class="row" id="embedDatas" style="display:none">

                    <form action="#" id="form-datas" class="form-horizontal form-bordered">
                        <div class="form-group">
                            <label class="col-md-3 control-label">Background color</label>
                            <div class="col-md-3">
                                <input type="text" class="form-control colorPicker bg-color" data-control="hue" name="bg-color" value="#E6E6E6">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label">Font color</label>
                            <div class="col-md-3">
                                <input type="text" class="form-control colorPicker font-color" data-control="hue" name="font-color" value="#364C56">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label">Link color</label>
                            <div class="col-md-3">
                                <input type="text" class="form-control colorPicker link-color" data-control="hue" name="link-color" value="#333">
                            </div>
                        </div>
                        <div class="form-actions">
                            <div class="row">
                                <div class="col-md-offset-3 col-md-9">
                                    <button type="submit" class="btn green saveBtn">
                                        <i class="fa fa-check"></i> Save
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form>


                    <hr />

                    <div class="form-actions">
                        <form action="#" id="form-datas" class="form-horizontal">
                            <div class="form-group">
                                <label class="col-md-3 control-label">Height</label>
                                <div class="col-md-3">
                                    <input class="form-control embedHeight" value="400"></input>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-3 control-label">Width</label>
                                <div class="col-md-3">
                                    <input class="form-control embedWidth" value="300"></input>
                                </div>
                            </div>
                        </form>
                    </div>

                    <div class="form-actions">
                        <div class="col-md-10 col-md-offset-1">
                            <input class="form-control selectAll embedCode"></input>
                        </div>
                    </div>

                </div>
            </div>
        </div>
        <!-- END SAMPLE TABLE PORTLET-->
    </div>
</div>


                </div>
            </div>
        </div>
    </div>
</div>
@stop
@section('style')
<link href="{{ asset('__admin/global/plugins/bootstrap-colorpicker/css/colorpicker.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/global/plugins/jquery-minicolors/jquery.minicolors.css') }}" rel="stylesheet" type="text/css" />
@stop
@section('script')
<script src="{{ asset('__admin/global/plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/jquery-minicolors/jquery.minicolors.min.js') }}" type="text/javascript"></script>
<script type="text/javascript">
    $(document).ready(function(){
        $('.selectAll').on("focus keyup", function(e){

        var keycode = e.keyCode ? e.keyCode : e.which ? e.which : e.charCode;
        if(keycode === 9 || !keycode){
            // Hacemos select
            var $this = $(this);
            $this.select();

            // Para Chrome's que da problema
            $this.on("mouseup", function() {
                // Unbindeamos el mouseup
                $this.off("mouseup");
                return false;
            });
        }
    });

        $('.embedHeight').on('keyup', function(){
            var iframe = $($('.embedCode').val());

            iframe.attr('height', $(this).val());

            $('.embedCode').val(iframe.prop('outerHTML'));
        });

        $('.embedWidth').on('keyup', function(){
            var iframe = $($('.embedCode').val());

            iframe.attr('width', $(this).val());

            $('.embedCode').val(iframe.prop('outerHTML'));
        });

        $('.videoSelector').on('change', function(){
            var self = $(this),
                val = $(".videoSelector option:selected").val();

            $('#embedDatas').slideUp(300);

            App.ajax({
                url: '{{ route("admin.ajax.videos.embed") }}',
                method: 'POST',
                data: {
                    id: val
                }
            }, function(d){
                var data = d.data;

                if( data.embed ) {
                    for( var i in data.embed ) {
                        console.log(data.embed[i], $('#form-datas input.' + i));
                        $('#form-datas input.' + i).minicolors('value', data.embed[i]);
                    }
                }

                $('.embedCode').val(data.embedCode);

                $('#embedDatas').slideDown(300);
            });
        });

        $('#form-datas').on('submit', function(e) {
            e.preventDefault();

            var self = $(this),
                val = $(".videoSelector option:selected").val(),
                datas = {};

            $('#form-datas input').each(function(i){
                datas[ $(this).attr('name') ] = $(this).val();
            });

            datas['id'] = val;

            App.ajax({
                url: '{{ route("admin.ajax.videos.embed.save") }}',
                method: 'POST',
                data: datas
            }, function(data){
                
            });
        });

        $('.colorPicker').minicolors({
            control: $(this).attr('data-control') || 'hue',
            defaultValue: $(this).attr('data-defaultValue') || '',
            inline: $(this).attr('data-inline') === 'true',
            letterCase: $(this).attr('data-letterCase') || 'lowercase',
            opacity: $(this).attr('data-opacity'),
            position: $(this).attr('data-position') || 'bottom left',
            change: function(hex, opacity) {
                if (!hex) return;
                if (opacity) hex += ', ' + opacity;
                if (typeof console === 'object') {
                    
                }
            },
            theme: 'bootstrap'
        });

        $('.videoSelector').trigger('change');

    });
</script>
@stop