@extends('admin.layouts.default')

@section('content')

@include('admin.videos.new-shared')

<div class="row">
    <div class="col-md-12">
        <div class="portlet light">
            <div class="portlet-title">
                <div class="caption">
                    <i class="fa fa-file"></i>Files
                </div>
            </div>
            <div class="portlet-body form" id="stepBox_5">
                <div class="row">
                    <div class="col-md-6">
                        <h4>Video File</h4>
                        <form action="{{ route('admin.videos.uploadVideo') }}" class="dropzone dropzone-file-area" id="videoUpload">
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                            <input type="hidden" name="videoID" value="{{ $datas['details']['id_long'] }}">
                            <h3 class="sbold">Drop files here or click to upload</h3>
                        </form>
                    </div>
                    <div class="col-md-6">
                        <h4>Thumbnail</h4>
                        <form action="{{ route('admin.videos.uploadThumbnail') }}" class="dropzone dropzone-file-area" id="thumbnailUpload">
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                            <input type="hidden" name="videoID" value="{{ $datas['details']['id_long'] }}">
                            <h3 class="sbold">Drop files here or click to upload</h3>
                        </form>
                    </div>
                </div>
                <hr />
                <div class="row">
                    <h4>Audio Files</h4>
                    @foreach( Config::get('app.languages') as $lang )
                    <div class="col-md-4">
                        <h5>{{ $lang }}</h5>
                        <form action="{{ route('admin.videos.uploadAudio') }}" class="dropzone dropzone-file-area" id="audioUpload">
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                            <input type="hidden" name="lang" value="{{ $lang }}">
                            <input type="hidden" name="videoID" value="{{ $datas['details']['id_long'] }}">
                            <h3 class="sbold">Drop files here or click to upload</h3>
                        </form>
                    </div>
                    @endforeach
                </div>

                <div class="form-actions">
                    <a href="#" data-step="5" class="btn default prevStep"><i class="fa fa-arrow-left"></i> Back</a>
                    <form action="" method="POST" id="formSave" name="formSave">
                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                        <input type="hidden" name="video_filename" value="" id="video_filename">
                        <input type="hidden" name="video_original_filename" value="" id="video_original_filename">
                        <input type="hidden" name="thumbnail_filename" value="" id="thumbnail_filename">
                        <input type="hidden" name="thumbnail_original_filename" value="" id="thumbnail_original_filename">
                        @foreach(Config::get('app.languages') as $lang)
                            <input type="hidden" name="audio_filename_{{ $lang }}" value="" id="audio_filename_{{ $lang }}">
                            <input type="hidden" name="audio_original_filename_{{ $lang }}" value="" id="audio_original_filename_{{ $lang }}">
                        @endforeach
                        <input type="hidden" name="section" value="files">
                        <button type="submit" data-step="3" class="btn green">Next <i class="fa fa-arrow-right"></i></button>
                    </form>
                </div>

            </div>
        </div>
    </div>
</div>

@include('admin.videos.new-footer')

@stop