@extends('admin.layouts.default')

@section('content')
<h3 class="page-title"> {{ $title }}
    <small></small>
</h3>
<div class="page-bar">
    <ul class="page-breadcrumb">
        <li>
            <i class="icon-home"></i>
            <a href="{{ route('admin.dashboard') }}">Dashboard</a>
            <i class="fa fa-angle-right"></i>
        </li>
        <li>
            <span>{{ $title }}</span>
        </li>
    </ul>
    <div class="page-toolbar hidden">
        <div class="btn-group pull-right">
            <button type="button" class="btn btn-fit-height grey-salt dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true"> Actions
                <i class="fa fa-angle-down"></i>
            </button>
            <ul class="dropdown-menu pull-right" role="menu">
                <li>
                    <a href="#">
                        <i class="icon-bell"></i> Action</a>
                </li>
                <li>
                    <a href="#">
                        <i class="icon-shield"></i> Another action</a>
                </li>
                <li>
                    <a href="#">
                        <i class="icon-user"></i> Something else here</a>
                </li>
                <li class="divider"> </li>
                <li>
                    <a href="#">
                        <i class="icon-bag"></i> Separated link</a>
                </li>
            </ul>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="portlet light">
            <div class="portlet-title">
                <div class="caption">
                    <i class="fa fa-envelope"></i>{{ $title }}
                </div>
            </div>
            <div class="portlet-body form">
                <form class="form-horizontal" method="post" action="" autocomplete="off" id="createVideo">
                    <div class="form-body">

                        <div class="form-group @if($errors->has('title')) has-error @endif">
                            <label for="title" class="col-sm-2 control-label">Title</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="title" placeholder="Title" name="title" value="{{ old('title', $video->title) }}">
                            </div>
                        </div>

                        <div class="form-group @if($errors->has('fps')) has-error @endif">
                            <label for="fps" class="col-sm-2 control-label">Fps</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="fps" placeholder="Fps" name="fps" value="{{ old('fps', $video->fps) }}">
                            </div>
                        </div>

                        <div class="form-group @if($errors->has('length')) has-error @endif">
                            <label for="length" class="col-sm-2 control-label">Length</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="length" placeholder="Length" name="length" value="{{ old('length', $video->length) }}">
                            </div>
                        </div>

                        <div class="form-group @if($errors->has('width')) has-error @endif">
                            <label for="width" class="col-sm-2 control-label">Width</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="width" placeholder="Width" name="width" value="{{ old('width', $video->width) }}">
                            </div>
                        </div>

                        <div class="form-group @if($errors->has('height')) has-error @endif">
                            <label for="height" class="col-sm-2 control-label">Height</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="height" placeholder="Height" name="height" value="{{ old('height', $video->height) }}">
                            </div>
                        </div>

                        <div class="form-group @if($errors->has('period')) has-error @endif">
                            <label for="period" class="col-sm-2 control-label">Period</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="period" placeholder="Period" name="period" value="{{ old('period', $video->period) }}">
                            </div>
                        </div>

                        <div class="form-group @if($errors->has('price')) has-error @endif">
                            <label for="price" class="col-sm-2 control-label">Price</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="price" placeholder="Price" name="price" value="{{ old('price', $video->price) }}">
                            </div>
                        </div>

                        <div class="form-group @if($errors->has('free')) has-error @endif">
                            <label class="col-sm-2 control-label" for="free">Free</label>
                            <div class="col-sm-10">
                                <label class="control-inline fancy-checkbox">
                                    <input type="checkbox" value="1" name="free" id="free" @if( $video->free == 1 ) checked="checked" @endif>
                                    <span></span>
                                </label>
                            </div>
                        </div>

                        <div class="form-group @if($errors->has('status')) has-error @endif">
                            <label class="col-sm-2 control-label" for="status">Status</label>
                            <div class="col-sm-10">
                                <label class="control-inline fancy-checkbox">
                                    <input type="checkbox" value="1" name="status" id="status" @if( $video->status == 1 ) checked="checked" @endif>
                                    <span>Live</span>
                                </label>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Description</label>
                            <div class="col-sm-10">
                                <textarea class="form-control summernote" placeholder="Description" name="description" rows="10">{{ old('description', $video->description) }}</textarea>
                            </div>
                        </div>

                        <div class="panel-group accordion scrollable mixed-accordion" id="accordion">
                            
                        </div>
                        <div class="btn btn-default add-accordion">
                            <i class="fa fa-plus"></i> New Icon
                        </div>

                    </div>
                    <div class="form-actions">
                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                        <button type="submit" class="btn green"><i class="fa fa-reply"></i> Save</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <div class="portlet light">
            <div class="portlet-title">
                <div class="caption">
                    <i class="fa fa-list"></i> Icons
                </div>
            </div>
            <div class="portlet-body">
                <div class="table-container">
                    <table class="table table-striped table-bordered table-hover table-checkable" id="datatable_objects">
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>


<div id="modal-object" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modalObject" aria-hidden="true">
    <div class="modal-dialog modal-full">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                <h4 class="modal-title">New Icon</h4>
            </div>
            <div class="modal-body">
                <form class="form-horizontal" method="post" action="" autocomplete="off">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Title</label>
                                <div class="col-sm-10">
                                    <input class="form-control" id="icon_title" placeholder="Title" name="icon_title" />
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Content</label>
                                <div class="col-sm-10">
                                    <textarea class="form-control summernote" id="icon_content" placeholder="Content" name="icon_content" rows="10"></textarea>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Coordinates</label>
                                <div class="col-sm-10">
                                    <textarea class="form-control" id="icon_coordinates" placeholder="Coordinates" name="icon_coordinates" rows="10"></textarea>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Status</label>
                                <div class="col-sm-10">
                                    <label class="control-inline fancy-checkbox">
                                        <input type="checkbox" value="1" name="icon_status" id="icon_status">
                                        <span>Live</span>
                                    </label>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button class="btn default" data-dismiss="modal" aria-hidden="true">Close</button>
                <button class="btn blue hidden" id="createBtn">Create</button>
                <button class="btn blue hidden" id="saveBtn">Save</button>
            </div>
        </div>
    </div>
</div>

<div id="objectPanel-Tpl" class="hidden">
    <div class="panel panel-default" data-id="0">
        <div class="panel-heading">
            <h4 class="panel-title clearfix">
                <a class="accordion-toggle pull-left" data-toggle="collapse" data-parent="#accordion" aria-expanded="true"> 
                    #<span id="num">1</span> - Title: <span class="bold" id="title"></span> - Status: <span class="bold" id="status"></span>
                </a>
                <a href="#" class="accordion-close pull-right" style="display:none !important;"><i class="fa fa-close"></i></a>
            </h4>
        </div>
    </div>
</div>
@stop

@section('style')
<link href="{{ asset('__admin/global/plugins/bootstrap-summernote/summernote.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/global/plugins/select2/css/select2.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/global/plugins/select2/css/select2-bootstrap.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/global/plugins/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('__admin/global/plugins/bootstrap-modal/css/bootstrap-modal.css') }}" rel="stylesheet" type="text/css" />
@stop
@section('script')
<script src="{{ asset('__admin/global/plugins/bootstrap-summernote/summernote.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/select2/js/select2.full.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/scripts/datatable.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/datatables/datatables.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/bootstrap-maxlength/bootstrap-maxlength.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/fancybox/source/jquery.fancybox.pack.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/bootstrap-modal/js/bootstrap-modalmanager.js') }}" type="text/javascript"></script>
<script src="{{ asset('__admin/global/plugins/bootstrap-modal/js/bootstrap-modal.js') }}" type="text/javascript"></script>
<script type="text/javascript">
$(document).ready(function(){
    var maxAcc = 10;
    var storage = {};
    var ajaxUrl_getVideoObjects = "{{ route('admin.ajax.videos.objects.table') }}";
    var ajaxUrl_getVideoObject = "{{ route('admin.ajax.videos.object') }}";
    var ajaxUrl_getVideoObjectSave = "{{ route('admin.ajax.videos.object.save') }}";

    $('.summernote').summernote({height: 300});

    var countAccItems = function() {
        var num = $('.form-body .mixed-accordion > .panel').length;

        if( num < maxAcc ) $('.add-accordion').show();
        else $('.add-accordion').hide();

        return num;
    };

     $('.date-picker').datepicker({
        autoclose: true
    });

    var grid = new Datatable();

    grid.init({
        src: $("#datatable_objects"),
        onSuccess: function (grid) {
            // execute some code after table records loaded
        },
        onError: function (grid) {
            // execute some code on network or other general error  
        },
        loadingMessage: 'Loading...',
        dataTable: { 
            "columns": [
                { "title": "ID", "data": "id", "sortable":true },
                { "title": "Title", "data": "title" },
                { "title": "Created", "data": "created_at" },
                { "title": "Actions", "data":null, "sortable":false }
            ],
            "columnDefs": [
            {
                "targets": [3],
                "render": function ( data, type, full, meta ) {
                    return '<a class="btn green btn-xs" href="#" data-original-title="Edit" id="edit" data-id="' + full.id + '"><i class="fa fa-pencil"></i></a> <a class="btn red btn-xs" href="#" data-original-title="Remove" id="remove" data-toggle="tooltip"><i class="fa fa-times"></i></a>';
                }
            }],
            "lengthMenu": [
                [25, 50, 100, 150],
                [25, 50, 100, 150] // change per page values here 
            ],
            "pageLength": 25, // default record count per page
            "ajax": {
                "url": ajaxUrl_getVideoObjects, // ajax source,
                "data": {
                    id: {{ $video->id }}
                }
            },
            "order": [
                [0, "asc"]
            ] // set first column as a default sort by asc
        }
    });

    $('#datatable_objects').on('click', 'tbody td:last-child a#edit', function(e){
        e.preventDefault();

        var self = $(this);
        $('body').modalmanager('loading');

        App.ajax({
            url: ajaxUrl_getVideoObject,
            method: 'POST',
            data: {
                id: $(this).attr('data-id')
            }
        }, function(icon){
            modalObject.find('#icon_title').val( icon.title );
            modalObject.find('.summernote').code(icon.content);
            modalObject.find('#icon_coordinates').val( icon.coordinates );
            if(icon.status == 1) modalObject.find('#icon_status').prop('checked', 'checked');
            else modalObject.find('#icon_status').prop('checked', false);

            modalObject.find('#createBtn').addClass('hidden');
            modalObject.find('#saveBtn').attr('data-id', self.attr('data-id')).removeClass('hidden');

            modalObject.modal();
        });
    });

    $('.add-accordion').on('click', function(){
        var _clone, id, term, interest, count = countAccItems();

        if( count <= maxAcc ) {
            $('body').modalmanager('loading');
            modalObject.find('#createBtn').removeClass('hidden');
            modalObject.find('#saveBtn').addClass('hidden');
            modalObject.modal();

            countAccItems();
        }
    });

    $('.form-body .mixed-accordion').on('click', function(e){
        e.stopPropagation();
    });

    $('.mixed-accordion').on('click', '.panel .accordion-close', function (e) {
        var parent;
        e.preventDefault();

        //if( countAccItems() > 1 ) {
            parent = $(this).parents('.panel');
            parent.fadeOut(400).remove();
            countAccItems();
            
            icons.splice( parseInt(parent.data('id')) - 1, 1);
       // }
    });

    $('#createVideo').submit(function(){
        var self = $(this);

        $.each(icons, function(i, value){
            $.each(value, function(k, val){
                $("<input>").attr({
                    'type':'hidden',
                    'name':'icons_' + k + '['+ i +']'
                }).val( val ).appendTo( self );
            });
        });

        return true;
    });


    var modalObject,
        icons = [];

    $.fn.modal.defaults.spinner = $.fn.modalmanager.defaults.spinner = 
    '<div class="loading-spinner" style="width: 200px; margin-left: -100px;">' +
      '<div class="progress progress-striped active">' +
        '<div class="progress-bar progress-bar-success" style="width: 100%;"></div>' +
      '</div>' +
    '</div>';

    modalObject = $('#modal-object');

    modalObject.find('#saveBtn').on('click', function(e) {
        var datas = {
            title: '',
            content: '',
            coordinates: '',
            status: ''
          }, k, i, val;

        for( k in datas ) {
            i = modalObject.find('#icon_' + k);

            switch( k ) {
                case 'status':
                    val = ( i.is(':checked') ) ? 1 : 0;
                break;
                default: 
                    val = i.val();
                break;
            }

            datas[ k ] = val;
          }

          datas['id'] = $(this).attr('data-id');

          App.ajax({
            url: ajaxUrl_getVideoObjectSave,
            method: 'POST',
            data: datas
          }, function(data){
            if(data) modalObject.modal('hide');

            grid.getDataTable().ajax.reload();
          })
    });

    modalObject.find('#createBtn').on('click', function(e) {
      var datas = {
        title: '',
        content: '',
        coordinates: '',
        status: ''
      }, k, i, val;

      for( k in datas ) {
        i = modalObject.find('#icon_' + k);

        switch( k ) {
            case 'status':
                val = ( i.is(':checked') ) ? 1 : 0;
            break;
            default: 
                val = i.val();
            break;
        }

        datas[ k ] = val;
      }

      icons.push(datas);

        _clone = $($('body #objectPanel-Tpl').html());

        id = parseInt( _clone.data('id') ) + 1;
        _clone.attr('data-id', icons.length);
        _clone.find('span#num').html( id );
        _clone.find('span#title').html( datas.title );
        _clone.find('span#status').html( (datas.status) ? 'On' : 'Off' );

        _clone.find('.accordion-close').show();

        $('.panel-group').append( _clone );

        modalObject.modal('hide');
    });

});
</script>
@stop