@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{trans('auction.basket.title') }}
                <small>{{ trans('auction.basket.Click Buy to proceed') }}.</small>
            </h1>
        </div>
    </div>
  </div>
        <!-- END PAGE TITLE -->
	<div class="page-content">
	  <div class="container">
	      <!-- BEGIN PAGE BREADCRUMBS -->
	      <ul class="page-breadcrumb breadcrumb">
            <li>
                <a href="{{ route('home') }}">{{ trans('auction.basket.Dashboard') }}</a>
                <i class="fa fa-circle"></i>
            </li>
            <li>
                <a href="{{ route('auction.packages') }}">{{ trans('auction.basket.Auction Packages') }}</a>
                <i class="fa fa-circle"></i>
            </li>
            <li>
                <span>{{trans('auction.basket.title') }}</span>
            </li>
        </ul>
	      <!-- END PAGE BREADCRUMBS -->
	      <!-- BEGIN PAGE CONTENT INNER -->
	      <div class="page-content-inner">

    <div class="row">
			<div class="col-md-12">
				<div class="portlet light ">
                  <div class="portlet-title">
                      <div class="caption">
                          <i class="fa fa-shopping-cart font-dark"></i>
                          <span class="caption-subject font-dark bold uppercase">{{ trans('auction.basket.My Basket')  }}</span>
                      </div>
                  </div>
                  <div class="portlet-body">

                    @if( $cart->content()->count() == 0 )
                      <h4 class="empty-basket text-center">{{trans('auction.basket.You basket is empty') }}.</h4>

                      <a href="{{ route('auction.packages') }}" class="btn yellow"><i class="fa fa-arrow-left"></i> {{ trans('auction.basket.Back to Packages') }}</a>
                    @else

                    <form class="form-horizontal" role="form" action="" method="POST">

                  			<table class="table table-hover table-light center-table">
                                <thead>
                                    <tr class="uppercase">
                                        <th> {{trans('auction.basket.Package') }} </th>
                                        <th> {{trans('auction.basket.Price') }} </th>
                                        <th> {{trans('auction.basket.Bids') }} </th>
                                        <th> {{trans('auction.basket.Quantity') }} </th>
                                        <th> {{trans('auction.basket.Total') }} </th>
                                        <th> </th>
                                    </tr>
                                </thead>
                                <tbody>
                                	@foreach( $cart->content() as $item )
                                    <tr class="text-center" data-id="{{ $item->id }}">
                                       
                                        <td> <h4 class="bold">{{ $item->name }}</h4><p>{!! $item->options->description !!}</p> </td>
                                        <td> $ {{ $item->price }} </td>
                                        <td> {{ $item->bids }} </td>
                                        <td> 
                                        	{{ $item->qty }}
                                        </td>
                                        <td> 
                                          $ {{ $item->total }}
                                        </td>
                                        <td>
                                            <a href="{{ route('auction.packages.basket.remove', $item->rowId) }}" class="btn yellow btn-removeFromCart"><i class="fa fa-trash"></i></a>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>

                          <h4><b>{{trans('auction.basket.total_price') }}:</b> $ {{ $cart->total() }}</h4>

                        <div class="form-group">
                          <label class="col-sm-2 control-label">{{trans('auction.basket.processor') }}</label>
                          <div class="col-sm-5">
                            <select id="processor" name="processor" class="select-processor-fund form-control">
                            @foreach($processors as $key => $w)
                          
                              {{--<option value="{{ $w->id }}"{{ ($key == 0) ? ' selected' : '' }} data-fee="{{ $w->fee_fund }}">{{ $w->name . ' (' . $w->fee_fund . '% Fee)' }} @if( $w->id == 4 ) - ${{ $ewallets->wallet }} @endif</option>--}}



                                    <option value="{{ $w->id }}" {{ ($key == 0) ? ' selected' : '' }} data-fee="{{ $w->fee_fund }}">
                                        @if( $w->id == 4 )
                                            {{ trans('packages.purchase.e_wallet') . ' (' . $w->fee_fund . '% ' . trans('packages.purchase.fee') . ')' }} - ${{ $ewallets->wallet }}
                                        @elseif( $w->id == 6 )
                                            {{ trans('packages.purchase.giftCard') . ' (' . $w->fee_fund . '% ' . trans('packages.purchase.fee') . ')' }} - ${{ number_format($giftcards, 2) }}
                                        @endif
                                    </option>


                            @endforeach
                            </select>
                            <p class="help-block"><em>{{trans('auction.basket.Select which processor you would like to use to buy the package') }}.</em></p>
                          </div>
                        </div>

                        {{ csrf_field() }}

                        <button type="submit" class="btn yellow shopProcessBtn"><i class="fa fa-check"></i> {{ trans('auction.basket.Process') }}</button>

                      </form>

                    @endif
					
                  </div>
                 </div>
                </div>
               </div>

         </div>
     </div>
    </div>

@stop