@extends('layouts.default')

@section('content')
    <!-- BEGIN PAGE HEAD-->
    <div class="page-head">
        <div class="container">
            <!-- BEGIN PAGE TITLE -->
            <div class="page-title">
                <h1>{{ $title }}
                    <small>{{ trans('bidbutler.smallTitle') }}</small>
                </h1>
            </div>
        </div>
    </div>
    <!-- END PAGE TITLE -->
    <div class="page-content">
        <div class="container">
            <!-- BEGIN PAGE BREADCRUMBS -->
            <ul class="page-breadcrumb breadcrumb">
                <li>
                    <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
                    <i class="fa fa-circle"></i>
                </li>
                <li>
                    <span>{{ $title }}</span>
                </li>
            </ul>
            <!-- END PAGE BREADCRUMBS -->
            <!-- BEGIN PAGE CONTENT INNER -->
            <div class="page-content-inner">

                <div class="row">
                    <div class="col-md-12">
                        <div class="portlet light ">
                            <div class="portlet-title">
                                <div class="caption">
                                    <i class="icon-share font-dark"></i>
                                    <span class="caption-subject font-dark bold uppercase">{{ trans('bidbutler.filters') }}</span>
                                </div>
                                <div class="tools">
                                    <a href="javascript:;" class="collapse"> </a>
                                </div>
                            </div>
                            <div class="portlet-body form">
                                <form class="form-horizontal" action="" method="POST" id="filterForm">
                                    <div class="form-body">

                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="amount" class="col-sm-3 control-label">{{ trans('bidbutler.index.transactionID') }}</label>
                                                    <div class="col-sm-6">
                                                        <input type="text" name="t_id" class="form-control" id="bidbutlerID" placeholder="{{ trans('bidbutler.index.transactionID') }}" value="{{ Input::get('id') }}">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label col-md-3">{{ trans('bidbutler.dateRange') }}</label>
                                                    <div class="col-md-6">
                                                        <div class="input-group" id="betweenFilter">
                                                            <input type="text" class="form-control">
                                                            <span class="input-group-btn">
	                                                    <button class="btn default date-range-toggle" type="button">
	                                                        <i class="fa fa-calendar"></i>
	                                                    </button>
	                                                </span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                    <div class="form-actions">
                                        <input type="hidden" name="startDate" id="startDate" value="">
                                        <input type="hidden" name="endDate" id="endDate" value="">
                                        <button type="submit" id="SearchBtn" class="btn yellow"><i class="fa fa-filter"></i> {{ trans('bidbutler.search') }}</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-12">
                        <div class="portlet light ">
                            <div class="portlet-title">
                                <div class="caption">
                                    <i class="icon-share font-dark"></i>
                                    <span class="caption-subject font-dark bold uppercase">{{ trans('bidbutler.index.bidbutler') }}</span>
                                </div>
                            </div>
                            <div class="portlet-body">
                                <table id="datatable-bidbutler" class="table table-sorting table-striped table-hover table-bordered datatable">
                                </table>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>

@stop

@section('style')
    <link href="{{ asset('assets/global/plugins/bootstrap-daterangepicker/daterangepicker-bs3.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('assets/global/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('assets/global/plugins/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css') }}" rel="stylesheet" type="text/css" />
@stop

@section('script')
    <script src="{{ asset('assets/global/scripts/datatable.js') }}" type="text/javascript"></script>
    <script src="{{ asset('assets/global/plugins/datatables/datatables.min.js') }}" type="text/javascript"></script>
    <script src="{{ asset('assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js') }}" type="text/javascript"></script>
    <script src="{{ asset('assets/global/plugins/bootstrap-daterangepicker/moment.min.js') }}" type="text/javascript"></script>
    <script src="{{ asset('assets/global/plugins/bootstrap-daterangepicker/daterangepicker.js') }}" type="text/javascript"></script>
    <script type="text/javascript">
        var ajax_bidbutler_dt = '{{ route("clientzone.ajax.bidbutler.table") }}';
    </script>
    <script type="text/javascript" src="{{ asset('assets/scripts/pages/bidbutler.js') }}"></script>
@stop
