@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small>{{ trans('butlers.smallTitle') }}</small>
            </h1>
        </div>
    </div>
  </div>
        <!-- END PAGE TITLE -->
	<div class="page-content">
	  <div class="container">
	      <!-- BEGIN PAGE BREADCRUMBS -->
	      <ul class="page-breadcrumb breadcrumb">
            <li>
                <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
                <i class="fa fa-circle"></i>
            </li>
            <li>
                <a href="{{ route('auction.butlers') }}">{{ trans('butlers.title') }}</a>
                <i class="fa fa-circle"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
      	<!-- END PAGE BREADCRUMBS -->

      	<!-- BEGIN PAGE CONTENT INNER -->
	    <div class="page-content-inner">


	        <div class="row">
				<div class="col-md-12">
			      	<div class="portlet light ">
	          			<div class="portlet-title">
		              		<div class="caption">
		                  		<i class="fa fa-cogs font-dark"></i>
		                  		<span class="caption-subject font-dark bold uppercase">{{trans('butlers.balance_title')}}</span>
		              		</div>
		              		<div class="tools">
		            			<a href="javascript:;" class="collapse"> </a>
		        			</div>
		          		</div>
		          		<div class="portlet-body">
                            <p><strong><i class="fa fa-gavel"></i>  {{trans('butlers.balance_label')}}:</strong>  <text id="bids-left">{{ number_format($bids_count, 0) }}</text></p>
		          		</div>
		         	</div>
		        </div>
		    </div>

           	<div class="row">
    			<div class="col-md-12">
				      	<div class="portlet light ">
                  <div class="portlet-title">
                      <div class="caption">
                          <i class="fa fa-gavel font-dark"></i>
                          <span class="caption-subject font-dark bold uppercase">{{trans('butlers.items')}}</span>
                      </div>
                  </div>
                            @if(count($items) > 0)
                  <div class="portlet-body">
                  		<form class="form-horizontal gfBuyForm" role="form" action="" method="POST">

                  			<table class="table table-hover table-light center-table">
                                <thead>
                                    <tr class="uppercase">

                                        <th colspan="2"> {{trans('butlers.item')}} </th>
                                        <th> {{trans('butlers.time')}} </th>
                                        <th> {{trans('butlers.price')}} </th>
                                        <th> {{trans('butlers.my-butler')}} </th>

                                        <th colspan="2"> {{trans('butlers.action')}} </th>

                                        {{--<th> Quantity </th>--}}
                                        <th> </th>
                                    </tr>
                                </thead>
                                <tbody>
                                	@foreach( $items as $p )
                                    <tr class="text-center" data-id="{{ $p->id }}">
                                        <td> <img width="80" src="{{ $p->images->first()->thumbnailPath }}" /> </td>
                                        <td> <h4 class="bold"><a class="nounderline" href="{{ route('auction.view', $p->id) }}">{{ $p->title }}</a> </h4><p> {!! str_limit(strip_tags($p->description), 100) !!} </p> </td>
                                        <td>

                                            <div class="endsAt">
                                                {{--<span class="title"> {{ trans('auction.shared.ends_at') }} </span>--}}
                                                @if( $p->isEnded() )
                                                    <span class="value ends_at highlight" data-ended="1">{{ trans('auction.shared.ended') }}</span>
                                                @else
                                                    <span class="value ends-at" data-ts="{{ $p->ends_at->timestamp * 1000 }}" data-type="soon"></span>
                                                @endif
                                            </div>

                                        </td>


                                        <td class="td-price"> $ {{ number_format($p->current_price, 2) }} </td>
                                        <td class="td-butlers"> {{ $p->my_butlers }} </td>
                                        {{--<td>
                                        	<select class="form-control giftcards_quantity" data-id="{{ $p->id }}">
                                        		@for($i = 1; $i <= 10; $i++)
                                        		<option value="{{ $i }}">{{ $i }}</option>
                                        		@endfor
                                        	</select>
                                        </td>--}}
                                        <td class="text-center">
                                            <div class="row">
                                                <!--<div class="pull-left display-inline" style="margin-right:5px;">
                                                    <input type="number" min="1" max="10" class="form-control input-offer " name="bitButlerInput" value="1">
                                                </div>
                                                <div class="pull-left">
                                                    &nbsp;
                                                    &nbsp;
                                                    &nbsp;
                                                </div>
                                                <div class="pull-left">
                                                    <a class="btn yellow btn-offer display-inline"><i class="fa fa-plus"></i>{{-- {{trans('butlers.offer')}}--}}</a>
                                                </div>
                                                <div class="pull-left">
                                                    <a class="btn yellow btn-clear display-inline"><i class="fa fa-remove"></i></a>
                                                </div>-->

                                                <div class="column col-butler"><a data-toggle="tooltip" title="Add Bids" class="btn yellow btn-offer display-inline"><i class="fa fa-plus"></i>{{-- {{trans('butlers.offer')}}--}}</a></div>
                                                <div class="column col-butler"><input type="number" min="1" max="10" class="form-control input-offer " name="bitButlerInput" value="1"></div>

                                                <div class="column col-butler"><a data-toggle="tooltip" title="Remove Bids" class="btn yellow btn-clear display-inline"><i class="fa fa-remove"></i></a></div>
                                            </div>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
						
						<input type="hidden" name="_token" value="{{ csrf_token() }}">
						<input type="hidden" name="quantity" value="1">
						<input type="hidden" name="item" value="">
					</form>
                  </div>
                                @else
                                <div class="portlet-body text-center">
                                    <span class="uppercase">{{ trans('butlers.no-item') }}</span>
                                </div>
                                @endif
                 </div>
                </div>
               </div>



         </div>
     </div>
    </div>

@stop


@section('style')
    <link rel="stylesheet" href="{{ asset('assets/global/plugins/blueimp/css/blueimp-gallery.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('/assets/global/plugins/slick/slick.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('/assets/global/plugins/slick/slick-theme.css') }}">
    <link href="{{ asset('assets/global/plugins/bootstrap-modal/css/bootstrap-modal-bs3patch.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('assets/global/plugins/bootstrap-modal/css/bootstrap-modal.css') }}" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="{{ asset('assets/css/pages/auction.css') }}">
@endsection

@section('script')
    <script type="text/javascript">

        var items_array = Array();
        $('tr.text-center').each(function(item) {
            var elem = $(this);
            //console.log(elem.attr('data-id'));
            items_array.push(elem.attr('data-id'));
        });

        //console.log(items_array);

        window.mquery = {
            itemsId: items_array
        };
        window.mid = items_array;

        window.initWs = true;
        {{--
        @if( !$item->isEnded() )
            window.initWs = true;
        @else
            window.initWs = false;
        @endif
        --}}

        window.placeBidUrl = '{{ route("clientzone.ajax.auction.place-bid") }}';
        window.buyItNowUrl = '{{ route("clientzone.ajax.auction.buy-it-now") }}';
        window.bidButlerUrl = '{{ route("clientzone.ajax.auction.set-bid-butler") }}';

        window.clearButlerUrl = '{{ route("clientzone.ajax.auction.clear-bid-butler") }}';

        window.buyPriceUrl = '{{ route("clientzone.ajax.auction.buyprice") }}';
    </script>
    <script type="text/javascript" src="{{ asset('assets/global/plugins/blueimp/js/blueimp-gallery.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('/assets/global/plugins/jquery-countdown/jquery.countdown.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('/assets/global/plugins/slick/slick.js') }}"></script>
    <script src="{{ asset('assets/global/plugins/bootstrap-modal/js/bootstrap-modalmanager.js') }}" type="text/javascript"></script>
    <script src="{{ asset('assets/global/plugins/bootstrap-modal/js/bootstrap-modal.js') }}" type="text/javascript"></script>
    <script src="{{ asset('assets/scripts/pages/auction-common.js') }}" type="text/javascript"></script>
    <script src="{{ asset('assets/scripts/pages/butlers.js') }}" type="text/javascript"></script>
@endsection
