@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
<div class="page-head hidden">
	<div class="container">
	    <!-- BEGIN PAGE TITLE -->
	    <div class="page-title">
	        <h1>{{ $title }}
	            <small>{{ trans('auction.category.Welcome to Ausante Auction') }}.</small>
	        </h1>
	    </div>
	</div>
</div>
        <!-- END PAGE TITLE -->
<div class="page-content">
  	<div class="container-fluid">
		<div class="portlet light">
			<div class="portlet-title">
				<div class="caption">
				@if(isset($prev))
				<a href="{{ route('auction.price-category', $prev) }}"><i class="fa fa-caret-left" aria-hidden="true"></i> {{ trans('auction.category.previous') }}</a>
				@endif
					<span class="caption-subject bold">{{ $category_title }}</span>
				@if(isset($next))
				<a href="{{ route('auction.price-category', $next) }}">{{ trans('auction.category.next') }} <i class="fa fa-caret-right" aria-hidden="true"></i></a>
				@endif
				</div>
			</div>
			<div class="portlet-body">
				<div class="row">
                    @include('auction.partials.listing', ['items' => $items])
					{{--@foreach( $items as $i )
					<div class="col-md-2">
						<div class="mt-element-ribbon mt-element-overlay bg-grey-steel auction-item">

                            <div class="ribbon ribbon-right ribbon-vertical-right ribbon-shadow ribbon-color-default uppercase watchlist-ribbon @if( !$i->isWatching() ) hidden @endif">
                                <div class="ribbon-sub ribbon-bookmark"></div>
                                <i class="fa fa-heart"></i>
                            </div>

                            @if( $i->ends_at->timestamp <= Carbon::now()->addSeconds(60)->timestamp )
                            <div class="ribbon ribbon-border-hor ribbon-clip ribbon-color-danger ribbon-shadow uppercase">
                                <div class="ribbon-sub ribbon-clip"></div> {{ trans('auction.category.Ending Soon') }}
                            </div>
                            @endif
                            <div class="mt-overlay-1">
                                <img src="{{ $i->thumbnail->imagePath }}">
                                <div class="mt-overlay">
                                    <ul class="mt-info">
                                        <li>
                                            <a class="btn default btn-outline" href="{{ route('auction.view', $i->id) }}">
                                                <i class="icon-eye"></i>
                                            </a>
                                        </li>
                                        <li>
                                            <a class="btn default btn-outline add-watchlist-btn @if( $i->isWatching() ) active @endif" data-iid="{{ $i->id }}">
                                            	<span class="off"><i class="fa fa-heart-o"></i></span>
			                            		<span class="on"><i class="fa fa-heart"></i></span>
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </div>

                            <a href="{{ route('auction.view', $i->id) }}">
                            	<p class="ribbon-content item-title">{{ $i->title }}</p>
                            </a>

                            @if( $i->isEnded() )
	                        	<p class="ends-at highlight" data-ended="1">{{ trans('auction.category.Ended') }}</p>
	                        @else
	                        	<p class="value ends-at @if( $i->ends_at->timestamp <= Carbon::now()->addSeconds(60)->timestamp ) highlight @endif" data-ts="{{ $i->ends_at->timestamp * 1000 }}" data-type="soon"></p>
	                        @endif

                        </div>
                    </div>
					@endforeach
					--}}
				</div>
			</div>
		</div>	
 
  	</div>     	
</div>
@stop

@section('style')
<link rel="stylesheet" type="text/css" href="{{ asset('/assets/global/plugins/slick/slick.css') }}">
<link rel="stylesheet" type="text/css" href="{{ asset('/assets/global/plugins/slick/slick-theme.css') }}">
<link rel="stylesheet" href="{{ asset('assets/css/pages/auction.css') }}">
@endsection

@section('script')
<script type="text/javascript" src="{{ asset('/assets/global/plugins/jquery-countdown/jquery.countdown.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('/assets/global/plugins/slick/slick.js') }}"></script>
<script src="{{ asset('assets/scripts/pages/auction-common.js') }}" type="text/javascript"></script>
@stop
