@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
<div class="page-head hidden">
	<div class="container">
	    <!-- BEGIN PAGE TITLE -->
	    <div class="page-title">
	        <h1>{{ $title }}
	            <small>{{ trans('auction.index.Welcome to Colibri Auction') }}.</small>
	        </h1>
	    </div>
	</div>
</div>
        <!-- END PAGE TITLE -->
<div class="page-content">
  	<div class="container-fluid">
		@if($openItems->onFirstPage())
		<div class="portlet light">
			<div class="portlet-title">
				<div class="caption">
					<span class="caption-subject bold">{{ trans('auction.index.featured') }}</span>
				</div>
			</div>
			<div class="portlet-body">
				<div class="row" id="featured-container">
					@include('auction.partials.listing', ['items' => $featured])
				</div>
			</div>
		</div>

		<div class="portlet light">
			<div class="portlet-title">
				<div class="caption">
					<span class="caption-subject bold">{{ trans('auction.index.Ending soon') }}</span>
				</div>
			</div>
			<div class="portlet-body">
				<div class="row" id="ending-soon-container">
					@include('auction.partials.listing', ['items' => $endingSoon])
				</div>
			</div>
		</div>
		@endif

		<div class="portlet light">
			<div class="portlet-title">
				<div class="caption">
					<span class="caption-subject bold">{{ trans('auction.index.open_rooms') }}</span>
				</div>
			</div>
			<div class="portlet-body">
				<div class="row" id="auction-items-container">
					@include('auction.partials.listing', ['items' => $openItems])
				</div>
				<div class="text-center">
					{{ $openItems->links() }}
				</div>
			</div>
		</div>
			<div class="portlet light">
				<div class="portlet-title">
					<div class="caption">
						<span class="caption-subject bold">{{ trans('auction.index.Categories') }}</span>
					</div>
				</div>
				<div class="portlet-body">
					<div class="row">
						@foreach( $categories as $c )
							<div class="col-md-3">
								<div class="mt-element-ribbon mt-element-overlay colibri-bg-gray auction-category">

									<div class="mt-overlay-1 auction-category-image-container">
										<img src="{{ $c->thumbnailPath }}" class="img-responsive">
									</div>

									<a href="{{ route('auction.category', $c->title_url) }}">
										<p class="ribbon-content item-title">{{ $c->title }}</p>
									</a>

								</div>
							</div>
						@endforeach
					</div>
				</div>
			</div>
			<div class="portlet light">
				<div class="portlet-title">
					<div class="caption">
						<span class="caption-subject bold">{{ trans('auction.index.Price Categories') }}</span>
					</div>
				</div>
				<div class="portlet-body">
					<div class="row">
						@foreach( $priceCategories as $category => $range )
							<div class="col-md-3">
								<div class="mt-element-ribbon mt-element-overlay colibri-bg-gray auction-category">

									<!--div class="mt-overlay-1 auction-category-image-container">
										<img src="{{ 'price_category/'.$category }}" class="img-responsive">
									</div-->

									<a href="{{ route('auction.price-category', $category) }}">
										<p class="ribbon-content item-title">{{ '$'. $range[0] . ' - $' . $range[1] }}</p>
									</a>

								</div>
							</div>
						@endforeach
					</div>
				</div>
			</div>

		<div class="portlet light">
			<div class="portlet-title">
				<div class="caption">
					<span class="caption-subject bold">{{ trans('auction.index.Closed auctions') }}</span>
				</div>
			</div>
			<div class="portlet-body">
				<div class="row">
					@include('auction.partials.listing', ['items' => $closedItems])
				</div>
			</div>
		</div>
  	</div>
</div>
@stop

@section('style')
<link rel="stylesheet" type="text/css" href="{{ asset('/assets/global/plugins/slick/slick.css') }}">
<link rel="stylesheet" type="text/css" href="{{ asset('/assets/global/plugins/slick/slick-theme.css') }}">
@endsection

@section('script')
<script type="text/javascript" src="{{ asset('/assets/global/plugins/jquery-countdown/jquery.countdown.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('/assets/global/plugins/slick/slick.js') }}"></script>
<script src="{{ asset('assets/scripts/pages/auction-common.js') }}" type="text/javascript"></script>
@stop
