@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ trans('auction.packages.title') }}
                <small>{{ trans('auction.packages.Colibri Auction') }}</small>
            </h1>
        </div>
    </div>
</div>
<!-- END PAGE TITLE -->
<div class="page-content">

  	<div class="container">
      	<!-- BEGIN PAGE BREADCRUMBS -->
      	<ul class="page-breadcrumb breadcrumb">
	        <li>
	            <a href="{{ route('home') }}">{{ trans('auction.basket.Dashboard') }}</a>
	            <i class="fa fa-circle"></i>
	        </li>
	        <li>
	            <a href="{{ route('auction.index') }}">{{ trans('auction.packages.Auction') }}</a>
	            <i class="fa fa-circle"></i>
	        </li>
	        <li>
	            <span>{{ $title }}</span>
	        </li>
	    </ul>
      	<!-- END PAGE BREADCRUMBS -->
      	<!-- BEGIN PAGE CONTENT INNER -->
  		<div class="page-content-inner">



			<div class="row widget-row">
				<div class="col-md-3 col-xs-12">
					<!-- BEGIN WIDGET THUMB -->
					<div class="widget-thumb widget-bg-color-white text-uppercase margin-bottom-20 tile-element" onclick="window.location ='{{ route('deposits') }}'">
						<h4 class="widget-thumb-heading">{{ trans('dashboard.index.ewallet') }}</h4>
						<div class="widget-thumb-wrap">
							<i class="widget-thumb-icon bg-yellow fa fa-usd"></i>
							<div class="widget-thumb-body">
								<span class="widget-thumb-subtitle">USD{{-- Config::get('app.currencies')[ $user->profile->currency ] --}}</span>
								<span class="widget-thumb-body-stat" data-counter="counterup" data-value="{{ number_format($e_wallet_balance, 2) }}">{{ number_format($e_wallet_balance, 2) }}</span>
							</div>
						</div>
					</div>
					<!-- END WIDGET THUMB -->
				</div>
				{{--
                <div class="col-md-3 col-xs-12">
                    <!-- BEGIN WIDGET THUMB -->
                    <div class="widget-thumb widget-bg-color-white text-uppercase margin-bottom-20 ">
                        <h4 class="widget-thumb-heading">{{ trans('dashboard.index.onlineAccount') }}</h4>
                        <div class="widget-thumb-wrap">
                            <i class="widget-thumb-icon bg-grey-gallery icon-layers"></i>
                            <div class="widget-thumb-body">
                                <span class="widget-thumb-subtitle">{{ Config::get('app.currencies')[ $user->profile->currency ] }}</span>
                                <span class="widget-thumb-body-stat" data-counter="counterup" data-value="{{ number_format( $balances->online_account, 2) }}">{{ number_format( $balances->online_account, 2) }}</span>
                            </div>
                        </div>
                    </div>
                    <!-- END WIDGET THUMB -->
                </div>


                <div class="col-md-3 col-xs-12">
                    <!-- BEGIN WIDGET THUMB -->
                    <div class="widget-thumb widget-bg-color-white text-uppercase margin-bottom-20 ">
                        <h4 class="widget-thumb-heading">{{ trans('dashboard.index.resaleUnits') }}</h4>
                        <div class="widget-thumb-wrap">
                            <i class="widget-thumb-icon bg-grey-salt icon-screen-desktop"></i>
                            <div class="widget-thumb-body">
                                <span class="widget-thumb-subtitle">{{ trans('dashboard.index.units') }}</span>
                                <span class="widget-thumb-body-stat" data-counter="counterup" data-value="{{ number_format( $balances->resale_units, 2) }}">{{ number_format( $balances->resale_units, 2) }}</span>
                            </div>
                        </div>
                    </div>
                    <!-- END WIDGET THUMB -->
                </div>
                <div class="col-md-3 col-xs-12">
                    <!-- BEGIN WIDGET THUMB -->
                    <div class="widget-thumb widget-bg-color-white text-uppercase margin-bottom-20 ">
                        <h4 class="widget-thumb-heading">{{ trans('dashboard.index.offsetUnits') }}</h4>
                        <div class="widget-thumb-wrap">
                            <i class="widget-thumb-icon bg-grey icon-bar-chart"></i>
                            <div class="widget-thumb-body">
                                <span class="widget-thumb-subtitle">{{ trans('dashboard.index.units') }}</span>
                                <span class="widget-thumb-body-stat" data-counter="counterup" data-value="{{ number_format( $balances->offset_units, 2) }}">{{ number_format( $balances->offset_units, 2) }}</span>
                            </div>
                        </div>
                    </div>
                    <!-- END WIDGET THUMB -->
                </div>--}}

				<div class="col-md-3 col-xs-12">
					<!-- BEGIN WIDGET THUMB -->
					<div class="widget-thumb widget-bg-color-white text-uppercase margin-bottom-20 tile-element" onclick="window.location ='{{ route('auction.packages') }}'">
						<h4 class="widget-thumb-heading">{{ trans('dashboard.index.bidsCount') }}</h4>
						<div class="widget-thumb-wrap">
							<i class="widget-thumb-icon colibri-bg-light-blue fa fa-gavel"></i>
							<div class="widget-thumb-body">
								<span class="widget-thumb-subtitle">{{ trans('dashboard.index.bids') }}</span>
								<span class="widget-thumb-body-stat" data-counter="counterup" data-value="{{ number_format( $count_bids, 0) }}">{{ number_format( $count_bids, 0) }}</span>
							</div>
						</div>
					</div>
					<!-- END WIDGET THUMB -->
				</div>


				<div class="col-md-3 col-xs-12">
					<!-- BEGIN WIDGET THUMB -->
					<div class="widget-thumb widget-bg-color-white text-uppercase margin-bottom-20 tile-element" onclick="window.location ='{{ route('auction.won') }}'">
						<h4 class="widget-thumb-heading">{{ trans('dashboard.index.wonItemCount') }}</h4>
						<div class="widget-thumb-wrap">
							<i class="widget-thumb-icon colibri-bg-red fa fa-trophy"></i>
							<div class="widget-thumb-body">
								<span class="widget-thumb-subtitle">{{ trans('dashboard.index.items') }}</span>
								<span class="widget-thumb-body-stat" data-counter="counterup" data-value="{{ number_format( $count_won_items, 0) }}">{{ number_format( $count_won_items, 0) }}</span>
							</div>
						</div>
					</div>
					<!-- END WIDGET THUMB -->
				</div>
				<div class="col-md-3 col-xs-12">
					<!-- BEGIN WIDGET THUMB -->
					<div class="widget-thumb widget-bg-color-white text-uppercase margin-bottom-20 tile-element" onclick="window.location ='{{ route('auction.watchlist') }}'">
						<h4 class="widget-thumb-heading">{{ trans('dashboard.index.watchListCount') }}</h4>
						<div class="widget-thumb-wrap">
							<i class="widget-thumb-icon colibri-bg-gray fa fa-star color-yellow"></i>
							<div class="widget-thumb-body">
								<span class="widget-thumb-subtitle">{{ trans('dashboard.index.items') }}</span>
								<span class="widget-thumb-body-stat" data-counter="counterup" data-value="{{ number_format( $count_watchlist, 0) }}">{{ number_format( $count_watchlist, 0) }}</span>
							</div>
						</div>
					</div>
					<!-- END WIDGET THUMB -->
				</div>


			</div>





	        <div class="row">
				<div class="col-md-12">
		      		<div class="portlet light ">
              			<div class="portlet-title">
	                  		<div class="caption">
                          		<i class="fa fa-database font-dark"></i>
                          		<span class="caption-subject font-dark bold uppercase">{{ trans('auction.packages.My Packages') }}</span>
                  			</div>
	                  		<div class="tools">
	                			<a href="javascript:;" class="collapse"> </a>
	            			</div>
              			</div>
		              	<div class="portlet-body">
			       
	              			<table class="table table-hover table-light center-table">
	                            <thead>
	                                <tr class="uppercase">
	                                    
	                                    <th> {{ trans('auction.packages.Package') }} </th>
										<th> {{ trans('auction.packages.Bids Left') }} </th>
										<th> {{ trans('auction.packages.First Purchase Date') }} </th>
										<th> {{ trans('auction.packages.Last Purchase Date') }} </th>
	                                    <th> </th>

	                                </tr>
	                            </thead>
	                            <tbody>
	                            	@foreach( $mypackages as $p )
										@isset($p->package)
										<tr class="text-center" data-id="{{ $p->id }}">
											
											<td> <strong>{{ $p->package->name }}</strong> </td>
											<td> {{ $p->bids }} </td>
											<td>{{ $p->created_at->format('Y.m.d H:i') }}</td>
											<td>{{ $p->updated_at->format('Y.m.d H:i') }}</td>
										</tr>
										@endisset
	                                @endforeach
	                            </tbody>
	                        </table>

	                        <hr /> 
	                        
	          				<p><strong><i class="fa fa-database"></i> {{ trans('auction.packages.all_bids') }}: </strong> {{ $total_bids }}</p>

			           	</div>
			        </div>
			    </div>
			</div>

           	<div class="row">
    			<div class="col-md-12">
				      	<div class="portlet light ">
		                  <div class="portlet-title">
		                      <div class="caption">
		                          <i class="fa fa-database font-dark"></i>
		                          <span class="caption-subject font-dark bold uppercase">{{ trans('auction.packages.Packages') }}</span>
		                      </div>
		                  </div>
	                  		<div class="portlet-body">
	                  			

	                  			<table class="table table-hover table-light center-table">
	                                <thead>
	                                    <tr class="uppercase">

										<th> {{trans('auction.basket.Package') }} </th>
                                        <th> {{trans('auction.basket.Price') }} </th>
                                        <th> {{trans('auction.basket.Bids') }} </th>
                                        <th> {{trans('auction.basket.Quantity') }} </th>
	                                        <th> </th>
	                                    </tr>
	                                </thead>
	                                <tbody>
	                                	@foreach( $packages as $p )
	                                    <tr class="text-center" data-id="{{ $p->id }}">
	                                        
	                                        <td> <h4 class="bold">{{ $p->name }}</h4><p>{!! $p->description !!}</p> </td>
	                                        <td> $ {{ $p->price }} </td>
	                                        <td> {{ $p->bids }} </td>
	                                        <td> 
	                                        
	                                        	<select class="form-control package_quantity" data-id="{{ $p->id }}">
	                                        		@for($i = 1; $i <= 10; $i++)
	                                        		<option value="{{ $i }}">{{ $i }}</option>
	                                        		@endfor
	                                        	</select>
	                                      
	                                        </td>
	                                        <td>
	                                            <a class="btn yellow btn-addToCart"><i class="fa fa-shopping-cart"></i> {{ trans('Buy') }}</a>
	                                        </td>
	                                    </tr>
	                                    @endforeach
	                                </tbody>
	                            </table>

								<div class="col-sm-2">{{ trans('auction.packages.cart') }}</div>
								<div class="col-sm-10">
									<p class="form-control-static" id="total_cart">
										@if($cart->count() == 0)
											<span>{{ trans('auction.packages.empty') }}<span>
                                    	@else
											@foreach($cart->content() as $row)
												<span>
													<b>{{ $row->name }}</b> <br> {{ trans('auction.packages.Piece') }}: {{ $row->qty }}
												<span>
											@endforeach
										@endif
									</p>
									<p class="help-block"><em>{{ trans('auction.packages.This is the content of your cart') }}.</em></p>
								</div>

								<div class="col-sm-2">{{ trans('auction.packages.total_cost') }}</div>
								<div class="col-sm-10">
									<p class="form-control-static" id="total_cost">{{ Config::get('app.currencies')[ $user->profile->currency ] }}<span>{{ $cart->total() }}</span></p>
									<p class="help-block"><em>{{ trans('auction.packages.This is the total cost of this purchase') }}.</em></p>
								</div>

							
								<a href="{{ route('auction.packages.basket') }}" class="btn yellow"><i class="fa fa-plus"></i> {{ trans('auction.packages.Purchase') }}</a>
							
						
                  	</div>
             	</div>
            	</div>
           	</div>
     	</div>
 	</div>
</div>

@stop

@section('script')
<script type="text/javascript">
	var ajax_url_packages_addTo = '{{ route("clientzone.ajax.auction.packages.addTo") }}';
</script>
<script type="text/javascript" src="{{ asset('assets/scripts/pages/auction-packages-purchase.js') }}"></script>
@stop
