@foreach( $items as $item )
    @if(method_exists($item, 'item'))
        @php
            $item = $item->item;
        @endphp
    @endif
    @php
        $col = isset($col) ? $col : 2;
    @endphp

    @continue(!$item)
    <div class="col-md-{{ $col }} col-sm-4 col-xs-6">
        <div class="single-auction-item" data-item-id="{{ $item->id }}">
            <div class="item-image">
                @if( $item->ends_at->timestamp <= Carbon::now()->addSeconds(300)->timestamp && !$item->isEnded())
                    <div class="ribbon ending-soon">
                        {{ trans('auction.shared.ending_soon') }}
                    </div>
                @endif

                @if(Auth::user() && request()->is('desk*'))
                    @if($item->isWatching())
                        <div class="ribbon watchlist">
                            <i class="fa fa-heart"></i>
                        </div>
                    @else
                        <div class="ribbon watchlist hidden">
                            <i class="fa fa-heart"></i>
                        </div>
                    @endif
                @endif

                @if(Auth::user() && $item->isEnded() && $item->lastBidder && $item->lastBidder->user_id == $user->id )
                    <div class="ribbon won">
                        {{ trans('auction.shared.won') }}
                    </div>
                @endif

                <div class="image-container">
                    <img class="img-responsive" src=" @if(isset($item->thumbnail)) {{$item->thumbnail->ThumbnailPath}} @endif" alt="{{ $item->title }}">
                </div>

            </div>

            <div class="item-details">
                <h4 class="item-title">{{ $item->title }}</h4>
                <div class="item-time-left">
                    <strong>{{ trans("auction.shared.time_left") }}:</strong>
                    @if( $item->isEnded() )
                        <span class="value ends_at highlight" data-ended="1">{{ trans('auction.shared.ended') }}</span>
                    @else
                        <span class="value ends-at" data-ts="{{ $item->ends_at->timestamp * 1000 }}" data-type="soon"></span>
                    @endif
                </div>
                <hr>
                <div class="current-price">
                    {{ trans('auction.shared.final_price') }}: <span class="price">${{ $item->current_price }}</span>
                </div>
            </div>

            <a class="btn btn-primary" href="{{ route('auction.view', $item->id) }}">
                {{ trans('auction.shared.view') }}
            </a>
            @if( Auth::user() && request()->is('desk*'))
            <a class="btn default btn-outline add-watchlist-btn @if( $item->isWatching() ) active @endif" data-iid="{{ $item->id }}">
                <span class="off"><i class="fa fa-heart-o"></i></span>
                <span class="on"><i class="fa fa-heart"></i></span>
            </a>
            @endif
            {{--@if($enableRefund && Auth::user() && $item->isEnded() && $item->lastBidder && $item->lastBidder->user_id == $user->id )
                    <div>
                   <a href="{{ route('auction.refund', $item->id) }}" class="btn btn-default"> {{ trans('auction.shared.Refund item') }} </a>
                    </div>
                @endif--}}
        </div>
    </div>
@endforeach

@section('style')

    <link rel="stylesheet" href="{{ asset('assets/css/pages/auction.css') }}">
@endsection
{{--
@section('script')
    <script src="{{ asset('assets/scripts/pages/auction-common.js') }}" type="text/javascript"></script>
@stop
--}}