@extends('layouts.default')

@section('content')
<div class="page-content">
  	<div class="container-fluid">
  		<div class="row">
  			<div class="col-md-7">

				<div class="portlet light">
					
					<div class="portlet-body">
						@if($item->isEnded() )
						<div class="alert alert-success">
							<strong>{{ trans('auction.shared.ended_text') }}</strong> {{ trans('auction.shared.congratulation_to') }}
							<strong>@if( !is_null( $item->lastBidder ) ) {{ $item->lastBidder->user->username }} @else - @endif</strong>.
						</div>
						@endif
						<div class="row">
							<div class="col-md-5">
								<div class="item-images" id="image-links">
									<a href="{{ $item->images->first()->imagePath }}" class="main" title="{{ 'Image_' . $item->images->first()->id }}" data-unique-id="{{ $item->images->first()->id }}" data-gallery>
								        <img src="{{ $item->images->first()->imagePath }}">
								    </a>
								    <div class="images-list">
										@foreach( $item->images as $image )
										<a href="{{ $image->imagePath }}" title="{{ 'Image_' . $image->id }}" data-unique-id="{{ $image->id }}" data-gallery>
									        <img src="{{ $image->thumbnailPath }}">
									    </a>
									    @endforeach
								   	</div>
								</div>
							</div>
							<div class="col-md-7 item-details">
								<h3 class="item-title">{{ $item->title }}</h3>
								<hr />
								<div class="row">
									<div class="col-md-7">
										<ul class="list-unstyled">
		                                    <li class="currentPrice">
		                                        <span class="title"> {{ trans('auction.shared.current_price') }}
		                                            <i class="fa fa-img-up"></i>
		                                        </span>
		                                        <span class="value"> ${{ $item->current_price }} </span>
		                                    </li>
											{{--
		                                    <li class="hidden">
		                                        <span class="title"> {{ trans('auction.view.Buy It Now') }}
		                                            <i class="fa fa-img-down"></i>
		                                        </span>
		                                        <span class="value"> ${{ $item->buy_price }} </span>
		                                    </li>
		                                    --}}
		                                    <li class="lastBidder">
		                                        <span class="title"> @if( $item->isEnded() ) {{ trans('auction.shared.winner') }} @else {{ trans('auction.shared.last_bidder') }} @endif </span>
		                                        <span class="value"> @if( !is_null( $item->lastBidder ) ) {{ $item->lastBidder->user->username }} @else - @endif</span>
		                                    </li>
		                                    <li class="endsAt">
		                                        <span class="title"> {{ trans('auction.shared.ends_at') }} </span>
		                                        @if( $item->isEnded() )
		                                        	<span class="value ends_at highlight" data-ended="1">{{ trans('auction.shared.ended') }}</span>
		                                        @else
		                                        	<span class="value ends-at" data-ts="{{ $item->ends_at->timestamp * 1000 }}" data-type="soon"></span>
		                                        @endif
		                                    </li>
		                                </ul>
		                            </div>
		                            <div class="col-md-5 text-center">
		                            	@if( $item->isEnded())
											{{--<a class="btn yellow btn-block place-bid-btn disabled" disabled="disabled">{{ trans('auction.shared.buy_it_now') }}</a>--}}
                                            {{--<a class="btn default btn-block buy-now-btn disabled hidden" disabled="disabled"> {{ trans('auction.view.Buy It Now') }}</a>--}}
											{{--<hr />--}}
                                            <a class="btn default btn-block add-watchlist-btn single @if( $item->isWatching() ) active @endif" data-iid="{{ $item->id }}">
                                                <span class="off"><i class="fa fa-heart-o"></i> {{ trans('auction.shared.watch') }}</span>
                                                <span class="on"><i class="fa fa-heart"></i> {{ trans('auction.shared.unwatch') }}</span>
                                            </a>
                                            @else
                                            <a class="btn yellow btn-block place-bid-btn">{{ trans('auction.shared.place_bid') }} ( {{ $item->per_bid_price / config('auction.bid_price')}} )</a>
                                            <div class="text-center text-muted" style="margin-top: 5px;">${{ $item->per_bid_price}} {{ trans('auction.shared.per_bid') }}</div>
                                            {{--
                                            <a class="btn default btn-block buy-now-btn hidden"> {{ trans('auction.view.Buy It Now') }}</a>
                                            --}}
										<hr />
		                            	<a class="btn default btn-block add-watchlist-btn single @if( $item->isWatching() ) active @endif" data-iid="{{ $item->id }}">
		                            		<span class="off">{{ trans('auction.shared.watch') }}</span>
		                            		<span class="on">{{ trans('auction.shared.unwatch') }}</span>
		                            	</a>
		                            	@endif
		                            </div>
		                        </div>
                                <hr />      
                                <p>{!! $item->description !!}</p>
							</div>
						</div>
					</div>
					<div class="row">
						<div class="col-md-12 item-infos">
							<div class="row">
								<div class="col-md-6">
									<ul class="list-unstyled">
	                                    <li>
	                                    	<span class="title"> {{ trans('auction.view.auction_id') }}
	                                            <i class="fa fa-img-up"></i>
	                                        </span>
	                                        <span class="value"> {{ $item->id }} </span>
	                                    </li>
	                                    <li>
	                                    	<span class="title"> {{ trans('auction.view.auction_type') }}
	                                            <i class="fa fa-img-up"></i>
	                                        </span>
	                                        <span class="value"> {{ ($item->type_id == 1) ? trans('auction.view.normal') : '' }} </span>
	                                    </li>
	                                    <li>
	                                    	<span class="title"> {{ trans('auction.view.price_starts_at') }}
	                                            <i class="fa fa-img-up"></i>
	                                        </span>
	                                        <span class="value"> ${{ $item->start_price }} </span>
	                                    </li>
	                                </ul>
								</div>
								<div class="col-md-6">
									<ul class="list-unstyled">
	                                    <li>
	                                    	<span class="title"> {{ trans('auction.view.start_time') }}
	                                            <i class="fa fa-img-up"></i>
	                                        </span>
	                                        <span class="value" id="item_start_time" data-custom-event="utc-offset-update"> {{ $item->created_at->format('Y.m.d H:i:s') }} </span>
	                                    </li>

	                                    <li>
	                                    	<span class="title"> {{ trans('auction.shared.ends_at') }}
	                                            <i class="fa fa-img-up"></i>
	                                        </span>
	                                        <span class="value" id="item_end_time" data-custom-event="utc-offset-update-increment"> {{ $item->ends_at->format('Y.m.d H:i:s') }} </span>
	                                    </li>

	                                </ul>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="col-md-5">

				<div class="portlet light">
					<div class="portlet-title">
						<div class="caption">
							<span class="caption-subject bold">{{ trans('auction.view.history') }}</span>
						</div>
					</div>
					<div class="portlet-body">
						<div class="tabbable-custom nav-justified">
                            <ul class="nav nav-tabs nav-justified">
                                <li class="active">
                                    <a href="#bid-history" data-toggle="tab" aria-expanded="true">
										{{ trans('auction.view.bid_history') }}
                                    </a>
                                </li>
                                <li>
                                    <a href="#bid-butler" data-toggle="tab" aria-expanded="true">
                                    	{{ trans('auction.view.bid_butler') }}
                                    </a>
                                </li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane active" id="bid-history">
                                    <table class="table table-striped table-hover bid-history-table">
                                        <thead>
                                            <tr>
                                                <th>
                                                    <i class="fa fa-user"></i> {{ trans('auction.view.bidder') }} </th>
                                                <th>
                                                    <i class="fa fa-money"></i> {{ trans('auction.view.amount') }} </th>
                                                <th>
                                                    <i class="fa fa-tag"></i> {{ trans('auction.view.type') }} </th>
                                                <th>
                                                    <i class="fa fa-clock-o"></i> {{ trans('auction.view.time') }} </th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        	@php $bids = $item->limitedBids; @endphp
                                        	@foreach( $bids as $bid )
                                            <tr>
                                                <td>{{ $bid->user->username }}</td>
                                                <td>${{ $bid->price }}</td>
                                                <td>@if( $bid->type == 1 )
                                                	{{ trans('auction.view.normal') }}
                                                @elseif( $bid->type == 2 )
													{{ trans('auction.view.bid_butler') }}
                                                @else
													{{ trans('auction.shared.buy_it_now') }}
                                                @endif</td>
                                                <td data-custom-event="utc-offset-update">{{ $bid->created_at->format('Y.m.d H:i:s') }}</td>
                                            </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>

                                <div class="tab-pane form" id="bid-butler">
                                	@if( $item->isEnded() )
                                	<div class="alert alert-warning">
                                		<p><strong>{{ trans('auction.shared.ended_text') }}</strong> {{ trans('auction.shared.no_more_bid_butler') }}
                                		</p>
                                	</div>
                                	@else
                                	<form class="form-horizontal">
                                		<div class="form-group bidButlerCurrently @if( $myBidButlerCounter == 0 ) hidden @endif">
                                            <label class="col-md-3 control-label">{{ trans('auction.view.my_offers_left') }}</label>
                                            <div class="col-md-9">
                                                <p class="form-control-static value">{{ $myBidButlerCounter }} ({{$myBidButlerCounter* $item->per_bid_price / config('auction.bid_price') }} {{ trans('auction.shared.bids') }}) </p>
                                            </div>
                                        </div>

                                        @if( $myBidButlerCounter > 0 ) <hr /> @endif

                                		<div class="form-body">
                                			<div class="form-group">
                                                <label class="col-md-3 control-label">{{ trans('auction.view.number_of_offers') }}</label>
                                                <div class="col-md-9">
                                                    <div class="input-group">
                                                        <span class="input-group-addon">
                                                            <i class="fa fa-gavel"></i>
                                                        </span>
                                                        <input type="number" min="1" max="10" class="form-control" name="bitButlerInput" value="1"> 
                                                   	</div>
                                                </div>
                                            </div>
                                		</div>
                                		<div class="form-actions">
                                			<div class="row">
                                                <div class="col-md-offset-3 col-md-9">
                                                    <button type="submit" class="btn yellow setBidButlerBtn">{{ trans('auction.view.set_offer') }}</button>
													<a class="btn yellow btn-clear display-inline"><i class="fa fa-remove"></i></a>
                                                </div>
                                            </div>
                                		</div>
                                	</form>
                                	@endif
                                </div>
                            </div>
                        </div>
					</div>
				</div>

			</div>
		</div>

		<div class="row">
			<div class="col-md-12">
				<div class="portlet light">
					<div class="portlet-title">
						<div class="caption">
							<span class="caption-subject bold">{{ trans('auction.view.related_items') }}</span>
						</div>
					</div>
					<div class="portlet-body">
						<div class="row">
						@include('auction.partials.listing', ['items' => $relatedItems])
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>


<div id="blueimp-gallery" class="blueimp-gallery blueimp-gallery" data-use-bootstrap-modal="false">
	<div class="slides"></div>
	<h3 class="title"></h3>
	<a class="prev">‹</a>
	<a class="next">›</a>
	<a class="close">×</a>
	<a class="play-pause"></a>
	<ol class="indicator"></ol>
</div>

<!--
<div id="blueimp-gallery" class="blueimp-gallery">
    <div class="slides"></div>
    <h3 class="title"></h3>
    <a class="prev">‹</a>
    <a class="next">›</a>
    <a class="close">×</a>
    <a class="play-pause"></a>
    <ol class="indicator"></ol>
</div>
-->
{{--
<div id="placebid-modal" class="modal fade" tabindex="-1">
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
        <h4 class="modal-title"> {{ trans('auction.view.Place bid') }}</h4>
    </div>
    <div class="modal-body">
    	<div class="row">
			<div class="col-md-12">
				<ul class="list-unstyled list-modal">
                    <li class="currentPrice">
                        <span class="title"> {{ trans('auction.view.Current Price') }}
                            <i class="fa fa-money"></i>
                        </span>
                        <span class="value"> ${{ $item->current_price }} </span>
                    </li>
					<li class="currentBidPrice">
                        <span class="title"> {{ trans('auction.view.Bid Price') }}
                            <i class="fa fa-money"></i>
                        </span>
                        <span class="value"> ${{ $item->per_bid_price }} </span>
                    </li>
                </ul>
                <hr />
                <small>{{ trans('auction.view.After every bid the expiration will be extended by 30 seconds') }}</small>
            </div>
        </div>
    </div>
    <div class="modal-footer">
    	<button class="btn yellow placebid-ok-btn">{{ trans('auction.view.Place bid') }}</button>
    	<button class="btn default placebid-cancel-btn">{{ trans('auction.view.Cancel') }}</button>
    </div>
</div>

<div id="buyitnow-modal" class="modal fade" tabindex="-1">
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
        <h4 class="modal-title">{{ trans('auction.view.Buy It Now') }}</h4>
    </div>
    <div class="modal-body">
    	<div class="row">
			<div class="col-md-12">
				<ul class="list-unstyled list-modal">
					<li class="currentPrice">
                        <span class="title"> {{ trans('auction.view.Buy It Now Price') }}
                            <i class="fa fa-money"></i>
                        </span>
                        <span class="value"> ${{ $item->buy_price }} </span>
                    </li>
                    <li class="currentPrice">
                        <span class="title"> {{ trans('auction.view.Current Price') }}
                            <i class="fa fa-money"></i>
                        </span>
                        <span class="value"> ${{ $item->current_price }} </span>
                    </li>

                    <li class="myBuyItNowPrice">
                        <span class="title"> {{ trans('auction.view.My Buy It Now Price') }}
                            <i class="fa fa-money"></i>
                        </span>
                        <span class="value"> ${{ $item->buy_price }} </span>
                    </li>
                </ul>

			</div>
        </div>
    </div>
    <div class="modal-footer">
    	<button class="btn yellow buyitnow-ok-btn">{{ trans('auction.view.Buy It Now') }}</button>
    	<button class="btn default buyitnow-cancel-btn">{{ trans('auction.view.Cancel') }}</button>
    </div>
</div>
--}}
@endsection

@section('style')
<link rel="stylesheet" href="{{ asset('assets/global/plugins/blueimp/css/blueimp-gallery.css') }}">

<link rel="stylesheet" href="{{ asset('assets/global/plugins/blueimp/css/blueimp-gallery-indicator.css') }}">
<link rel="stylesheet" href="{{ asset('assets/global/plugins/blueimp/css/blueimp-gallery-video.css') }}">
{{--<link rel="stylesheet" type="text/css" href="{{ asset('/assets/global/plugins/slick/slick.css') }}">
<link rel="stylesheet" type="text/css" href="{{ asset('/assets/global/plugins/slick/slick-theme.css') }}">--}}
<link href="{{ asset('assets/global/plugins/bootstrap-modal/css/bootstrap-modal-bs3patch.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/bootstrap-modal/css/bootstrap-modal.css') }}" rel="stylesheet" type="text/css" />
<link rel="stylesheet" href="{{ asset('assets/css/pages/auction.css') }}">
<link rel="stylesheet" href="{{ asset('assets/global/plugins/blueimp/css/blueimp-gallery.css') }}">
@endsection

@section('script')
<script type="text/javascript">
	window.squery = {
		itemId: '{{ $item->id }}'
	};
	window.aid = '{{ $item->id }}';

	@if( !$item->isEnded() )
		window.initWs = true;
	@else
		window.initWs = false;
	@endif

	window.placeBidUrl = '{{ route("clientzone.ajax.auction.place-bid") }}';
	window.buyItNowUrl = '{{ route("clientzone.ajax.auction.buy-it-now") }}';
	window.bidButlerUrl = '{{ route("clientzone.ajax.auction.set-bid-butler") }}';

    window.clearButlerUrl = '{{ route("clientzone.ajax.auction.clear-bid-butler") }}';

	window.buyPriceUrl = '{{ route("clientzone.ajax.auction.buyprice") }}';

/*
    $(document).ready(function() {
        blueimp.Gallery(
            document.getElementById('image-links').getElementsByTagName('a'),
            {
                container: '#blueimp-gallery',
                carousel: true,
                onslide: function (index, slide) {
                    var unique_id = this.list[index].getAttribute('data-unique-id');
                    console.log(unique_id);
                }
            }
        );
    });

*/
</script>
<script type="text/javascript" src="{{ asset('/assets/global/plugins/blueimp/js/blueimp-gallery.min.js') }}"></script>
{{--<script type="text/javascript" src="{{ asset('/assets/global/plugins/blueimp/js/blueimp-gallery.min.js') }}"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="text/javascript" src="{{ asset('/assets/global/plugins/blueimp/js/blueimp-helper.js') }}"></script>
<script type="text/javascript" src="{{ asset('/assets/global/plugins/blueimp/js/blueimp-gallery.js') }}"></script>
<script type="text/javascript" src="{{ asset('/assets/global/plugins/blueimp/js/blueimp-gallery-fullscreen.js') }}"></script>
<script type="text/javascript" src="{{ asset('/assets/global/plugins/blueimp/js/blueimp-gallery-indicator.js') }}"></script>--}}



<script type="text/javascript" src="{{ asset('/assets/global/plugins/jquery-countdown/jquery.countdown.min.js') }}"></script>
{{--<script type="text/javascript" src="{{ asset('/assets/global/plugins/slick/slick.js') }}"></script>--}}
<script src="{{ asset('assets/global/plugins/bootstrap-modal/js/bootstrap-modalmanager.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/bootstrap-modal/js/bootstrap-modal.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/scripts/pages/auction-common.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/scripts/pages/auction.js') }}" type="text/javascript"></script>
@endsection