@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small>{{ trans('auctionpurchase.index.smallTitle') }}</small>
            </h1>
        </div>
    </div>
  </div>
        <!-- END PAGE TITLE -->
	<div class="page-content">
	  <div class="container">
	      <!-- BEGIN PAGE BREADCRUMBS -->
	      <ul class="page-breadcrumb breadcrumb">
	        <li>
	            <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
	            <i class="fa fa-circle"></i>
	        </li>
	        <li>
	            <span>{{ $title }}</span>
	        </li>
	    </ul>
	      <!-- END PAGE BREADCRUMBS -->
	      <!-- BEGIN PAGE CONTENT INNER -->
	      <div class="page-content-inner">




			  <div class="row widget-row">
				  <div class="col-md-3 col-xs-12">
					  <!-- BEGIN WIDGET THUMB -->
					  <div class="widget-thumb widget-bg-color-white text-uppercase margin-bottom-20 tile-element" onclick="window.location ='{{ route('deposits') }}'">
						  <h4 class="widget-thumb-heading">{{ trans('auctionpurchase.index.total') }}</h4>
						  <div class="widget-thumb-wrap">
							  <i class="widget-thumb-icon bg-yellow fa fa-usd"></i>
							  <div class="widget-thumb-body">
								  <span class="widget-thumb-subtitle">{{ trans('auctionpurchase.index.usd') }}</span>
								  <span class="widget-thumb-body-stat" data-counter="counterup" data-value="{{ number_format($total_wallet, 2) }}">{{ number_format($total_wallet, 2) }}</span>
							  </div>
						  </div>
					  </div>
					  <!-- END WIDGET THUMB -->
				  </div>


				  <div class="col-md-3 col-xs-12">
					  <!-- BEGIN WIDGET THUMB -->
					  <div class="widget-thumb widget-bg-color-white text-uppercase margin-bottom-20 ">
						  <h4 class="widget-thumb-heading">{{ trans('auctionpurchase.index.total-price') }}</h4>
						  <div class="widget-thumb-wrap">
							  <i class="widget-thumb-icon colibri-bg-light-blue fa fa-folder"></i>
							  <div class="widget-thumb-body">
								  <span class="widget-thumb-subtitle">{{ trans('auctionpurchase.index.usd') }}</span>
								  <span class="widget-thumb-body-stat" data-counter="counterup" data-value="{{ number_format($total_purchase_amount, 2) }}">{{ number_format($total_purchase_amount, 2) }}</span>
							  </div>
						  </div>
					  </div>
					  <!-- END WIDGET THUMB -->
				  </div>


				  <div class="col-md-3 col-xs-12">
					  <!-- BEGIN WIDGET THUMB -->
					  <div class="widget-thumb widget-bg-color-white text-uppercase margin-bottom-20 tile-element" onclick="window.location ='{{ route('auction.won') }}'">
						  <h4 class="widget-thumb-heading">{{ trans('auctionpurchase.index.total-won') }}</h4>
						  <div class="widget-thumb-wrap">
							  <i class="widget-thumb-icon colibri-bg-red fa fa-trophy"></i>
							  <div class="widget-thumb-body">
								  <span class="widget-thumb-subtitle">{{ trans('auctionpurchase.index.items') }}</span>
								  <span class="widget-thumb-body-stat" data-counter="counterup" data-value="{{ number_format($total_won_items, 0) }}">{{ number_format($total_won_items, 0) }}</span>
							  </div>
						  </div>
					  </div>
					  <!-- END WIDGET THUMB -->
				  </div>
				  <div class="col-md-3 col-xs-12">
					  <!-- BEGIN WIDGET THUMB -->
					  <div class="widget-thumb widget-bg-color-white text-uppercase margin-bottom-20 ">
						  <h4 class="widget-thumb-heading">{{ trans('auctionpurchase.index.total-purchased') }}</h4>
						  <div class="widget-thumb-wrap">
							  <i class="widget-thumb-icon colibri-bg-gray fa fa-file color-yellow"></i>
							  <div class="widget-thumb-body">
								  <span class="widget-thumb-subtitle">{{ trans('auctionpurchase.index.purchases') }}</span>
								  <span class="widget-thumb-body-stat" data-counter="counterup" data-value="{{ number_format($total_purchase_count, 0) }}">{{ number_format($total_purchase_count, 0) }}</span>
							  </div>
						  </div>
					  </div>
					  <!-- END WIDGET THUMB -->
				  </div>


			  </div>
{{--
	    <div class="row">
			<div class="col-md-12">
			      	<div class="portlet light ">
	          <div class="portlet-title">
	              <div class="caption">
	                  <i class="icon-bar-chart font-dark"></i>
	                  <span class="caption-subject font-dark bold uppercase">{{ trans('auctionpurchase.index.statistics') }}</span>
	              </div>
	              <div class="tools">
	            <a href="javascript:;" class="collapse"> </a>
	        	</div>
	          </div>
	          <div class="portlet-body">
	          	<p><strong><i class="fa fa-usd"></i> {{ trans('auctionpurchase.index.total') }}:</strong> {{ Config::get('app.currencies')[ $user->profile->currency ] }} {{ number_format($total_wallet, 2) }}</p>
				<p><strong><i class="fa fa-folder"></i> {{ trans('auctionpurchase.index.total-price') }}:</strong> {{ Config::get('app.currencies')[ $user->profile->currency ] }} {{ number_format($total_purchase_amount, 2) }}</p>
				<p><strong><i class="fa fa-trophy"></i> {{ trans('auctionpurchase.index.total-won') }}:</strong>  {{ number_format($total_won_items, 0) }}</p>
				<p><strong><i class="fa fa-file"></i> {{ trans('auctionpurchase.index.total-purchased') }}:</strong>  {{ number_format($total_purchase_count, 0) }}</p>
	          </div>
	         </div>
	        </div>
	       </div>
	       --}}

	       <div class="row">
				<div class="col-md-12">
				    <div class="portlet light ">
	              		<div class="portlet-title">
	                  		<div class="caption">
	                      		<i class="fa fa-credit-card font-dark"></i>
	                      		<span class="caption-subject font-dark bold uppercase">{{ trans('auctionpurchase.index.myTransactions') }}</span>
	                  		</div>
	                  		{{--@if( in_array($user->id, [1520459, 919860]) )--}}
	                  		<div class="actions">
	                  			<a href="{{ route('auction-purchase.purchase') }}" class="btn yellow"><i class="fa fa-plus-square"></i> {{ trans('auctionpurchase.index.purchase') }}</a>
	                  		</div>
	                  		{{--@endif--}}
	              		</div>
	              		<div class="portlet-body">
	              			<table id="datatable-auctionpurchase" class="table table-sorting table-striped table-hover table-bordered datatable">
	        				</table>
	              		</div>
	             	</div>
	            </div>
	        </div>


			  {{----}}
	    </div>
	</div>
</div>

@stop

@section('style')
<link href="{{ asset('assets/global/plugins/bootstrap-daterangepicker/daterangepicker-bs3.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css') }}" rel="stylesheet" type="text/css" />
@stop

@section('script')
<script src="{{ asset('assets/global/scripts/datatable.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/datatables/datatables.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/bootstrap-daterangepicker/moment.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/bootstrap-daterangepicker/daterangepicker.js') }}" type="text/javascript"></script>
<script type="text/javascript">
    var ajax_auctionpurchase_dt = '{{ route("clientzone.ajax.auctionpurchase.table") }}';
    var shippingInfoUrl = '{{ route("auction-purchase.shipping.popup", null) }}';
</script>
<script type="text/javascript" src="{{ asset('assets/scripts/pages/auctionpurchase.js') }}"></script>
@stop
