@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small>{{ trans('auctionpurchase.process.smallTitle') }}</small>
            </h1>
        </div>
    </div>
  </div>
        <!-- END PAGE TITLE -->
	<div class="page-content">
	  <div class="container">
	      <!-- BEGIN PAGE BREADCRUMBS -->
	      <ul class="page-breadcrumb breadcrumb">
            <li>
                <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
                <i class="fa fa-circle"></i>
            </li>
            <li>
                <a href="{{ route('auction-purchase') }}">{{ trans('auctionpurchase.index.title') }}</a>
                <i class="fa fa-circle"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
	      <!-- END PAGE BREADCRUMBS -->
	      <!-- BEGIN PAGE CONTENT INNER -->
	      <div class="page-content-inner">



              <div class="row">
                  <div class="col-md-12">
                      <div class="portlet light ">
                          <div class="portlet-title">
                              <div class="caption">
                                  <i class="icon-bar-chart font-dark"></i>
                                  <span class="caption-subject font-dark bold uppercase">{{ trans('auctionpurchase.index.shipping') }}</span>
                              </div>
                              <div class="tools">
                                  <a id="toogle-collapse" href="javascript:;" class="collapse" data-original-title title aria-expanded="true"> </a>
                              </div>
                          </div>
                          <div class="portlet-body" id="shipping-container">

                              <div class="form-group">
                                  <label class="control-label" for="first_name">First Name</label>
                                  <input type="text" placeholder="John" class="form-control" id="first_name" name="first_name" value="{{ old('first_name', $user->first_name ) }}" />
                              </div>
                              <div class="form-group">
                                  <label class="control-label" for="middle_name">Middle Name</label>
                                  <input type="text" placeholder="Awesome" class="form-control" id="middle_name" name="middle_name" value="{{ old('middle_name', $user->middle_name ) }}" />
                              </div>
                              <div class="form-group">
                                  <label class="control-label" for="last_name">Last Name</label>
                                  <input type="text" placeholder="Doe" class="form-control" id="last_name" name="last_name" value="{{ old('last_name', $user->last_name ) }}" />
                              </div>

                              <hr>
                              <div class="form-group">
                                  <label class="control-label" for="country">Country</label>
                                  <select class="form-control" name="country" id="country">
                                      @foreach( $countries as $c )
                                          <option value="{{ $c->id }}" @if( $c->id == old('country', $user->profile->country_id) ) selected="selected" @endif>{{ $c->name }}</option>
                                      @endforeach
                                  </select>
                              </div>
                              <div class="form-group">
                                  <label class="control-label" for="zip">Zip</label>
                                  <input type="text" placeholder="98057" class="form-control" id="zip" name="zip" value="{{ old('zip', $user->profile->zip ) }}" />
                              </div>
                              <div class="form-group">
                                  <label class="control-label" for="state">State</label>
                                  <input type="text" placeholder="Washington" class="form-control" id="state" name="state" value="{{ old('state', $user->profile->state ) }}" />
                              </div>
                              <div class="form-group">
                                  <label class="control-label" for="city">City</label>
                                  <input type="text" placeholder="Renton" class="form-control" id="city" name="city" value="{{ old('city', $user->profile->city ) }}" />
                              </div>
                              <div class="form-group">
                                  <label class="control-label" for="address">Address</label>
                                  <input type="text" placeholder="536 Wells Ave S" class="form-control" id="address" name="address" value="{{ old('address', $user->profile->address ) }}" />
                              </div>

                              <hr>

                              <div class="form-group">
                                  <label class="control-label" for="phone">Phone Number</label>
                                  <input type="text" placeholder="123456789" class="form-control" id="phone" name="phone" value="{{ old('phone', $user->profile->phone ) }}" />
                              </div>
                              <div class="form-group">
                                  <label class="control-label" for="comment">Comment</label>
                                  <textarea placeholder="Some message about shipment..." class="form-control" rows="5" id="comment" name="comment"></textarea>
                              </div>

                          </div>
                      </div>
                  </div>
              </div>



    <div class="row">
			<div class="col-md-12">
				<div class="portlet light ">
              <div class="portlet-title">
                  <div class="caption">
                      <i class="fa fa-shopping-cart font-dark"></i>
                      <span class="caption-subject font-dark bold uppercase">{{ trans('auctionpurchase.process.process') }}</span>
                  </div>
              </div>


              <div class="portlet-body">
                @if( $cart->content()->count() == 0 )
                  <h4 class="empty-basket text-center">{{ trans('auctionpurchase.process.emptyBasket') }}</h4>
                @else
                <form id="process-form" action="" method="POST">
                  <table class="table table-hover table-light center-table">
                    <tbody>

                      <tr class="text-center">
                        <td>
                          <strong>{{ trans('auctionpurchase.process.ewallet') }}</strong>
                        </td>
                        <td>
                          @if( $cart->total() > $wallet->wallet)
                            {{ trans('auctionpurchase.process.noMoney') }}
                          @else
                            $ {{ number_format($wallet->wallet, 2) }}
                          @endif
                        </td>
                        <td>
                            @if( $cart->total() > $wallet->wallet)
                                <button name="wallet" id="wallet-btn" value="1" class="btn yellow" disabled="true"><i class="fa fa-check"></i> {{ trans('auctionpurchase.process.processBtn') }}</button>
                            @else
                                <button name="wallet" id="wallet-btn" value="1" class="btn yellow"><i class="fa fa-check"></i> {{ trans('auctionpurchase.process.processBtn') }}</button>
                            @endif
                        </td>
                      </tr>

                      <tr class="text-center">
                          <td>
                              <strong>{{ trans('auctionpurchase.process.giftcard') }}</strong>
                          </td>
                          <td>
                              @if( $cart->total() > $cards)
                                  {{ trans('auctionpurchase.process.noGift') }}
                              @else
                                  $ {{ number_format($cards, 2) }}
                              @endif
                          </td>
                          <td>
                              @if( $cart->total() > $cards)
                                  <button name="giftcard" id="giftcard-btn" value="1" class="btn yellow" disabled="true"><i class="fa fa-check"></i> {{ trans('auctionpurchase.process.processBtn') }}</button>
                              @else
                                  <button name="giftcard" id="giftcard-btn" value="1" class="btn yellow"><i class="fa fa-check"></i> {{ trans('auctionpurchase.process.processBtn') }}</button>
                              @endif
                          </td>
                      </tr>

                    </tbody>
                  </table>
                  {{ csrf_field() }}

                    <input type="hidden" name="process_type" value="">

                    <input type="hidden" name="form_first_name" value="">
                    <input type="hidden" name="form_middle_name" value="">
                    <input type="hidden" name="form_last_name" value="">
                    <input type="hidden" name="form_country" value="">
                    <input type="hidden" name="form_zip" value="">
                    <input type="hidden" name="form_state" value="">
                    <input type="hidden" name="form_city" value="">
                    <input type="hidden" name="form_address" value="">
                    <input type="hidden" name="form_phone" value="">
                    <input type="hidden" name="form_comment" value="">

                  </form>

                  <h4><b>{{ trans('auctionpurchase.process.total') }}:</b> $ {{ $cart->total() }}</h4>

                @endif
			
              </div>
             </div>
            </div>
           </div>

         </div>
     </div>
    </div>

@stop

@section('style')
    <link href="{{ asset('assets/css/pages/profile.css') }}" rel="stylesheet" type="text/css" />
@stop
@section('script')
    <!-- BEGIN PAGE LEVEL SCRIPTS -->
    <script src="{{ asset('assets/scripts/pages/profile.js') }}" type="text/javascript"></script>
    <script src="{{ asset('assets/scripts/pages/dashboard.js') }}" type="text/javascript"></script>
    <script type="text/javascript" src="{{ asset('assets/scripts/pages/auctionpurchase-process.js') }}"></script>
    <!-- END PAGE LEVEL SCRIPTS -->
@stop

