@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small>{{ trans('auctionpurchase.purchase.smallTitle') }}</small>
            </h1>
        </div>
    </div>
  </div>
        <!-- END PAGE TITLE -->
	<div class="page-content">
	  <div class="container">
	      <!-- BEGIN PAGE BREADCRUMBS -->
	      <ul class="page-breadcrumb breadcrumb">
            <li>
                <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
                <i class="fa fa-circle"></i>
            </li>
            <li>
                {{--<a href="{{ route('auction-purchase') }}">{{ trans('auctionpurchase.index.title') }}</a>--}}
                <a href="{{ route('auction-purchase.purchase') }}">{{ trans('auctionpurchase.index.title') }}</a>

                <i class="fa fa-circle"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
      	<!-- END PAGE BREADCRUMBS -->

      	<!-- BEGIN PAGE CONTENT INNER -->
	    <div class="page-content-inner">

	    @if( $cart->content()->count() )

	    	<div class="row">
				<div class="col-md-12">
			      	<div class="portlet light ">
	          			<div class="portlet-title">
		              		<div class="caption">
		                  		<i class="fa fa-shopping-cart font-dark"></i>
		                  		<span class="caption-subject font-dark bold uppercase">{{ trans('auctionpurchase.purchase.basket') }}</span>
		              		</div>
		              		<div class="tools">
		            			<a href="javascript:;" class="collapse"> </a>
		        			</div>
		          		</div>
		          		<div class="portlet-body">
		          			<h4 class="empty-basket text-center @if( $cart->content()->count() > 0 ) hidden @endif">{{ trans('auctionpurchase.process.emptyBasket') }}</h4>

                  			<table class="table table-hover table-light center-table @if( $cart->content()->count() == 0 ) hidden @endif">
                                <thead>
                                    <tr class="uppercase">
                                        <th> </th>
                                        <th> {{ trans('auctionpurchase.purchase.productName') }} </th>
                                        <th> {{ trans('auctionpurchase.purchase.price') }} </th>
                                        {{--<th> {{ trans('auctionpurchase.purchase.quantity') }} </th>--}}
                                        <th> {{ trans('auctionpurchase.purchase.basket-remove') }} </th>
                                        <th> </th>
                                    </tr>
                                </thead>
                                <tbody>
                                	@foreach( $cart->content() as $item )
                                    <tr class="text-center" data-id="{{ $item->id }}">
                                        <td> <img src="{{ $item->options->img }}" /> </td>
                                        <td> <h4 class="bold">{{ $item->name }}</h4></td>
                                        <td> $ {{ number_format($item->price, 2) }} </td>
                                        {{--<td>
                                        	{{ $item->qty }}
                                        </td>--}}
                                        <td>
                                            <a href="{{ route('auction-purchase.basket.remove', $item->rowId) }}" class="btn yellow btn-removeFromCart"><i class="fa fa-trash"></i></a>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>

                        	<h4><b>{{ trans('auctionpurchase.process.total') }}:</b> $ {{ $cart->total() }}</h4>

                        	<a href="{{ route('auction-purchase.basket.process') }}" class="btn yellow shopProcessBtn @if( $cart->content()->count() == 0 ) hidden @endif"><i class="fa fa-check"></i> {{ trans('auctionpurchase.process.processBtn') }}</a>
		          		</div>
		         	</div>
		        </div>
		    </div>

		@else

	        {{--<div class="row">
				<div class="col-md-12">
			      	<div class="portlet light ">
	          			<div class="portlet-title">
		              		<div class="caption">
		                  		<i class="icon-bar-chart font-dark"></i>
		                  		<span class="caption-subject font-dark bold uppercase">{{trans('auctionpurchase.purchase.balances')}}</span>
		              		</div>
		              		<div class="tools">
		            			<a href="javascript:;" class="collapse"> </a>
		        			</div>
		          		</div>
		          		<div class="portlet-body">
		          			<p><strong><i class="fa fa-usd"></i>  {{trans('auctionpurchase.purchase.totalwallet')}}:</strong> {{ Config::get('app.currencies')[ $user->profile->currency ] }} {{ number_format($ewallets, 2) }}</p>
		          		</div>
                        <div class="portlet-body">
                            <p><strong><i class="fa fa-gift"></i> {{trans('auctionpurchase.purchase.totalgift')}}:</strong> {{ Config::get('app.currencies')[ $user->profile->currency ] }} {{ number_format($total_cards, 2) }}</p>
                        </div>
		         	</div>
		        </div>
		    </div>
		    --}}


                <div class="row widget-row">
                    <div class="col-md-3 col-xs-12">
                        <!-- BEGIN WIDGET THUMB -->
                        <div class="widget-thumb widget-bg-color-white text-uppercase margin-bottom-20 tile-element" onclick="window.location ='{{ route('deposits') }}'">
                            <h4 class="widget-thumb-heading">{{ trans('auctionpurchase.index.total') }}</h4>
                            <div class="widget-thumb-wrap">
                                <i class="widget-thumb-icon bg-yellow fa fa-usd"></i>
                                <div class="widget-thumb-body">
                                    <span class="widget-thumb-subtitle">{{ trans('auctionpurchase.index.usd') }}</span>
                                    <span class="widget-thumb-body-stat" data-counter="counterup" data-value="{{ number_format($total_wallet, 2) }}">{{ number_format($total_wallet, 2) }}</span>
                                </div>
                            </div>
                        </div>
                        <!-- END WIDGET THUMB -->
                    </div>


                    <div class="col-md-3 col-xs-12">
                        <!-- BEGIN WIDGET THUMB -->
                        <div class="widget-thumb widget-bg-color-white text-uppercase margin-bottom-20 ">
                            <h4 class="widget-thumb-heading">{{ trans('auctionpurchase.index.total-price') }}</h4>
                            <div class="widget-thumb-wrap">
                                <i class="widget-thumb-icon colibri-bg-light-blue fa fa-folder"></i>
                                <div class="widget-thumb-body">
                                    <span class="widget-thumb-subtitle">{{ trans('auctionpurchase.index.usd') }}</span>
                                    <span class="widget-thumb-body-stat" data-counter="counterup" data-value="{{ number_format($total_purchase_amount, 2) }}">{{ number_format($total_purchase_amount, 2) }}</span>
                                </div>
                            </div>
                        </div>
                        <!-- END WIDGET THUMB -->
                    </div>


                    <div class="col-md-3 col-xs-12">
                        <!-- BEGIN WIDGET THUMB -->
                        <div class="widget-thumb widget-bg-color-white text-uppercase margin-bottom-20 tile-element" onclick="window.location ='{{ route('auction.won') }}'">
                            <h4 class="widget-thumb-heading">{{ trans('auctionpurchase.index.total-won') }}</h4>
                            <div class="widget-thumb-wrap">
                                <i class="widget-thumb-icon colibri-bg-red fa fa-trophy"></i>
                                <div class="widget-thumb-body">
                                    <span class="widget-thumb-subtitle">{{ trans('auctionpurchase.index.items') }}</span>
                                    <span class="widget-thumb-body-stat" data-counter="counterup" data-value="{{ number_format($total_won_items, 0) }}">{{ number_format($total_won_items, 0) }}</span>
                                </div>
                            </div>
                        </div>
                        <!-- END WIDGET THUMB -->
                    </div>
                    <div class="col-md-3 col-xs-12">
                        <!-- BEGIN WIDGET THUMB -->
                        <div class="widget-thumb widget-bg-color-white text-uppercase margin-bottom-20 ">
                            <h4 class="widget-thumb-heading">{{ trans('auctionpurchase.index.total-purchased') }}</h4>
                            <div class="widget-thumb-wrap">
                                <i class="widget-thumb-icon colibri-bg-gray fa fa-file color-yellow"></i>
                                <div class="widget-thumb-body">
                                    <span class="widget-thumb-subtitle">{{ trans('auctionpurchase.index.purchases') }}</span>
                                    <span class="widget-thumb-body-stat" data-counter="counterup" data-value="{{ number_format($total_purchase_count, 0) }}">{{ number_format($total_purchase_count, 0) }}</span>
                                </div>
                            </div>
                        </div>
                        <!-- END WIDGET THUMB -->
                    </div>


                </div>


            {{----}}





            {{----}}

           	<div class="row">
    			<div class="col-md-12">
				      	<div class="portlet light ">
                  <div class="portlet-title">
                      <div class="caption">
                          <i class="fa fa-gavel font-dark"></i>
                          <span class="caption-subject font-dark bold uppercase">{{trans('auctionpurchase.purchase.items')}}</span>
                      </div>
                  </div>
                  <td class="portlet-body">
                  		<form class="form-horizontal gfBuyForm" role="form" action="" method="POST">

                  			<table class="table table-hover table-light center-table">
                                <thead>
                                    <tr class="uppercase">
                                        <th> </th>
                                        <th> {{trans('auctionpurchase.purchase.item')}} </th>
                                        <th> {{trans('auctionpurchase.purchase.price')}} </th>
                                        {{--<th> Quantity </th>--}}
                                        <th> </th>
                                        @if($enableRefund)
                                            <th> </th>
                                        @endif
                                    </tr>
                                </thead>
                                <tbody>
                                	@foreach( $won_items as $p )
                                    <tr class="text-center" data-id="{{ $p->id }}">
                                        <td> <img src="{{ $p->images->first()->thumbnailPath }}" /> </td>
                                        <td> <h4 class="bold">{{ $p->title }} </h4>{{--<p> {!! $p->description !!} </p> --}}<p> {!! str_limit(strip_tags($p->description), 100) !!} </p></td>
                                        <td> $ {{ $p->current_price }} </td>
                                        {{--<td>
                                        	<select class="form-control giftcards_quantity" data-id="{{ $p->id }}">
                                        		@for($i = 1; $i <= 10; $i++)
                                        		<option value="{{ $i }}">{{ $i }}</option>
                                        		@endfor
                                        	</select>
                                        </td>--}}
                                        <td>
                                            <a class="btn yellow btn-addToCart"><i class="fa fa-shopping-cart"></i> {{trans('auctionpurchase.purchase.buy')}}</a>
                                        </td>
                                        @if($enableRefund && Auth::user() && $p->isEnded() && $p->lastBidder && $p->lastBidder->user_id == $user->id )
                                            <td>
                                                <a href="{{ route('auction.refund', $p->id) }}" class="btn btn-default">{{ trans('auction.shared.sell') }} $@if((($p->buy_price - $p->current_price) * ( config('auction.refund_percentage')/100)) > 0){{(($p->buy_price - $p->current_price) * ( config('auction.refund_percentage')/100))}}@else{{0}}@endif</a>
                                            </td>
                                        @endif
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
						
						<input type="hidden" name="_token" value="{{ csrf_token() }}">
						<input type="hidden" name="quantity" value="1">
						<input type="hidden" name="item" value="">
					</form>
                  </div>
                 </div>
                </div>
               </div>


                <div class="row">
                    <div class="col-md-12">
                        <div class="portlet light ">
                            <div class="portlet-title">
                                <div class="caption">
                                    <i class="fa fa-credit-card font-dark"></i>
                                    <span class="caption-subject font-dark bold uppercase">{{ trans('auctionpurchase.index.myTransactions') }}</span>
                                </div>
                                {{--@if( in_array($user->id, [1520459, 919860]) )--}}
                                {{--<div class="actions">
                                    <a href="{{ route('auction-purchase.purchase') }}" class="btn yellow"><i class="fa fa-plus-square"></i> {{ trans('auctionpurchase.index.purchase') }}</a>
                                </div>--}}
                                {{--@endif--}}
                            </div>
                            <div class="portlet-body">
                                <table id="datatable-auctionpurchase" class="table table-sorting table-striped table-hover table-bordered datatable">
                                </table>
                            </div>
                        </div>
                    </div>
                </div>

            @endif

         </div>
     </div>
    </div>

@stop

@section('style')
    <link href="{{ asset('assets/global/plugins/bootstrap-daterangepicker/daterangepicker-bs3.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('assets/global/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('assets/global/plugins/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css') }}" rel="stylesheet" type="text/css" />
@stop

@section('script')
    <script src="{{ asset('assets/global/scripts/datatable.js') }}" type="text/javascript"></script>
    <script src="{{ asset('assets/global/plugins/datatables/datatables.min.js') }}" type="text/javascript"></script>
    <script src="{{ asset('assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js') }}" type="text/javascript"></script>
    <script src="{{ asset('assets/global/plugins/bootstrap-daterangepicker/moment.min.js') }}" type="text/javascript"></script>
    <script src="{{ asset('assets/global/plugins/bootstrap-daterangepicker/daterangepicker.js') }}" type="text/javascript"></script>

<script type="text/javascript">
	var ajax_url_auctionpurchase_addTo = '{{ route("clientzone.ajax.auctionpurchase.addTo") }}';
    var ajax_auctionpurchase_dt = '{{ route("clientzone.ajax.auctionpurchase.table") }}';
    var shippingInfoUrl = '{{ route("auction-purchase.shipping.popup", null) }}';
    var ajax_auctionpurchase_status = '{{ route("clientzone.ajax.auctionpurchase.status") }}';
</script>
    <script type="text/javascript" src="{{ asset('assets/scripts/pages/auctionpurchase.js') }}"></script>
<script type="text/javascript" src="{{ asset('assets/scripts/pages/auctionpurchase-purchase.js') }}"></script>
@stop
