@extends('layouts.popup')
@section('content')
        <h3 class="page-title"> {{ $title }}
            <small></small>
        </h3>
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="icon-home"></i>
                    <a href="{{ route('home') }}">{{trans('auctionpurchase.shipping.home')}}</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <i class="icon-users"></i>
                    <a href="{{ route('auction-purchase') }}">{{trans('auctionpurchase.shipping.auction-purchases')}}</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span>{{ $title }}</span>
                </li>
            </ul>
        </div>

            <div class="profile-content">
                <div class="row">
                    <div class="col-md-12">
                        <div class="portlet light">
                            <div class="portlet-title">
                                <div class="caption">
                                    <span class="caption-subject font-green bold uppercase">
                                        {{trans('auctionpurchase.shipping.order-summary')}}
                                    </span>
                                </div>
                            </div>
                            <div class="portlet-body">
                                <div class="row static-info">
                                    <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.id')}}</div>
                                    <div class="col-md-7 value"> # {{ $purchase->id }}</div>
                                </div>
                                <div class="row static-info">
                                    <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.item-name')}}</div>
                                    <div class="col-md-7 value"> {{ $purchase->item_id }}</div>
                                </div>
                                <div class="row static-info">
                                    <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.order-date')}}</div>
                                    <div class="col-md-7 value"> {{ $purchase->created_at }}</div>
                                </div>
                                <div class="row static-info">
                                    <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.status')}}</div>
                                    <div class="col-md-7 value"> {{ $purchase->status }}</div>
                                </div>
                                <div class="row static-info">
                                    <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.purchase-type')}}</div>
                                    <div class="col-md-7 value"> {{ $purchase->type }}</div>
                                </div>
                                <div class="row static-info">
                                    <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.price')}}</div>
                                    <div class="col-md-7 value"> {{ $purchase->price }} </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


                <div class="profile-content">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="portlet light">
                                <div class="portlet-title">
                                    <div class="caption">
                                    <span class="caption-subject font-green bold uppercase">
                                        {{ $title }}
                                    </span>
                                    </div>
                                </div>
                                <div class="portlet-body">
                                    <div class="row static-info">
                                        <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.first-name')}}</div>
                                        <div class="col-md-7 value"> {{ $shipping->first_name }}</div>
                                    </div>
                                    @if(!is_null($user->middle_name))
                                        <div class="row static-info">
                                            <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.middle-name')}}</div>
                                            <div class="col-md-7 value"> {{ $shipping->middle_name }}</div>
                                        </div>
                                    @endif
                                    <div class="row static-info">
                                        <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.last-name')}}</div>
                                        <div class="col-md-7 value"> {{ $shipping->last_name }}</div>
                                    </div>
                                    <div class="row static-info">
                                        <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.phone')}}</div>
                                        <div class="col-md-7 value"> {{ $shipping->phone }}</div>
                                    </div>
                                    <div class="row static-info">
                                        <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.country')}}</div>
                                        <div class="col-md-7 value"> {{ $shipping->country->name }}</div>
                                    </div>
                                    <div class="row static-info">
                                        <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.state')}}</div>
                                        <div class="col-md-7 value"> {{ $shipping->state }} </div>
                                    </div>
                                    <div class="row static-info">
                                        <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.zip')}}</div>
                                        <div class="col-md-7 value"> {{ $shipping->zip_code }}</div>
                                    </div>
                                    <div class="row static-info">
                                        <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.city')}}</div>
                                        <div class="col-md-7 value"> {{ $shipping->city }}</div>
                                    </div>
                                    <div class="row static-info">
                                        <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.address')}}</div>
                                        <div class="col-md-7 value"> {{ $shipping->address }}</div>
                                    </div>
                                    @if(!is_null($shipping->comment))
                                    <div class="row static-info">
                                        <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.comment')}}</div>
                                        <div class="col-md-7 value"> {{ $shipping->comment}}</div>
                                    </div>
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>
                </div>


        <div class="profile-content">
            <div class="row">
                <div class="col-md-12">
                    <div class="portlet light">
                        <div class="portlet-title">
                            <div class="caption">
                                    <span class="caption-subject font-green bold uppercase">
                                        {{trans('auctionpurchase.shipping.user-title')}}
                                    </span>
                            </div>
                        </div>
                        <div class="portlet-body">
                            <div class="row static-info">
                                <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.first-name')}}</div>
                                <div class="col-md-7 value"> {{ $user->first_name }}</div>
                            </div>
                            @if(!is_null($user->middle_name))
                            <div class="row static-info">
                                <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.middle-name')}}</div>
                                <div class="col-md-7 value"> {{ $user->middle_name }}</div>
                            </div>
                            @endif
                            <div class="row static-info">
                                <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.last-name')}}</div>
                                <div class="col-md-7 value"> {{ $user->last_name }}</div>
                            </div>
                            <div class="row static-info">
                                <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.email')}}</div>
                                <div class="col-md-7 value"> {{ $user->email }}</div>
                            </div>
                            <div class="row static-info">
                                <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.username')}}</div>
                                <div class="col-md-7 value"> {{ $user->username }}</div>
                            </div>
                            <div class="row static-info">
                                <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.country')}}</div>
                                <div class="col-md-7 value"> {{ $user->profile->country->name }} </div>
                            </div>
                            <div class="row static-info">
                                <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.phone')}}</div>
                                <div class="col-md-7 value"> {{ $user->profile->phone }}</div>
                            </div>
                            <div class="row static-info">
                                <div class="col-md-5 name"> {{trans('auctionpurchase.shipping.birth-date')}}</div>
                                <div class="col-md-7 value"> {{ date_format($user->profile->birth_date, "Y-m-d")}}</div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>


            </div>
        </div>
@stop