@extends('layouts.auth')

@section('style')
<link href="{{ asset('assets/css/pages/login.css') }}" rel="stylesheet" type="text/css" />
@stop

@section('content')
<!-- BEGIN LOGO -->
<div class="logo">
    <a href="{{ route('site.index') }}">
        <img src="{{ asset('images/logo.png') }}" alt="" /> </a>
</div>
<!-- END LOGO -->
<!-- BEGIN LOGIN -->
<div class="content">
  <!-- BEGIN LOGIN FORM -->
  <form class="login-form" action="" method="post">
      <h3 class="form-title font-green">{{ trans('auth.signin') }}</h3>

      @include('shared.messages')

      <div class="form-group {{ $errors->has('email') ? ' has-error has-feedback' : '' }}">
          <label class="control-label visible-ie8 visible-ie9">{{ trans('auth.fields.login.email') }}</label>
          <input class="form-control form-control-solid placeholder-no-fix" type="text" autocomplete="off" placeholder="{{ trans('auth.fields.login.email') }}" name="email" /> </div>
      <div class="form-group {{ $errors->has('password') ? ' has-error has-feedback' : '' }}">
          <label class="control-label visible-ie8 visible-ie9">{{ trans('auth.fields.login.password') }}</label>
          <input class="form-control form-control-solid placeholder-no-fix" type="password" autocomplete="off" placeholder="{{ trans('auth.fields.login.password') }}" name="password" /> </div>
			<div class="form-group {{ $errors->has('captcha') ? ' has-error has-feedback' : '' }}">
				<div class="col-sm-12 col-md-12 col-lg-5" style="text-align:center">
          <img src="{{ url('captcha/image') }}" style="width:140px;text-align:center" />
        </div>
        <div class="col-sm-12 col-md-12 col-lg-7" style="margin-top: 0px">
          	<input type="text" name="captcha" placeholder="{{ trans('auth.fields.login.captcha') }}" id="captcha" class="form-control">
        </div>
      </div>
      <div class="form-actions">
    		<input name="_token" value="{{ csrf_token() }}" type="hidden">
        <button type="submit" class="btn green uppercase">{{ trans('auth.login') }}</button>
        <label class="rememberme check">
            <input type="checkbox" name="remember" value="1" />{{ trans('auth.remember') }} </label>
        <a href="{{ route('custom.password.request') }}" id="forget-password" class="forget-password">{{ trans('auth.forgot') }}</a>
      </div>
  </form>
</div>
@stop
