@extends('layouts.auth')

@section('style')
    <link href="{{ asset('assets/css/pages/login.css') }}" rel="stylesheet" type="text/css" />
@stop

@section('content')
    <!-- BEGIN LOGO -->
    <div class="logo">
        <a href="{{ route('home') }}">
            <img src="{{ asset('images/logo.png') }}" alt="" /> </a>
    </div>
    <!-- END LOGO -->
    <!-- BEGIN LOGIN -->
    <div class="content">
        <!-- BEGIN LOGIN FORM -->
        <form class="login-form" action="{{ route('custom.password.email') }}" method="post">
            <h3 class="form-title font-green">{{ trans('auth.Forgot Password') }}</h3>

            @include('shared.messages')

            @if (session('status'))
                <div class="alert alert-success" role="alert">
                    {{ session('status') }}
                </div>
            @endif

            <div class="form-group {{ $errors->has('email') ? ' has-error has-feedback' : '' }}">
                <label class="control-label visible-ie8 visible-ie9">{{ trans('auth.register_form.email') }}</label>
                <input class="form-control form-control-solid placeholder-no-fix" type="text" autocomplete="off" placeholder="{{ trans('auth.register_form.email') }}" name="email" value="{{ old('email') }}"/>
            </div>

            <div class="form-group">
                <div class="col-sm-12 col-md-12 col-lg-5" style="text-align:center">
                    <img src="{{ url('captcha/image') }}" style="width:140px;text-align:center" />
                </div>
                <div class="col-sm-12 col-md-12 col-lg-7" style="margin-top: 0px">
                    <input type="text" name="captcha" placeholder="captcha" id="captcha" class="form-control">
                </div>
            </div>
            <div class="form-actions">
                <input name="_token" value="{{ csrf_token() }}" type="hidden">
                <button type="submit" class="btn green uppercase"><i class="fa fa-btn fa-envelope"></i> {{ trans('auth.Send') }}</button>
            </div>
            <div class="create-account">
                <p>
                    <a href="{{ route('auth.register') }}" id="register-btn" class="uppercase">{{ trans('auth.Register') }}</a>
                </p>
            </div>
        </form>
    </div>
@stop





{{--


@extends('layouts.auth')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">{{ __('Admin Reset Password') }}</div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif

                    <form method="POST" action="{{ route('custom.password.email') }}">
                        @csrf

                        <div class="form-group row">
                            <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('E-Mail Address') }}</label>

                            <div class="col-md-6">
                                <input id="email" type="email" class="form-control{{ $errors->has('email') ? ' is-invalid' : '' }}" name="email" value="{{ old('email') }}" required>

                                @if ($errors->has('email'))
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('email') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row mb-0">
                            <div class="col-md-6 offset-md-4">
                                <button type="submit" class="btn btn-primary">
                                    {{ __('Send Password Reset Link') }}
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
--}}