@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small>{{ trans('certificates.donateTree.smallTitle') }}</small>
            </h1>
        </div>
    </div>
  </div>
        <!-- END PAGE TITLE -->
<div class="page-content">
<div class="container">
  <!-- BEGIN PAGE BREADCRUMBS -->
  <ul class="page-breadcrumb breadcrumb">
    <li>
        <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
        <i class="fa fa-circle"></i>
    </li>
    <li>
        <span>{{ $title }}</span>
    </li>
</ul>
  <!-- END PAGE BREADCRUMBS -->
  <!-- BEGIN PAGE CONTENT INNER -->
  <div class="page-content-inner">

<div class="row">
	<div class="col-md-12">
      	<div class="portlet light ">
	      	<div class="portlet-title">
				<div class="caption">
	              <i class="fa fa-tree font-dark"></i>
	              <span class="caption-subject font-dark bold uppercase">{{ $title }}</span>
	          	</div>
	      	</div>
	      	<div class="portlet-body">
				<form class="form-horizontal" role="form" action="" method="POST" autocomplete="off">

					<div class="form-group">
						<label class="col-sm-2 control-label">{{ trans('certificates.donateTree.availableUnits') }}</label>
						<span class="form-control-static">{{ number_format($wallet->resale_units, 2) }}</span>
					</div>

					<hr />
					
					<div class="form-group">
						<label class="col-sm-2 control-label" for="treecount">{{ trans('certificates.donateTree.treeCount') }}</label>
						<div class="col-sm-5">
							<div class="input-group">
								<label class="input-group-addon" for="treecount"><span class="glyphicon glyphicon-tree-deciduous"></span></label>
								@php $u = (floor( $wallet->resale_units ) / 100); @endphp
								<select class="form-control valid" id="treecount" name="treecount">
									@for( $i = 1; $i < $u; $i++ )
									<option value="{{ $i }}">{{ $i }} ({{ $i * 100 }} units)</option>
									@endfor
								</select>
							</div>
							<span class="field-validation-valid" data-valmsg-for="treecount" data-valmsg-replace="true"></span>
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label">{{ trans('certificates.donateTree.secondaryPassword') }}</label>
						<div class="col-sm-4">
							<input type="password" name="password" class="form-control" id="password" placeholder="{{ trans('certificates.donateTree.secondaryPassword') }}">
							<p class="help-block"><em>{{ trans('certificates.donateTree.secPassHelp') }}</em></p>
						</div>
					</div>

					<input type="hidden" name="_token" value="{{ csrf_token() }}">
					<div class="form-group">
						<div class="col-sm-3">
							<button type="submit" class="btn yellow"><i class="fa fa-check"></i> {{ trans('certificates.donateTree.donateBtn') }}</button>
						</div>
					</div>
				</form>
	      	</div>
	    </div>
    </div>
   </div>

   <div class="row">
		<div class="col-md-12">
	      	<div class="portlet light ">
		      	<div class="portlet-title">
		          	<div class="caption">
		              	<i class="fa fa-list font-dark"></i>
		              	<span class="caption-subject font-dark bold uppercase">{{ trans('certificates.donateTree.donateHistory') }}</span>
		          	</div>
		          	<div class="tools">
		            	<a href="javascript:;" class="collapse"> </a>
		        	</div>
		      	</div>
		      	<div class="portlet-body">
		      		<table id="datatable-donatehistory" class="table table-sorting table-striped table-hover table-bordered datatable">
		    	</table>
  			</div>
 		</div>
    	</div>
	</div>

  </div>

</div>
</div>

@stop

@section('style')
<link href="{{ asset('assets/global/plugins/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css') }}" rel="stylesheet" type="text/css" />
@stop

@section('script')
<script src="{{ asset('assets/global/scripts/datatable.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/datatables/datatables.min.js') }}" type="text/javascript"></script>
<script type="text/javascript">
    var ajax_donatehistory_dt = '{{ route("clientzone.ajax.donatehistory.table") }}';
</script>
<script type="text/javascript" src="{{ asset('assets/scripts/pages/donatetree.js') }}"></script>
@stop