@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small>{{ trans('certificates.issue.smallTitle') }}</small>
            </h1>
        </div>
    </div>
  </div>
        <!-- END PAGE TITLE -->
<div class="page-content">
<div class="container">
  <!-- BEGIN PAGE BREADCRUMBS -->
  <ul class="page-breadcrumb breadcrumb">
    <li>
        <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
        <i class="fa fa-circle"></i>
    </li>
    <li>
        <span>{{ $title }}</span>
    </li>
</ul>
  <!-- END PAGE BREADCRUMBS -->
  <!-- BEGIN PAGE CONTENT INNER -->
  <div class="page-content-inner">

<div class="row">
	<div class="col-md-12">
      	<div class="portlet light ">
      	<div class="portlet-title">
			<div class="caption">
              <i class="fa fa-file font-dark"></i>
              <span class="caption-subject font-dark bold uppercase">{{ $title }}</span>
          	</div>
      	</div>
      <div class="portlet-body">
			<form class="form-horizontal" role="form" action="" method="POST" autocomplete="off">
				<div class="form-group">
					<label class="col-sm-2 control-label">{{ trans('certificates.donateTree.availableUnits') }}</label>
					<span class="form-control-static">{{ number_format($wallet->resale_units, 2) }}</span>
				</div>
				<div class="form-group">
					<label for="type" class="col-sm-2 control-label">{{ trans('certificates.issue.member') }}</label>
					<div class="col-sm-5">
						<textarea name="description" class="form-control" placeholder="Description">{{ Input::old('description') }}</textarea>
					</div>
				</div>
				<div class="form-group">
					<label for="amount" class="col-sm-2 control-label">{{ trans('certificates.issue.amount') }}</label>
					<div class="col-sm-4">
						<div class="input-group">
							<input type="text" name="amount" class="form-control" placeholder="{{ trans('certificates.issue.amount') }}" value="{{ Input::old('amount') }}">
							<span class="input-group-addon"><i class="fa fa-money"></i></span>
						</div>
					</div>
				</div>
				<div class="form-group">
					<label for="name" class="col-sm-2 control-label">{{ trans('certificates.issue.issuer') }}</label>
					<div class="col-sm-5">
						<div class="input-group">
							<input type="text" name="name" class="form-control" placeholder="{{ trans('certificates.issue.issuer') }}" value="{{ Input::old('name') }}">
							<span class="input-group-addon"><i class="fa fa-user"></i></span>
						</div>
					</div>
				</div>
				<div class="form-group">
					<label for="address" class="col-sm-2 control-label">{{ trans('certificates.issue.address') }}</label>
					<div class="col-sm-5">
						<div class="input-group">
							<input type="text" name="address" class="form-control" placeholder="{{ trans('certificates.issue.address') }}" value="{{ Input::old('address') }}">
							<span class="input-group-addon"><i class="fa fa-home"></i></span>
						</div>
					</div>
				</div>
				<div class="form-group">
					<label for="city" class="col-sm-2 control-label">{{ trans('certificates.issue.city') }}</label>
					<div class="col-sm-5">
						<div class="input-group">
							<input type="text" name="city" class="form-control" placeholder="{{ trans('certificates.issue.city') }}" value="{{ Input::old('city') }}">
							<span class="input-group-addon"><i class="glyphicon glyphicon-map-marker"></i></span>
						</div>
					</div>
				</div>
				<div class="form-group">
					<label for="postcode" class="col-sm-2 control-label">{{ trans('certificates.issue.postcode') }}</label>
					<div class="col-sm-5">
						<div class="input-group">
							<input type="text" name="postcode" class="form-control" placeholder="{{ trans('certificates.issue.postcode') }}" value="{{ Input::old('postcode') }}">
							<span class="input-group-addon"><i class="glyphicon glyphicon-flag"></i></span>
						</div>
					</div>
				</div>
				<div class="form-group">
					<label for="state" class="col-sm-2 control-label">{{ trans('certificates.issue.state') }}</label>
					<div class="col-sm-5">
						<div class="input-group">
							<input type="text" name="state" class="form-control" placeholder="{{ trans('certificates.issue.state') }}" value="{{ Input::old('state') }}">
							<span class="input-group-addon"><i class="fa fa-tag"></i></span>
						</div>
					</div>
				</div>
				<div class="form-group">
                    <label class="col-sm-2 control-label" for="country">{{ trans('certificates.issue.country') }}</label>
                    <div class="col-sm-4">
		                <select class="form-control" name="country" id="country">
		                	@foreach( $countries as $c )
		                	<option value="{{ $c->id }}" @if( $c->id == old('country', $user->profile->country_id) ) selected="selected" @endif>{{ $c->name }}</option>
		                	@endforeach
		                </select>
		            </div>
		        </div>
		        <div class="form-group">
                    <label class="col-sm-2 control-label" for="language">{{ trans('certificates.issue.language') }}</label>
                    <div class="col-sm-4">
		                <select class="form-control" name="language" id="language">
		                	@foreach( config('app.languages') as $key => $l )
		                	<option value="{{ $key }}" @if( $key == old('language') ) selected="selected" @endif>{{ $l }}</option>
		                	@endforeach
		                </select>
		            </div>
		        </div>

				<input type="hidden" name="_token" value="{{ csrf_token() }}">
				<div class="form-group">
					<div class="col-sm-3">
						<button type="submit" class="btn yellow"><i class="fa fa-mail-forward"></i> {{ trans('certificates.issue.submit') }}</button>
					</div>
				</div>
			</form>
      </div>
     </div>
    </div>
   </div>
  </div>

</div>
</div>

@stop
