<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <title></title>

  <!-- Normalize or reset CSS with your favorite library -->
  

  <!-- Load paper.css for happy printing -->
  

  <!-- Set page size here: A5, A4 or A3 -->
  <!-- Set also "landscape" if you need -->
  <style>@page { size: A4 }</style>
  <style type="text/css">
	body, html {
	    height: 100%;
	    width: 100%;
	    margin: 0;
    	padding: 0;
    	font-family: sans-serif;
	}
  	img {
	  display:block;
	  width:100%; height:100%;
	  object-fit: cover;
	}
	.wrap {
		position: absolute;
		top: 350px;
		bottom: 0;
		left: 0;
		right: 0;
	}
	.content {
		position: absolute;
		top: 0px;
		left: 0;
		right: 0;
		bottom: 0;
		width: 80%;
		height: 100%;
		min-height: 100%;
		text-align: center;
		margin: 0 auto;
	}
	h2 {
		font-size: 40px;
		font-weight: bold;
	}
	h3 {
		font-size: 20px;
		font-weight: 400;
	}
	.footer {
		position: absolute;
		top:350px;
		left: 0;
		right: 0;
	}
	.footer p {
		font-size: 17px;
	}
	.signature {
		position: absolute;
		top: 730px;
		right: 60px;
		font-size: 17px;
		font-weight: bold;
	}
	.cert-number {
		position: absolute;
		bottom: 80px;
		left: 250px;
		font-size: 15px;
	}
	.clear {
		clear: both;
	}
	.left {
		float: left;
		text-align: left;
	}
	.right {
		float: right;
		text-align: right;
	}
  </style>
</head>

<body class="A4">

	<img src="{{ asset('_certificates/bg1.png') }}" />

	<div class="wrap">
		<div class="content">
			<h2>{{ trans('certificates.pdf.title') }}</h2>

			<h3>{{ trans('certificates.pdf.smallTitle', ['name' => $name, 'units' => ($units / 100) ]) }} {{ $created_at->format('d.F.Y') }}
			<br>{{ $description }}</h3>

			<div class="footer clear">
				<div class="left">
					<p><b>{{ trans('certificates.pdf.issueDate') }}</b> {{ $created_at->format('d.F.Y') }}</p>
					<p><b>{{ trans('certificates.pdf.expiryDate') }}</b> {{ $created_at->addYear()->format('d.F.Y') }}</p>
				</div>
				<div class="right">
					@if( !is_null($address) )<p>{{ $address }}</p>@endif
					@if( !is_null($city) )<p>{{ $city }}</p>@endif
					@if( !is_null($state) )<p>{{ $state }}</p>@endif
					@if( !is_null($postcode) )<p>{{ $postcode }}</p>@endif
					@if( !is_null($country) )<p>{{ $country }}</p>@endif
				</div>

			</div>

			<div class="signature">
				<p>{{ trans('certificates.pdf.name') }}</p>
			</div>

			<div class="cert-number"><b>{{ trans('certificates.pdf.number') }}</b> {{ $id }}</div>

		</div>
	</div>

</body>

</html>