@extends('layouts.default')
@section('content')
    <!-- BEGIN PAGE HEAD-->
    <div class="page-head">
        <div class="container">
            <!-- BEGIN PAGE TITLE -->
            <div class="page-title">
                <h1>{{ $title }}
                    <small>{{ trans('dashboard.activate.title') }}</small>
                </h1>
            </div>
        </div>
    </div>
    <!-- END PAGE TITLE -->
    <div class="page-content">
        <div class="container">
            <!-- BEGIN PAGE BREADCRUMBS -->
            <ul class="page-breadcrumb breadcrumb">
                <li>
                    <a href="{{ route('home') }}">{{ trans('dashboard.activate.title') }}</a>
                </li>
            </ul>
            <!-- END PAGE BREADCRUMBS -->
            <!-- BEGIN PAGE CONTENT INNER -->
            <div class="page-content-inner">
                <div class="portlet light ">

                    <div class="m-alert m-alert--outline alert alert-info" role="alert">
                        <span>
                            <strong>{{ trans('dashboard.activate.information') }}
                                :</strong> {{ trans('dashboard.activate.message') }}
                        </span>
                    </div>

                    @include('shared.messages')

                    <form class="m-form m-form--fit m-form--label-align-right" method="POST">
                        <div class="form-group m-form__group row">
                            <label for="activationCode" class="col-md-3 col-form-label">
                                {{ trans('dashboard.activate.activationCode') }}
                            </label>
                            <div class="col-md-7">
                                <input class="form-control m-input" type="text" name="activationCode"
                                       id="activationCode" value="{{ old('activationCode') }}">
                            </div>
                        </div>
                        {{ csrf_field() }}
                        <button type="submit" class="btn btn-primary"> {{ trans('dashboard.activate.save') }} </button>
                    </form>
                    <div>
                        <hr>
                        <a href="{{ route('dashboard.activate.resend') }}" class="m-link">
                            {{ trans('dashboard.activate.resend') }}
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection