@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small>{{ trans('dashboard.index.smallTitle') }}</small>
            </h1>
        </div>
    </div>
  </div>
        <!-- END PAGE TITLE -->
			<div class="page-content">
			  <div class="container">
			      <!-- BEGIN PAGE BREADCRUMBS -->
			      <ul class="page-breadcrumb breadcrumb">
			          <li>
			              <a href="{{ route('home') }}">{{ $title }}</a>
			          </li>
			      </ul>
			      <!-- END PAGE BREADCRUMBS -->
			      <!-- BEGIN PAGE CONTENT INNER -->
			      <div class="page-content-inner">
			          <div class="row widget-row">
			              <div class="col-md-3 col-xs-12">
			                  <!-- BEGIN WIDGET THUMB -->
			                  <div class="widget-thumb widget-bg-color-white text-uppercase margin-bottom-20 tile-element" onclick="window.location ='{{ route('deposits') }}'">
			                      <h4 class="widget-thumb-heading">{{ trans('dashboard.index.ewallet') }}</h4>
			                      <div class="widget-thumb-wrap">
			                          <i class="widget-thumb-icon bg-yellow fa fa-usd"></i>
			                          <div class="widget-thumb-body">
			                              <span class="widget-thumb-subtitle">USD{{-- Config::get('app.currencies')[ $user->profile->currency ] --}}</span>
			                              <span class="widget-thumb-body-stat" data-counter="counterup" data-value="{{ number_format($e_wallet_balance, 2) }}">{{ number_format($e_wallet_balance, 2) }}</span>
			                          </div>
			                      </div>
			                  </div>
			                  <!-- END WIDGET THUMB -->
			              </div>
						  {{--
			              <div class="col-md-3 col-xs-12">
			                  <!-- BEGIN WIDGET THUMB -->
			                  <div class="widget-thumb widget-bg-color-white text-uppercase margin-bottom-20 ">
			                      <h4 class="widget-thumb-heading">{{ trans('dashboard.index.onlineAccount') }}</h4>
			                      <div class="widget-thumb-wrap">
			                          <i class="widget-thumb-icon bg-grey-gallery icon-layers"></i>
			                          <div class="widget-thumb-body">
			                              <span class="widget-thumb-subtitle">{{ Config::get('app.currencies')[ $user->profile->currency ] }}</span>
			                              <span class="widget-thumb-body-stat" data-counter="counterup" data-value="{{ number_format( $balances->online_account, 2) }}">{{ number_format( $balances->online_account, 2) }}</span>
			                          </div>
			                      </div>
			                  </div>
			                  <!-- END WIDGET THUMB -->
			              </div>


			              <div class="col-md-3 col-xs-12">
			                  <!-- BEGIN WIDGET THUMB -->
			                  <div class="widget-thumb widget-bg-color-white text-uppercase margin-bottom-20 ">
			                      <h4 class="widget-thumb-heading">{{ trans('dashboard.index.resaleUnits') }}</h4>
			                      <div class="widget-thumb-wrap">
			                          <i class="widget-thumb-icon bg-grey-salt icon-screen-desktop"></i>
			                          <div class="widget-thumb-body">
			                              <span class="widget-thumb-subtitle">{{ trans('dashboard.index.units') }}</span>
			                              <span class="widget-thumb-body-stat" data-counter="counterup" data-value="{{ number_format( $balances->resale_units, 2) }}">{{ number_format( $balances->resale_units, 2) }}</span>
			                          </div>
			                      </div>
			                  </div>
			                  <!-- END WIDGET THUMB -->
			              </div>
			              <div class="col-md-3 col-xs-12">
			                  <!-- BEGIN WIDGET THUMB -->
			                  <div class="widget-thumb widget-bg-color-white text-uppercase margin-bottom-20 ">
			                      <h4 class="widget-thumb-heading">{{ trans('dashboard.index.offsetUnits') }}</h4>
			                      <div class="widget-thumb-wrap">
			                          <i class="widget-thumb-icon bg-grey icon-bar-chart"></i>
			                          <div class="widget-thumb-body">
			                              <span class="widget-thumb-subtitle">{{ trans('dashboard.index.units') }}</span>
			                              <span class="widget-thumb-body-stat" data-counter="counterup" data-value="{{ number_format( $balances->offset_units, 2) }}">{{ number_format( $balances->offset_units, 2) }}</span>
			                          </div>
			                      </div>
			                  </div>
			                  <!-- END WIDGET THUMB -->
			              </div>--}}

						  <div class="col-md-3 col-xs-12">
							  <!-- BEGIN WIDGET THUMB -->
							  <div class="widget-thumb widget-bg-color-white text-uppercase margin-bottom-20 tile-element" onclick="window.location ='{{ route('auction.packages') }}'">
								  <h4 class="widget-thumb-heading">{{ trans('dashboard.index.bidsCount') }}</h4>
								  <div class="widget-thumb-wrap">
									  <i class="widget-thumb-icon colibri-bg-light-blue fa fa-gavel"></i>
									  <div class="widget-thumb-body">
										  <span class="widget-thumb-subtitle">{{ trans('dashboard.index.bids') }}</span>
										  <span class="widget-thumb-body-stat" data-counter="counterup" data-value="{{ number_format( $count_bids, 0) }}">{{ number_format( $count_bids, 0) }}</span>
									  </div>
								  </div>
							  </div>
							  <!-- END WIDGET THUMB -->
						  </div>


						  <div class="col-md-3 col-xs-12">
							  <!-- BEGIN WIDGET THUMB -->
							  <div class="widget-thumb widget-bg-color-white text-uppercase margin-bottom-20 tile-element" onclick="window.location ='{{ route('auction.won') }}'">
								  <h4 class="widget-thumb-heading">{{ trans('dashboard.index.wonItemCount') }}</h4>
								  <div class="widget-thumb-wrap">
									  <i class="widget-thumb-icon colibri-bg-red fa fa-trophy"></i>
									  <div class="widget-thumb-body">
										  <span class="widget-thumb-subtitle">{{ trans('dashboard.index.items') }}</span>
										  <span class="widget-thumb-body-stat" data-counter="counterup" data-value="{{ number_format( $count_won_items, 0) }}">{{ number_format( $count_won_items, 0) }}</span>
									  </div>
								  </div>
							  </div>
							  <!-- END WIDGET THUMB -->
						  </div>
						  <div class="col-md-3 col-xs-12">
							  <!-- BEGIN WIDGET THUMB -->
							  <div class="widget-thumb widget-bg-color-white text-uppercase margin-bottom-20 tile-element" onclick="window.location ='{{ route('auction.watchlist') }}'">
								  <h4 class="widget-thumb-heading">{{ trans('dashboard.index.watchListCount') }}</h4>
								  <div class="widget-thumb-wrap">
									  <i class="widget-thumb-icon colibri-bg-gray fa fa-star color-yellow"></i>
									  <div class="widget-thumb-body">
										  <span class="widget-thumb-subtitle">{{ trans('dashboard.index.items') }}</span>
										  <span class="widget-thumb-body-stat" data-counter="counterup" data-value="{{ number_format( $count_watchlist, 0) }}">{{ number_format( $count_watchlist, 0) }}</span>
									  </div>
								  </div>
							  </div>
							  <!-- END WIDGET THUMB -->
						  </div>


			          </div>

			          <div class="row">
				          <div class="col-md-12 col-sm-12">
				          	<div class="portlet light ">
	                    <div class="portlet-title">
	                        <div class="caption caption-md">
	                            <i class="fa fa-user font-yellow"></i>
	                            <span class="caption-subject font-yellow bold uppercase">{{ trans('dashboard.index.myDetails') }}</span>
	                            <span class="caption-helper"></span>
	                        </div>
	                    </div>
	                    <div class="portlet-body">
	                    	<p class="text-center">
								<img src="{{ $user->getAvatar()}}" class="img-circle" alt="Avatar">
							</p>

							<h4 class="text-center bold">{{ $user->fullName() }}</h4>
							{{--<h5 class="text-center">{{ ( is_null($user->position()) ? trans('dashboard.index.member') : $user->position()->name) }} ( {{ $balances->cv_wallet }} )</h5>

							<hr class="inner-separator" />

							<p><span class="pull-left"><strong><i class="fa fa-signal"></i> Status</strong></span> <span class="pull-right col-sm-8">@if( $user->isStatusActive() ) {{ trans('dashboard.index.active') }} @else {{ trans('dashboard.index.inactive') }} @endif</span></p>
							<div class="clearfix"></div>

							<hr class="inner-separator" />
--}}
							<p>{{-- <span class="pull-left"><strong><i class="fa fa-user"></i> {{ trans('dashboard.index.memberInfo') }}</strong></span> --}}<span class="pull-right col-sm-8">{{ $user->username }} (#{{ $user->id }}) (<a href="mailto:{{ $user->email}}">{{ $user->email }}</a>)</span></p>
							@if($user->isInTree())

								<p class="text-center" style="margin: auto; width: fit-content;">
											<a href="{{ route('auth.register', $user->username) }}" target="_blank">
												<img src="{{ $user->profile->getQRCodeAttribute() }}" alt="QR Code" width="142">
											</a>
								</p>


								<div class="text-center">
									<a href="{{ route('user.saveQRCode') }}" class="btn btn-primary">
										<i class="fa fa-download"></i> {{ trans('dashboard.index.save') }}
									</a>
									<a href="#" class="btn blue ctc" data-target="{{ route('auth.register', $user->username) }}" data-toggle="m-popover" data-placement="top" data-delay="1000" data-trigger="click" title="" data-html="true" data-content="<i class='fa fa-check'></i> {{ trans('dashboard.index.copied') }}">
										<i class="fa fa-copy"></i> {{ trans('dashboard.index.copy') }}
									</a>
								</div>

							@else
								<div class="clearfix"></div>
							<div class="text-center">
								<hr>
								<a href="{{ route('packages.purchase') }}" class="btn btn-lg btn-primary">{{ trans('dashboard.index.becomeASponsor') }}</a>
							</div>
							@endif

							<div class="clearfix"></div>
							{{--
							<hr class="inner-separator" />

							<p><span class="pull-left"><strong><i class="fa fa-globe"></i> {{ trans('dashboard.index.url') }}</strong></span> <span class="pull-right col-sm-8"><input type="text" id="ref_url" class="form-control" value="{{ route('auth.register', $user->username) }}"></span></p>
							<div class="clearfix"></div>

							<hr class="inner-separator" />

							<p><span class="pull-left"><strong><i class="fa fa-sitemap"></i> {{ trans('dashboard.index.directly') }}</strong></span> 
							<span class="pull-right col-sm-8">

								@if( $my_referrer_id == 0 )
									{{ trans('dashboard.index.none') }}
								@else
									@if(count($my_referrer) > 0)
										{{ $my_referrer[0] . ' (#' . $my_referrer_id . ')' }}
									@endif
								@endif

							</span></p>
--}}
							<div class="clearfix"></div>
	                    </div>
	                  </div>
				          </div>
			          </div>

			          <div class="row">
                    <div class="col-md-6 col-sm-6">
                        <div class="portlet light ">
                            <div class="portlet-title">
                                <div class="caption caption-md">
                                    <i class="fa fa-newspaper-o font-yellow"></i>
                                    <span class="caption-subject font-yellow bold uppercase">{{ trans('dashboard.index.news') }}</span>
                                    <span class="caption-helper"></span>
                                </div>
                            </div>
                            <div class="portlet-body">
                                <div class="scroller" style="height: 338px;" data-always-visible="1" data-rail-visible="0" data-handle-color="#D7DCE2">
                                    <div class="general-item-list">
                                    @if( count( $news ) )
                                        @foreach( $news as $n )
                                        <div class="item">
                                            <div class="item-head">
                                                <div class="item-details">
                                                    <a href="{{ route('news.view', $n->title_url) }}" class="item-name primary-link">{{ $n->title }}</a>
                                                    <span class="item-label">{{ $n->created_at->diffForHumans() }}</span>
                                                </div>
                                            </div>
                                            <div class="item-body">{{ trim_text( $n->content, 100 ) }}</div>
                                        </div>
                                        @endforeach
                                    @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                  	<div class="col-md-6 col-sm-6">
                        <div class="portlet light ">
                          <div class="portlet-title">
                              <div class="caption caption-md">
                                  <i class="fa fa-info font-yellow"></i>
                                  <span class="caption-subject font-yellow bold uppercase">{{ trans('dashboard.index.support') }}</span>
                                  <span class="caption-helper"></span>
                              </div>
                          </div>
                          <div class="portlet-body">
                              <div class="scroller" style="height: 338px;" data-always-visible="1" data-rail-visible="0" data-handle-color="#D7DCE2">
                                  <div class="general-item-list">
                                  @if( count( $tickets ) )
                                      @foreach( $tickets as $t )
                                      <div class="item">
                                          <div class="item-head">
                                              <div class="item-details">
                                                  <a href="{{ route('support.view', $t->id) }}" class="item-name primary-link">{{ $t->subject }}</a>
                                                  <span class="item-label">{{ $t->created_at->diffForHumans() }}</span>
                                              </div>
                                              <span class="item-status">
                                                  <?php
                                                      switch ($t->status) {
                                                          case 0:
                                                              echo '<span class="badge badge-empty badge-warning"></span> ' . trans("status.open");
                                                              break;
                                                          case 1:
                                                              echo '<span class="badge badge-empty badge-success"></span> ' . trans("status.active");
                                                              break;
                                                          case 2:
                                                              echo '<span class="badge badge-empty badge-primary"></span> ' . trans("status.closed");
                                                              break;
                                                      }
                                                  ?>
                                              </span>
                                          </div>
                                          <div class="item-body">{{ trim_text( $t->content, 100 ) }}</div>
                                      </div>
                                      @endforeach
                                  @endif
                                  </div>
                              </div>
                          </div>
              	</div>
          	</div>
        </div>

	</div>
</div>
        </div>
		</div>
</div>
@stop

@section('script')
<script type="text/javascript">
$(document).ready(function(){
	$("#ref_url").click(function () {
	   $(this).select();
	});


    $('.ctc').each(function() {

        $(this).on('click', function(e) {
            e.preventDefault();

            var elem = $(this),
                target = elem.data('target'),
                temp = $('<input>');

            $('body').append(temp);

            if( !target || target == null )
                target = elem.val();

            temp.val( target ).select();
            document.execCommand("copy");
            temp.remove();

            elem.popover('show');

            setTimeout(function(){
                elem.popover('hide');
            }, 1500);
        });
    });
});
</script>
@stop
