@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small>{{ trans('deposits.index.title') }}</small>
            </h1>
        </div>
    </div>
  </div>
        <!-- END PAGE TITLE -->
				<div class="page-content">
				  <div class="container">
				      <!-- BEGIN PAGE BREADCRUMBS -->
				      <ul class="page-breadcrumb breadcrumb">
			            <li>
			                <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
			                <i class="fa fa-circle"></i>
			            </li>
			            <li>
			                <span>{{ $title }}</span>
			            </li>
			        </ul>
				      <!-- END PAGE BREADCRUMBS -->
				      <!-- BEGIN PAGE CONTENT INNER -->
				      <div class="page-content-inner">

						  <div class="row">
							  <div class="col-md-12">
								  <div class="portlet light ">
									  <div class="portlet-title">
										  <div class="caption">
											  <i class="fa fa-lightbulb-o font-dark"></i>
											  <span class="caption-subject font-dark bold uppercase">{{ trans('deposits.index.helptitle') }}</span>
										  </div>
										  <div class="tools">
											  <a href="javascript:;" class="collapse" data-original-title title aria-expanded="true"> </a>
										  </div>
									  </div>
									  <div class="portlet-body">
										  <p><strong><i class="fa fa-info-circle"></i> {{ trans('deposits.index.infotitle_1') }}:</strong> </p>
										  <p>{!! trans('deposits.index.infodescription_1') !!}</p>
									  </div>

									  <div class="portlet-body">
										  <p><strong><i class="fa fa-info-circle"></i> {{ trans('deposits.index.infotitle_2') }}:</strong> </p>
										  <p>
										{!! trans('deposits.index.infodescription_2.1') !!}
										<img src="{{ asset('images/deposit/colibri_deposit_'.app()->getLocale().'.jpg') }}" class="img-responsive">
										{!! trans('deposits.index.infodescription_2.2') !!}<br>
										{!! trans('deposits.index.infodescription_2.3') !!}
										<img src="{{ asset('images/deposit/new_deposit_'.app()->getLocale().'.jpg') }}" class="img-responsive">
										{!! trans('deposits.index.infodescription_2.4') !!}<br>
										{!! trans('deposits.index.infodescription_2.5') !!}
										<img src="{{ asset('images/deposit/internal_deposit_'.app()->getLocale().'.jpg') }}" class="img-responsive">
										{!! trans('deposits.index.infodescription_2.6') !!}<br>
										{!! trans('deposits.index.infodescription_2.7') !!}
										<img src="{{ asset('images/deposit/deposit_to_colibri_'.app()->getLocale().'.jpg') }}" class="img-responsive">
										{!! trans('deposits.index.infodescription_2.8') !!}
							</p>
									  </div>
								  </div>
							  </div>
						  </div>

		            <div class="row">
            			<div class="col-md-12">
						      	<div class="portlet light ">
		                  <div class="portlet-title">
		                      <div class="caption">
		                          <i class="fa fa-credit-card  font-dark"></i>
		                          <span class="caption-subject font-dark bold uppercase">{{ trans('deposits.index.balance') }}</span>
		                      </div>
		                      <div class="tools">
                            <a href="javascript:;" class="collapse"> </a>
                        	</div>
		                  </div>
		                  <div class="portlet-body">
		                  	<p><strong><i class="fa fa-usd"></i> {{ trans('deposits.index.total') }}:</strong> {{ Config::get('app.currencies')[ $user->profile->currency ] }} {{ number_format($total_deposits, 2) }}</p>
		                  </div>
		                 </div>
		                </div>
		               </div>


						  <div class="row">
							  <div class="col-md-12">
								  <div class="portlet light" id="deposit-address-container">
									  <div class="portlet-title">
										  <div class="caption">
											  <i class="fa fa-map-marker font-dark"></i>
											  <span class="caption-subject font-dark bold uppercase">{{ trans('deposits.index.address') }}</span>
										  </div>
										  <div class="tools">
											  <a href="javascript:;" class="collapse"> </a>
										  </div>
									  </div>
									  <div class="portlet-body">
										  <p><strong><i class="fa fa-location-arrow"></i> {{ trans('deposits.index.myaddress') }}:</strong>
										  	  <div class="flex">

											  <input readonly="readonly" type="text" placeholder="7a8fd07c-8e6c-4e9b-99fe-7f487387b8e8" class="form-control" id="deposit-address" name="deposit-address" value="{{ old('deposit_address', $user->uuid ) }}" />
											  <button id="copy-uuid-btn" type="button" data-clipboard-target="#deposit-address"  class="flex-button btn" data-toggle="tooltip" data-placement="left" title=" {{ trans('deposits.index.copy_tooltip') }}">
												  <svg class="icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" width="24" height="24" viewBox="0 0 24 24"><path d="M17,9H7V7H17M17,13H7V11H17M14,17H7V15H14M12,3A1,1 0 0,1 13,4A1,1 0 0,1 12,5A1,1 0 0,1 11,4A1,1 0 0,1 12,3M19,3H14.82C14.4,1.84 13.3,1 12,1C10.7,1 9.6,1.84 9.18,3H5A2,2 0 0,0 3,5V19A2,2 0 0,0 5,21H19A2,2 0 0,0 21,19V5A2,2 0 0,0 19,3Z" /></svg>
											  </button>
										  	</div>
										  </p>
									  </div>
								  </div>
							  </div>
						  </div>



		               <div class="row">
	            			<div class="col-md-12">
							      	<div class="portlet light ">
			                  <div class="portlet-title">
			                      <div class="caption">
			                          <i class="icon-share font-dark"></i>
			                          <span class="caption-subject font-dark bold uppercase">{{ trans('deposits.index.myDeposits') }}</span>
			                      </div>
			                      <div class="actions">
			                      	<a href="https://thepeak.world" target="_blank" class="btn yellow"><i class="fa fa-plus-square"></i> {{ trans('deposits.index.transaction') }}</a>
			                      </div>
			                  </div>
			                  <div class="portlet-body">
			                  	<table id="datatable-deposits" class="table table-sorting table-striped table-hover table-bordered datatable">
                        	</table>
			                  </div>
			                 </div>
			                </div>
			               </div>





		             </div>
		         </div>
		        </div>

@stop

@section('style')
<link href="{{ asset('assets/global/plugins/bootstrap-daterangepicker/daterangepicker-bs3.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css') }}" rel="stylesheet" type="text/css" />
@stop

@section('script')
<script src="{{ asset('assets/global/scripts/datatable.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/datatables/datatables.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/bootstrap-daterangepicker/moment.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/bootstrap-daterangepicker/daterangepicker.js') }}" type="text/javascript"></script>
<script type="text/javascript">
    var ajax_deposits_dt = '{{ route("clientzone.ajax.deposits.table") }}';
</script>
<script type="text/javascript" src="{{ asset('assets/scripts/pages/deposits.js') }}"></script>
@stop
