@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small>{{ trans('giftcards.index.smallTitle') }}</small>
            </h1>
        </div>
    </div>
  </div>
        <!-- END PAGE TITLE -->
	<div class="page-content">
	  <div class="container">
	      <!-- BEGIN PAGE BREADCRUMBS -->
	      <ul class="page-breadcrumb breadcrumb">
	        <li>
	            <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
	            <i class="fa fa-circle"></i>
	        </li>
	        <li>
	            <span>{{ $title }}</span>
	        </li>
	    </ul>
	      <!-- END PAGE BREADCRUMBS -->
	      <!-- BEGIN PAGE CONTENT INNER -->
	      <div class="page-content-inner">

	    <div class="row">
			<div class="col-md-12">
			      	<div class="portlet light ">
	          <div class="portlet-title">
	              <div class="caption">
	                  <i class="icon-bar-chart font-dark"></i>
	                  <span class="caption-subject font-dark bold uppercase">{{ trans('giftcards.index.statistics') }}</span>
	              </div>
	              <div class="tools">
	            <a href="javascript:;" class="collapse"> </a>
	        	</div>
	          </div>
	          <div class="portlet-body">
	          	<p><strong><i class="fa fa-users"></i> {{ trans('giftcards.index.total') }}:</strong> {{ Config::get('app.currencies')[ $user->profile->currency ] }} {{ number_format($total_cards, 2) }}</p>
	          </div>
	         </div>
	        </div>
	       </div>

	       <div class="row">
				<div class="col-md-12">
				    <div class="portlet light ">
	              		<div class="portlet-title">
	                  		<div class="caption">
	                      		<i class="icon-present font-dark"></i>
	                      		<span class="caption-subject font-dark bold uppercase">{{ trans('giftcards.index.myGiftCards') }}</span>
	                  		</div>
	                  		{{--@if( in_array($user->id, [1520459, 919860]) )--}}
	                  		<div class="actions">
	                  			<a href="{{ route('gift-cards.purchase') }}" class="btn yellow"><i class="fa fa-plus-square"></i> {{ trans('giftcards.index.purchase') }}</a>
	                  		</div>
	                  		{{--@endif--}}
	              		</div>
	              		<div class="portlet-body">
	              			<table id="datatable-giftcards" class="table table-sorting table-striped table-hover table-bordered datatable">
	        				</table>
	              		</div>
	             	</div>
	            </div>
	        </div>
	    </div>
	</div>
</div>

@stop

@section('style')
<link href="{{ asset('assets/global/plugins/bootstrap-daterangepicker/daterangepicker-bs3.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css') }}" rel="stylesheet" type="text/css" />
@stop

@section('script')
<script src="{{ asset('assets/global/scripts/datatable.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/datatables/datatables.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/bootstrap-daterangepicker/moment.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/bootstrap-daterangepicker/daterangepicker.js') }}" type="text/javascript"></script>
<script type="text/javascript">
    var ajax_giftcards_dt = '{{ route("clientzone.ajax.giftcards.table") }}';
</script>
<script type="text/javascript" src="{{ asset('assets/scripts/pages/giftcards.js') }}"></script>
@stop
