@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small>{{ trans('giftcards.process.smallTitle') }}</small>
            </h1>
        </div>
    </div>
  </div>
        <!-- END PAGE TITLE -->
	<div class="page-content">
	  <div class="container">
	      <!-- BEGIN PAGE BREADCRUMBS -->
	      <ul class="page-breadcrumb breadcrumb">
            <li>
                <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
                <i class="fa fa-circle"></i>
            </li>
            <li>
                <a href="{{ route('gift-cards') }}">{{ trans('giftcards.index.title') }}</a>
                <i class="fa fa-circle"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
	      <!-- END PAGE BREADCRUMBS -->
	      <!-- BEGIN PAGE CONTENT INNER -->
	      <div class="page-content-inner">

    <div class="row">
			<div class="col-md-12">
				<div class="portlet light ">
              <div class="portlet-title">
                  <div class="caption">
                      <i class="fa fa-shopping-cart font-dark"></i>
                      <span class="caption-subject font-dark bold uppercase">{{ trans('giftcards.process.process') }}</span>
                  </div>
              </div>
              <div class="portlet-body">
                @if( $cart->content()->count() == 0 )
                  <h4 class="empty-basket text-center">{{ trans('giftcards.process.emptyBasket') }}</h4>
                @else
                <form action="" method="POST">
                  <table class="table table-hover table-light center-table">
                    <tbody>

                      <tr class="text-center">
                        <td>
                          <strong>{{ trans('giftcards.process.ewallet') }}</strong>
                        </td>
                        <td>
                          @if( $cart->total() > $wallet->wallet)
                            {{ trans('giftcards.process.noMoney') }}
                          @else
                            {{ $wallet->wallet }}
                          @endif
                        </td>
                        <td>
                          <button type="submit" name="wallet" value="1" class="btn yellow"><i class="fa fa-check"></i> {{ trans('giftcards.process.processBtn') }}</button>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                  {{ csrf_field() }}
                  </form>

                  <h4><b>{{ trans('giftcards.process.total') }}:</b> $ {{ $cart->total() }}</h4>

                @endif
			
              </div>
             </div>
            </div>
           </div>

         </div>
     </div>
    </div>

@stop