@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small>{{ trans('giftcards.purchase.smallTitle') }}</small>
            </h1>
        </div>
    </div>
  </div>
        <!-- END PAGE TITLE -->
	<div class="page-content">
	  <div class="container">
	      <!-- BEGIN PAGE BREADCRUMBS -->
	      <ul class="page-breadcrumb breadcrumb">
            <li>
                <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
                <i class="fa fa-circle"></i>
            </li>
            <li>
                <a href="{{ route('gift-cards') }}">{{ trans('giftcards.index.title') }}</a>
                <i class="fa fa-circle"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
      	<!-- END PAGE BREADCRUMBS -->

      	<!-- BEGIN PAGE CONTENT INNER -->
	    <div class="page-content-inner">

	    @if( $cart->content()->count() )

	    	<div class="row">
				<div class="col-md-12">
			      	<div class="portlet light ">
	          			<div class="portlet-title">
		              		<div class="caption">
		                  		<i class="fa fa-shopping-cart font-dark"></i>
		                  		<span class="caption-subject font-dark bold uppercase">{{ trans('giftcards.purchase.basket') }}</span>
		              		</div>
		              		<div class="tools">
		            			<a href="javascript:;" class="collapse"> </a>
		        			</div>
		          		</div>
		          		<div class="portlet-body">
		          			<h4 class="empty-basket text-center @if( $cart->content()->count() > 0 ) hidden @endif">{{ trans('giftcards.process.emptyBasket') }}</h4>

                  			<table class="table table-hover table-light center-table @if( $cart->content()->count() == 0 ) hidden @endif">
                                <thead>
                                    <tr class="uppercase">
                                        <th> </th>
                                        <th> {{ trans('giftcards.purchase.productName') }} </th>
                                        <th> {{ trans('giftcards.purchase.price') }} </th>
                                        <th> {{ trans('giftcards.purchase.quantity') }} </th>
                                        <th> {{ trans('giftcards.purchase.total') }} </th>
                                        <th> </th>
                                    </tr>
                                </thead>
                                <tbody>
                                	@foreach( $cart->content() as $item )
                                    <tr class="text-center" data-id="{{ $item->id }}">
                                        <td> <img src="{{ asset('storage/_static/products/' . $item->options->img) }}" /> </td>
                                        <td> <h4 class="bold">Gift Card ({{ $item->name }} Package)</h4><p>Gift Card for {{ $item->name }} Offset Pack</p> </td>
                                        <td> $ {{ $item->price }} </td>
                                        <td> 
                                        	{{ $item->qty }}
                                        </td>
                                        <td>
                                            <a href="{{ route('gift-cards.basket.remove', $item->rowId) }}" class="btn yellow btn-removeFromCart"><i class="fa fa-trash"></i></a>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>

                        	<h4><b>{{ trans('giftcards.process.total') }}:</b> $ {{ $cart->total() }}</h4>

                        	<a href="{{ route('gift-cards.basket.process') }}" class="btn yellow shopProcessBtn @if( $cart->content()->count() == 0 ) hidden @endif"><i class="fa fa-check"></i> {{ trans('giftcards.process.processBtn') }}</a>
		          		</div>
		         	</div>
		        </div>
		    </div>

		@else

	        <div class="row">
				<div class="col-md-12">
			      	<div class="portlet light ">
	          			<div class="portlet-title">
		              		<div class="caption">
		                  		<i class="icon-bar-chart font-dark"></i>
		                  		<span class="caption-subject font-dark bold uppercase">{{ trans('giftcards.purchase.Gift Card Statistics') }}</span>
		              		</div>
		              		<div class="tools">
		            			<a href="javascript:;" class="collapse"> </a>
		        			</div>
		          		</div>
		          		<div class="portlet-body">
		          			<p><strong><i class="fa fa-users"></i> {{ trans('giftcards.purchase.Total Gift Cards Amount') }}:</strong> {{ Config::get('app.currencies')[ $user->profile->currency ] }} {{ number_format($total_cards, 2) }}</p>
		          		</div>
		         	</div>
		        </div>
		    </div>




                <div class="row">
                    <div class="col-md-12">
                        <div class="portlet light ">
                            <div class="portlet-title">
                                <div class="caption">
                                    <i class="fa fa-envelope-o font-dark"></i>
                                    <span class="caption-subject font-dark bold uppercase">{{ trans('giftcards.purchase.activate_gift_card_code') }}</span>
                                </div>
                                <div class="tools">
                                    <a href="javascript:;" class="collapse"> </a>
                                </div>
                            </div>
                            <div class="portlet-body">
                                <p><strong><i class="fa fa-pencil-square-o"></i> {{ trans('giftcards.purchase.code') }}:</strong>
                                <div class="flex">

                                    <input type="text" placeholder="{{ trans('giftcards.purchase.enter_code') }}" class="form-control" id="gift-card-id-value" name="gift-card-id-value" value=""/>
                                    <div class="actions">
                                        <a href="javascript:;" target="_blank" id="gift-card-id-button" class="btn yellow"><i class="fa fa-check-square"></i> {{ trans('giftcards.purchase.activate') }}</a>
                                    </div>
                                </div>
                                </p>
                            </div>
                        </div>
                    </div>
                </div>



           	<div class="row">
    			<div class="col-md-12">
				      	<div class="portlet light ">
                  <div class="portlet-title">
                      <div class="caption">
                          <i class="icon-present font-dark"></i>
                          <span class="caption-subject font-dark bold uppercase">{{ trans('giftcards.purchase.Gift Cards')}}</span>
                      </div>
                  </div>
                  <div class="portlet-body">
                  		<form class="form-horizontal gfBuyForm" role="form" action="" method="POST">

                  			<table class="table table-hover table-light center-table">
                                <thead>
                                    <tr class="uppercase">
                                        <th> </th>
                                        <th>{{ trans('giftcards.purchase.Gift Card') }} </th>
                                        <th>{{ trans('giftcards.purchase.price') }} </th>
                                        <th>{{ trans('giftcards.purchase.quantity') }} </th>
                                        <th> </th>
                                    </tr>
                                </thead>
                                <tbody>
                                	@foreach( $packages as $p )
                                    <tr class="text-center" data-id="{{ $p->id }}">
                                        <td> <img src="{{ asset('storage/_static/products/' . $p->image) }}" /> </td>
                                        <td> <h4 class="bold">{{ trans('giftcards.purchase.Gift Card') }} ({{ $p->name }} {{ trans('giftcards.purchase.Package') }})</h4><p>{{ trans('giftcards.purchase.Gift Card for') }} {{ $p->name }} {{ trans('giftcards.purchase.offsetPack') }}</p> </td>
                                        <td> $ {{ $p->price }} </td>
                                        <td> 
                                        	<select class="form-control giftcards_quantity" data-id="{{ $p->id }}">
                                        		@for($i = 1; $i <= 10; $i++)
                                        		<option value="{{ $i }}">{{ $i }}</option>
                                        		@endfor
                                        	</select>
                                        </td>
                                        <td>
                                            <a class="btn yellow btn-addToCart"><i class="fa fa-shopping-cart"></i> {{ trans('giftcards.purchase.Buy') }}</a>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
						
						<input type="hidden" name="_token" value="{{ csrf_token() }}">
						<input type="hidden" name="quantity" value="1">
						<input type="hidden" name="item" value="">
					</form>
                  </div>
                 </div>
                </div>
               </div>

            @endif

         </div>
     </div>
    </div>

@stop

@section('script')
<script type="text/javascript">
	var ajax_url_giftcards_addTo = '{{ route("clientzone.ajax.giftcards.addTo") }}';
	var ajax_url_activateGiftCard = '{{ route("clientzone.ajax.giftcards.activate") }}';
	var success_activation_url = '{{ route("gift-cards-activated") }}';
</script>
<script type="text/javascript" src="{{ asset('assets/scripts/pages/giftcards-purchase.js') }}"></script>
@stop
