@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small>{{ trans('greenshilling.index.title') }}</small>
            </h1>
        </div>
    </div>
  </div>
    <!-- END PAGE TITLE -->
	<div class="page-content">
	  <div class="container">
	      <!-- BEGIN PAGE BREADCRUMBS -->
	      <ul class="page-breadcrumb breadcrumb">
            <li>
                <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
                <i class="fa fa-circle"></i>
            </li>
            <li>
                <a href="{{ route('green-shilling.index') }}">{{ trans('greenshilling.index.title') }}</a>
                <i class="fa fa-circle"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
	      <!-- END PAGE BREADCRUMBS -->
	      <!-- BEGIN PAGE CONTENT INNER -->
	      <div class="page-content-inner">

        <div class="row">
			<div class="col-md-12">
		      	<div class="portlet light ">
              		<div class="portlet-title">
						<div class="caption">
                      		<i class="fa fa-badge font-dark"></i>
                      		<span class="caption-subject font-dark bold uppercase">{{ $title }}</span>
                  		</div>
              		</div>
              		<div class="portlet-body">
                  		<div class="row">
                  			<div class="col-md-12">
                          <div class="row text-center lead">
                            <p class="col-lg-3 col-md-4 col-sm-6 col-xs-6">{{ trans('greenshilling.buyMiningSlots.total') }}: {{ $wallet->resale_units }}</p>
                            <p class="col-lg-3 col-md-4 col-sm-6 col-xs-6">{{ trans('greenshilling.buyMiningSlots.units') }}: 100</p>
                            <p class="col-lg-3 col-md-4 col-sm-6 col-xs-6">{{ trans('greenshilling.buyMiningSlots.daily') }}: 100</p>
                            <p class="col-lg-3 col-md-4 col-sm-6 col-xs-6">{{ trans('greenshilling.buyMiningSlots.buy') }}</p>
                          </div>

                        </div>
                      </div>

                      <div class="row">
                        <div class="col-md-6 col-md-offset-3">

                          <form action="" id="BuyMiningSlots" autocomplete="off" class="" method="post" novalidate="novalidate">
                              <div class="form-body">
                                  <div class="form-group text-center">
                                    <label>{{ trans('greenshilling.buyMiningSlots.amount') }}</label>
                                    <div class="input-group">
                                      <span class="input-group-addon">
                                          <i class="fa fa-money"></i>
                                      </span>

                                      <input type="text" class="form-control" name="slotsAmount" id="slotsAmount" placeholder="{{ trans('greenshilling.buyMiningSlots.amount') }}">
                                    </div>

                                  </div>

                                  <hr>

                                  <p>{{ trans('greenshilling.buyMiningSlots.totalPrice') }}: <strong id="totalPrice">0</strong></p>

                                  <hr>

                                  <div class="form-group text-center">
                                    <label>{{ trans('greenshilling.buyMiningSlots.address') }}</label>
                                    <div class="input-group">
                                      <span class="input-group-addon">
                                          <i class="icon-wallet"></i>
                                      </span>

                                      <input type="text" class="form-control" name="walletAddress" id="walletAddress" placeholder="{{ trans('greenshilling.buyMiningSlots.address') }}">

                                    </div>
                                  </div>

                                  <hr>

                                  <div class="form-group text-center">
                                    <label>{{ trans('greenshilling.buyMiningSlots.secondaryPassword') }}</label>
                                    <div class="input-group">
                                      <span class="input-group-addon">
                                          <i class="fa fa-lock"></i>
                                      </span>

                                      <input type="password" class="form-control" name="secondaryPassword" id="secondaryPassword" placeholder="{{ trans('greenshilling.buyMiningSlots.secondaryPassword') }}">

                                    </div>
                                  </div>

                                </div>

                                <div class="form-action">
                                  {{ csrf_field() }}
                                  <button type="submit" class="btn yellow btn-block media">{{ trans('greenshilling.buyMiningSlots.buyBtn') }}</button>
                                  
                                </div>
 
                          </form>

                          </div>
                        </div>
                    </div>
                 </div>
            </div>
       </div>


       <div class="row">
        <div class="col-md-12">
          <div class="portlet light ">
            <div class="portlet-title">
                <div class="caption">
                    <i class="icon-list font-dark"></i>
                    <span class="caption-subject font-dark bold uppercase">{{ trans('greenshilling.buyMiningSlots.history') }}</span>
                </div>
                <div class="tools">
                  <a href="javascript:;" class="collapse"> </a>
                </div>
            </div>
            <div class="portlet-body">
              <table id="datatable-slothistory" class="table table-sorting table-striped table-hover table-bordered datatable">
              </table>
            </div>
           </div>
          </div>
         </div>

  </div>
</div>
@stop

@section('style')
<link href="{{ asset('assets/global/plugins/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css') }}" rel="stylesheet" type="text/css" />
@stop

@section('script')
<script src="{{ asset('assets/global/scripts/datatable.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/datatables/datatables.min.js') }}" type="text/javascript"></script>
<script type="text/javascript" src="{{ asset('assets/global/plugins/jquery-validation/js/jquery.validate.min.js') }}"></script>
<script src="{{ asset('assets/global/plugins/jquery-validation/js/additional-methods.min.js') }}" type="text/javascript"></script>
<script type="text/javascript">
  var ajax_slothistory_dt = "{{ route('clientzone.ajax.green-shilling.miningHistory.table') }}";
</script>
<script src="{{ asset('assets/scripts/pages/greenshilling-buy.js') }}" type="text/javascript"></script>
@stop