<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en">
    <!--<![endif]-->
    <!-- BEGIN HEAD -->
    <head>
        <meta charset="utf-8" />

		<title>{{ isset($title) ? $title . ' | ' : '' }}{{ Config::get('app.name') }}</title>

        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta content="width=device-width, initial-scale=1" name="viewport" />
        <meta content="{{ Config::get('site.description') }}" name="description" />
        <meta content="{{ Config::get('site.keywords') }}" name="keywords" />
        <meta name="csrf-token" content="{{ csrf_token() }}" />
        <!-- BEGIN GLOBAL MANDATORY STYLES -->


        <link rel="stylesheet" href="{{ asset('assets/global/plugins/blueimp/css/blueimp-gallery.min.css') }}">


        <link href="{{ asset('assets/global/plugins/font-awesome/css/font-awesome.min.css') }}" rel="stylesheet" type="text/css" />
        <link href="{{ asset('assets/global/plugins/simple-line-icons/simple-line-icons.min.css') }}" rel="stylesheet" type="text/css" />
        <link href="{{ asset('assets/global/plugins/bootstrap/css/bootstrap.min.css') }}" rel="stylesheet" type="text/css" />
        <link href="{{ asset('assets/global/plugins/uniform/css/uniform.default.css') }}" rel="stylesheet" type="text/css" />
        <link href="{{ asset('assets/global/plugins/bootstrap-switch/css/bootstrap-switch.min.css') }}" rel="stylesheet" type="text/css" />
        <link href="{{ asset('assets/global/plugins/bootstrap-toastr/toastr.min.css') }}" rel="stylesheet" type="text/css" />
        <!-- END GLOBAL MANDATORY STYLES -->
        <!-- BEGIN PAGE LEVEL PLUGINS -->
        @yield('style-plugin')
        <!-- END PAGE LEVEL PLUGINS -->
        <!-- BEGIN THEME GLOBAL STYLES -->
        <link href="{{ asset('assets/global/css/components.css') }}" rel="stylesheet" id="style_components" type="text/css" />
        <link href="{{ asset('assets/global/css/plugins.min.css') }}" rel="stylesheet" type="text/css" />
        <!-- END THEME GLOBAL STYLES -->
        <!-- BEGIN THEME LAYOUT STYLES -->
        <link href="{{ asset('assets/css/layout.css') }}" rel="stylesheet" type="text/css" />
        <link href="{{ asset('assets/css/themes/yellow-crusta.css') }}" rel="stylesheet" type="text/css" id="style_color" />
        <link href="{{ asset('assets/css/custom.min.css') }}" rel="stylesheet" type="text/css" />
        <link rel="stylesheet" href="{{ asset('assets/css/pages/single-auction-item.css') }}">
        @yield('style')
        <!-- END THEME LAYOUT STYLES -->

        <meta name="msapplication-TileColor" content="#FFFFFF">
        <meta name="msapplication-TileImage" content="/apple-touch-icon.png">

    </head>
    <!-- END HEAD -->

    <body class="page-container-bg-solid page-boxed">
        <!-- BEGIN HEADER -->
        @include('shared.header')
        <!-- END HEADER -->
        <!-- BEGIN CONTAINER -->
        <div class="page-container">
            <!-- BEGIN CONTENT -->
            <div class="page-content-wrapper">
            @include('shared.messages')
            @yield('content')
            </div>
            <!-- END CONTENT -->
        </div>
        <!-- END CONTAINER -->
        @include('shared.footer')
        <!--[if lt IE 9]>
			<script src="{{ asset('assets/global/plugins/respond.min.js') }}"></script>
			<script src="{{ asset('assets/global/plugins/excanvas.min.js') }}"></script>
		<![endif]-->
        <!-- BEGIN CORE PLUGINS -->
        <script src="{{ asset('assets/global/plugins/jquery.min.js') }}" type="text/javascript"></script>
        <script src="{{ asset('assets/global/plugins/bootstrap/js/bootstrap.min.js') }}" type="text/javascript"></script>
        <script src="{{ asset('assets/global/plugins/bootstrap-hover-dropdown/bootstrap-hover-dropdown.min.js') }}" type="text/javascript"></script>
        <script src="{{ asset('assets/global/plugins/jquery-slimscroll/jquery.slimscroll.min.js') }}" type="text/javascript"></script>
        <script src="{{ asset('assets/global/plugins/jquery.blockui.min.js') }}" type="text/javascript"></script>
        <script src="{{ asset('assets/global/plugins/uniform/jquery.uniform.min.js') }}" type="text/javascript"></script>
        <script src="{{ asset('assets/global/plugins/bootstrap-switch/js/bootstrap-switch.min.js') }}" type="text/javascript"></script>
        <script src="{{ asset('assets/global/plugins/bootstrap-toastr/toastr.min.js') }}" type="text/javascript"></script>
        <script src="{{ asset('socket.io.js') }}" type="text/javascript"></script>
        <script type="text/javascript">
            var ajax_url_notifications = "{{ route('ajax.notifications.check') }}";
            var ajax_notification_click = "{{ route('ajax.notifications.click') }}";

            var ajax_url_notifications_clear = "{{ route('ajax.notifications.clear') }}";
            var ajax_url_notifications_delete = "{{ route('ajax.notifications.delete') }}";

            window.serverTs = {{ time() * 1000 }};
        	window.timeDiff = ( +new Date() ) - serverTs;
            window.overlord = {
                csrf: '{{ csrf_token() }}'
            };
            window.s3staticUrl = '{{ $s3StorageUrl }}';
            window.addWatchlistUrl = '{{ route("clientzone.ajax.auction.add-watchlist") }}';

            window.uquery = {
                userId: '{{ $user->id }}',
                followedItems: ''
            };
            window.uaid = '{{ $user->id }}';

        </script>
        <!-- END CORE PLUGINS -->
        <!-- BEGIN PAGE LEVEL PLUGINS -->
        @yield('script-plugins')
        <!-- END PAGE LEVEL PLUGINS -->
        <!-- BEGIN THEME GLOBAL SCRIPTS -->

        <script src="{{ asset('assets/global/scripts/getlang.js') }}" type="text/javascript"></script>
        <script src="{{ asset('assets/global/plugins/clipboard/clipboard.js') }}" type="text/javascript"></script>



        <script src="{{ asset('assets/global/scripts/app.js') }}" type="text/javascript"></script>
        <!-- END THEME GLOBAL SCRIPTS -->
        <!-- BEGIN PAGE LEVEL SCRIPTS -->
        @yield('script')

        @stack('javascript')
        <!-- END PAGE LEVEL SCRIPTS -->


        <!-- BEGIN THEME LAYOUT SCRIPTS -->
        <script src="{{ asset('assets/scripts/layout.js') }}" type="text/javascript"></script>







        <!-- END THEME LAYOUT SCRIPTS -->
    </body>

</html>
