@extends('layouts.default')
@section('content')
<!-- BEGIN CONTAINER -->
<div class="page-container">
    <!-- BEGIN CONTENT -->
    <div class="page-content-wrapper">
        <!-- BEGIN CONTENT BODY -->
        <!-- BEGIN PAGE HEAD-->
        <div class="page-head">
            <div class="container">
                <!-- BEGIN PAGE TITLE -->
                <div class="page-title">
                    <h1>
                        {{ trans('mailbox.title') }}
                        <small>{{ ( isset( $subtitle ) ) ? $subtitle : '' }}</small>
                    </h1>
                </div>
                <!-- END PAGE TITLE -->
            </div>
        </div>
        <!-- END PAGE HEAD-->
        <!-- BEGIN PAGE CONTENT BODY -->
        <div class="page-content">
            <div class="container">
                <!-- BEGIN PAGE BREADCRUMBS -->
                <ul class="page-breadcrumb breadcrumb">
                    <li>
                        <a href="{{ route('home') }}">{{ trans('mailbox.Home') }}</a>
                        <i class="fa fa-circle"></i>
                    </li>
                    <li>
                        <span>{{ trans('mailbox.title') }}</span>
                    </li>
                </ul>
                <!-- END PAGE BREADCRUMBS -->
                <!-- BEGIN PAGE CONTENT INNER -->
                <div class="page-content-inner">
                    <div class="inbox">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="inbox-sidebar">
                                    <ul class="inbox-nav">
                                        <li class="inbox active">
                                            <a href="javascript:;" data-category="inbox" data-title="{{ trans('mailbox.Inbox') }}"> {{ trans('mailbox.Inbox') }}
                                                <span class="badge badge-success hidden"></span>
                                            </a>
                                        </li>
                                        <li class="important">
                                            <a href="javascript:;" data-category="important" data-title="{{ trans('mailbox.Important') }}"> {{ trans('mailbox.Important') }}
                                                <span class="badge badge-primary hidden"></span>
                                            </a>
                                        </li>
                                        <li class="divider"></li>
                                        <li class="trash">
                                            <a href="javascript:;" class="sbold uppercase" data-category="trash" data-title="{{ trans('mailbox.Trash') }}"> {{ trans('mailbox.Trash') }}
                                                <span class="badge badge-default hidden"></span>
                                            </a>
                                        </li>
                                        <li class="promotions">
                                            <a href="javascript:;" data-category="promotions" data-title="{{ trans('mailbox.Promotions') }}"> {{ trans('mailbox.Promotions') }}
                                                <span class="badge badge-warning hidden"></span>
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                            <div class="col-md-9">
                                <div class="inbox-body">
                                    <div class="inbox-header">
                                        <h1 class="pull-left">{{ trans('mailbox.Inbox') }}</h1>
                                    </div>
                                    <div class="inbox-content"> 
                                        <table class="table table-striped table-advance table-hover table-mailbox">
                                            <thead>
                                                <tr>
                                                    <th colspan="3">
                                                        <input type="checkbox" class="mail-group-checkbox">
                                                        <div class="btn-group input-actions">
                                                            <a class="btn btn-sm blue btn-outline dropdown-toggle sbold" href="javascript:;" data-toggle="dropdown"> {{ trans('mailbox.Actions') }}
                                                                <i class="fa fa-angle-down"></i>
                                                            </a>
                                                            <ul class="dropdown-menu">
                                                                <li>
                                                                    <a href="javascript:;" id="mark-selected">
                                                                        <i class="fa fa-pencil"></i> {{ trans('mailbox.Mark as Important') }} </a>
                                                                </li>
                                                                <li class="divider"> </li>
                                                                <li>
                                                                    <a href="javascript:;" id="trash-selected">
                                                                        <i class="fa fa-trash-o"></i> {{ trans('mailbox.Move to Trash') }} </a>
                                                                </li>
                                                                <li class="divider"> </li>
                                                                <li>
                                                                    <a href="javascript:;" id="delete-selected">
                                                                        <i class="fa fa-times"></i> {{ trans('mailbox.delete_selected') }} </a>
                                                                </li>
                                                            </ul>
                                                        </div>
                                                    </th>
                                                    <th class="pagination-control" colspan="3">
                                                        <span class="pagination-info">  </span>
                                                        <div id="mailboxPaginator" class="inline"></div>
                                                    </th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- END PAGE CONTENT INNER -->
            </div>
        </div>
        <!-- END PAGE CONTENT BODY -->
        <!-- END CONTENT BODY -->
    </div>
    <!-- END CONTENT -->
</div>
<!-- END CONTAINER -->

<!-- JS Templates -->
<table class="hidden" id="tableMailbox">
    <tbody>
        <tr class="%status%" data-messageid="%id%">
            <td class="inbox-small-cells">
                <input type="checkbox" class="mail-checkbox"> </td>
            <td class="inbox-small-cells important">
                <i class="fa fa-star%starred%"></i>
            </td>
            <td class="view-message "> %subject% </td>
            {{--<td class="view-message inbox-small-cells">
                <i class="fa fa-paperclip hidden"></i>
            </td>--}}
            <td class="view-message text-right"> %date% </td>
        </tr>
    </tbody>
</table>
<div class="hidden" id="messageView">
    <div class="inbox-header inbox-view-header">
        <h1 class="pull-left">%subject%</h1>
        <div class="pull-right hidden">
            <a href="javascript:;" class="btn btn-icon-only dark btn-outline">
                <i class="fa fa-print"></i>
            </a>
        </div>
    </div>
    <div class="inbox-view-info">
        <div class="row">
            <div class="col-md-7">
                <span class="sbold"> %from% </span><br>
                on %date%</div>
            <div class="col-md-5 inbox-info-btn">
                <div class="btn-group">
                    <button data-messageid="0" class="btn blue btn-sm" id="message-view-trash">
                        <i class="fa fa-trash-o"></i> {{ trans('mailbox.Trash') }}
                    </button>
                    <button data-messageid="0" style="margin-left:10px" class="btn yellow btn-sm" id="message-view-delete">
                        <i class="fa fa-times"></i> {{ trans('mailbox.delete') }}
                    </button>

                    {{--<button data-messageid="23" class="btn green" data-toggle="dropdown">
                        <i class="fa fa-star"></i> {{ trans('mailbox.star') }}
                        <i class="fa fa-angle-down"></i>
                    </button>
                    <ul class="dropdown-menu pull-right">
                        <li>
                            <a href="javascript:;">
                                <i class="fa fa-trash-o"></i> {{ trans('mailbox.delete') }}
                            </a>
                        </li>
                    </ul>--}}

                </div>
            </div>
        </div>
    </div>
    <div class="inbox-view">
       %content%
    </div>
    <hr>
    <div class="inbox-attached">
       
    </div>
</div>

@stop
@section('style')
<link href="{{ asset('assets/css/pages/mailbox.css') }}" rel="stylesheet" type="text/css" />
@stop
@section('script')
<!-- BEGIN PAGE LEVEL SCRIPTS -->
<script type="text/javascript">
    window.ajaxUrl_getMessages = '{{ route("clientzone.ajax.mailbox-messages") }}';
    window.ajaxUrl_viewMessage = '{{ route("clientzone.ajax.mailbox-view") }}';
    window.ajaxUrl_setImportant = '{{ route("clientzone.ajax.mailbox-set-important") }}';
    window.ajaxUrl_trashMessage = '{{ route("clientzone.ajax.mailbox-trash-message") }}';
    window.ajaxUrl_deleteMessage = '{{ route("clientzone.ajax.mailbox-delete-message") }}';
</script>
<script src="{{ asset('assets/scripts/pages/mailbox.js') }}" type="text/javascript"></script>
<!-- END PAGE LEVEL SCRIPTS -->
@stop