@extends('layouts.default')
@section('style')
<link rel="stylesheet" type="text/css" href="{{ asset('assets/css/pages/news.css') }}">
@stop
@section('content')
<!-- BEGIN PAGE HEAD-->
<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ trans('news.index.title') }}
                <small>{{ trans('news.index.smallTitle') }}</small>
            </h1>
        </div>
    </div>
</div>
<div class="page-content">
    <div class="container">
        <!-- BEGIN PAGE BREADCRUMBS -->
        <ul class="page-breadcrumb breadcrumb">
            <li>
                <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
                <i class="fa fa-circle"></i>
            </li>
            <li>
                <a href="{{ route('news') }}">{{ trans('news.index.title') }}</a>
            </li>
        </ul>
        <div class="page-content-inner">
            <div class="news-page news-content-4">
                <div class="news-table table-responsive">
                    <table class="table table-bordered table-striped table-condensed">
                        <thead>
                            <tr>
                                <th>
                                    {{ trans('news.index.table.title') }}
                                </th>
                                <th>
                                    {{ trans('news.index.table.content') }}
                                </th>
                                <th>
                                    {{ trans('news.index.table.date') }}
                                </th>
                                <th>
                                    {{ trans('news.index.table.view') }}
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach( $news as $n )
                            <tr>
                                <td class="table-title">
                                    <h3>
                                        <a href="{{ route('news.view', $n->title_url) }}">{{ $n->title }}</a>
                                    </h3>
                                </td>
                                <td class="table-desc"> {{ trim_text($n->content, 130) }} </td>
                                <td class="table-date">
                                    {{ $n->created_at->format('j M H:i') }}
                                </td>
                                <td class="table-status">
                                    <a href="{{ route('news.view', $n->title_url) }}">
                                        <i class="icon-eye"></i>
                                    </a>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
                <div class="news-pagination pagination-rounded">
                    {{ $news->links() }}
                </div>
            </div>
        </div>
    </div>
</div>
@stop