@extends('layouts.default')
@section('style')
<link rel="stylesheet" type="text/css" href="{{ asset('assets/css/pages/news.css') }}">
@stop
@section('content')
<!-- BEGIN PAGE HEAD-->
<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ trans('news.index.title') }}
                <small>{{ trans('news.index.smallTitle') }}</small>
            </h1>
        </div>
    </div>
</div>
<div class="page-content">
    <div class="container">
        <!-- BEGIN PAGE BREADCRUMBS -->
        <ul class="page-breadcrumb breadcrumb">
            <li>
                <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
                <i class="fa fa-circle"></i>
            </li>
            <li>
                <a href="{{ route('news' )}}">{{ trans('news.index.title') }}</a>
                <i class="fa fa-circle"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
        <!-- END PAGE BREADCRUMBS -->
        <!-- BEGIN PAGE CONTENT INNER -->
        <div class="page-content-inner">
            <div class="blog-page blog-content-2">
                <div class="row">
                    <div class="col-lg-9">
                        <div class="blog-single-content bordered blog-container">
                            <div class="blog-single-head">
                                <h1 class="blog-single-head-title">{{ $article->title }}</h1>
                                <div class="blog-single-head-date">
                                    <i class="fa fa-newspaper font-blue"></i>
                                    <a href="javascript:;">{{ $article->created_at->format('Y-m-d H:i') }}</a>
                                </div>
                            </div>

                            <div class="blog-single-desc">
                                <p><?php echo $article->content ?></p>
                            </div>

                        </div>
                    </div>
                    <div class="col-lg-3">
                        <div class="blog-single-sidebar bordered blog-container">
                            <div class="blog-single-sidebar-recent">
                                <h3 class="blog-sidebar-title uppercase">{{ trans('news.view.popular') }}</h3>
                                <ul>
                                @foreach( $recentNews as $rn )
                                    <li>
                                        <a href="{{ route('news.view', $rn->title_url) }}">{{ $rn->title }}</a>
                                    </li>
                                @endforeach
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- END PAGE CONTENT INNER -->
    </div>
</div>
<!-- END PAGE CONTENT BODY -->
<!-- END CONTENT BODY -->
</div>
@stop