@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ trans('others.faq.title') }}
              <small>{{ trans('others.faq.Frequently Asked Questions') }}</small>
            </h1>
        </div>
    </div>
  </div>
  <!-- END PAGE TITLE -->
	<div class="page-content">
	  <div class="container">
	      <!-- BEGIN PAGE BREADCRUMBS -->
	      <ul class="page-breadcrumb breadcrumb">
            <li>
                <a href="{{ route('home') }}">{{ trans('others.faq.Dashboard') }}</a>
                <i class="fa fa-circle"></i>
            </li>
            <li>
                <span>{{ trans('others.faq.title') }}</span>
            </li>
        </ul>
	      <!-- END PAGE BREADCRUMBS -->
	      <!-- BEGIN PAGE CONTENT INNER -->
	      <div class="page-content-inner">

	      	<div class="faq-page faq-content-1">
            <form method="get">
                <div class="search-bar ">
                    <div class="input-group">
                        <input type="text" class="form-control" name="search" placeholder="{{ trans('others.faq.Search for') }}..."> </div>
                        <input type="submit" hidden />
                </div>
            </form>
            <div class="faq-content-container">
                <div class="row">
                    <div class="col-md-12">
                        <div class="faq-section ">
                          <h2 class="faq-title uppercase font-blue">{{ trans('others.faq.Top Questions') }} </h2>
                            <div class="panel-group accordion faq-content" id="accordion1">
                            <?php $i = 1; ?>
                            	@foreach( $top_faqs as $tf )
                                <div class="panel panel-default">
                                    <div class="panel-heading">
                                        <h4 class="panel-title">
                                            <i class="fa fa-circle"></i>
                                            <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion1" href="#top-faq{{ $i }}"> <?php echo $tf->question ?>? </a>
                                        </h4>
                                    </div>
                                    <div id="top-faq{{ $i }}" class="panel-collapse collapse">
                                        <div class="panel-body">
                                            <?php echo $tf->answer ?>
                                        </div>
                                    </div>
                                </div>
                              <?php $i++; ?>
															@endforeach
                            </div>
                        </div>

                        <div class="faq-section ">
                          <h2 class="faq-title uppercase font-blue">{{ trans('others.faq.Questions') }}</h2>
                            <div class="panel-group accordion faq-content" id="accordion2">
                            	<?php $i = 1; ?>
															@foreach( $faqs as $f )
                                <div class="panel panel-default">
                                    <div class="panel-heading">
                                        <h4 class="panel-title">
                                            <i class="fa fa-circle"></i>
                                            <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion2" href="#faq{{ $i }}"> <?php echo $f->question ?>? </a>
                                        </h4>
                                    </div>
                                    <div id="faq{{ $i }}" class="panel-collapse collapse">
                                        <div class="panel-body">
                                            <?php echo $f->answer ?>
                                        </div>
                                    </div>
                                </div>
                              <?php $i++; ?>
															@endforeach
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>

        </div>
       </div>
      </div>

     
     @stop

@section('style')
<link rel="stylesheet" type="text/css" href="{{ asset('assets/css/pages/faq.css') }}">
@stop