@extends('layouts.default')

@section('content')
	<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
		<div class="container">
			<!-- BEGIN PAGE TITLE -->
			<div class="page-title">
				<h1>{{ $title }}
					<small>{{ trans('deposits.index.title') }}</small>
				</h1>
			</div>
		</div>
	</div>
	<!-- END PAGE TITLE -->
	<div class="page-content">
		<div class="container">
			<!-- BEGIN PAGE BREADCRUMBS -->
			<ul class="page-breadcrumb breadcrumb">
				<li>
					<a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
					<i class="fa fa-circle"></i>
				</li>
				<li>
					<span>{{ $title }}</span>
				</li>
			</ul>
			<!-- END PAGE BREADCRUMBS -->
			<!-- BEGIN PAGE CONTENT INNER -->
			<div class="page-content-inner">
				<div class="portlet light">
					<div class="portlet-body">
						<div class="row">
							<div class="col-xl-12">
								<!--begin:: Widgets/Tasks -->
								<div class="m-portlet m-portlet--full-height ">
									<div class="m-portlet__head">
										<div class="m-portlet__head-caption">
											<div class="m-portlet__head-title">
												<span class="m-portlet__head-icon">
													<i class="flaticon-graph"></i>
												</span>
												<h3 class="m-portlet__head-text">
													{{ trans('packages.index.statistics') }}
												</h3>
											</div>
										</div>
									</div>
									<div class="m-portlet__body">
										<p><strong><i class="fa fa-users"></i> {{ trans('packages.index.total') }}:</strong> ${{ number_format($total_packages, 2) }}</p>
									</div>
								</div>
							</div>
						</div>

						<div class="row">
							<div class="col-xl-12">
								<!--begin:: Widgets/Tasks -->
								<div class="m-portlet m-portlet--full-height ">
									<div class="m-portlet__head">
										<div class="m-portlet__head-caption">
											<div class="m-portlet__head-title">
												<span class="m-portlet__head-icon">
													<i class="flaticon-open-box"></i>
												</span>
												<h3 class="m-portlet__head-text">
													{{ trans('packages.index.myPackages') }}
												</h3>
											</div>
										</div>
										@if( !$user->hasPackage() )
										<div class="m-portlet__head-tools">
											<a href="{{ route('packages.purchase') }}" class="btn m-btn--gradient-from-success m-btn--gradient-to-accent m-btn m-btn--custom m-btn--icon m-btn--air"><i class="la la-plus-circle"></i> {{ trans('packages.index.purchase') }}</a>
										</div>
										@endif
									</div>
									<div class="m-portlet__body">
										<table id="datatable-packages" class="table table-sorting table-striped table-hover table-bordered datatable"></table>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
@stop

@section('style')
<link href="{{ assetS3('assets/global/plugins/bootstrap-daterangepicker/daterangepicker-bs3.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ assetS3('assets/global/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ assetS3('assets/global/plugins/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ assetS3('assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css') }}" rel="stylesheet" type="text/css" />
@stop

@section('script')
<script src="{{ assetS3('assets/global/scripts/datatable.js') }}" type="text/javascript"></script>
<script src="{{ assetS3('assets/global/plugins/datatables/datatables.min.js') }}" type="text/javascript"></script>
<script src="{{ assetS3('assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js') }}" type="text/javascript"></script>
<script src="{{ assetS3('assets/global/plugins/bootstrap-daterangepicker/moment.min.js') }}" type="text/javascript"></script>
<script src="{{ assetS3('assets/global/plugins/bootstrap-daterangepicker/daterangepicker.js') }}" type="text/javascript"></script>
<script type="text/javascript">
    var ajax_packages_dt = '{{ route("clientzone.ajax.packages.table") }}';
</script>
<script type="text/javascript" src="{{ assetS3('assets/scripts/pages/packages.js') }}"></script>
@stop
