@extends('layouts.default')

@section('content')
	<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
		<div class="container">
			<!-- BEGIN PAGE TITLE -->
			<div class="page-title">
				<h1>{{ $title }}
					<small>{{ trans('packages.purchase.summary') }}</small>
				</h1>
			</div>
		</div>
	</div>
	<!-- END PAGE TITLE -->
	<div class="page-content">
		<div class="container">

					<div class="portlet light">
						<div class="portlet-title">
							<div class="caption">
								<span class="m-portlet__head-text">
									{{ $title }}
								</span>
							</div>
						</div>
						<div class="portlet-body purchase-btc">
							<div class="row">
								<div class="col-md-6">
									<h5>{{ trans('packages.purchaseUsd.address') }}</h5>
									<div class="">
									<img src="{{ route('qr-codes.text', ['str' => $address->address] ) }}" height="80px" class="qr-code" />

									<p class="address">
										{{ $address->address }} <br>
										<a href="#" class="btn btn-primary btn-sm ctc" data-target="{{ $address->address }}" data-toggle="m-popover" data-placement="top" data-delay="1000" data-trigger="click" title="" data-html="true" data-content="<i class='la la-check'></i> {{ trans('dashboard.index.copied') }}"> <i class="la la-copy"></i> {{ trans('dashboard.index.copy') }}</a>
									</p>
									</div>
								</div>
								<div class="col-md-6">
									<h5>{{ trans('packages.purchaseUsd.addressExp') }}</h5>
									<div class="address-expiration-countdown" id="soon-glow">
									</div>
								</div>
							</div>

							<hr />

							<div class="row">
								<div class="col-md-6">
									<h5>{{ trans('packages.purchaseUsd.amount') }} <i class="flaticon-exclamation-1" data-title="Information" data-toggle="m-popover" data-content="This package amount is not including transaction fee, please make sure your transfer is more than package amount, which can cover the transaction fee"></i></h5>

									<p>{{ $address->amount}} {{ $address->uppercaseCurrency() }}</p>
								</div>
								<div class="col-md-6">
									<h5>{{ trans('packages.purchaseUsd.fee') }}</h5>

									<p>0.00 {{ $address->uppercaseCurrency() }}</p>
								</div>
							</div>

							<div class="row">
								<div class="col-md-6">
									<h5>{{ trans('packages.purchaseUsd.total') }}</h5>

									<p class="totalArrived">{{ $address->received }} {{ $address->uppercaseCurrency() }}</p>
								</div>
								<div class="col-md-6">
									<div class="row">
										<div class="col-md-7 progress-wrap">
											<div class="progress m-progress--sm">
												<div class="progress-bar bg-orange" role="progressbar" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100" style="width:{{ ($address->receivedPercent() > 100) ? 100 : $address->receivedPercent() }}%"></div>
											</div>
										</div>
										<div class="col-md-1">
											<span class="progress-text">{{ $address->receivedPercent() }}%</span>
										</div>
									</div>
								</div>
							</div>

							<hr />

							<div class="form-actions">
								<a href="{{ route('packages.purchase.peak.cancel') }}" class="btn btn-danger">
									<i class="la la-minus-circle"></i> {{ trans('packages.purchaseUsd.cancelBtn') }}
								</a>
							</div>

						</div>
					</div>

					<div class="portlet light">
						<div class="portlet-title">
							<div class="m-portlet__head-caption">
								<div class="m-portlet__head-title">
											<span class="m-portlet__head-icon">
												<i class="flaticon-coins"></i>
											</span>
									<h3 class="m-portlet__head-text">
										{{ trans('internal-deposits.index.helptitle') }}
									</h3>
								</div>
							</div>
						</div>
						<div class="portlet-body purchase-btc">

							<div class="row">
								<div class="col-md-12">
									<div class="portlet light ">
										<div class="portlet-body">
											<h3>{!! trans('internal-deposits.index.infodescription_1') !!}</h3>
										</div>
										<hr>

										<h4><i class="fa fa-info-circle fa-2x" style="font-size: 1em;"></i> {{ trans('internal-deposits.index.infotitle_2') }}:</h4>
										{!! trans('internal-deposits.index.infodescription_2') !!}
									</div>
								</div>
							</div>

						</div>
					</div>
				</div>
			</div>

@stop

@section('style')
	<link rel="stylesheet" type="text/css" href="{{ assetS3('assets/plugins/soon/soon.min.css') }}">
	<style>
		.task-list{
			margin-bottom: 2%;
			margin-top: 2%;
		}

		hr.style-gradient {
			border: 0;
			height: 1px;
			background-image: linear-gradient(to right, rgba(233, 158, 67, 1), rgba(233, 158, 67, 0.5), rgba(255, 0, 0, 0));
		}
		hr {
			display: block;
			unicode-bidi: isolate;
			-webkit-margin-before: 0.5em;
			-webkit-margin-after: 0.5em;
			-webkit-margin-start: auto;
			-webkit-margin-end: auto;
			overflow: hidden;
			border-style: inset;
			border-width: 1px;
			margin: 1% 0 1% 0;
		}

		.h5{
			margin: 10px 0 5px 0;
		}
		.img-responsive{
			max-width: 100%;
		}
		#soon-glow {
			color: #e99e43;
			text-transform:lowercase;
			padding: 0;
		}
		#soon-glow .soon-label {
			color: #e99e43;
			text-shadow:0 0 .35rem rgba(220,132,24, .8);
		}
		#soon-glow .soon-ring-progress {
			color: #e99e43;
			background-color: rgba(0, 0, 0,.15);
		}
		#soon-glow > .soon-group {
			margin-bottom:-.5em;
		}
		#soon-glow .soon-group-sub > .soon-group-inner {
			margin: 0 -1px;
		}

		#soon-glow.highlight {
			color: #e99e43;
		}
		#soon-glow.highlight .soon-label {
			color: #e99e43;
			text-shadow:0 0 .35rem rgba(220,132,24, .9);
		}
		#soon-glow.highlight .soon-ring-progress {
			color: #e99e43;
			background-color: rgba(0, 0, 0,.15);
		}
		.purchase-btc .row p {
			font-size: 21px;
			font-weight: 600;
		}
		.purchase-btc .qr-code {
			margin-bottom: 10px;
			margin-right: 10px;
		}
		.purchase-btc .m-loader:before {
			margin-top: 0;
			margin-left: 0;
		}
		.purchase-btc .progress .progress-bar {
			background-color: #ff6700;
		}
		.purchase-btc .progress-text {
			font-weight: bold;
		}
		.purchase-btc p.address{
			font-size: 18px;
			display: inline;
		}
		@media(max-width: 500px) {
			.purchase-btc .row p.address {
				font-size: 16px;
			}
		}
		@media(max-width: 399px) {
			.purchase-btc .row p.address {
				font-size: 14px;
			}
		}
	</style>
@stop

@section('script')
<script type="text/javascript" src="{{ assetS3('assets/plugins/soon/soon.min.js') }}"></script>
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/sweetalert2@8"></script>
<script type="text/javascript">

	$(document).ready(function() {

        var interval,
			checkPackageStatus = function() {
				App.ajax({
					url: "{{ route('clientzone.ajax.packages.purchase.peak.status') }}",
					data: {
						address: '{{ $address->address }}'
					}
				}, function( data ) {
					if( data ) {
						if( data.status == 1 ) {
							var progress = $('.progress-wrap'),
								value = $('.progress-text'),
								bar = progress.find('.progress-bar'),
								totalArrived = $('.totalArrived');

							totalArrived.text(data.received + ' {{ $address->uppercaseCurrency() }}');
							value.text(data.percent + '%');
							bar.css('width', data.percent + '%');


							if( data.percent >= 100 ) {
								clearTimeout( interval );

								setTimeout(function() {
                                    Swal.fire({
										title: "{{ trans('packages.purchaseUsd.messages.successTitle') }}",
										text: "{{ trans('packages.purchaseUsd.messages.success') }}",
										type: "success"
									});

									setTimeout(function() {
										location.href ="{{ route('home') }}";
									}, 6000);
								}, 7000);
							}
						} else if( data.status == 2 ) {
							clearTimeout( interval );
							
							Swal.fire({
                                title: "{{ trans('packages.purchaseUsd.messages.expiredTitle') }}",
                                text: "{{ trans('packages.purchaseUsd.messages.expired') }}",
                                type: "error"
                            });

							setTimeout(function() {
								location.href = "{{ route('packages') }}";
							}, 7000);
						}
					}
				});
			};

		@if( $address->receivedPercent() >= 100 )
		interval = setInterval(checkPackageStatus, 2000);
		@else
		interval = setInterval(checkPackageStatus, 10000);
		@endif

		$('.ctc').each(function() {

			$(this).on('click', function(e) {
				e.preventDefault();

				var elem = $(this),
					target = elem.data('target'),
					temp = $('<input>');

			  	$('body').append(temp);

			  	if( !target || target == null )
			  		target = elem.val();

			  	temp.val( target ).select();
			  	document.execCommand("copy");
			  	temp.remove();

			  	elem.popover('show');

	            setTimeout(function(){
	                elem.popover('hide');
	            }, 1500);
		  	});
		});

		function checkEnd( secondsLeft ) {
	        if ( secondsLeft <= 60 * 60 * 1000 ) {
	            $('#soon-glow').addClass('highlight');
	        }
	    }

		$('#soon-glow').soon().create({
			now: "{{ Carbon::now()->format('Y-m-d\TH:i:s') }}",
			due: "{{ $address->created_at->addHours(config('blockchain.address.expiration'))->format('Y-m-d\TH:i:s') }}",
		    layout: "group overlap",
		    face: "slot doctor glow",
		    padding: false,
		    scaleMax: "xl",
		    visual: "ring color-light width-thin glow-progress length-70 gap-0 offset-65 spacey",
		    reflect: true,
	        eventTick: checkEnd,
	        eventComplete: function() {
	        	clearTimeout( interval );

	        	checkPackageStatus();
	        }
	    });
	});
</script>
@stop
