@extends('layouts.default')

@section('content')
    <!-- BEGIN PAGE HEAD-->
    <div class="page-head">
        <div class="container">
            <!-- BEGIN PAGE TITLE -->
            <div class="page-title">
                <h1>{{ $title }}
                    <small>{{ trans('packages.purchase.summary') }}</small>
                </h1>
            </div>
        </div>
    </div>
    <!-- END PAGE TITLE -->
    <div class="page-content">
        <div class="container">
            <div class="portlet light">
                <div class="portlet-title">
                    <div class="caption">
                        <i class="fa fa-database font-dark"></i>
                        <span class="caption-subject font-dark bold uppercase">{{ trans('packages.purchase.title') }}</span>
                    </div>
                </div>
                <div class="portlet-body">
                    <form class="m-form m-form--fit m-form--label-align-right" role="form"
                          action="{{ route('packages.purchase') }}" method="POST">
                        <table class="table table-hover table-light center-table">
                            <thead>
                            <tr class="uppercase">
                                <th></th>
                                <th> {{ trans('packages.purchase.package') }} </th>
                                <th> {{ trans('packages.purchase.price') }} </th>
                                <th> {{ trans('auction.basket.Bids') }} </th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach( $packages as $p )
                                @continue(!$p->userCanPurchase())
                                <tr class="text-center" data-id="{{ $p->id }}">
                                    <td><img class="package-image"
                                             src="{{ assetS3('images/icons/' . $p->image) }}"/></td>
                                    <td>
                                        <h4 class="bold">{{ $p->name  }}</h4>
                                        <p>{{ $p->description }}</p></td>
                                    {{--<td> {{ config('app.currencies')[ $p->price_currency ] }} {{ round($p->price) }} <br> ￥ {{ round($p->price_yuan) }}</td>--}}
                                    <td>
                                        {{ config('app.currencies')[ $p->price_currency ] }} {{ round($p->price) }}
                                        <br>
                                        ≈ {{ round($p->price) / \App\Models\WCILastPrices::getCpcUsd() }}
                                        CPC
                                    </td>

                                    <td>
                                        {{ round($p->bids) }}

                                    </td>
                                    <td>
                                        <a class="btn btn-primary btn-addToCart"><i
                                                    class="la la-cart-plus"></i> {{ trans('packages.purchase.buy') }}
                                        </a>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>

                        <div class="form-group">
                            <hr>
                            <div class="row">
                                <label class="col-sm-3 control-label">
                                    {{ trans('packages.purchase.actualRate') }}:
                                </label>
                                <div class="col-sm-5">
                                    <strong>{{ \App\Models\WCILastPrices::getCpcUsd() }}</strong>
                                </div>
                            </div>
                            <hr>
                        </div>

                        <div class="form-group">
                            <div class="row">
                                <label class="col-sm-2 control-label">
                                    {{ trans('packages.purchase.total') }}
                                </label>

                                <div class="col-sm-5">
                                    <strong id="total_cost">
                                        $ <span>{{ $cart->total() }}</span>
                                    </strong>

                                    <p class="help-block">
                                        <em>{{ trans('packages.purchase.totalHelp') }}</em>
                                    </p>
                                </div>
                            </div>
                        </div>

                        <div class="form-group" style="vertical-align: top">
                            <div class="row">
                                <label class="col-sm-2 control-label">
                                    {{ trans('packages.purchase.processor') }}
                                </label>

                                <div class="col-sm-5">
                                    <select id="processor" name="processor"
                                            class="select-processor-fund form-control">
                                        @foreach($processors as $key => $w)

                                            <option value="{{ $w->id }}"
                                                    {{ ($key == 0) ? ' selected' : '' }} data-fee="{{ $w->fee_fund }}">{{ $w->name . ' (' . $w->fee_fund . ' Fee)' }} @if( $w->id == 4 )
                                                    - ${{ $ewallets->wallet }} @endif</option>

                                        @endforeach
                                    </select>
                                    <p class="help-block">
                                        <em>{{ trans('packages.purchase.processorHelp') }}</em>
                                    </p>
                                </div>
                            </div>
                        </div>

                        <input type="hidden" name="_token" value="{{ csrf_token() }}">

                        <div class="form-actions">
                            <button type="submit"
                                    class="btn btn-primary btn-lg btn-block">
                                <i class="la la-plus-circle"></i> {{ trans('packages.purchase.purchaseBtn') }}
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@stop

@section('script')
    <script type="text/javascript">
        var ajax_url_packages_addTo = '{{ route("clientzone.ajax.packages.addTo") }}';
    </script>
    <script type="text/javascript" src="{{ assetS3('assets/scripts/pages/packages-purchase.js') }}"></script>
@stop
