@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small>{{ trans('shop.index.smallTitle') }}</small>
            </h1>
        </div>
    </div>
  </div>
        <!-- END PAGE TITLE -->
	<div class="page-content">
	  <div class="container">
	      <!-- BEGIN PAGE BREADCRUMBS -->
	      <ul class="page-breadcrumb breadcrumb">
            <li>
                <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
                <i class="fa fa-circle"></i>
            </li>
            <li>
                <a href="{{ route('shop.index') }}">{{ trans('shop.index.title') }}</a>
                <i class="fa fa-circle"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
	      <!-- END PAGE BREADCRUMBS -->
	      <!-- BEGIN PAGE CONTENT INNER -->
	      <div class="page-content-inner">

    <div class="row">
			<div class="col-md-12">
				<div class="portlet light ">
                  <div class="portlet-title">
                      <div class="caption">
                          <i class="fa fa-shopping-cart font-dark"></i>
                          <span class="caption-subject font-dark bold uppercase">{{ trans('shop.basket.myBasket') }}</span>
                      </div>
                  </div>
                  <div class="portlet-body">

                      <h4 class="empty-basket text-center @if( $cart->content()->count() > 0 ) hidden @endif">{{ trans('shop.shared.emptyBasket') }}</h4>

                  			<table class="table table-hover table-light center-table @if( $cart->content()->count() == 0 ) hidden @endif">
                                <thead>
                                    <tr class="uppercase">
                                        <th> </th>
                                        <th> {{ trans('shop.basket.table.name') }} </th>
                                        <th> {{ trans('shop.basket.table.price') }} </th>
                                        <th> {{ trans('shop.basket.table.quantity') }} </th>
                                        <th> {{ trans('shop.basket.table.total') }} </th>
                                        <th> </th>
                                    </tr>
                                </thead>
                                <tbody>
                                	@foreach( $cart->content() as $item )
                                    <tr class="text-center" data-id="{{ $item->id }}">
                                        <td> <img src="{{ asset('storage/_static/products/' . $item->options->img) }}" /> </td>
                                        <td> <h4 class="bold">{{ $item->name }}</h4><p>{{ $item->options->description }}</p> </td>
                                        <td> $ {{ $item->price }} </td>
                                        <td> 
                                        	1
                                        </td>
                                        <td> 
                                          $ {{ $item->total }}
                                        </td>
                                        <td>
                                            <a class="btn yellow btn-removeFromCart"><i class="fa fa-trash"></i></a>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>

                        <h4><b> {{ trans('shop.basket.table.totalPrice') }}:</b> $ {{ $cart->total() }}</h4>

                        <a href="{{ route('shop.process') }}" class="btn yellow shopProcessBtn @if( $cart->content()->count() == 0 ) hidden @endif"><i class="fa fa-check"></i> {{ trans('shop.basket.process') }}</a>
					
                  </div>
                 </div>
                </div>
               </div>

         </div>
     </div>
    </div>

@stop