@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small>{{ trans('shop.index.smallTitle') }}</small>
            </h1>
        </div>
    </div>
  </div>
        <!-- END PAGE TITLE -->
	<div class="page-content">
	  <div class="container">
	      <!-- BEGIN PAGE BREADCRUMBS -->
	      <ul class="page-breadcrumb breadcrumb">
            <li>
                <a href="{{ route('home') }}">{{ trans('dashbord.index.title') }}</a>
                <i class="fa fa-circle"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
	      <!-- END PAGE BREADCRUMBS -->
	      <!-- BEGIN PAGE CONTENT INNER -->
	      <div class="page-content-inner">

        <div class="row">
			<div class="col-md-12">
			    <div class="portlet light ">
              		<div class="portlet-title">
                  		<div class="caption">
                      		<i class="fa fa-shopping-cart font-dark"></i>
                      		<span class="caption-subject font-dark bold uppercase">{{ trans('shop.basket.myBasket') }}</span>
                  		</div>
                  		<div class="tools">
                			<a href="javascript:;" class="collapse"> </a>
            			</div>
              		</div>
              		<div class="portlet-body form">

              			<form class="form-horizontal" role="form" action="" method="POST">
              				<div class="form-body form">
              					<h4 class="empty-basket text-center @if( $cart->content()->count() > 0 ) hidden @endif">{{ trans('shop.shared.emptyBasket') }}</h4>
              				</div>

              				<table class="table table-hover table-light center-table basket-table @if( $cart->content()->count() == 0 ) hidden @endif">
                                <thead>
                                    <tr class="uppercase">
                                        <th> </th>
                                        <th> {{ trans('shop.basket.table.name') }} </th>
                                        <th> {{ trans('shop.basket.table.price') }} </th>
                                        <th> {{ trans('shop.basket.table.quantity') }} </th>
                                        <th> </th>
                                    </tr>
                                </thead>
                                <tbody>
                                  @foreach( $cart->content() as $item )
                                    <tr class="text-center" data-id="{{ $item->id }}" data-rowid="{{ $item->rowId }}">
                                        <td> <img src="{{ asset('storage/_static/products/' . $item->options->img) }}" /> </td>
                                        <td> <h4 class="bold">{{ $item->name }}</h4><p>{{ $item->options->description }}</p> </td>
                                        <td> $ {{ $item->price }} </td>
                                        <td> 
                                          1
                                        </td>
                                        <td>
                                            <a class="btn yellow btn-removeFromCart"><i class="fa fa-trash"></i></a>
                                        </td>
                                        <td> 
                                          $ {{ $item->total }}
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
              			
	              			<input type="hidden" name="_token" value="{{ csrf_token() }}">
							<div class="form-actions">
									<a href="{{ route('shop.basket') }}" class="btn yellow shopProcessBtn @if( $cart->content()->count() == 0 ) hidden @endif"><i class="fa fa-check"></i> {{ trans('shop.basket.process') }}</a>
							</div>
						</form>
              		</div>
             	</div>
            </div>
        </div>

        <div class="row">
			<div class="col-md-12">
				<div class="portlet light ">
                  <div class="portlet-title">
                      <div class="caption">
                          <i class="fa fa-list font-dark"></i>
                          <span class="caption-subject font-dark bold uppercase">{{ trans('shop.index.catalog') }}</span>
                      </div>
                  </div>
                  <div class="portlet-body">

                  			<table class="table table-hover table-light center-table">
                                <thead>
                                    <tr class="uppercase">
                                        <th> </th>
                                        <th> {{ trans('shop.basket.table.name') }} </th>
                                        <th> {{ trans('shop.basket.table.price') }} </th>
                                        <th> {{ trans('shop.basket.table.quantity') }} </th>
                                        <th> </th>
                                    </tr>
                                </thead>
                                <tbody>
                                	@foreach( $products as $p )
                                    <tr class="text-center" data-id="{{ $p->id }}">
                                        <td> <img src="{{ asset('storage/_static/products/' . $p->image) }}" /> </td>
                                        <td> <h4 class="bold">{{ $p->name }}</h4><p>{{ $p->description }}</p> </td>
                                        <td> $ {{ $p->price }} </td>
                                        <td> 
                                        	1
                                        </td>
                                        <td>
                                            <a class="btn yellow btn-addToCart"><i class="fa fa-shopping-cart"></i> {{ trans('shop.index.Buy') }}</a>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
					
                  </div>
                 </div>
                </div>
               </div>

         </div>
     </div>
    </div>

@stop

@section('script')
<script type="text/javascript">
	var ajax_url_shop_addTo = '{{ route("clientzone.ajax.shop.addTo") }}';
  var ajax_url_shop_remove = '{{ route("clientzone.ajax.shop.remove") }}';
</script>
<script type="text/javascript" src="{{ asset('assets/scripts/pages/shop-purchase.js') }}"></script>
@stop
