@extends('layouts.site')

@section('content')
<section id="iqBody" class="container">
<div class="row">
<div class="col-xs-12 text-center">
@include('shared.messages')
@if( is_null( $referrer ) )
<h1>{{ trans('site.contact-referrer.Referrer Details') }}</h1>
{{ trans('site.contact-referrer.Please enter your referrers username below') }}.
<form class="form-horizontal" method="post">
	<div class="form-group">
		<div class="col-lg-4 col-md-6 col-sm-8 col-xs-12 col-lg-offset-4 col-md-offset-3 col-sm-offset-2">
			<input autofocus="" class="form-control" id="referrer" name="referrer" placeholder="{{ trans('site.contact-referrer.Referrer Username') }}" tabindex="1" type="text" value=""/>
		</div>
	</div>
	<button type="submit" class="btn btn-success" tabindex="2">{{ trans('site.contact-referrer.Set Referrer') }} </button>
{{ csrf_field() }}
</form>
<div class="validation-summary-valid" data-valmsg-summary="true"><ul><li style="display:none"></li>
</ul></div>
@else
<h1>{{ trans('site.contact-referrer.Contact Your Referrer') }}</h1>
<div class="innerContent">{{trans('site.contact-referrer.user-this-form') }}</div>
<form autocomplete="off" class="form-horizontal" method="post"> <fieldset><legend></legend>
<div class="form-group">
<label class="col-lg-3 col-md-4 col-sm-5 col-xs-12 control-label" for="FirstName">{{trans('site.contact-referrer.First Name') }}:</label>
<div class="col-lg-9 col-md-8 col-sm-7 col-xs-12">
<div class="input-group">
<label class="input-group-addon" for="FirstName">
<span class="glyphicon glyphicon-user"></span>
</label>
<input autofocus="autofocus" class="form-control" data-val="true" data-val-length="{{ trans('site.contact-referrer.Invalid First Name length') }}" data-val-length-max="35" data-val-length-min="1" data-val-required="{{ trans('site.contact-referrer.Please enter your First Name') }}" id="FirstName" name="FirstName" placeholder="{{trans('site.contact-referrer.First Name') }}" tabindex="1" type="text" value="" />
</div>
<span class="field-validation-valid" data-valmsg-for="FirstName" data-valmsg-replace="true"></span>
</div>
</div>
<div class="form-group">
<label class="col-lg-3 col-md-4 col-sm-5 col-xs-12 control-label" for="{{trans('site.contact-referrer.Last Name') }}">{{trans('site.contact-referrer.Last Name') }}:</label>
<div class="col-lg-9 col-md-8 col-sm-7 col-xs-12">
<div class="input-group">
<label class="input-group-addon" for="LastName">
<span class="glyphicon glyphicon-user"></span>
</label>
<input class="form-control" data-val="true" data-val-length="{{ trans('site.contact-referrer.Invalid Last Name length') }}" data-val-length-max="35" data-val-length-min="1" data-val-required="{{ trans('site.contact-referrer.Please enter you Last Name') }}" id="LastName" name="LastName" placeholder="{{trans('site.contact-referrer.Last Name') }}" tabindex="2" type="text" value="" />
</div>
<span class="field-validation-valid" data-valmsg-for="LastName" data-valmsg-replace="true"></span>
</div>
</div>
<div class="form-group">
<label class="col-lg-3 col-md-4 col-sm-5 col-xs-12 control-label" for="Email">"{{trans('site.contact-referrer.Your email') }}":</label>
<div class="col-lg-9 col-md-8 col-sm-7 col-xs-12">
<div class="input-group">
<label class="input-group-addon" for="Email">
<span class="glyphicon glyphicon-envelope"></span>
</label>
<input class="form-control" data-val="true" data-val-regex="{{ trans('site.contact-referrer.Email format is not valid') }}" data-val-regex-pattern="^[0-9A-Za-z._%+-]+@[0-9A-Za-z.-]+\.[A-Za-z]{2,6}$" data-val-required="{{ trans('site.contact-referrer.Please enter your Email') }}" id="Email" name="Email" placeholder="{{ trans('site.contact-referrer.Your email') }}" tabindex="3" type="email" value="" />
</div>
<span class="field-validation-valid" data-valmsg-for="Email" data-valmsg-replace="true"></span>
</div>
</div>
<div class="form-group">
<label class="col-lg-3 col-md-4 col-sm-5 col-xs-12 control-label" for="PhoneNumber">{{ trans('site.contact-referrer.Your Phone Number') }}:</label>
<div class="col-lg-9 col-md-8 col-sm-7 col-xs-12">
<div class="input-group">
<label class="input-group-addon" for="PhoneNumber">
<span class="glyphicon glyphicon-phone"></span>
</label>
<input class="form-control" data-val="true" data-val-regex="{{ trans('site.contact-referrer.Phone Number format is not valid') }}" data-val-regex-pattern="^(\+|00)(?:[0-9] ?){6,14}[0-9]$" data-val-required="{{ trans('site.contact-referrer.Please enter your Phone Number') }}" id="PhoneNumber" name="PhoneNumber" placeholder="{{trans('site.contact-referrer.Your Phone Number') }}" tabindex="4" type="tel" value="" />
</div>
<span class="field-validation-valid" data-valmsg-for="PhoneNumber" data-valmsg-replace="true"></span>
</div>
</div>
<div class="form-group">
<label class="col-lg-3 col-md-4 col-sm-5 col-xs-12 control-label" for="Subject">{{ trans('site.contact-referrer.Message Subject') }}:</label>
<div class="col-lg-9 col-md-8 col-sm-7 col-xs-12">
<div class="input-group">
<label class="input-group-addon" for="Subject">
<span class="glyphicon glyphicon-inbox"></span>
</label>
<input class="form-control" data-val="true" data-val-length="{{ trans('site.contact-referrer.Invalid subject length') }}" data-val-length-max="50" data-val-length-min="1" data-val-required="{{ trans('site.contact-referrer.Please enter a Subject') }}" id="Subject" name="Subject" placeholder="{{ trans('site.contact-referrer.Message Subject') }}" tabindex="5" type="text" value="" />
</div>
<span class="field-validation-valid" data-valmsg-for="Subject" data-valmsg-replace="true"></span>
</div>
</div>
<div class="form-group">
<label class="col-lg-3 col-md-4 col-sm-5 col-xs-12 control-label" for="Content">{{ trans('site.contact-referrer.Message Text')}}:</label>
<div class="col-lg-9 col-md-8 col-sm-7 col-xs-12">
<textarea class="form-control" cols="21" data-val="true" data-val-length="{{ trans('site.contact-referrer.Invalid Content length') }}" data-val-length-max="3000" data-val-length-min="5" data-val-required="{{ trans('site.contact-referrer.Please enter a Message Text') }}" id="Content" name="Content" placeholder="{{ trans('site.contact-referrer.Message Text') }}" rows="9" tabindex="6"></textarea>
<span class="field-validation-valid" data-valmsg-for="Content" data-valmsg-replace="true"></span>
</div>
</div>
<div class="form-group">
<div class="col-lg-9 col-md-8 col-sm-7 col-xs-12 col-lg-offset-3 col-md-offset-4 col-sm-offset-5">
{{ csrf_field() }}
<input type="hidden" name="send" value="1">
<button type="submit" class="btn btn-success" tabindex="7">{{ trans('site.contact-referrer.Send') }}</button>
</div>
</div>
</fieldset>
</form>
@endif
</div>
</div>
</section>
@stop