@extends('layouts.default')
@section('content')
<!-- BEGIN CONTAINER -->
<div class="page-container">
    <!-- BEGIN CONTENT -->
    <div class="page-content-wrapper">
        <!-- BEGIN CONTENT BODY -->
        <!-- BEGIN PAGE HEAD-->
        <div class="page-head">
            <div class="container">
                <!-- BEGIN PAGE TITLE -->
                <div class="page-title">
                    <h1>@if( request()->is('*/support'))
                        {{ trans('support.index.title') }}
                        @elseif(request()->is('*/support/open'))
                            {{ trans('support.open.title') }}
                        @elseif(request()->is('*/support/closed'))
                            {{ trans('support.closed.title') }}
                        @endif
                        <small>{{ ( isset( $subtitle ) ) ? $subtitle : '' }}</small>
                    </h1>
                </div>
                <!-- END PAGE TITLE -->
            </div>
        </div>
        <!-- END PAGE HEAD-->
        <!-- BEGIN PAGE CONTENT BODY -->
        <div class="page-content">
            <div class="container">
                <!-- BEGIN PAGE BREADCRUMBS -->
                <ul class="page-breadcrumb breadcrumb">
                    <li>
                        <a href="{{ route('home') }}">@if( request()->is('*/support'))
                                {{ trans('support.index.title') }}
                            @elseif(request()->is('*/support/open'))
                                {{ trans('support.open.title') }}
                            @elseif(request()->is('*/support/closed'))
                                {{ trans('support.closed.title') }}
                            @endif</a>
                        <i class="fa fa-circle"></i>
                    </li>
                    <li>
                        <span>{{ trans('support.view.title') }}</span>
                    </li>
                </ul>
                @include('shared.messages')
                <!-- END PAGE BREADCRUMBS -->
                <div class="page-content-inner">
                    <div class="row">
                        <div class="col-md-12">         
                            <div class="support-ui">
                                @include('support.sidebar')
                                <!-- END TODO SIDEBAR -->
                                <!-- BEGIN TODO CONTENT -->
                                <div class="support-content">
                                    <div class="portlet light ">
                                        <div class="portlet-title">
                                            <div class="caption">
                                                <i class="icon-bar-charthide"></i>
                                                <span class="caption-subject font-yellow bold uppercase">@if( request()->is('*/support'))
                                                        {{ trans('support.index.title') }}
                                                    @elseif(request()->is('*/support/open'))
                                                        {{ trans('support.open.title') }}
                                                    @elseif(request()->is('*/support/closed'))
                                                        {{ trans('support.closed.title') }}
                                                    @endif</span>
                                            </div>
                                            <div class="actions">
                                                <div class="btn-group">
                                                    <a class="btn yellow btn-sm" href="{{ route('support.new') }}"> {{ trans('support.createBtn') }}
                                                        <i class="fa fa-plus"></i>
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="portlet-body">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="table-responsive">
                                                        <table class="table table-striped table-hover table-light">
                                                            <thead>
                                                                <tr>
                                                                    <th>{{ trans('support.table.subject') }}</th>
                                                                    <th>{{ trans('support.table.category') }}</th>
                                                                    <th>{{ trans('support.table.comments') }}</th>
                                                                    <th>{{ trans('support.table.date') }}</th>
                                                                    <th>{{ trans('support.table.priority') }}</th>
                                                                    <th>{{ trans('support.table.status') }}</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>
                                                                @if( $tickets->count() )
                                                                @foreach( $tickets as $t )
                                                                    <tr>
                                                                        <td><a href="{{ route('support.view', $t->id) }}">{{ $t->subject }}</a></td>
                                                                        <td>{{ $t->category->name }}</td>
                                                                        <td>{{ $t->replies->count() }}</td>
                                                                        <td>{{ $t->created_at->format('d-m-Y') }}</td>
                                                                        <td>
                                                                            <?php
                                                                                switch ($t->priority) {
                                                                                    case 1:
                                                                                        echo '<span class="label label-default">' . trans('support.table.label.low') . '</span>';
                                                                                        break;
                                                                                    case 2:
                                                                                        echo '<span class="label label-warning">' . trans('support.table.label.medium') . '</span>';
                                                                                        break;
                                                                                    case 3:
                                                                                        echo '<span class="label label-danger">' . trans('support.table.label.high') . '</span>';
                                                                                        break;
                                                                                }
                                                                                ?>
                                                                        </td>
                                                                        <td>
                                                                            <?php
                                                                                switch ($t->status) {
                                                                                    case 0:
                                                                                        echo '<span class="label label-warning">' . trans('support.table.label.open') . '</span>';
                                                                                        break;
                                                                                    case 1:
                                                                                        echo '<span class="label label-danger">' . trans('support.table.label.active') . '</span>';
                                                                                        break;
                                                                                    case 2:
                                                                                        echo '<span class="label label-default">' . trans('support.table.label.closed') . '</span>';
                                                                                        break;
                                                                                }
                                                                                ?>
                                                                        </td>
                                                                    </tr>
                                                                @endforeach
                                                                @endif
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- END TODO CONTENT -->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@stop

@section('style')
<link href="{{ asset('assets/global/plugins/select2/css/select2.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/select2/css/select2-bootstrap.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/css/pages/support.css') }}" rel="stylesheet" type="text/css" />
@stop

@section('script')
<script src="{{ asset('assets/global/plugins/select2/js/select2.full.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/scripts/pages/support.js') }}" type="text/javascript"></script>
@stop