@extends('layouts.default')
@section('content')
<!-- BEGIN CONTAINER -->
<div class="page-container">
    <!-- BEGIN CONTENT -->
    <div class="page-content-wrapper">
        <!-- BEGIN CONTENT BODY -->
        <!-- BEGIN PAGE HEAD-->
        <div class="page-head">
            <div class="container">
                <!-- BEGIN PAGE TITLE -->
                <div class="page-title">
                    <h1>
                        {{ trans('support.new.title') }}
                        <small>{{ ( isset( $subtitle ) ) ? $subtitle : '' }}</small>
                    </h1>
                </div>
                <!-- END PAGE TITLE -->
            </div>
        </div>
        <!-- END PAGE HEAD-->
        <!-- BEGIN PAGE CONTENT BODY -->
        <div class="page-content">
            <div class="container">
                <!-- BEGIN PAGE BREADCRUMBS -->
                <ul class="page-breadcrumb breadcrumb">
                    <li>
                        <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
                        <i class="fa fa-circle"></i>
                    </li>
                    <li>
                        <span>{{ trans('support.new.title') }}</span>
                    </li>
                </ul>
                @include('shared.messages')
                <!-- END PAGE BREADCRUMBS -->
                <div class="page-content-inner">
                    <div class="row">
                        <div class="col-md-12">         
                            <div class="support-ui">
                                <div class="support-sidebar">
                                    <div class="portlet light ">
                                        <div class="portlet-title">
                                            <div class="caption" data-toggle="collapse" data-target=".support-project-list-content">
                                                <i class="fa fa-tags"></i>
                                                <span class="caption-subject bold uppercase">{{ trans('support.statuses') }} </span>
                                                <span class="caption-helper visible-sm-inline-block visible-xs-inline-block">{{ trans('support.statuses') }}</span>
                                            </div>
                                        </div>
                                        <div class="portlet-body support-project-list-content">
                                            <div class="support-project-list">
                                                <ul class="nav nav-pills nav-stacked">
                                                    <li @if( $current == 'active' ) class="active" @endif>
                                                        <a href="{{ route('support') }}" class="font-red-mint">
                                                            @if( $active_count ) <span class="badge badge-danger"> {{ $active_count }} </span> @endif {{ trans('support.table.label.active') }} </a>
                                                    </li>
                                                    <li @if( $current == 'open' ) class="active" @endif>
                                                        <a href="{{ route('support.open') }}" class="font-yellow">
                                                            @if( $open_count ) <span class="badge badge-info"> {{ $open_count }} </span> @endif {{ trans('support.table.label.open') }} </a>
                                                    </li>
                                                    <li @if( $current == 'closed' ) class="active" @endif>
                                                        <a href="{{ route('support.closed') }}" class="text-muted">
                                                           @if( $closed_count ) <span class="badge badge-default"> {{ $closed_count }} </span> @endif {{ trans('support.table.label.closed') }} </a>
                                                    </li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="support-content">
                                    <div class="portlet light ">
                                        <div class="portlet-title">
                                            <div class="caption">
                                                <i class="icon-bar-chart hide"></i>
                                                <span class="caption-subject bold uppercase">{{ trans('support.new.title') }}</span>
                                            </div>
                                            <div class="actions">
                                                <div class="btn-group">
                                                    <a class="btn green btn-sm" href="{{ route('support.new') }}"> {{ trans('support.createBtn') }}
                                                        <i class="fa fa-plus"></i>
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="portlet-body">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <form action="#" class="form" method="POST" enctype="multipart/form-data">

                                                        <div class="form-body">
                                                            <div class="form-group @if($errors->has('subject')) has-error @endif">
                                                                <label>{{ trans('support.table.subject') }}</label>
                                                                <input type="text" class="form-control" name="subject" placeholder="{{ trans('support.table.subject') }}">
                                                            </div>




                                                            <div class="form-group @if($errors->has('category')) has-error @endif">
                                                                <label>{{ trans('support.table.category') }}</label>
                                                                <select id="ticket-category" name="category" class="form-control">
                                                                    @foreach($tickets_categories as $tc)
                                                                    <option value="{{ $tc->id }}">{{ $tc->name }}</option>
                                                                    @endforeach
                                                                </select>
                                                            </div>


                                                            <div class="form-group @if($errors->has('priority')) has-error @endif">
                                                                <label>{{ trans('support.table.priority') }}</label>
                                                                <select id="ticket-priority" name="priority" class="form-control">
                                                                    <option value="1" selected="selected">{{ trans('support.table.label.low') }}</option>
                                                                    <option value="2">{{ trans('support.table.label.medium') }}</option>
                                                                    <option value="3">{{ trans('support.table.label.high') }}</option>
                                                                </select>
                                                            </div>

                                                            <div class="form-group @if($errors->has('content')) has-error @endif">
                                                                <label>{{ trans('support.table.message') }}</label>
                                                                <textarea class="form-control" name="content" rows="10" cols="60" placeholder="{{ trans('support.table.message') }}"></textarea>
                                                            </div>

                                                            <div class="form-group @if($errors->has('attachment')) has-error @endif">
                                                                <label>{{ trans('support.table.attachment') }}</label>
                                                                <input type="file" name="attachment" accept="image/*">
                                                            </div>
                                                        </div>
                                                        <div class="form-actions">
                                                            <input name="_token" value="{{ csrf_token() }}" type="hidden">
                                                            <button type="submit" class="btn  btn-sm yellow">{{ trans('support.createBtn') }}</button>
                                                            <a href="{{ route('support') }}" class="btn btn-sm btn-default">{{ trans('support.cancelBtn') }}</a>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- END TODO CONTENT -->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@stop

@section('style')
<link href="{{ asset('assets/global/plugins/select2/css/select2.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/select2/css/select2-bootstrap.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/css/pages/support.css') }}" rel="stylesheet" type="text/css" />
@stop

@section('script')
<script src="{{ asset('assets/global/plugins/select2/js/select2.full.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/scripts/pages/support.js') }}" type="text/javascript"></script>
@stop