@extends('layouts.default')
@section('content')
<!-- BEGIN CONTAINER -->
<div class="page-container">
    <!-- BEGIN CONTENT -->
    <div class="page-content-wrapper">
        <!-- BEGIN CONTENT BODY -->
        <!-- BEGIN PAGE HEAD-->
        <div class="page-head">
            <div class="container">
                <!-- BEGIN PAGE TITLE -->
                <div class="page-title">
                    <h1>
                        {{ $title }}
                        <small>{{ ( isset( $subtitle ) ) ? $subtitle : '' }}</small>
                    </h1>
                </div>
                <!-- END PAGE TITLE -->
            </div>
        </div>
        <!-- END PAGE HEAD-->
        <!-- BEGIN PAGE CONTENT BODY -->
        <div class="page-content">
            <div class="container">
                <!-- BEGIN PAGE BREADCRUMBS -->
                <ul class="page-breadcrumb breadcrumb">
                    <li>
                        <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
                        <i class="fa fa-circle"></i>
                    </li>
                    <li>
                        <a href="{{ route('support.' . $current) }}">{{ trans('support.view.title') }}{{ trans('support.title.' . ucfirst($current)) }}</a>
                        <i class="fa fa-circle"></i>
                    </li>
                    <li>
                        <span>{{ $ticket->subject }}</span>
                    </li>
                </ul>
                @include('shared.messages')
                <!-- END PAGE BREADCRUMBS -->
                <div class="page-content-inner">
                    <div class="row">
                        <div class="col-md-12">         
                            <div class="support-ui">
                                @include('support.sidebar')
                                <!-- END TODO SIDEBAR -->
                                <!-- BEGIN TODO CONTENT -->
                                <div class="support-content">
                                    <div class="portlet light ">
                                        <div class="portlet-title">
                                            <div class="caption">
                                                <i class="icon-ticket"></i>
                                                <span class="caption-subject bold uppercase">{{ $ticket->subject }}</span>
                                            </div>
                                            <div class="actions">
                                                <div class="btn-group">
                                                    <a class="btn yellow btn-sm" href="{{ route('support.new') }}"> {{ trans('support.createBtn') }}
                                                        <i class="fa fa-plus"></i>
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="portlet-body">
                                            <div class="row">
                                                <div class="col-md-12">

                                                    <div class="support-tasklist">
                                                        <div class="support-tasklist-item support-tasklist-item-border-green">
                                                            <img class="support-userpic pull-left" src="{{ $ticket->user->getAvatar() }}" width="27px" height="27px">
                                                            <div class="support-tasklist-item-title"> {{ $ticket->subject }} 
                                                                <?php
                                                                    switch ($ticket->status) {
                                                                        case 0:
                                                                            echo '<span class="support-tasklist-badge badge badge-warning">' . trans('support.table.label.open') . '</span>';
                                                                            break;
                                                                        case 1:
                                                                            echo '<span class="support-tasklist-badge badge badge-danger">' . trans('support.table.label.active') . '</span>';
                                                                            break;
                                                                        case 2:
                                                                            echo '<span class="support-tasklist-badge badge badge-default">' . trans('support.table.label.closed') . '</span>';
                                                                            break;
                                                                    }
                                                                ?>
                                                            </div>
                                                            <div class="support-tasklist-item-text"> {!! $ticket->content !!} </div>
                                                            <div class="support-tasklist-controls">
                                                                <span class="support-tasklist-date">
                                                                    <i class="fa fa-calendar"></i> {{ $ticket->created_at }} <small>({{ $ticket->created_at->diffForHumans() }})</small></span>
                                                                    <?php
                                                                    switch ($ticket->priority) {
                                                                        case 1:
                                                                            echo '<span class="support-tasklist-badge badge badge-default badge-roundless">' . trans('support.table.label.low') . '</span>';
                                                                            break;
                                                                        case 2:
                                                                            echo '<span class="support-tasklist-badge badge badge-warning badge-roundless">' . trans('support.table.label.medium') . '</span>';
                                                                            break;
                                                                        case 3:
                                                                            echo '<span class="support-tasklist-badge badge badge-danger badge-roundless">' . trans('support.table.label.high') . '</span>';
                                                                            break;
                                                                    }
                                                                    ?>
                                                            </div>
                                                            @if( $ticket->attachment !== NULL )
                                                            <div class="support-tasklist-controls">
                                                                <span class="support-tasklist-date">
                                                                    <i class="fa fa-paperclip"></i> <small><a href="{{ route('support.attachment', $ticket->id) }}" target="_blank">View</a></small>
                                                                </span>
                                                            </div>
                                                            @endif
                                                        </div>
                                                    </div>

                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="tabbable-line">
                                                        <ul class="nav nav-tabs ">
                                                            <li class="active">
                                                                <a href="#comments" data-toggle="tab"> {{ trans('support.table.comments') }} <span class="badge badge-default"> {{ $ticket->replies->count() }} </span> </a>
                                                            </li>
                                                            <li>
                                                                <a href="#history" data-toggle="tab"> {{ trans('support.table.history') }} </a>
                                                            </li>
                                                        </ul>
                                                        <div class="tab-content">
                                                            <div class="tab-pane active" id="comments">
                                                                <!-- TASK COMMENTS -->
                                                                <div class="form-group">
                                                                    <div class="col-md-12">
                                                                    @if( $ticket->replies->count() )
                                                                        <ul class="media-list">
                                                                        @foreach( $ticket->replies as $reply )
                                                                            <li class="media">
                                                                                <a class="pull-left" href="javascript:;">
                                                                                    <img class="support-userpic" src="{{ $reply->user->getAvatar() }}" width="27px" height="27px"> </a>
                                                                                <div class="media-body support-comment">
                                                                                    <p class="support-comment-head">
                                                                                        <span class="support-comment-username">{{ $reply->user->fullName() }}</span> &nbsp;
                                                                                        <span class="support-comment-date">{{ $reply->created_at->diffForHumans() }}</span>
                                                                                    </p>
                                                                                    <p class="support-text-color">{!! $reply->content !!} </p>
                                                                                </div>
                                                                            </li>
                                                                        @endforeach
                                                                        </ul>
                                                                    @else
                                                                    <div class="alert alert-warning ">
                                                                        <strong>{{ trans('support.noMsg1') }}</strong> {{ trans('support.noMsg2') }}
                                                                    </div>
                                                                    @endif
                                                                    </div>
                                                                </div>
                                                                @if( $ticket->replies->count()  )
                                                                <form action="" method="POST">
                                                                    <div class="form-group">
                                                                        <div class="col-md-12">
                                                                            <ul class="media-list">
                                                                                <li class="media">
                                                                                    <a class="pull-left" href="javascript:;">
                                                                                        <img class="support-userpic" src="{{ $user->getAvatar() }}" width="27px" height="27px"> </a>
                                                                                    <div class="media-body">
                                                                                        <textarea class="form-control support-taskbody-taskdesc" rows="4" name="content" placeholder="{{ trans('support.typereply') }}"></textarea>
                                                                                    </div>
                                                                                </li>
                                                                            </ul>
                                                                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                                                            <button type="submit" class="pull-right btn btn-sm btn-circle yellow"> {{ trans('support.submit') }} </button>
                                                                        </div>
                                                                    </div>
                                                                </form>
                                                                @endif
                                                            </div>
                                                            <div class="tab-pane" id="history">
                                                                <ul class="support-task-history">
                                                                    <li class="hidden">
                                                                        <div class="support-task-history-date"> 20 Jun, 2014 at 11:35am </div>
                                                                        <div class="support-task-history-desc"> Task created </div>
                                                                    </li>
                                                                </ul>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- END TODO CONTENT -->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@stop

@section('style')
<link href="{{ asset('assets/global/plugins/select2/css/select2.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/select2/css/select2-bootstrap.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/css/pages/support.css') }}" rel="stylesheet" type="text/css" />
@stop

@section('script')
<script src="{{ asset('assets/global/plugins/select2/js/select2.full.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/scripts/pages/support.js') }}" type="text/javascript"></script>
@stop