@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
		<div class="page-head">
	    	<div class="container">
	        <!-- BEGIN PAGE TITLE -->
	   		 	<div class="page-title">
	            	<h1>{{ $title }}
	                	<small>{{ trans('tradingplatform.smallTitle') }}</small>
	            	</h1>
	        	</div>
	    	</div>
	  	</div>
        <!-- END PAGE TITLE -->
		<div class="page-content">
		  <div class="container">
		      <!-- BEGIN PAGE BREADCRUMBS -->
		      <ul class="page-breadcrumb breadcrumb">
		      		<li>
		                <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
		                <i class="fa fa-circle"></i>
		            </li>
		            <li>
		                <span>{{ $title }}</span>
		            </li>
		      </ul>
		      <!-- END PAGE BREADCRUMBS -->
		      <!-- BEGIN PAGE CONTENT INNER -->
		      <div class="page-content-inner">
		          	<div class="row">
						<div class="col-md-12 col-sm-12">
			          		<div class="portlet light ">
                    			<div class="portlet-title">
                        			<div class="caption caption-md">
                            			<i class="fa fa-bar-chart font-yellow"></i>
                            			<span class="caption-subject font-yellow bold uppercase">{{ $title }}</span>
                        			</div>
                        			<div class="actions">
		                                <div class="btn-group">
		                                    <a class="btn yellow btn-sm" target="_blank" href="{{ route('wallet.transfer-balance') }}"> {{ trans('tradingplatform.tansfer') }}
		                                        <i class="fa fa-mail-forward"></i>
		                                    </a>
		                                </div>
		                            </div>
                    			</div>
                    			<div class="portlet-body">
									<div class="row platform">
										<div class="col-lg-4 col-md-4 col-sm-6 col-xs-12">
											<div id="tabBuy" class="panel panel-success">
												<div class="panel-heading text-center"><strong>{{ trans('tradingplatform.buy') }}</strong></div>
												<div id="ProcessBuy" class="panel-body">
													<form class="form-horizontal" id="Form_ProcessBuy" method="post" novalidate="novalidate">
														<div class="form-group">
															<label class="col-lg-4 col-md-4 col-sm-5 col-xs-12 control-label" for="Amount">{{ trans('tradingplatform.amount') }}</label>
															<div class="col-lg-8 col-md-8 col-sm-7 col-xs-12">
																<input class="form-control" id="amount" name="amount" type="text" value="0" data-msg-minStrict="{{ trans('tradingplatform.messages.errorMinimum') }}">
																<span class="field-validation-valid" data-valmsg-for="Amount" data-valmsg-replace="true"></span>
															</div>
														</div>
														<div class="form-group">
															<label class="col-lg-4 col-md-4 col-sm-5 col-xs-12 control-label" for="Price">{{ trans('tradingplatform.price') }}</label>
															<div class="col-lg-8 col-md-8 col-sm-7 col-xs-12">
																<div class="input-group">
																	<select class="form-control" id="price" name="price">
																		<option value="0">{{ trans('tradingplatform.bestPrice') }}</option>
																		@for($i = 0.072; $i < 0.196; $i = $i + 0.001)
																		<option value="{{ number_format($i, 3) }}">{{ number_format($i, 3) }}</option>
																		@endfor
																	</select>
																	<div class="input-group-addon">
																		<span class="glyphicon glyphicon-question-sign tooltiped" data-toggle="tooltip" title="" data-original-title="{{ trans('tradingplatform.bestOrder') }}"></span>
																	</div>
																</div>

																<span class="field-validation-valid" data-valmsg-for="Price" data-valmsg-replace="true"></span>
															</div>
														</div>

														<button type="submit" class="btn yellow btn-block">{{ trans('tradingplatform.buyNow') }}</button>
													</form>
												</div>
												<div class="table-responsive sellOptions">
													<table class="table table-condensed table-hover table-striped table-bordered trading-table hidden">
														<thead>
															<tr>
																<th class="info">{{ trans('tradingplatform.sellOrders') }}</th>
																<th class="info">{{ trans('tradingplatform.price') }}</th>
															</tr>
														</thead>
														<tbody>
															
														</tbody>
													</table>
													<div class="alert alert-warning"><p>{{ trans('tradingplatform.sellEmpty') }}</p></div>
												</div>
											</div>

											<a class="btn btn-link btn-block" id="AllsellOrders" data-toggle="modal">{{ trans('tradingplatform.showAllSells') }}</a>

											<div class="table-responsive mySellOrders">

												<table class="table table-condensed table-hover table-striped table-bordered trading-table hidden">
													<thead>
														<tr>
															<th class="info">{{ trans('tradingplatform.amount') }}</th>
															<th class="info">{{ trans('tradingplatform.price') }}</th>
															<th class="info"></th>
														</tr>
													</thead>
													<tbody>
														
													</tbody>
												</table>

												<div class="alert alert-warning hidden">
													<p>{{ trans('tradingplatform.noSellOrders') }}</p>
												</div>
											</div>
										</div>

										<div class="col-lg-4 col-md-4 col-sm-6 col-xs-12 col-lg-push-4 col-md-push-4">
										<div id="tabSell" class="panel panel-success">
										<div class="panel-heading text-center">
											<strong>{{ trans('tradingplatform.sell') }}</strong>
										</div>
											
										<div id="ProcessSell" class="panel-body">
											<form action="" class="form-horizontal" id="Form_ProcessSell" method="post" novalidate="novalidate"> 
												<div class="form-group">
													<label class="col-lg-4 col-md-4 col-sm-5 col-xs-12 control-label" for="Amount">{{ trans('tradingplatform.amount') }}</label>

													<div class="col-lg-8 col-md-8 col-sm-7 col-xs-12">
														<input class="form-control" id="amount" name="amount" type="text" value="0" data-msg-minStrict="{{ trans('tradingplatform.messages.errorMinimum') }}">
														<span class="field-validation-valid" data-valmsg-for="Amount" data-valmsg-replace="true"></span>
													</div>
												</div>

												<div class="form-group">
													<label class="col-lg-4 col-md-4 col-sm-5 col-xs-12 control-label" for="Price">{{ trans('tradingplatform.price') }}</label>
													<div class="col-lg-8 col-md-8 col-sm-7 col-xs-12">
														<div class="input-group">
															<select class="form-control" data-val="true" id="price" name="price" value="0">
																<option value="0">{{ trans('tradingplatform.bestPrice') }}</option>
																@for($i = 0.072; $i < 0.196; $i = $i + 0.001)
																<option value="{{ number_format($i, 3) }}">{{ number_format($i, 3) }}</option>
																@endfor
															</select>
															<div class="input-group-addon">
																<span class="glyphicon glyphicon-question-sign tooltiped" data-toggle="tooltip" title="" data-original-title="{{ trans('tradingplatform.sellOrders') }}"></span>
															</div>
														</div>

														<span class="field-validation-valid" data-valmsg-for="{{ trans('tradingplatform.price') }}" data-valmsg-replace="true"></span>

													</div>
												</div>

												<button type="submit" class="btn yellow btn-block">{{ trans('tradingplatform.sellNow') }}</button>
											</form>
										</div>
										<div class="table-responsive buyOptions">
											<table class="table table-condensed table-hover table-striped table-bordered trading-table hidden">
												<thead>
													<tr>
														<th class="info">{{ trans('tradingplatform.buyOrders') }}</th>
														<th class="info">{{ trans('tradingplatform.price') }}</th>
													</tr>
												</thead>
												<tbody>
													
												</tbody>
											</table>

											<div class="alert alert-warning"><p>{{ trans('tradingplatform.buyEmpty') }}</p></div>
										</div>
									</div>

									<a class="btn btn-link btn-block" id="AllbuyOrders" data-toggle="modal">{{ trans('tradingplatform.showAllBuys') }}</a>

									<div class="table-responsive myBuyOrders">

										<table class="table table-condensed table-hover table-striped table-bordered trading-table hidden">
											<thead>
												<tr>
													<th class="info">{{ trans('tradingplatform.amount') }}</th>
													<th class="info">{{ trans('tradingplatform.price') }}</th>
													<th class="info"></th>
												</tr>
											</thead>
											<tbody>
												
											</tbody>
										</table>

										<div class="alert alert-warning hidden">
											<p>{{ trans('tradingplatform.noBuyOrders') }}</p>
										</div>
									</div>

										</div>
									
										<div class="col-lg-4 col-md-4 col-sm-12 col-xs-12 col-lg-pull-4 col-md-pull-4">
											<div class="table-responsive portfolioTable">
												<table class="table table-condensed table-hover table-striped table-bordered">
													<thead>
														<tr>
															<th colspan="2" class="active">{{ trans('tradingplatform.portfolio') }}</th>
														</tr>
													</thead>
													<tbody>
														<tr>
															<td>{{ trans('tradingplatform.tradableUnits') }}</td>
															<td class="text-right td-tradableUnits"></td>
														</tr>
														<tr>
															<td>{{ trans('tradingplatform.escrowedUnits') }}</td>
															<td class="text-right td-escrowedUnits">0</td>
														</tr>
														<tr>
															<td>{{ trans('tradingplatform.totalUnits') }}</td>
															<td class="text-right td-totalUnits"></td>
														</tr>
														<tr>
															<td>{{ trans('tradingplatform.mandatoryBalance') }}</td>
															<td class="text-right td-mandatoryAccount"></td>
														</tr>
														<tr>
															<td>{{ trans('tradingplatform.tradingBalance') }}</td>
															<td class="text-right td-tradingBalance"></td>
														</tr>
														<tr>
															<td>{{ trans('tradingplatform.totalBalance') }}</td>
															<td class="text-right td-totalBalance">0.00</td>
														</tr>
													</tbody>
												</table>
											</div>
													
											<div class="table-responsive activityTable">
												<table class="table table-condensed table-hover table-striped table-bordered">
													<thead>
														<tr>
															<th colspan="2" class="active">{{ trans('tradingplatform.activity') }}</th>
														</tr>
													</thead>
													<tbody>
														<tr>
															<td>{{ trans('tradingplatform.high') }}</td>
															<td class="text-right td-high">0.000</td>
														</tr>
														<tr>
															<td>{{ trans('tradingplatform.low') }}</td>
															<td class="text-right td-low">0.000</td>
														</tr>
														<tr>
															<td>{{ trans('tradingplatform.volume') }}</td>
															<td class="text-right td-volume">0</td>
														</tr>
														<tr>
															<td>{{ trans('tradingplatform.buyOrdersPlaced') }}</td>
															<td class="text-right td-buyCount">0</td>
														</tr>
														<tr>
															<td>{{ trans('tradingplatform.sellOrdersPlaced') }}</td>
															<td class="text-right td-sellCount">0</td>
														</tr>
														<tr>
															<td>{{ trans('tradingplatform.serverTime') }}</td>
															<td class="jclock text-right server-timezone"></td>
														</tr>
													</tbody>
												</table>
											</div>
										</div>
									</div>
                    			</div>
                  			</div>
			          	</div>
		          	</div>
      			</div>
    		</div>
		</div>
	</div>
</div>


<div id="AllsellOrders-modal" class="modal container fade" tabindex="-1">
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
        <h4 class="modal-title">{{ trans('tradingplatform.sellOrders') }}</h4>
    </div>
    <div class="modal-body">
        <table class="table table-condensed table-hover table-striped table-bordered trading-table">
			<thead>
				<tr>
					<th class="info">{{ trans('tradingplatform.amount') }}</th>
					<th class="info">{{ trans('tradingplatform.price') }}</th>
				</tr>
			</thead>
			<tbody>
				
			</tbody>
		</table>
    </div>
    <div class="modal-footer">
        <button type="button" data-dismiss="modal" class="btn btn-outline dark">{{ trans('tradingplatform.close') }}</button>
    </div>
</div>

<div id="AllbuyOrders-modal" class="modal container fade" tabindex="-1">
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
        <h4 class="modal-title">{{ trans('tradingplatform.buyOrders') }}</h4>
    </div>
    <div class="modal-body">
        <table class="table table-condensed table-hover table-striped table-bordered trading-table">
			<thead>
				<tr>
					<th class="info">{{ trans('tradingplatform.amount') }}</th>
					<th class="info">{{ trans('tradingplatform.price') }}</th>
				</tr>
			</thead>
			<tbody>
				
			</tbody>
		</table>
    </div>
    <div class="modal-footer">
        <button type="button" data-dismiss="modal" class="btn btn-outline dark">{{ trans('tradingplatform.close') }}</button>
    </div>
</div>
@stop

@section('style')
<link href="{{ asset('assets/global/plugins/bootstrap-modal/css/bootstrap-modal-bs3patch.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/bootstrap-modal/css/bootstrap-modal.css') }}" rel="stylesheet" type="text/css" />
@stop

@section('script')
<script type="text/javascript" src="{{ asset('assets/global/plugins/jquery-validation/js/jquery.validate.min.js') }}"></script>
<script src="{{ asset('assets/global/plugins/jquery-validation/js/additional-methods.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/bootstrap-modal/js/bootstrap-modalmanager.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/bootstrap-modal/js/bootstrap-modal.js') }}" type="text/javascript"></script>
<script type="text/javascript">
var url_tradingplatform = "{{ route('clientzone.ajax.trading-platform') }}";
var url_buyOption = "{{ route('clientzone.ajax.trading-platform.buy') }}";
var url_sellOption = "{{ route('clientzone.ajax.trading-platform.sell') }}";
var url_orderCancel = "{{ route('clientzone.ajax.trading-platform.cancel') }}";
var url_listOrders = "{{ route('clientzone.ajax.trading-platform.listOrders') }}";

window.serverTs = {{ time() * 1000 }};
window.timeDiff = ( +new Date() ) - serverTs;

function timeConverter( jstimestamp ){
	var a = new Date( jstimestamp );

	var hour = a.getUTCHours().toString();
	var min = a.getUTCMinutes().toString();
	var sec = a.getUTCSeconds().toString();


	hour = '00'.substr( hour.length ) + hour;
	min  = '00'.substr( min.length ) + min;
	sec  = '00'.substr( sec.length ) + sec;

	return hour + ':' + min + ':' + sec ;
}

$(document).ready(function(){
	$.fn.modal.defaults.spinner = $.fn.modalmanager.defaults.spinner = 
      '<div class="loading-spinner" style="width: 200px; margin-left: -100px;">' +
        '<div class="progress progress-striped active">' +
          '<div class="progress-bar" style="width: 100%;"></div>' +
        '</div>' +
      '</div>';

    $.fn.modalmanager.defaults.resize = true;
    var $buymodal = $('#AllbuyOrders-modal');
    var $sellmodal = $('#AllsellOrders-modal');

    $('#AllbuyOrders').on('click', function(){
      // create the backdrop and wait for next modal to be triggered
      $('body').modalmanager('loading');
      var el = $(this);

      	App.ajax({
      		url: url_listOrders,
      		data: {
      			type: 1
      		}
      	}, function(data){
      		if( data && data.data ) {
      			var i = 0, res = '', item, tbody = $buymodal.find('.table tbody');

      			tbody.empty();

				for( i; i < data.data.length; i++ ) {
					item = data.data[ i ];

					res += '<tr><td class="text-center">' + item.amount + '</td><td class="text-center">' + item.price + '</td></tr>';

				}

      			tbody.append( res );
      		}
      		
      		$buymodal.modal();
      	});
    });

    $('#AllsellOrders').on('click', function(){
      // create the backdrop and wait for next modal to be triggered
      $('body').modalmanager('loading');
      var el = $(this);

      	App.ajax({
      		url: url_listOrders,
      		data: {
      			type: 2
      		}
      	}, function(data){
      		if( data && data.data ) {
      			var i = 0, res = '', item, tbody = $sellmodal.find('.table tbody');

      			tbody.empty();

				for( i; i < data.data.length; i++ ) {
					item = data.data[ i ];

					res += '<tr><td class="text-center">' + item.amount + '</td><td class="text-center">' + item.price + '</td></tr>';

				}

      			tbody.append( res );
      		}
      		
      		$sellmodal.modal();
      	});
    });

	var dom_st = $('.server-timezone');
	setInterval( function() {
		dom_st.html( timeConverter( (+new Date()) + timeDiff) );
	}, 1000);

	var buyOptionsTable = $('.buyOptions .table'),
		buyOptionsAlert = $('.buyOptions .alert'),
		sellOptionsTable = $('.sellOptions .table'),
		sellOptionsAlert = $('.sellOptions .alert'),
		mySellOptionsTable = $('.mySellOrders .table'),
		mySellOptionsAlert = $('.mySellOrders .alert'),
		myBuyOptionsTable = $('.myBuyOrders .table'),
		myBuyOptionsAlert = $('.myBuyOrders .alert'),
		portfolioTable = $('.portfolioTable .table tbody'),
		activityTable = $('.activityTable .table tbody');

	var cancelOrder = function( e ) {
		App.ajax({
			url: url_orderCancel,
			data: {
				id: $(this).parents('tr').data('id')
			}
		}, function(data) {
			if( data.data ) {
				getPlatformData( true );
			}
		});
	};

	var getPlatformData = function( loader ) {
		var ad = {
			url: url_tradingplatform,
			method: 'POST'
		};

		if( loader ) ad['block'] = '.platform';

		App.ajax(ad, function( data ) {
			var d = data.data;

			if( d  ) {
				if( d.options ) {
					if( d.options.buy && d.options.buy.length > 0 ) {
						buyOptionsAlert.addClass('hidden');
						buyOptionsTable.removeClass('hidden');
						var i = 0, res = '', item;

						var tbody = buyOptionsTable.find('tbody');

						for( i; i < d.options.buy.length; i++ ) {
							item = d.options.buy[ i ];

							res += '<tr><td class="text-center">' + item.amount + '</td><td class="text-center">' + item.price + '</td></tr>';

						}

						tbody.html( res );

					} else {
						buyOptionsTable.addClass('hidden');
						buyOptionsAlert.removeClass('hidden');
					}

					if( d.options.sell && d.options.sell.length > 0 ) {
						sellOptionsAlert.addClass('hidden');
						sellOptionsTable.removeClass('hidden');
						var i = 0, res = '', item;

						var tbody = sellOptionsTable.find('tbody');

						for( i; i < d.options.sell.length; i++ ) {
							item = d.options.sell[ i ];

							res += '<tr><td class="text-center">' + item.amount + '</td><td class="text-center">' + item.price + '</td></tr>';

						}

						tbody.html( res );
					} else {
						sellOptionsTable.addClass('hidden');
						sellOptionsAlert.removeClass('hidden');
					}
				}

				if( d.myOptions ) {
					if( d.myOptions.buy && d.myOptions.buy.length > 0 ) {
						myBuyOptionsAlert.addClass('hidden');
						myBuyOptionsTable.removeClass('hidden');
						var i = 0, res = '', item;

						var tbody = myBuyOptionsTable.find('tbody');

						for( i; i < d.myOptions.buy.length; i++ ) {
							item = d.myOptions.buy[ i ];

							res += '<tr data-id="' + item.id + '"><td class="text-center">' + item.amount + '</td><td class="text-center">' + item.price + '</td><td class="text-center"><a class="btn btn-sm red cancelOrder"><i class="fa fa-close"></i></a></td></tr>';

						}

						tbody.html( res );
						tbody.find('.cancelOrder').on('click', cancelOrder);

					} else {
						myBuyOptionsTable.addClass('hidden');
						myBuyOptionsAlert.removeClass('hidden');
					}

					if( d.myOptions.sell && d.myOptions.sell.length > 0 ) {
						mySellOptionsAlert.addClass('hidden');
						mySellOptionsTable.removeClass('hidden');
						var i = 0, res = '', item;

						var tbody = mySellOptionsTable.find('tbody');

						for( i; i < d.myOptions.sell.length; i++ ) {
							item = d.myOptions.sell[ i ];

							res += '<tr data-id="' + item.id + '"><td class="text-center">' + item.amount + '</td><td class="text-center">' + item.price + '</td><td class="text-center"><a class="btn btn-sm red cancelOrder"><i class="fa fa-close"></i></a></td></tr>';

						}

						tbody.html( res );
						tbody.find('.cancelOrder').on('click', cancelOrder);
					} else {
						mySellOptionsTable.addClass('hidden');
						mySellOptionsAlert.removeClass('hidden');
					}
				}

				if( d.balances ) {
					portfolioTable.find('.td-tradableUnits').html( d.balances.resaleUnits );
					portfolioTable.find('.td-mandatoryAccount').html( d.balances.mandatoryAccount );
					portfolioTable.find('.td-tradingBalance').html( d.balances.onlineAccount );
					portfolioTable.find('.td-escrowedUnits').html( ((d.balances.escrowedUnits == null) ? 0 : d.balances.escrowedUnits) );
					portfolioTable.find('.td-totalUnits').html( d.balances.totalUnits );
					if( d.balances.sumOptions ) {
						activityTable.find('.td-low').html( (d.balances.sumOptions.min == null) ? 0 : d.balances.sumOptions.min );
						activityTable.find('.td-high').html( (d.balances.sumOptions.max == null) ? 0 : d.balances.sumOptions.max );
						activityTable.find('.td-volume').html( (d.balances.sumOptions.volume == null) ? 0 : d.balances.sumOptions.volume );
					}

					if( d.balances.countOptions && d.balances.countOptions.length > 0 ) {
						activityTable.find('.td-buyCount').html( ((d.balances.countOptions[0]) ? d.balances.countOptions[0].counter : 0) );
						activityTable.find('.td-sellCount').html( ((d.balances.countOptions[1]) ? d.balances.countOptions[1].counter : 0));
					}
				}
			}
		});
	};

	$.validator.addMethod('minStrict', function (value, el, param) {
	    return value >= param;
	});

	$("form#Form_ProcessSell").validate({
      errorElement: 'span', //default input error message container
      errorClass: 'help-block help-block-error', // default input error message class
      focusInvalid: false, // do not focus the last invalid input
      ignore: "",  // validate all fields including form hidden input
      rules: {
        amount: {
            minlength: 1,
            minStrict: 1,
            number: true,
            required: true
        },
        price: {
          required: true,
          pattern: /^\d+([.,]{0,1}\d{0,})?$/
        }
      },
      errorPlacement: function(error, element) {
        error.appendTo( element.parents(".form-group") );
      },
      highlight: function (element) { // hightlight error inputs

          $(element)
              .parents('.form-group').addClass('has-error'); // set error class to the control group
      },

      unhighlight: function (element) { // revert the change done by hightlight
          $(element)
              .parents('.form-group').removeClass('has-error'); // set error class to the control group
      },

      success: function (label) {
          label
              .parents('.form-group').removeClass('has-error'); // set success class to the control group
      },

      customDataMessage: function (element, method) {
	    return $(element).data("msg" + method[0].toUpperCase() + method.substring(1).toLowerCase()) || $(element).data("msg");
	},

      submitHandler: function (form) {
      	var form = $('form#Form_ProcessSell');

      	App.ajax({
      		url: url_sellOption,
      		data: {
      			amount: form.find('input[name="amount"]').val(),
      			price: form.find('select[name="price"]').val()
      		}
      	}, function(data) {
      		getPlatformData( true );
      	});

      	return false;
      }
    });

    $("form#Form_ProcessBuy").validate({
      errorElement: 'span', //default input error message container
      errorClass: 'help-block help-block-error', // default input error message class
      focusInvalid: false, // do not focus the last invalid input
      ignore: "",  // validate all fields including form hidden input
      rules: {
        amount: {
            minlength: 1,
            minStrict: 1,
            number: true,
            required: true
        },
        price: {
          required: true,
          pattern: /^\d+([.,]{0,1}\d{0,})?$/
        }
      },
      errorPlacement: function(error, element) {
        error.appendTo( element.parents(".form-group") );
      },
      highlight: function (element) { // hightlight error inputs

          $(element)
              .parents('.form-group').addClass('has-error'); // set error class to the control group
      },

      unhighlight: function (element) { // revert the change done by hightlight
          $(element)
              .parents('.form-group').removeClass('has-error'); // set error class to the control group
      },

      success: function (label) {
          label
              .parents('.form-group').removeClass('has-error'); // set success class to the control group
      },

      customDataMessage: function (element, method) {
		    return $(element).data("msg" + method[0].toUpperCase() + method.substring(1).toLowerCase()) || $(element).data("msg");
		},

      submitHandler: function (form) {
      	var form = $('form#Form_ProcessBuy');

      	App.ajax({
      		url: url_buyOption,
      		data: {
      			amount: form.find('input[name="amount"]').val(),
      			price: form.find('select[name="price"]').val()
      		}
      	}, function(data) {
      		getPlatformData( true );
      	});

      	return false;
      }
    });

	getPlatformData( true );

	setInterval( function() {
		getPlatformData();
	}, 5000);
});
</script>
@stop
