@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
    <div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small>{{ trans('transactions.accountSummary.smallTitle') }}</small>
            </h1>
        </div>
    </div>
  </div>
<!-- END PAGE TITLE -->
        <div class="page-content">
          <div class="container">
              <!-- BEGIN PAGE BREADCRUMBS -->
              <ul class="page-breadcrumb breadcrumb">
                <li>
                    <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
                    <i class="fa fa-circle"></i>
                </li>
                <li>
                    <span>{{ $title }}</span>
                </li>
            </ul>
              <!-- END PAGE BREADCRUMBS -->
              <!-- BEGIN PAGE CONTENT INNER -->
              <div class="page-content-inner">


                    <div class="row">
                        <div class="col-md-12">
                            <div class="portlet light ">
                                <div class="portlet-title">
                                    <div class="caption">
                                        <i class="fa fa-filter"></i>
                                        <span class="caption-subject bold uppercase">{{ trans('transactions.accountSummary.filter') }}</span>
                                    </div>
                                    <div class="tools">
                                        <a href="javascript:;" class="collapse"> </a>
                                    </div>
                                </div>
                                <div class="portlet-body form">
                                <form class="form-horizontal" action="" method="POST" id="filterForm">


                                    <div class="form-body">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label col-md-3">{{ trans('transactions.accountSummary.dateRange') }}</label>
                                                    <div class="col-md-6">
                                                        <div class="input-group" id="betweenFilter">
                                                            <input type="text" class="form-control">
                                                            <span class="input-group-btn">
                                                                <button class="btn default date-range-toggle" type="button">
                                                                    <i class="fa fa-calendar"></i>
                                                                </button>
                                                            </span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                    </div>

                                    <div class="form-actions">
                                        <input type="hidden" name="startDate" id="startDate" value="">
                                        <input type="hidden" name="endDate" id="endDate" value="">
                                        <button type="submit" id="filterBtn" class="btn yellow"><i class="fa fa-filter"></i> {{ trans('transactions.accountSummary.filter') }}</button>
                                        <button type="reset" class="btn default">{{ trans('transactions.accountSummary.reset') }}</button>
                                    </div>
                                </form>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <!-- BEGIN SAMPLE TABLE PORTLET-->
                            <div class="portlet light">
                                <div class="portlet-title">
                                    <div class="caption"><i class="fa fa-book"></i> {{ $title }}</div>
                                </div>
                                <div class="portlet-body">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="table-responsive">
                                                <table class="table credit">
                                                    <thead>
                                                        <tr>
                                                            <th colspan="2">{{ trans('transactions.accountSummary.accountCredit') }}</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <tr class="processor-deposit">
                                                            <td><i class="fa fa-money"></i> <strong>{{ trans('transactions.accountSummary.deposits') }}:</strong></td>
                                                            <td class="value"></td>
                                                        </tr>
                                                        <tr class="ewallet-cashout">
                                                            <td><i class="fa fa-briefcase"></i> {{ trans('transactions.accountSummary.ewalletCashout') }}:</td>
                                                            <td class="value"></td>
                                                        </tr>
                                                        
                                                        <tr class="commission">
                                                            <td><i class="fa fa-group"></i> {{ trans('transactions.accountSummary.commission') }}:</td>
                                                            <td class="value"></td>
                                                        </tr>
                                                        <tr class="transfer-from">
                                                            <td><i class="fa fa-arrows"></i> {{ trans('transactions.accountSummary.transferFromMember') }}:</td>
                                                            <td class="value"></td>
                                                        </tr>
                                                        <tr class="misc-credit">
                                                            <td><i class="fa fa-plus"></i> {{ trans('transactions.accountSummary.miscAccountCredit') }}:</td>
                                                            <td class="value"></td>
                                                        </tr>
                                                    </tbody>
                                                    <tfoot>
                                                        <tr class="total-credits">
                                                            <td><i class="fa fa-calculator"></i> <strong>{{ trans('transactions.accountSummary.totalCredits') }}:</strong></td>
                                                            <td class="value"></td>
                                                        </tr>
                                                    </tfoot>
                                                </table>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="table-responsive">
                                                <table class="table debit">
                                                    <thead>
                                                        <tr>
                                                            <th colspan="2">{{ trans('transactions.accountSummary.accountDebit') }}</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <tr class="processor-cashouts">
                                                            <td><i class="fa fa-money"></i> <strong>{{ trans('transactions.accountSummary.cashouts') }}:</strong></td>
                                                            <td class="value"></td>
                                                        </tr>
                                                        <tr class="ewallet-cashouts">
                                                            <td><i class="fa fa-briefcase"></i> {{ trans('transactions.accountSummary.ewalletCashouts') }}:</td>
                                                            <td class="value"></td>
                                                        </tr>
                                                        <tr class="plans">
                                                            <td><i class="fa fa-cubes"></i> {{ trans('transactions.accountSummary.packages') }}:</td>
                                                            <td class="value"></td>
                                                        </tr>
                                                        <tr class="transfer-to">
                                                            <td><i class="fa fa-arrow"></i> {{ trans('transactions.accountSummary.transferToMember') }}:</td>
                                                            <td class="value"></td>
                                                        </tr>
                                                        <tr class="misc-debit">
                                                            <td><i class="fa fa-cross"></i> {{ trans('transactions.accountSummary.miscAccountDebit') }}:</td>
                                                            <td class="value"></td>
                                                        </tr>
                                                    </tbody>
                                                    <tfoot>
                                                        <tr class="total-debits">
                                                            <td><i class="fa fa-calculator"></i> <strong>{{ trans('transactions.accountSummary.totalDebits') }}:</strong></td>
                                                            <td class="value"></td>
                                                        </tr>
                                                    </tfoot>
                                                </table>
                                            </div>
                                        </div>
                                    </div>

                                    <h4><i class="fa fa-find"></i> <a href="{{ route('transactions.index') }}">{{ trans('transactions.accountSummary.click') }} <strong>{{ trans('transactions.index.title') }}</strong></a></h4>
                                    <br />

                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="table-responsive">
                                                <table class="table cashout">
                                                    <thead>
                                                        <tr>
                                                            <th colspan="2">{{ trans('transactions.accountSummary.others') }}</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <tr class="cashout-fee">
                                                            <td><i class="fa fa-pie-chart"></i>  {{ trans('transactions.accountSummary.cashoutFees') }}:</td>
                                                            <td class="value">{{ Config::get('app.currencies')[ $user->profile->currency ] }} 0.00</td>
                                                        </tr>
                                                        <tr class="transfer-fee">
                                                            <td><i class="fa fa-cross"></i> {{ trans('transactions.accountSummary.toMemberFees') }}:</td>
                                                            <td class="value">{{ Config::get('app.currencies')[ $user->profile->currency ] }} 0.00</td>
                                                        </tr>

                                                        <tr class="ewallet-cashouts">
                                                            <td><i class="fa fa-briefcase"></i> {{ trans('transactions.accountSummary.ewalletCashoutsTotal') }}:</td>
                                                            <td class="value"></td>
                                                        </tr>
                                                        <tr class="processor-cashouts">
                                                            <td><i class="fa fa-money"></i> {{ trans('transactions.accountSummary.processorCashoutsTotal') }}:</td>
                                                            <td class="value"></td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>

                                    <h4><i class="fa fa-find"></i> <a href="{{ route('transactions.cashout') }}">{{ trans('transactions.accountSummary.click') }} <strong>{{ trans('transactions.cashout.title') }}</strong></a></h4>
                                    <br />

                                </div>
                            </div>
                            <!-- END SAMPLE TABLE PORTLET-->
                        </div>
                    </div>

            </div>
        </div>
    </div>
@stop
@section('style')
<link href="{{ asset('assets/global/plugins/bootstrap-daterangepicker/daterangepicker-bs3.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}" rel="stylesheet" type="text/css" />
@stop
@section('script')
<script src="{{ asset('assets/global/plugins/bootstrap-daterangepicker/moment.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/bootstrap-daterangepicker/daterangepicker.js') }}" type="text/javascript"></script>
<script type="text/javascript">
    var ajax_accounting_data = '{{ route("clientzone.ajax.accounting.data") }}';
</script>
<script type="text/javascript" src="{{ asset('assets/scripts/pages/accounting-summary.js') }}"></script>
@stop
