@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small></small>
            </h1>
        </div>
    </div>
  </div>
        <!-- END PAGE TITLE -->
				<div class="page-content">
				  <div class="container">
				      <!-- BEGIN PAGE BREADCRUMBS -->
				      <ul class="page-breadcrumb breadcrumb">
			            <li>
			                <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
			                <i class="fa fa-circle"></i>
			            </li>
			            <li>
			                <span>{{ $title }}</span>
			            </li>
			        </ul>
				      <!-- END PAGE BREADCRUMBS -->
				      <!-- BEGIN PAGE CONTENT INNER -->
				<div class="page-content-inner">
		               <div class="row">
	            			<div class="col-md-9">
							      	<div class="portlet light ">
			                  <div class="portlet-title">
			                      <div class="caption">
			                          <i class="fa fa-hourglass font-dark"></i>
			                          <span class="caption-subject font-dark bold uppercase">{{ $title }}</span>
			                      </div>
			                      <div class="tools">
	                            <a href="javascript:;" class="collapse"> </a>
	                        	</div>
			                  </div>
			                  <div class="portlet-body">
			                  	<table id="datatable-activationHistory" class="table table-sorting table-striped table-hover table-bordered datatable">
                        	</table>
		                  </div>
			                 </div>
			                </div>
			         
			            <div class="col-md-3 page-sidebar">
			            	<div class="portlet light ">
                            
                                <div class="portlet-body todo-project-list-content" style="height: auto;">
                                    <div class="todo-project-list">
                                        <ul class="nav nav-stacked">
                                            <li>
                                                <a href="{{ route('donate-tree') }}">
                                                    <i class="fa fa-tree"></i> {{ trans('transactions.activationHistory.donate') }}
                                               	</a>
                                            </li>
                                            <li>
                                                <a href="{{ route('certificates.issue') }}">
                                                   <i class="fa fa-file"></i> {{ trans('transactions.activationHistory.certificate') }} 
                                                </a>
                                            </li>
                                            <li class="active">
                                                <a href="{{ route('auth.register', $user->username) }}">
                                                   <i class="fa fa-user"></i> {{ trans('transactions.activationHistory.sponsor') }}
                                               </a>
                                            </li>
                                            <li>
                                                <a href="{{ route('shop.index') }}">
                                                    <i class="fa fa-shopping-cart"></i> {{ trans('transactions.activationHistory.units') }}
                                            </li>
                                            
                                        </ul>
                                    </div>
                                </div>
                            </div>

			           	</div>
			           	 </div>

		             </div>
		         </div>
		        </div>

@stop

@section('style')
<link href="{{ asset('assets/global/plugins/bootstrap-daterangepicker/daterangepicker-bs3.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css') }}" rel="stylesheet" type="text/css" />
@stop

@section('script')
<script src="{{ asset('assets/global/scripts/datatable.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/datatables/datatables.min.js') }}" type="text/javascript"></script>
<script type="text/javascript">
    var ajax_activationHistory_dt = '{{ route("clientzone.ajax.activationHistory.table") }}';
</script>
<script type="text/javascript" src="{{ asset('assets/scripts/pages/activationHistory.js') }}"></script>
@stop
