@extends('layouts.default')

@section('content')


	<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
		<div class="container">
			<!-- BEGIN PAGE TITLE -->
			<div class="page-title">
				<h1>{{ $title }}
					<small>{{ trans('tree.genealogyTree.my_tree') }}</small>
				</h1>
			</div>
		</div>
	</div>
	<!-- END PAGE TITLE -->
	<div class="page-content">
		<div class="container">
			<!-- BEGIN PAGE BREADCRUMBS -->
			<ul class="page-breadcrumb breadcrumb">
				<li>
					<a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
					<i class="fa fa-circle"></i>
				</li>
				<li>
					<span>{{ $title }}</span>
				</li>
			</ul>
			<!-- END PAGE BREADCRUMBS -->
			<!-- BEGIN PAGE CONTENT INNER -->
			<div class="page-content-inner">
				<div class="portlet light">
					<div class="portlet-body">
						<div class="row">
							<div class="col-xl-12">
								<!--begin:: Widgets/Tasks -->
								<div class="m-portlet m-portlet--full-height ">
									<div class="m-portlet__head">
										<div class="m-portlet__head-caption">
											<div class="m-portlet__head-title">
												<span class="m-portlet__head-icon">
													<i class="flaticon-graph"></i>
												</span>
												<h3 class="m-portlet__head-text">








												</h3>
											</div>
										</div>
									</div>
									<div class="m-portlet__body">

<div style="text-align: center">

										<button type="button" class="btn btn-primary openAllBtn">
					<span>
						<i class="fa fa-angle-double-down"></i>
						<span>{{ trans('tree.genealogyTree.openAll') }}</span>
					</span>
										</button>

										<button type="button" class="btn default btn-outline closeAllBtn">
					<span>
						<i class="fa fa-angle-double-up"></i>
						<span>{{ trans('tree.genealogyTree.closeAll') }}</span>
					</span>
										</button>

</div>

										<hr />

										<div id="jstree">

										</div>

									</div>
								</div>
							</div>
						</div>


					</div>
				</div>
			</div>
		</div>
	</div>


@stop
@section('style')
	<link rel="stylesheet" href="{{ asset('assets/css/jstree/jstree.css') }}">
<style type="text/css">
	.jstree .m-badge.m-badge--metal, .jstree .m-badge.m-badge--info {
		margin-left: 5px;
	}
</style>
@stop
@section('script')
	<script src="{{ asset('assets/scripts/pages/jstree.js') }}"></script>
<script type="text/javascript">
	$(document).ready(function(e) {
		var tree = $('#jstree').jstree({
			core: {
				data : {
					type: 'POST',
					url : "{{ route('clientzone.ajax.tree.genealogy.treeviews') }}",
					data : function ( node, cb ) {
						return { "id" : node.id, "level" : node.parents.length};
					}
				}
			},
			types: {
                default: {
                    icon: "fa fa-user"
                },
                file: {
                    icon: "fa fa-user m--font-warning"
                }
            },
            plugins: ["types"]
		});

		$('.openAllBtn').on('click', function(e) {
			e.preventDefault();

			$('#jstree').jstree(true).open_all(null, 500);
		});

		$('.closeAllBtn').on('click', function(e) {
			e.preventDefault();

			$('#jstree').jstree(true).close_all(null, 500);
		});
	});
</script>
@stop