<!DOCTYPE html>
<!--[if IE 9 ]><html class="ie ie9" lang="en" class="no-js"> <![endif]-->
<!--[if !(IE)]><!-->
<html lang="en" class="no-js" style="background-color:#444d58;">
<!--<![endif]-->

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="csrf-token" content="{{ csrf_token() }}" />
	<!-- CSS -->
	<link href="//fonts.googleapis.com/css?family=Open+Sans:400,300,600,700&subset=all" rel="stylesheet" type="text/css" />
  <link href="{{ assetS3('assets/global/plugins/font-awesome/css/font-awesome.min.css') }}" rel="stylesheet" type="text/css" />
  <link href="{{ assetS3('assets/global/plugins/simple-line-icons/simple-line-icons.min.css') }}" rel="stylesheet" type="text/css" />
  <link href="{{ assetS3('assets/global/plugins/bootstrap/css/bootstrap.min.css') }}" rel="stylesheet" type="text/css" />
  <link href="{{ assetS3('assets/global/plugins/bootstrap-toastr/toastr.min.css') }}" rel="stylesheet" type="text/css" />
	<link href="{{ assetS3('assets/global/css/components.css') }}" rel="stylesheet" id="style_components" type="text/css" />
        <link href="{{ assetS3('assets/global/css/plugins.min.css') }}" rel="stylesheet" type="text/css" />
        <!-- END THEME GLOBAL STYLES -->
        <!-- BEGIN THEME LAYOUT STYLES -->
        <link href="{{ assetS3('assets/css/layout.css') }}" rel="stylesheet" type="text/css" />
        <link href="{{ assetS3('assets/css/themes/yellow-crusta.css') }}" rel="stylesheet" type="text/css" id="style_color" />
  <!-- END THEME GLOBAL STYLES -->
  <!-- BEGIN THEME LAYOUT STYLES -->
	<link href="{{ assetS3('assets/global/plugins/mlmTree/mlmTree.css') }}" rel="stylesheet" type="text/css">
	<style type="text/css">
		.list-inline {
		    padding-left: 0;
		    margin-left: -5px;
		    list-style: none;
		}
		#networkTree {
			min-width: max-content;
		}
		#networkTree ul {
		    margin: 0 auto;
		    width: max-content;
		    position: relative;
		}
		#networkTree li {
		    position: relative;
		    float: left;
		}
		#networkTree ul ul::before {
		    content: '';
		    position: absolute;
		    top: -16px;
		    left: 50%;
		    border-left: 1px solid #ccc;
		    width: 0;
		    height: 16px;
		}
		#networkTree li::before, #networkTree li::after {
		    content: '';
		    position: absolute;
		    top: 0;
		    border-top: 1px solid #ccc;
		    width: 50%;
		    height: 9px;
		}
		#networkTree li::before {
		    right: 50%;
		}
		#networkTree li:first-child::before, #networkTree li:last-child::after {
		    border: 0;
		}
		#networkTree li:last-child::before {
		    border-right: 1px solid rgb(204, 204, 204);
		    border-radius: 0px 4px 0px 0px;
		}
		#networkTree li::before, #networkTree li::after {
		    content: '';
		    position: absolute;
		    top: 0;
		    border-top: 1px solid #ccc;
		    width: 50%;
		    height: 9px;
		}
		#networkTree li::after {
		    left: 50%;
		    border-left: 1px solid #ccc;
		}
		#networkTree li:first-child::after {
		    border-radius: 4px 0 0 0;
		}
		.pin {
		    background-repeat: no-repeat;
		    background-size: cover;
		    display: block;
		    width: 48px;
		    height: 48px;
		    margin: 9px auto 16px;
		}
		@media( max-width: 600px ) {
			.pin {
				width: 30px;
				height: 30px;
			}
		}
		@media( max-width: 321px ) {
			.pin {
				width: 20px;
				height: 20px;
			}
		}
		.pinEmpty {
		    background-image: url({{ assetS3('images/icons/pin13.png') }});
		}
		.pinAdd {
		    background-image: url({{ assetS3('images/icons/pin12.png') }});
		}
		.pinNone {
			background-image: url({{ assetS3('../../images/icons/pin01.png') }});
		}
		.pin00 {
		    background-image: url({{ assetS3('../../images/icons/pin01.png') }});
		}
		.pin01 {
		    background-image: url({{ assetS3('../../images/icons/pin05.png') }});
		}
		.pin02 {
		    background-image: url({{ assetS3('../../images/icons/pin06.png') }}') }});
		}
		.pin03 {
		    background-image: url({{ assetS3('../../images/icons/pin07.png') }});
		}
		.pin04 {
		    background-image: url({{ assetS3('../../images/icons/pin08.png') }});
		}
		.pin05 {
		    background-image: url({{ assetS3('../../images/icons/pin09.png') }});
		}
		.pin06 {
		    background-image: url({{ assetS3('../../images/icons/pin10.png') }});
		}
		.pin07 {
		    background-image: url({{ assetS3('../../images/icons/pin11.png') }});
		}
		.pinInactive {
			background-image: url({{ assetS3('../../images/icons/pin14.png') }});
		}
		.list-inline>li {
			padding: 0;
		}
		.row {
			margin: 0 10px;
		}
	</style>
	<!--[if lt IE 9]>
			<script src="{{ assetS3('assets/global/plugins/respond.min.js') }}"></script>
			<script src="{{ assetS3('assets/global/plugins/excanvas.min.js') }}"></script>
		<![endif]-->
</head>

<body class="page-container-bg-solid page-boxed">
	
	<div class="row">
		<div id="networkTree" class="has-feedback text-center panel-group">
			<?php echo $buildStructure(); ?>
		</div>
	</div>

	<div id="addMemberModal" class="modal fade" tabindex="-1">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
            <h4 class="modal-title">Add New</h4>
        </div>
        <div class="modal-body">
            <div class="row">
                <div class="col-md-12">
                	<div class="table-responsive">
	                    <table class="table table-hover table-striped table-light center-table">
	                        <thead>
	                            <tr class="uppercase">
	                                <th> </th>
	                                <th> Package </th>
	                                <th> Price </th>
	                                <th> </th>
	                            </tr>
	                        </thead>
	                        <tbody>
	                        </tbody>
	                    </table>
	                </div>
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <button type="button" data-dismiss="modal" class="btn btn-outline dark">Close</button>
        </div>
    </div>
	
	<div class="footer-details clearfix">
		<div class="row">
			<div class="col-md-6 clearfix">
				<div class="pull-left">Total Sales Left</div>
				<div class="pull-right">{{ number_format($total_left_sales, 2) }}</div>
			</div>
			<div class="col-md-6 text-right clearfix">
				<div class="pull-left">Total Sales Right</div>
				<div class="pull-right">{{ number_format($total_right_sales, 2) }}</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6 clearfix">
				<div class="pull-left">Total Left Leg</div>
				<div class="pull-right">{{ $total_left_members }}</div>
			</div>
			<div class="col-md-6 text-right clearfix">
				<div class="pull-left">Total Right Leg</div>
				<div class="pull-right">{{ $total_right_members }}</div>
			</div>
		</div>
	</div>

	<!--[if lt IE 9]>
			<script src="{{ assetS3('assets/global/plugins/respond.min.js') }}"></script>
			<script src="{{ assetS3('assets/global/plugins/excanvas.min.js') }}"></script>
		<![endif]-->
  <!-- BEGIN CORE PLUGINS -->
  <script src="{{ assetS3('assets/global/plugins/jquery.min.js') }}" type="text/javascript"></script>
  <script src="{{ assetS3('assets/global/plugins/bootstrap/js/bootstrap.min.js') }}" type="text/javascript"></script>
  <!-- END CORE PLUGINS -->
  <!-- BEGIN PAGE LEVEL PLUGINS -->
  <script type="text/javascript" src="{{ assetS3('assets/global/plugins/mlmTree/mlmTree.js') }}"></script>
 
  <!-- END PAGE LEVEL PLUGINS -->
  <!-- BEGIN THEME GLOBAL SCRIPTS -->
  <script src="{{ assetS3('assets/global/plugins/bootstrap-toastr/toastr.min.js') }}" type="text/javascript"></script>
  <script src="{{ assetS3('assets/global/scripts/app.js') }}" type="text/javascript"></script>
  <script type="text/javascript">
  	var url_ajax_checkAddMember = "{{ route('clientzone.ajax.tree.checkAddMember') }}";
  	$(document).ready(function(e){

  		$(".pinTooltip").popover();
  		var n = 0,
            t = 0;
        $("#networkTree .pin").css("opacity", 0).each(function() {
            $(this).delay(n * 70).animate({
                opacity: 1
            }, 500);
            t % 2 == 0 && n++;
            t++
        });
        $("#networkTree .pinTooltip").not(":first").one("click", function(n) {
            n.preventDefault();
            var t = $(this),
                r = t.offset(),
                i = $(document.body).offset(),
                u = $("#networkTree .pin:first").offset(),
                f = t.attr("href"),
                e = r.left - i.left,
                o = r.top - i.top,
                s = u.left - i.left,
                h = u.top - i.top;
            t.clone().appendTo(t.parent()).css({
                position: "fixed",
                left: e + "px",
                top: o + "px",
                opacity: 0
            }).animate({
                left: s,
                top: h - 9,
                opacity: 1
            }, 700, function() {
                document.location.href = f
            })
        });
        $(".btnUpLvl").one("click", function(n) {
            n.preventDefault();
            var t = $("#networkTree .pin:first"),
                r = t.offset(),
                i = $(document.body).offset(),
                u = (t.parent().hasClass("Left") ? $("#upLvlL .pin:first") : $("#upLvlR .pin:first")).offset(),
                f = $(this).attr("href"),
                e = r.left - i.left,
                o = r.top - i.top,
                s = u.left - i.left,
                h = u.top - i.top;
            t.clone().appendTo(t.parent()).css({
                position: "fixed",
                left: e + "px",
                top: o + "px",
                opacity: 0
            }).animate({
                left: s,
                top: h - 9,
                opacity: 1
            }, 500, function() {
                document.location.href = f
            })
        });
  	});
  </script>

</body>

</html>
