@extends('layouts.default')

@section('content')
<div class="row">
	<div class="col-xl-12">
		<!--begin:: Widgets/Tasks -->
		<div class="m-portlet m-portlet--full-height ">
			<div class="m-portlet__head">
				<div class="m-portlet__head-caption">
					<div class="m-portlet__head-title">
						<span class="m-portlet__head-icon">
							<i class="flaticon-map"></i>
						</span>
						<h3 class="m-portlet__head-text">
							{{ $title }}
						</h3>
					</div>
				</div>
				<div class="m-portlet__head-tools">
					<div class="form-group pull-right" id="specify-list-group">
							<div class="input-group">
								<select name="specify-list" id="downline-search" class="select2 form-control" style="width:80%">

								</select>
								<span class="input-group-btn" style="display:inline-block;width:15%">
									<button class="btn yellow btn-sm" id="search-downline" type="button" style="height:34px"><i class="fa fa-search"></i></button>
								</span>
							</div>
						</div>
				</div>
			</div>
			<div class="m-portlet__body">

				<div class="row">
					<div class="col-md-12">
						@if( $user->hasRole('admin') && !is_null( $oneUp ) )
						<div class="row">
							<div class="col-md-12 text-center">
								<a href="{{ route('tree-new', $oneUp->id ) }}" class="btn m-btn m-btn--gradient-from-success m-btn--gradient-to-accent animated slideInCenter">
								<span class="la la-angle-double-up"></span>&nbsp;Up One Level
								</a>
							</div>
						</div>
						@endif

						<div id="networkTree" class="has-feedback text-center panel-group">
							<?php echo $buildStructure(); ?>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<a href="{{ route('tree-new', $bottomLeftNodeId ) }}" class="btn m-btn m-btn--gradient-from-success m-btn--gradient-to-accent pull-left animated slideInRight">
						<span class="la la-angle-double-left"></span>&nbsp;{{ trans('tree.index.leftLegLast') }}
						</a>
						<a href="{{ route('tree-new', $bottomRightNodeId ) }}" class="btn m-btn m-btn--gradient-from-success m-btn--gradient-to-accent pull-right animated slideInLeft">
						{{ trans('tree.index.rightLegLast') }}&nbsp;<span class="la la-angle-double-right"></span>
						</a>
					</div>
				</div>

				<hr />

				<div id="addMemberModal" class="modal fade">
			        <div class="modal-header">
			            <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
			            <h4 class="modal-title">{{ trans('tree.index.add') }}</h4>
			        </div>
			        <div class="modal-body">
			            <div class="row">
			                <div class="col-md-12">
			                	<div class="table-responsive">
				                    <table class="table table-hover table-striped table-light center-table">
				                        <thead>
				                            <tr class="uppercase">
				                                <th> </th>
				                                <th> {{ trans('tree.index.package') }} </th>
				                                <th> {{ trans('tree.index.price') }} </th>
				                                <th> </th>
				                            </tr>
				                        </thead>
				                        <tbody>
				                        </tbody>
				                    </table>
				                </div>
			                </div>
			            </div>
			        </div>
			        <div class="modal-footer">
			            <button type="button" data-dismiss="modal" class="btn btn-outline dark">{{ trans('tree.index.close') }}</button>
			        </div>
			    </div>

			    <div class="footer-details clearfix">
					<div class="row">
						<div class="col-md-6 clearfix">
							<div class="pull-left">{{ trans('tree.index.totalLeftLeg') }}</div>
							<div class="pull-right">{{ $leftChildCount }}</div>
						</div>
						<div class="col-md-6 text-right clearfix">
							<div class="pull-left">{{ trans('tree.index.totalRightLeg') }}</div>
							<div class="pull-right">{{ $rightChildCount }}</div>
						</div>
					</div>
				</div>

				<div class="iframe-overlay" style="display:block;">
					<div class="loading-wrap">
						<div class="loading-big"></div>
					</div>
				</div>

			</div>
		</div>
	</div>
</div>
@stop
@section('style')
<link rel="stylesheet" type="text/css" href="{{ asset('assets/global/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" type="text/css" href="{{ asset('assets/global/plugins/select2/css/select2-bootstrap.min.css') }}">
<style type="text/css">
	.footer-details {
	  bottom: 10px;
	  left: 5px;
	  right: 5px;
	  font-weight: bold;
	  margin-top: 50px;
	  margin-bottom: 30px;
	  z-index: 100;
	}
	.footer-details .pull-left, .footer-details .pull-right {
	  padding: 5px;
	}
	.footer-details .pull-left {
	  color: black;
	  font-weight: bold;
	}
	.footer-details .pull-right {
	}

	.footer-details .border-right {
	  border-right: 1px solid black;
	}

	div.orgChart {
	  margin-bottom: 80px;
	}


	td.node-container:first-child table tbody tr.node-cells td.node-cell div.node .details {
	  right: 100% !important;
	  left: auto !important;
	}
	td.node-container:last-child table tbody tr.node-cells td.node-cell div.node .details {
	  left: 100% !important;
	}
	.list-inline {
	    padding-left: 0;
	    margin-left: -5px;
	    list-style: none;
	}
	#networkTree {
		min-width: max-content;
	}
	#networkTree ul {
	    margin: 0 auto;
	    width: max-content;
	    position: relative;
	}
	#networkTree li {
	    position: relative;
	    float: left;
	}
	#networkTree ul ul::before {
	    content: '';
	    position: absolute;
	    top: -16px;
	    left: 50%;
	    border-left: 1px solid #ccc;
	    width: 0;
	    height: 16px;
	}
	#networkTree li::before, #networkTree li::after {
	    content: '';
	    position: absolute;
	    top: 0;
	    border-top: 1px solid #ccc;
	    width: 50%;
	    height: 9px;
	}
	#networkTree li::before {
	    right: 50%;
	}
	#networkTree li:first-child::before, #networkTree li:last-child::after {
	    border: 0;
	}
	#networkTree li:last-child::before {
	    border-right: 1px solid rgb(204, 204, 204);
	    border-radius: 0px 4px 0px 0px;
	}
	#networkTree li::before, #networkTree li::after {
	    content: '';
	    position: absolute;
	    top: 0;
	    border-top: 1px solid #ccc;
	    width: 50%;
	    height: 9px;
	}
	#networkTree li::after {
	    left: 50%;
	    border-left: 1px solid #ccc;
	}
	#networkTree li:first-child::after {
	    border-radius: 4px 0 0 0;
	}
	.pin {
	    background-repeat: no-repeat;
	    background-size: cover;
	    display: block;
	    width: 48px;
	    height: 48px;
	    margin: 9px auto 16px;
	    opacity: 0;
	}
	@media( max-width: 600px ) {
		.pin {
			width: 30px;
			height: 30px;
		}
	}
	@media( max-width: 321px ) {
		.pin {
			width: 20px;
			height: 20px;
		}
	}
	.pinEmpty {
	    background-image: url({{ assetS3('images/icons/pin13.png') }});
	}
	.pinList .pin {
		opacity: 1;
	}
	.pinAdd {
	    background-image: url({{ assetS3('images/icons/pin12.png') }});
		opacity: 1;
	}
	.pinNone {
		background-image: url({{ assetS3('images/icons/pin01.png') }});
	}
	.pinMore {
		background-image: url({{ assetS3('images/icons/pin01.png') }});
		opacity: 0.3;
	}
	.pin00 {
	    background-image: url({{ assetS3('images/icons/pin-logo.png') }});
	}
	.pinMigrated {
	    background-image: url({{ assetS3('images/icons/pin-logo-blue.png') }});
	}
	.pinSuspended {
		background-image: url({{ assetS3('images/icons/pin-suspended.png') }});
	}
	.pin01 {
	    background-image: url({{ assetS3('images/icons/pin05.png') }});
	}
	.pin02 {
	    background-image: url({{ assetS3('images/icons/pin06.png') }});
	}
	.pin03 {
	    background-image: url({{ assetS3('images/icons/pin07.png') }});
	}
	.pin04 {
	    background-image: url({{ assetS3('images/icons/pin08.png') }});
	}
	.pin05 {
	    background-image: url({{ assetS3('images/icons/pin09.png') }});
	}
	.pin06 {
	    background-image: url({{ assetS3('images/icons/pin10.png') }});
	}
	.pin07 {
	    background-image: url({{ assetS3('images/icons/pin11.png') }});
	}
	.pinInactive {
		background-image: url({{ assetS3('../../images/icons/pin14.png') }});
	}
	.list-inline>li {
		padding: 0;
	}
	.row {
		margin: 0 10px;
	}
</style>
@stop
@section('script')
<script type="text/javascript" src="{{ assetS3('assets/global/plugins/select2/js/select2.full.min.js') }}"></script>
<script type="text/javascript" src="{{ assetS3('assets/global/plugins/mlmTree/mlmTree.js') }}"></script>
<script type="text/javascript">
	$(document).ready(function(){
		$("#downline-search").select2({
			width: '200px',
		    minimumInputLength: 2,
		    minimumResultsForSearch: 10,
		    ajax: {
		        url: router.route('clientzone.ajax.tree.downline.search'),
		        dataType: "json",
		        type: "POST",
		        processResults: function (data) {
		            return {
		                results: $.map(data, function (item) {
		                    return {
		                        text: item.username,
		                        id: item.id
		                    }
		                })
		            };
		        }
		    }
		});

		var iframe_url = '{{ route("tree-new", "") }}';

		$('button#search-downline').on('click', function(){
			var value = $("#downline-search").select2('val');
			if( !value || value == '' ) return;

			$('.iframe-overlay').show();
			window.location = iframe_url + '/' + value;
		});

	});
</script>
<script type="text/javascript">
  	$(document).ready(function(e){
  		$('.pinEmpty').click(function(e){
  			e.preventDefault();
  		});

  		$(".pinTooltip").popover();
  		var n = 0,
            t = 0;
        $("#networkTree .pin").css("opacity", 0).each(function() {
        	var _o = ($(this).hasClass('pinMore')) ? 0.3 : 1;

            $(this).delay(n * 70).animate({
                opacity: _o
            }, 500);
            t % 2 == 0 && n++;
            t++
        });
        $("#networkTree .pinTooltip").not(":first").one("click", function(n) {
            n.preventDefault();
            var t = $(this),
                r = t.offset(),
                i = $(document.body).offset(),
                u = $("#networkTree .pin:first").offset(),
                f = t.attr("href"),
                e = r.left - i.left,
                o = r.top - i.top,
                s = u.left - i.left,
                h = u.top - i.top;
            t.clone().appendTo(t.parent()).css({
                position: "fixed",
                left: e + "px",
                top: o + "px",
                opacity: 0
            }).animate({
                left: s,
                top: h - 9,
                opacity: 1
            }, 700, function() {
                document.location.href = f
            })
        });
        $(".btnUpLvl").one("click", function(n) {
            n.preventDefault();
            var t = $("#networkTree .pin:first"),
                r = t.offset(),
                i = $(document.body).offset(),
                u = (t.parent().hasClass("Left") ? $("#upLvlL .pin:first") : $("#upLvlR .pin:first")).offset(),
                f = $(this).attr("href"),
                e = r.left - i.left,
                o = r.top - i.top,
                s = u.left - i.left,
                h = u.top - i.top;
            t.clone().appendTo(t.parent()).css({
                position: "fixed",
                left: e + "px",
                top: o + "px",
                opacity: 0
            }).animate({
                left: s,
                top: h - 9,
                opacity: 1
            }, 500, function() {
                document.location.href = f
            })
        });
  	});
  </script>
@stop
