@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small>{{ trans('tree.commission.smallTitle') }}</small>
            </h1>
        </div>
    </div>
  </div>
        <!-- END PAGE TITLE -->
				<div class="page-content">
				  <div class="container">
				      <!-- BEGIN PAGE BREADCRUMBS -->
				      <ul class="page-breadcrumb breadcrumb">
			            <li>
			                <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
			                <i class="fa fa-circle"></i>
			            </li>
			            <li>
			                <span>{{ $title }}</span>
			            </li>
			        </ul>
				      <!-- END PAGE BREADCRUMBS -->
				      <!-- BEGIN PAGE CONTENT INNER -->
				<div class="page-content-inner">

		          

		             <div class="row">
            			<div class="col-md-12">
						      	<div class="portlet light ">
		                  <div class="portlet-title">
		                      <div class="caption">
		                          <i class="icon-share font-dark"></i>
		                          <span class="caption-subject font-dark bold uppercase">{{ trans('tree.commission.filters') }}</span>
		                      </div>
		                      <div class="tools">
	                            <a href="javascript:;" class="collapse"> </a>
	                        </div>
		                  </div>
		                  <div class="portlet-body form">
		                  		<form class="form-horizontal" action="" method="POST" id="filterForm">
		                        <div class="form-body">

		                            <div class="row">
		                                <div class="col-md-6">
		                                    <div class="form-group">
		                                        <label class="control-label col-md-3" for="type">{{ trans('tree.commission.level') }}</label>
		                                        <div class="col-md-6">
		                                            <select class="form-control" name="level">
														<option value="0">Any</option>
														<?php for($i = 1; $i <= Config::get('mlm.displayLevels'); $i++) { ?>
															<option value="{{ $i }}">Level {{ $i }}</option>
														<?php } ?>
														</select>
		                                        </div>
		                                    </div>
		                                </div>
		                                <div class="col-md-6">
		                                    <div class="form-group">
		                                        <label class="control-label col-md-3" for="type">{{ trans('tree.commission.search') }}</label>
		                                        <div class="col-md-6">
		                                            <input type="text" name="search" class="form-control" placeholder="{{ trans('tree.commission.search') }}">
		                                        </div>
		                                    </div>
		                                </div>
		                            </div>
		                            <div class="row">
		                                <div class="col-md-6">
		                                    <div class="form-group">
		                                        <label class="control-label col-md-3">{{ trans('tree.commission.dateRange') }}</label>
		                                        <div class="col-md-6">
		                                            <div class="input-group" id="betweenFilter">
		                                                <input type="text" class="form-control">
		                                                <span class="input-group-btn">
		                                                    <button class="btn default date-range-toggle" type="button">
		                                                        <i class="fa fa-calendar"></i>
		                                                    </button>
		                                                </span>
		                                            </div>
		                                        </div>
		                                    </div>
		                                </div>
		                            </div>

		                        </div>
		                        <div class="form-actions">
		                            <input type="hidden" name="startDate" id="startDate" value="">
		                            <input type="hidden" name="endDate" id="endDate" value="">
		                            <button type="submit" id="SearchBtn" class="btn yellow"><i class="fa fa-filter"></i> {{ trans('tree.commission.search') }}</button>
		                        </div>
		                    </form>


		                  </div>
		                 </div>
		                </div>
		               </div>

		               <div class="row">
	            			<div class="col-md-12">
							      	<div class="portlet light ">
			                  <div class="portlet-title">
			                      <div class="caption">
			                          <i class="icon-share font-dark"></i>
			                          <span class="caption-subject font-dark bold uppercase"> {{ trans('tree.commission.statistics') }}</span>
			                      </div>
			                      <div class="tools">
	                            <a href="javascript:;" class="collapse"> </a>
	                        	</div>
			                  </div>
			                  <div class="portlet-body">
			                  	<table id="datatable-commissions" class="table table-sorting table-striped table-hover table-bordered datatable">
                        	</table>
			                  </div>
			                 </div>
			                </div>
			               </div>

		             </div>
		         </div>
		        </div>

@stop

@section('style')
<link href="{{ asset('assets/global/plugins/bootstrap-daterangepicker/daterangepicker-bs3.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.css') }}" rel="stylesheet" type="text/css" />
@stop

@section('script')
<script src="{{ asset('assets/global/scripts/datatable.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/datatables/datatables.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/bootstrap-daterangepicker/moment.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/bootstrap-daterangepicker/daterangepicker.js') }}" type="text/javascript"></script>
<script type="text/javascript">
    var ajax_commissions_dt = '{{ route("clientzone.ajax.commissions.table") }}';
</script>
<script type="text/javascript" src="{{ asset('assets/scripts/pages/commissions.js') }}"></script>
@stop
