@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small>{{ trans('tree.index.smallTitle') }}</small>
            </h1>
        </div>
    </div>
</div>
        <!-- END PAGE TITLE -->
				<div class="page-content">
				  <div class="container">
				      <!-- BEGIN PAGE BREADCRUMBS -->
				      <ul class="page-breadcrumb breadcrumb">
			            <li>
			                <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
			                <i class="fa fa-circle"></i>
			            </li>
			            <li>
			                <span>{{ $title }}</span>
			            </li>
			        </ul>
				      <!-- END PAGE BREADCRUMBS -->
				      <!-- BEGIN PAGE CONTENT INNER -->
				      <div class="page-content-inner">
				      	<div class="portlet light ">
                  <div class="portlet-title">
                      <div class="caption">
                          <i class="icon-share font-dark"></i>
                          <span class="caption-subject font-dark bold uppercase">{{ $title }}</span>
                      </div>
                  </div>
                  <div class="portlet-body">
                  
					<div class="row">
						<div class="col-lg-4 col-lg-offset-8" style="margin-bottom:30px;">
							<div class="form-group pull-right" id="specify-list-group">
								<div class="input-group">
									<select name="specify-list" id="downline-search" class="select2 form-control" style="width:80%">
										@foreach( $downline_list as $dl )
											<option value="{{ $dl->id }}">{{ $dl->username }}</option>
										@endforeach
									</select>
									<span class="input-group-btn" style="display:inline-block;width:10%">
										<button class="btn yellow btn-sm" id="search-downline" type="button" style="height:34px"><i class="fa fa-search"></i>{{ trans('tree.commission.search') }}</button>
									</span>
								</div>
							</div>
						</div>
					</div>
									
					<div class="row">
						<div class="col-md-12">
							<div id="networkTree" class="has-feedback text-center panel-group">
								<?php echo $buildStructure(); ?>
							</div>
						</div>
					</div>
					<div class="row">
						<div class="col-md-12">
							<a href="{{ route('tree', 'bottom-left') }}" class="btn btn-default pull-left animated slideInRight">
							<span class="glyphicon glyphicon-arrow-left"></span>&nbsp;Left Leg Last
							</a>
							<a href="{{ route('tree', 'bottom-right') }}" class="btn btn-default pull-right animated slideInLeft">
							Right Leg Last&nbsp;<span class="glyphicon glyphicon-arrow-right"></span>
							</a>
						</div>
					</div>

					<div id="addMemberModal" class="modal fade">
				        <div class="modal-header">
				            <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
				            <h4 class="modal-title">{{ trans('tree.index.add') }}</h4>
				        </div>
				        <div class="modal-body">
				            <div class="row">
				                <div class="col-md-12">
				                	<div class="table-responsive">
					                    <table class="table table-hover table-striped table-light center-table">
					                        <thead>
					                            <tr class="uppercase">
					                                <th> </th>
					                                <th> {{ trans('tree.index.package') }} </th>
					                                <th> {{ trans('tree.index.price') }} </th>
					                                <th> </th>
					                            </tr>
					                        </thead>
					                        <tbody>
					                        </tbody>
					                    </table>
					                </div>
				                </div>
				            </div>
				        </div>
				        <div class="modal-footer">
				            <button type="button" data-dismiss="modal" class="btn btn-outline dark">{{ trans('tree.index.close') }}</button>
				        </div>
				    </div>

				    <div class="footer-details clearfix">
						<div class="row">
							<div class="col-md-6 clearfix">
								<div class="pull-left">{{ trans('tree.index.totalSalesLeft') }}</div>
								<div class="pull-right">{{ number_format($total_left_sales, 2) }}</div>
							</div>
							<div class="col-md-6 text-right clearfix">
								<div class="pull-left">{{ trans('tree.index.totalSalesRight') }}</div>
								<div class="pull-right">{{ number_format($total_right_sales, 2) }}</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-6 clearfix">
								<div class="pull-left">{{ trans('tree.index.totalLeftLeg') }}</div>
								<div class="pull-right">{{ $total_left_members }}</div>
							</div>
							<div class="col-md-6 text-right clearfix">
								<div class="pull-left">{{ trans('tree.index.totalRightLeg') }}</div>
								<div class="pull-right">{{ $total_right_members }}</div>
							</div>
						</div>
					</div>

					<div class="iframe-overlay" style="display:block;">
						<div class="loading-wrap">
							<div class="loading-big"></div>
						</div>
					</div>

					<div class="row text-center animated slideInUp pinList">
						<div class="col-lg-1 col-md-2 col-sm-3 col-xs-4">
						<div class="pin pin00"></div>
						<div class="caption">{{ trans('tree.index.Associate') }}</div>
						</div>
						<div class="col-lg-1 col-md-2 col-sm-3 col-xs-4">
						<div class="pin pin01"></div>
						<div class="caption">{{ trans('tree.index.Bronze') }}</div>
						</div>
						<div class="col-lg-1 col-md-2 col-sm-3 col-xs-4">
						<div class="pin pin02"></div>
						<div class="caption">{{ trans('tree.index.Silver') }}</div>
						</div>
						<div class="col-lg-1 col-md-2 col-sm-3 col-xs-4">
						<div class="pin pin03"></div>
						<div class="caption">{{ trans('tree.index.Gold') }}</div>
						</div>
						<div class="col-lg-1 col-md-2 col-sm-3 col-xs-4">
						<div class="pin pin04"></div>
						<div class="caption">{{ trans('tree.index.Platinum') }}</div>
						</div>
						<div class="col-lg-1 col-md-2 col-sm-3 col-xs-4">
						<div class="pin pin05"></div>
						<div class="caption">{{ trans('tree.index.Ruby') }}</div>
						</div>
						<div class="col-lg-1 col-md-2 col-sm-3 col-xs-4">
						<div class="pin pin06"></div>
						<div class="caption">{{ trans('tree.index.Emerald') }}</div>
						</div>
						<div class="col-lg-1 col-md-2 col-sm-3 col-xs-4">
						<div class="pin pin07"></div>
						<div class="caption">{{ trans('tree.index.Diamond') }}</div>
						</div>
						<div class="col-lg-1 col-md-2 col-sm-6 col-xs-4 col-lg-offset-2 col-md-offset-4">
						<div class="pin pinAdd"></div>
						<div class="caption">{{ Trans('tree.index.ADD') }}</div>
						</div>
						<div class="col-lg-1 col-md-2 col-sm-6 col-xs-4">
						<div class="pin pinNone"></div>
						<div class="caption">{{ trans('tree.index.empty') }}</div>
						</div>
						
					</div>

				</div>
			</div>
		</div>
	</div>
</div>
@stop
@section('style')
<link href="{{ asset('assets/global/plugins/bootstrap-modal/css/bootstrap-modal-bs3patch.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/global/plugins/bootstrap-modal/css/bootstrap-modal.css') }}" rel="stylesheet" type="text/css" />
<link rel="stylesheet" type="text/css" href="{{ asset('assets/global/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" type="text/css" href="{{ asset('assets/global/plugins/select2/css/select2-bootstrap.min.css') }}">
<link href="{{ asset('assets/global/plugins/mlmTree/mlmTree.css') }}" rel="stylesheet" type="text/css">
<style type="text/css">
	.list-inline {
	    padding-left: 0;
	    margin-left: -5px;
	    list-style: none;
	}
	#networkTree {
		min-width: max-content;
	}
	#networkTree ul {
	    margin: 0 auto;
	    width: max-content;
	    position: relative;
	}
	#networkTree li {
	    position: relative;
	    float: left;
	}
	#networkTree ul ul::before {
	    content: '';
	    position: absolute;
	    top: -16px;
	    left: 50%;
	    border-left: 1px solid #ccc;
	    width: 0;
	    height: 16px;
	}
	#networkTree li::before, #networkTree li::after {
	    content: '';
	    position: absolute;
	    top: 0;
	    border-top: 1px solid #ccc;
	    width: 50%;
	    height: 9px;
	}
	#networkTree li::before {
	    right: 50%;
	}
	#networkTree li:first-child::before, #networkTree li:last-child::after {
	    border: 0;
	}
	#networkTree li:last-child::before {
	    border-right: 1px solid rgb(204, 204, 204);
	    border-radius: 0px 4px 0px 0px;
	}
	#networkTree li::before, #networkTree li::after {
	    content: '';
	    position: absolute;
	    top: 0;
	    border-top: 1px solid #ccc;
	    width: 50%;
	    height: 9px;
	}
	#networkTree li::after {
	    left: 50%;
	    border-left: 1px solid #ccc;
	}
	#networkTree li:first-child::after {
	    border-radius: 4px 0 0 0;
	}
	.pin {
	    background-repeat: no-repeat;
	    background-size: cover;
	    display: block;
	    width: 48px;
	    height: 48px;
	    margin: 9px auto 16px;
	    opacity: 0;
	}
	@media( max-width: 600px ) {
		.pin {
			width: 30px;
			height: 30px;
		}
	}
	@media( max-width: 321px ) {
		.pin {
			width: 20px;
			height: 20px;
		}
	}

	.pinList .pin {
		opacity: 1;
	}
	.pinAdd {
	    background-image: url({{ asset('images/icons/pin12.png') }});
	}
	.pinNone {
		background-image: url({{ asset('images/icons/pin01.png') }});
	}
	.pinMore {
		background-image: url({{ asset('images/icons/pin01.png') }});
		opacity: 0.3;
	}
	.pin00 {
	    background-image: url({{ asset('images/icons/pin01.png') }});
	}
	.pin01 {
	    background-image: url({{ asset('images/icons/pin05.png') }});
	}
	.pin02 {
	    background-image: url({{ asset('images/icons/pin06.png') }}') }});
	}
	.pin03 {
	    background-image: url({{ asset('images/icons/pin07.png') }});
	}
	.pin04 {
	    background-image: url({{ asset('images/icons/pin08.png') }});
	}
	.pin05 {
	    background-image: url({{ asset('images/icons/pin09.png') }});
	}
	.pin06 {
	    background-image: url({{ asset('images/icons/pin10.png') }});
	}
	.pin07 {
	    background-image: url({{ asset('images/icons/pin11.png') }});
	}
	.list-inline>li {
		padding: 0;
	}
	.row {
		margin: 0 10px;
	}
</style>
@stop
@section('script')
<script type="text/javascript" src="{{ asset('assets/global/plugins/select2/js/select2.full.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('assets/global/plugins/mlmTree/mlmTree.js') }}"></script>
<script src="{{ asset('assets/global/plugins/bootstrap-modal/js/bootstrap-modalmanager.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/global/plugins/bootstrap-modal/js/bootstrap-modal.js') }}" type="text/javascript"></script>
<script type="text/javascript">
	$(document).ready(function(){
		$("#downline-search").select2({
		  //minimumInputLength: 1,
		  //width: 100%,
			//formatResult: function (item) { return item.username + ' (' + item.email + ')'; },
			//formatSelection: function (item) { return item.username + ' (' + item.email + ')'; },
/*		  ajax: {
		  	cache: true,
		  	type: 'POST',
		    url: '{{ route("admin.ajax.users.searchDownline") }}',
		    dataType: "json",
		    data: function (term, page) { // page is the one-based page number tracked by Select2
					return {
						q: term, //search term
						page_limit: 10, // page size
						page: page, // page number
					};
				},
		    results: function (data, page) {					
					var more = (page * 10) < data.total; // whether or not there are more results available
		
					return { results: data.data, more: more };
				}
		  },
		  initSelection : function (element, callback) {
				var _defaultData = [
				<?php foreach($downline_list as $dl) { ?>
					{id:<?=$dl->id?>,text:'<?=$dl->first_name?>',last_name:'<?=$dl->last_name?>',email:'<?=$dl->email?>',username:'<?=$dl->username?>'},
				<?php } ?>];
		        //callback(_defaultData);
		        callback([{ id: 1, text: 'Text' });
	    }*/
		});
	
		var iframe_url = '{{ route("tree", "") }}';

		$('button#search-downline').on('click', function(){
			var value = $("#downline-search").select2('val');
			if( !value || value == '' ) return;

			$('.iframe-overlay').show();
			window.location = iframe_url + '/' + value;
		});

		$('#treeframe').load( function() {
			$('.iframe-overlay').hide();
    });

	});
</script>
<script type="text/javascript">
  	var url_ajax_checkAddMember = "{{ route('clientzone.ajax.tree.checkAddMember') }}";
  	$(document).ready(function(e){
  		$('.pinAdd').click(function(){
  			var a = $(this);
  			App.ajax({
  				url: url_ajax_checkAddMember,
  				data: {
  					uid: a.data('uid'),
  					leg: a.data('leg')
  				}
  			}, function( data ) {
  				if( data && data.result ) {
  					var i = 0, modal = $('#addMemberModal'),
  						tableBody = modal.find('.table tbody'), item;

  					tableBody.empty();

  					for(i; i < data.data.length; i++) {
  						item = data.data[ i ];

  						var html = $('<tr class="text-center" data-id="' + item.id + '">'
                                + '<td> <img src="' + item.icon + '" /> </td>'
                                + '<td> <h4 class="bold">' + item.name + '</h4> </td>'
                                + '<td> $ ' + item.price + ' </td>'
                                + '<td>'
                                    + '<a class="btn yellow" href="' + item.route + '"><i class="fa fa-check"></i></a>'
                                + '</td>'
                            + '</tr>');

  						html.find('a').on('click', function(e){
  							e.preventDefault();

  							parent.location.href = $(this).attr('href');
  						});

  						tableBody.append(html);
  					}

  					modal.modal();

  				} else window.location.reload();
  			});
  		});

  		$(".pinTooltip").popover();
  		var n = 0,
            t = 0;
        $("#networkTree .pin").css("opacity", 0).each(function() {
        	var _o = ($(this).hasClass('pinMore')) ? 0.3 : 1;

            $(this).delay(n * 70).animate({
                opacity: _o
            }, 500);
            t % 2 == 0 && n++;
            t++
        });
        $("#networkTree .pinTooltip").not(":first").one("click", function(n) {
            n.preventDefault();
            var t = $(this),
                r = t.offset(),
                i = $(document.body).offset(),
                u = $("#networkTree .pin:first").offset(),
                f = t.attr("href"),
                e = r.left - i.left,
                o = r.top - i.top,
                s = u.left - i.left,
                h = u.top - i.top;
            t.clone().appendTo(t.parent()).css({
                position: "fixed",
                left: e + "px",
                top: o + "px",
                opacity: 0
            }).animate({
                left: s,
                top: h - 9,
                opacity: 1
            }, 700, function() {
                document.location.href = f
            })
        });
        $(".btnUpLvl").one("click", function(n) {
            n.preventDefault();
            var t = $("#networkTree .pin:first"),
                r = t.offset(),
                i = $(document.body).offset(),
                u = (t.parent().hasClass("Left") ? $("#upLvlL .pin:first") : $("#upLvlR .pin:first")).offset(),
                f = $(this).attr("href"),
                e = r.left - i.left,
                o = r.top - i.top,
                s = u.left - i.left,
                h = u.top - i.top;
            t.clone().appendTo(t.parent()).css({
                position: "fixed",
                left: e + "px",
                top: o + "px",
                opacity: 0
            }).animate({
                left: s,
                top: h - 9,
                opacity: 1
            }, 500, function() {
                document.location.href = f
            })
        });
  	});
  </script>

  <!-- END THEME GLOBAL SCRIPTS -->
  <!-- BEGIN PAGE LEVEL SCRIPTS -->
  <script type="text/javascript">
		$(document).ready(function() {
      $("#org").mlmTree({
          chartElement : '#chart',
          dragAndDrop  : false
      });
	  });
	</script>
@stop