@extends('layouts.default')
@section('content')
<div class="page-container">
    <!-- BEGIN CONTENT -->
    <div class="page-content-wrapper">
        <!-- BEGIN CONTENT BODY -->
        <!-- BEGIN PAGE HEAD-->
        <div class="page-head">
            <div class="container">
                <!-- BEGIN PAGE TITLE -->
                <div class="page-title">
                    <h1>
                        {{ trans('user.documents.title') }}
                        <small>{{ ( isset( $subtitle ) ) ? $subtitle : '' }}</small>
                    </h1>
                </div>
                <!-- END PAGE TITLE -->
            </div>
        </div>
        <!-- END PAGE HEAD-->
        <!-- BEGIN PAGE CONTENT BODY -->
        <div class="page-content">
            <div class="container">
                <!-- BEGIN PAGE BREADCRUMBS -->
                <ul class="page-breadcrumb breadcrumb">
                    <li>
                    <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
                        <i class="fa fa-circle"></i>
                    </li>
                    <li>
                        <a href="{{ route('user.profile') }}">{{ trans('user.documents.title') }}</a>
                    </li>
                </ul>
                <!-- END PAGE BREADCRUMBS -->
                <!-- BEGIN PAGE CONTENT INNER -->
                <div class="page-content-inner">
                <div class="row">
                    <div class="col-md-12">
                        @include('user.sidebar')
						<div class="profile-content">
							<div class="row">
							<div class="col-md-12">
							    <div class="portlet light ">
							        <div class="portlet-title tabbable-line">
							            <div class="caption caption-md">
							                <i class="fa fa-file font-yellow"></i>
							                <span class="caption-subject font-yellow bold uppercase">{{ trans('user.documents.Identification Documents') }}</span>
                                        </div>
                                    </div>
								        <div class="portlet-body form">
                                         {{--   <form action="#" class="form-horizontal form-bordered">--}}
                                                <div class="form-body">
                                                    <div class="note note-info">
                                                        <h4 class="block">{{ trans('user.documents.verification-status-title') }}</h4>
                                                        @if($user->kyc_approved == 0)
                                                            @if($user->kyc_pending == 0)
                                                                <p> {{ trans('user.documents.not-verified') }}</p>
                                                                <br/>
                                                                <button id="send-to-verification" data-id="{{$user->id}}" class="btn blue start">
                                                                    <i class="fa fa-certificate"></i>
                                                                    <span> {{ trans('user.documents.send-for-verification') }} </span>
                                                                </button>
                                                            @elseif($user->kyc_pending == 1)
                                                                <p> {{ trans('user.documents.pending-verification') }}</p>
                                                            @endif
                                                        @elseif($user->kyc_approved == 1)
                                                            <p> {{ trans('user.documents.verified') }}</p>
                                                        @endif
                                                    </div>
                                                    <div class="note note-info">
                                                        <h4 class="block">{{ trans('user.documents.Please upload your Identification Document') }}</h4>
                                                        <p> {{ trans('user.documents.Allowed extensions') }}: gif|jpeg|png</p>
                                                        <p> {{ trans('user.documents.Maximum file upload size(Mb)') }}: 4 </p>
                                                    </div>
                                                <div class="form-group">

                                                    <form id="fileupload" action="{{ route('clientzone.ajax.documents.imageUpload') }}" method="POST" enctype="multipart/form-data">
                                                        <!-- The fileupload-buttonbar contains buttons to add/delete files and start/cancel the upload -->
                                                        <div class="row fileupload-buttonbar">
                                                            <div class="col-lg-7">
                                                                <!-- The fileinput-button span is used to style the file input field as button -->
                                                                <span class="btn green fileinput-button">
                                    <i class="fa fa-plus"></i>
                                    <span> {{ trans('user.documents.Add files') }}... </span>

                                                                    @if( !is_null(old('images', null)) && is_array(old('images')) )
                                                                        @foreach(old('images') as $i)
                                                                            <input type="hidden" name="images[]" value="{{ $i }}" />
                                                                        @endforeach
                                                                    @else
                                                                        @forelse( $user->kycs_identification as $i )
                                                                            <input type="hidden" name="images[]" value="{{ $i->document_location }}" />
                                                                        @empty

                                                                        @endforelse
                                                                    @endif

                                                                    <input type="file" name="files[]" multiple="">

                                </span>
                                                                <button type="submit" class="btn blue start">
                                                                    <i class="fa fa-upload"></i>
                                                                    <span> {{ trans('user.documents.Start upload') }} </span>
                                                                </button>
                                                                <button type="reset" class="btn warning cancel">
                                                                    <i class="fa fa-ban-circle"></i>
                                                                    <span> {{ trans('user.documents.Cancel upload') }} </span>
                                                                </button>
                                                                <button type="button" class="btn red delete" id="delete-button">
                                                                    <i class="fa fa-trash"></i>
                                                                    <span> {{ trans('user.documents.Delete') }} </span>
                                                                </button>
                                                                <!-- The global file processing state -->
                                                                <span class="fileupload-process"> </span>
                                                            </div>
                                                            <!-- The global progress information -->
                                                            <div class="col-lg-5 fileupload-progress fade">
                                                                <!-- The global progress bar -->
                                                                <div class="progress progress-striped active" role="progressbar" aria-valuemin="0" aria-valuemax="100">
                                                                    <div class="progress-bar progress-bar-success" style="width:0%;">
                                                                    </div>
                                                                </div>

                                                                <!-- The extended global progress information -->
                                                                <div class="progress-extended"> &nbsp; </div>
                                                            </div>
                                                        </div>

                                                        <!-- The table listing the files available for upload/download -->
                                                        <table role="presentation" class="table table-striped clearfix">
                                                            <tbody class="files"> </tbody>
                                                        </table>
                                                    </form>

                                                    <div id="blueimp-gallery" class="blueimp-gallery blueimp-gallery-controls" data-filter=":even">
                                                        <div class="slides"> </div>
                                                        <h3 class="title"></h3>
                                                        <a class="prev"> ‹ </a>
                                                        <a class="next"> › </a>
                                                        <a class="close white"> </a>
                                                        <a class="play-pause"> </a>
                                                        <ol class="indicator"> </ol>
                                                    </div>
                                                    <!-- BEGIN JAVASCRIPTS(Load javascripts at bottom, this will reduce page load time) -->
                                                    <script id="template-upload" type="text/x-tmpl"> {% for (var i=0, file; file=o.files[i]; i++) { %}
                        <tr class="template-upload fade">
                            <td>
                                <span class="preview"></span>
                            </td>
                            <td>
                                <p class="name">{%=file.name%}</p>
                                <strong class="error label label-danger"></strong>
                            </td>
                            <td>
                                <p class="size">Processing...</p>
                                <div class="progress progress-striped active" role="progressbar" aria-valuemin="0" aria-valuemax="100" aria-valuenow="0">
                                    <div class="progress-bar progress-bar-success" style="width:0%;"></div>
                                </div>
                            </td>
                            <td> {% if (!i && !o.options.autoUpload) { %}
                                <button class="btn blue start" disabled>
                                    <i class="fa fa-upload"></i>
                                    <span>Start</span>
                                </button> {% } %} {% if (!i) { %}
                                <button class="btn red cancel">
                                    <i class="fa fa-ban"></i>
                                    <span>Cancel</span>
                                </button> {% } %} </td>
                        </tr> {% } %} </script>
                                                    <!-- The template to display files available for download -->
                                                    <script id="template-download" type="text/x-tmpl"> {% for (var i=0, file; file=o.files[i]; i++) { %}
                        <tr class="template-download fade">
                            <td>
                                <span class="preview"> {% if (file.thumbnailUrl) { %}
                                    <a href="{%=file.url%}" title="{%=file.name%}" download="{%=file.name%}" data-gallery>
                                        <img src="{%=file.thumbnailUrl%}">
                                    </a> {% } %} </span>
                            </td>
                            <td>
                                <p class="name"> {% if (file.url) { %}
                                    <a href="{%=file.url%}" title="{%=file.name%}" download="{%=file.name%}" {%=file.thumbnailUrl? 'data-gallery': ''%}>{%=file.name%}</a> {% } else { %}
                                    <span>{%=file.name%}</span> {% } %} </p> {% if (file.error) { %}
                                <div>
                                    <span class="label label-danger">Error</span> {%=file.error%}</div> {% } %} </td>
                            <td>
                                <span class="size">{%=o.formatFileSize(file.size)%}</span>
                            </td>
                            <td> {% if (file.deleteUrl) { %}
                                <button class="btn red delete btn-sm" data-type="{%=file.deleteType%}" data-url="{%=file.deleteUrl%}" {% if (file.deleteWithCredentials) { %} data-xhr-fields='{"withCredentials":true}'
                                    {% } %}>
                                    <i class="fa fa-trash-o"></i>
                                    <span>Delete</span>
                                </button>
                                <input type="checkbox" name="delete" value="1" class="toggle"> {% } else { %}
                                 {% } %} </td>
                        </tr> {% } %} </script>




                                                    {{--<label class="control-label col-md-3">{{ trans('user.documents.id.field') }}</label>
                                                    <div class="col-md-3">
                                                        <div class="fileinput fileinput-new" data-provides="fileinput">
                                                            <div class="input-group input-large">
                                                                <div class="form-control uneditable-input input-fixed input-medium" data-trigger="fileinput">
                                                                    <i class="fa fa-file fileinput-exists"></i>&nbsp;
                                                                    <span class="fileinput-filename"> </span>
                                                                </div>
                                                                <span class="input-group-addon btn default btn-file">
                                                                    <span class="fileinput-new"> {{ trans('user.documents.select') }} </span>
                                                                    <span class="fileinput-exists"> {{ trans('user.documents.change') }} </span>
                                                                    <input type="file" name="..."> </span>
                                                                <a href="javascript:;" class="input-group-addon btn red fileinput-exists" data-dismiss="fileinput"> {{ trans('user.documents.remove') }} </a>
                                                                <a href="javascript:;" class="input-group-addon btn blue fileinput-exists" id="id-doc-upload-btn"> {{ trans('user.documents.upload') }} </a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    --}}


                                                </div>

                                                <hr>
{{--
                                                <div class="note note-info">
                                                    <h4 class="block">{{ trans('user.documents.address.title') }}</h4>
                                                    <p> {{ trans('user.documents.Allowed extensions') }}: gif|jpeg|png</p>
                                                    <p> {{ trans('user.documents.Maximum file upload size(Mb)') }}: 4 </p>
                                                </div>
                                                <div class="form-group">



                                                    <form id="fileupload-loc" action="{{ route('admin.ajax.auction.imageUpload', 'items') }}" method="POST" enctype="multipart/form-data">
                                                        <!-- The fileupload-buttonbar contains buttons to add/delete files and start/cancel the upload -->
                                                        <div class="row fileupload-buttonbar">
                                                            <div class="col-lg-7">
                                                                <!-- The fileinput-button span is used to style the file input field as button -->
                                                                <span class="btn green fileinput-button">
                                    <i class="fa fa-plus"></i>
                                    <span> {{ trans('user.dcouments.Add files') }}... </span>
                                    <input type="file" name="files[]" multiple="">
                                </span>
                                                              
                                                                <button type="submit" class="btn blue start">
                                                                    <i class="fa fa-upload"></i>
                                                                    <span> {{ trans('user.documents.Start upload') }} </span>
                                                                </button>
                                                                <button type="reset" class="btn warning cancel">
                                                                    <i class="fa fa-ban-circle"></i>
                                                                    <span> {{ trans('user.documents.Cancel upload') }} </span>
                                                                </button>
                                                                <button type="button" class="btn red delete" id="delete-button">
                                                                    <i class="fa fa-trash"></i>
                                                                    <span> {{ trans('user.documents.Delete') }} </span>
                                                                </button>
                                                                <!-- The global file processing state -->
                                                                <span class="fileupload-process"> </span>
                                                            </div>
                                                            <!-- The global progress information -->
                                                            <div class="col-lg-5 fileupload-progress fade">
                                                                <!-- The global progress bar -->
                                                                <div class="progress progress-striped active" role="progressbar" aria-valuemin="0" aria-valuemax="100">
                                                                    <div class="progress-bar progress-bar-success" style="width:0%;">
                                                                    </div>
                                                                </div>

                                                                <!-- The extended global progress information -->
                                                                <div class="progress-extended"> &nbsp; </div>
                                                            </div>
                                                        </div>

                                                        <!-- The table listing the files available for upload/download -->
                                                        <table role="presentation" class="table table-striped clearfix">
                                                            <tbody class="files"> </tbody>
                                                        </table>
                                                    </form>

                                                    <div id="blueimp-gallery-loc" class="blueimp-gallery blueimp-gallery-controls" data-filter=":even">
                                                        <div class="slides"> </div>
                                                        <h3 class="title"></h3>
                                                        <a class="prev"> ‹ </a>
                                                        <a class="next"> › </a>
                                                        <a class="close white"> </a>
                                                        <a class="play-pause"> </a>
                                                        <ol class="indicator"> </ol>
                                                    </div>
                                                    <!-- BEGIN JAVASCRIPTS(Load javascripts at bottom, this will reduce page load time) -->
                                                    <script id="template-upload-loc" type="text/x-tmpl"> {% for (var i=0, file; file=o.files[i]; i++) { %}
                        <tr class="template-upload fade">
                            <td>
                                <span class="preview"></span>
                            </td>
                            <td>
                                <p class="name">{%=file.name%}</p>
                                <strong class="error label label-danger"></strong>
                            </td>
                            <td>
                                <p class="size">Processing...</p>
                                <div class="progress progress-striped active" role="progressbar" aria-valuemin="0" aria-valuemax="100" aria-valuenow="0">
                                    <div class="progress-bar progress-bar-success" style="width:0%;"></div>
                                </div>
                            </td>
                            <td> {% if (!i && !o.options.autoUpload) { %}
                                <button class="btn blue start" disabled>
                                    <i class="fa fa-upload"></i>
                                    <span>Start</span>
                                </button> {% } %} {% if (!i) { %}
                                <button class="btn red cancel">
                                    <i class="fa fa-ban"></i>
                                    <span>Cancel</span>
                                </button> {% } %} </td>
                        </tr> {% } %} </script>
                                                    <!-- The template to display files available for download -->
                                                    <script id="template-download-loc" type="text/x-tmpl"> {% for (var i=0, file; file=o.files[i]; i++) { %}
                        <tr class="template-download fade">
                            <td>
                                <span class="preview"> {% if (file.thumbnailUrl) { %}
                                    <a href="{%=file.url%}" title="{%=file.name%}" download="{%=file.name%}" data-gallery>
                                        <img src="{%=file.thumbnailUrl%}">
                                    </a> {% } %} </span>
                            </td>
                            <td>
                                <p class="name"> {% if (file.url) { %}
                                    <a href="{%=file.url%}" title="{%=file.name%}" download="{%=file.name%}" {%=file.thumbnailUrl? 'data-gallery': ''%}>{%=file.name%}</a> {% } else { %}
                                    <span>{%=file.name%}</span> {% } %} </p> {% if (file.error) { %}
                                <div>
                                    <span class="label label-danger">Error</span> {%=file.error%}</div> {% } %} </td>
                            <td>
                                <span class="size">{%=o.formatFileSize(file.size)%}</span>
                            </td>
                            <td> {% if (file.deleteUrl) { %}
                                <button class="btn red delete btn-sm" data-type="{%=file.deleteType%}" data-url="{%=file.deleteUrl%}" {% if (file.deleteWithCredentials) { %} data-xhr-fields='{"withCredentials":true}'
                                    {% } %}>
                                    <i class="fa fa-trash-o"></i>
                                    <span>Delete</span>
                                </button>
                                <input type="checkbox" name="delete" value="1" class="toggle"> {% } else { %}
                                 {% } %} </td>
                        </tr> {% } %} </script>

--}}




                                                    {{--
                                                      <label class="control-label col-md-3">{{ trans('user.documents.address.field') }}</label>
                                                      <div class="col-md-3">
                                                          <div class="fileinput fileinput-new" data-provides="fileinput">
                                                              <div class="input-group input-large">
                                                                  <div class="form-control uneditable-input input-fixed input-medium" data-trigger="fileinput">
                                                                      <i class="fa fa-file fileinput-exists"></i>&nbsp;
                                                                      <span class="fileinput-filename"> </span>
                                                                  </div>
                                                                  <span class="input-group-addon btn default btn-file">
                                                                  <span class="fileinput-new"> {{ trans('user.documents.select') }} </span>
                                                                    <span class="fileinput-exists"> {{ trans('user.documents.change') }} </span>
                                                                      <input type="file" name="..."> </span>
                                                                  <a href="javascript:;" class="input-group-addon btn red fileinput-exists" data-dismiss="fileinput">  {{ trans('user.documents.remove') }} </a>
                                                                  <a href="javascript:;" class="input-group-addon btn blue fileinput-exists" id="loc-doc-upload-btn"> {{ trans('user.documents.upload')}} </a>
                                                              </div>
                                                          </div>
                                                      </div>
                                                      --}}
                                                </div>
                                         {{--   </form>--}}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>




            </div>
            <!-- END PAGE CONTENT INNER -->
        </div>
    </div>
    <!-- END PAGE CONTENT BODY -->
    <!-- END CONTENT BODY -->
</div>
@stop
@section('style')
{{--<link href="{{ asset('assets/global/plugins/bootstrap-fileinput/bootstrap-fileinput.css') }}" rel="stylesheet" type="text/css" />--}}
<link href="{{ asset('assets/css/pages/profile.css') }}" rel="stylesheet" type="text/css" />

            <link href="{{ asset('assets/global/plugins/fancybox/source/jquery.fancybox.css') }}" rel="stylesheet" type="text/css" />
            <link href="{{ asset('assets/global/plugins/jquery-file-upload/blueimp-gallery/blueimp-gallery.min.css') }}" rel="stylesheet" type="text/css" />

                <link href="{{ asset('assets/global/plugins/jquery-file-upload/css/jquery.fileupload.css') }}" rel="stylesheet" type="text/css" />
                <link href="{{ asset('assets/global/plugins/jquery-file-upload/css/jquery.fileupload-ui.css') }}" rel="stylesheet" type="text/css" />

        @stop
        @section('script')
        <!-- BEGIN PAGE LEVEL SCRIPTS -->
            <script src="{{ asset('assets/global/plugins/moment/moment.min.js') }}" type="text/javascript"></script>
            <script src="//cdn.tinymce.com/4/tinymce.min.js"></script>
            <script src="{{ asset('assets/global/plugins/fancybox/source/jquery.fancybox.pack.js') }}" type="text/javascript"></script>
            <script src="{{ asset('assets/global/plugins/jquery-file-upload/js/vendor/jquery.ui.widget.js') }}" type="text/javascript"></script>
            <script src="{{ asset('assets/global/plugins/jquery-file-upload/js/vendor/tmpl.min.js') }}" type="text/javascript"></script>
            <script src="{{ asset('assets/global/plugins/jquery-file-upload/js/vendor/load-image.min.js') }}" type="text/javascript"></script>
            <script src="{{ asset('assets/global/plugins/jquery-file-upload/js/vendor/canvas-to-blob.min.js') }}" type="text/javascript"></script>
            <script src="{{ asset('assets/global/plugins/jquery-file-upload/blueimp-gallery/jquery.blueimp-gallery.min.js') }}" type="text/javascript"></script>
            <script src="{{ asset('assets/global/plugins/jquery-file-upload/js/jquery.iframe-transport.js') }}" type="text/javascript"></script>
            <script src="{{ asset('assets/global/plugins/jquery-file-upload/js/jquery.fileupload.js') }}" type="text/javascript"></script>
            <script src="{{ asset('assets/global/plugins/jquery-file-upload/js/jquery.fileupload-process.js') }}" type="text/javascript"></script>
            <script src="{{ asset('assets/global/plugins/jquery-file-upload/js/jquery.fileupload-image.js') }}" type="text/javascript"></script>
            <script src="{{ asset('assets/global/plugins/jquery-file-upload/js/jquery.fileupload-audio.js') }}" type="text/javascript"></script>
            <script src="{{ asset('assets/global/plugins/jquery-file-upload/js/jquery.fileupload-video.js') }}" type="text/javascript"></script>
            <script src="{{ asset('assets/global/plugins/jquery-file-upload/js/jquery.fileupload-validate.js') }}" type="text/javascript"></script>
            <script src="{{ asset('assets/global/plugins/jquery-file-upload/js/jquery.fileupload-ui.js') }}" type="text/javascript"></script>

{{--<script src="{{ asset('assets/global/plugins/bootstrap-fileinput/bootstrap-fileinput.js') }}" type="text/javascript"></script>--}}

<script src="{{ asset('assets/scripts/pages/dashboard.js') }}" type="text/javascript"></script>
            <script src="{{ asset('assets/scripts/pages/user-upload.js') }}" type="text/javascript"></script>
            <script type="text/javascript">


                window.imageStorageUrl = '{{ url("storage/users/identification/") }}';
                window.userDocType = 'identification';
                window.ajax_kycs_delete = '{{ route("clientzone.ajax.documents.delete") }}';

                $(document).ready(function() {
                    var ajax_send_verification = '{{ route("ajax.user.send-verification") }}';

                    $('#send-to-verification').on('click', function (e) {
                        e.preventDefault();

                        var self = $(this);

                        App.ajax({
                            url: ajax_send_verification,
                            type: 'POST',
                            data: {
                                id: self.data('id')
                            }
                        }, function (data) {
                            if(data) console.log(data);
                            location.reload();
                            //dt.getDataTable().ajax.reload();
                        });

                    });
                });

            </script>
<!-- END PAGE LEVEL SCRIPTS -->
@stop