@extends('layouts.default')
@section('content')
<!-- BEGIN CONTAINER -->
<div class="page-container">
    <!-- BEGIN CONTENT -->
    <div class="page-content-wrapper">
        <!-- BEGIN CONTENT BODY -->
        <!-- BEGIN PAGE HEAD-->
        <div class="page-head">
            <div class="container">
                <!-- BEGIN PAGE TITLE -->
                <div class="page-title">
                    <h1>
                        {{ trans('user.profile.title') }}
                        <small>{{ ( isset( $subtitle ) ) ? $subtitle : '' }}</small>
                    </h1>
                </div>
                <!-- END PAGE TITLE -->
            </div>
        </div>
        <!-- END PAGE HEAD-->
        <!-- BEGIN PAGE CONTENT BODY -->
        <div class="page-content">
            <div class="container">
                <!-- BEGIN PAGE BREADCRUMBS -->
                <ul class="page-breadcrumb breadcrumb">
                    <li>
                    <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
                        <i class="fa fa-circle"></i>
                    </li>
                    <li>
                        <span>{{ trans('user.profile.title') }}</span>
                    </li>
                </ul>
                <!-- END PAGE BREADCRUMBS -->
                <!-- BEGIN PAGE CONTENT INNER -->
                <div class="page-content-inner">
                    <div class="row">
                        <div class="col-md-12">
                            @include('user.sidebar')
                            <!-- BEGIN PROFILE CONTENT -->
                            <div class="profile-content">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="portlet light ">
                                            <div class="portlet-title tabbable-line">
                                                <div class="caption caption-md">
                                                    <i class="icon-globe theme-font hide"></i>
                                                    <span class="caption-subject font-yellow bold uppercase">{{ trans('user.profile.overview') }}</span>
                                                </div>
                                                <ul class="nav nav-tabs">
                                                    <li class="active">
                                                        <a href="#personal" data-toggle="tab" aria-expanded="true"> {{ trans('user.profile.personal') }} </a>
                                                    </li>
                                                </ul>
                                            </div>
                                            <div class="portlet-body">
                                                <div class="tab-content">
                                                    <div class="tab-pane active" id="personal">
                                                        <div class="row">
                                                            <div class="col-md-6 col-sm-12 col-xs-12">

                                                                <div class="row static-info">
                                                                    <div class="col-md-5 name"> {{ trans('user.profile.fields.firstName') }}:</div>
                                                                    <div class="col-md-7 value"> {{ $user->first_name }} </div>
                                                                </div>
                                                                @if( $user->middle_name !== '' )
                                                                <div class="row static-info">
                                                                    <div class="col-md-5 name"> {{ trans('user.profile.fields.middleName') }}: </div>
                                                                    <div class="col-md-7 value"> {{ $user->middle_name }}</div>
                                                                </div>
                                                                @endif

                                                                <div class="row static-info">
                                                                    <div class="col-md-5 name"> {{ trans('user.profile.fields.lastName') }}: </div>
                                                                    <div class="col-md-7 value"> {{ $user->last_name }}</div>
                                                                </div>

                                                                <div class="row static-info">
                                                                    <div class="col-md-5 name"> {{ trans('user.profile.fields.email') }}: </div>
                                                                    <div class="col-md-7 value"> {{ $user->email }}
                                                                        <span class="hidden label label-warning label-sm"> {{ trans('user.profile.notConfirmed') }}</span>
                                                                    </div>
                                                                </div>

                                                            </div>
                                                            <div class="col-md-6 col-sm-12 col-xs-12">
                                                                <div class="row static-info">
                                                                    <div class="col-md-5 name"> {{ trans('user.profile.fields.country') }}: </div>
                                                                    <div class="col-md-7 value"> {{ (
                                                                    !is_null( $user->profile->country ) ) ? $user->profile->country->name : '' }}</div>
                                                                </div>

                                                                <div class="row static-info">
                                                                    <div class="col-md-5 name"> {{ trans('user.profile.fields.postalCode') }}: </div>
                                                                    <div class="col-md-7 value"> {{ $user->profile->zip }}</div>
                                                                </div>

                                                                <div class="row static-info">
                                                                    <div class="col-md-5 name"> {{ trans('user.profile.fields.state') }}: </div>
                                                                    <div class="col-md-7 value"> {{ $user->profile->state }}</div>
                                                                </div>

                                                                <div class="row static-info">
                                                                    <div class="col-md-5 name"> {{ trans('user.profile.fields.city') }}: </div>
                                                                    <div class="col-md-7 value"> {{ $user->profile->city }}</div>
                                                                </div>

                                                                <div class="row static-info">
                                                                    <div class="col-md-5 name"> {{ trans('user.profile.fields.address') }}: </div>
                                                                    <div class="col-md-7 value"> {{ $user->profile->address }}</div>
                                                                </div>

                                                                <div class="row static-info">
                                                                    <div class="col-md-5 name"> {{ trans('user.profile.fields.phone') }}: </div>
                                                                    <div class="col-md-7 value"> {{ '+' . $user->profile->phone }}</div>
                                                                </div>

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <!-- BEGIN DEPOSIT ADDRESS -->
                                        <div class="portlet light" id="deposit-portlet">
                                            <div class="portlet-title tabbable-line">
                                                <div class="caption caption-md">
                                                    <i class="icon-globe theme-font hide"></i>
                                                    <span class="caption-subject font-yellow bold uppercase">{{ trans('user.profile.deposit_address') }}</span>
                                                </div>
                                            </div>
                                            <div class="portlet-body">
                                                <div class="form-group">
                                                    <label class="control-label" for="deposit-address">{{ trans('user.profile.user_deposit_address') }}</label>
                                                    <div class="flex">
                                                        <input readonly="readonly" type="text" placeholder="7a8fd07c-8e6c-4e9b-99fe-7f487387b8e8" class="form-control" id="deposit-address" name="deposit-address" value="{{ old('deposit_address', $user->uuid ) }}" />
                                                        <button id="copy-uuid-btn" type="button" data-clipboard-target="#deposit-address"  class="flex-button btn" data-toggle="tooltip" data-placement="left" title="{{ trans('user.profile.copy_clipboard') }}">
                                                            <svg class="icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" width="24" height="24" viewBox="0 0 24 24"><path d="M17,9H7V7H17M17,13H7V11H17M14,17H7V15H14M12,3A1,1 0 0,1 13,4A1,1 0 0,1 12,5A1,1 0 0,1 11,4A1,1 0 0,1 12,3M19,3H14.82C14.4,1.84 13.3,1 12,1C10.7,1 9.6,1.84 9.18,3H5A2,2 0 0,0 3,5V19A2,2 0 0,0 5,21H19A2,2 0 0,0 21,19V5A2,2 0 0,0 19,3Z" /></svg>
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- END DEPOSIT ADDRESS -->
                                    </div>
                                </div>



                                    <div class="row">
                                        <div class="col-md-12">
                                            <!-- BEGIN PORTLET -->
                                            <div class="portlet light ">
                                                <div class="portlet-title tabbable-line">
                                                    <div class="caption caption-md">
                                                        <i class="icon-globe theme-font hide"></i>
                                                        <span class="caption-subject font-yellow bold uppercase">{{ trans('user.profile.feeds') }}</span>
                                                    </div>
                                                    <ul class="nav nav-tabs">
                                                        <li class="active">
                                                            <a href="#feed-system" data-toggle="tab"> {{ trans('user.profile.system') }} </a>
                                                        </li>
                                                        <li>
                                                            <a href="#feed-activities" data-toggle="tab"> {{ trans('user.profile.activities') }} </a>
                                                        </li>
                                                    </ul>
                                                </div>
                                                <div class="portlet-body">
                                                    <!--BEGIN TABS-->
                                                    <div class="tab-content">
                                                        <div class="tab-pane active" id="feed-system">
                                                            <div class="scroller" style="height: 320px;" data-always-visible="1" data-rail-visible1="0" data-handle-color="#D7DCE2">
                                                                <ul class="feeds">
                                                                    <li>
                                                                        <div class="text-center">{{ trans('user.profile.no_activities') }}</div>
                                                                    </li>
                                                                </ul>
                                                            </div>
                                                        </div>
                                                        <div class="tab-pane" id="feed-activities">
                                                            <div class="scroller" style="height: 320px;" data-always-visible="1" data-rail-visible1="0" data-handle-color="#D7DCE2">
                                                                <ul class="feeds">
                                                                    <li>
                                                                        <div class="text-center">{{ trans('user.profile.no_activities') }}</div>
                                                                    </li>
                                                                </ul>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <!--END TABS-->
                                                </div>
                                            </div>
                                            <!-- END PORTLET -->
                                        </div>


                                </div>
                            </div>
                            <!-- END PROFILE CONTENT -->
                        </div>
                    </div>
                </div>
                <!-- END PAGE CONTENT INNER -->
            </div>
        </div>
        <!-- END PAGE CONTENT BODY -->
        <!-- END CONTENT BODY -->
    </div>
    <!-- END CONTENT -->
</div>
<!-- END CONTAINER -->
@stop
@section('style')
<link href="{{ asset('assets/css/pages/profile.css') }}" rel="stylesheet" type="text/css" />
@stop
@section('script')
<!-- BEGIN PAGE LEVEL SCRIPTS -->

<script src="{{ asset('assets/scripts/pages/profile.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/scripts/pages/dashboard.js') }}" type="text/javascript"></script>

<!-- END PAGE LEVEL SCRIPTS -->
@stop
