@extends('layouts.default')
@section('content')
<div class="page-container">
    <!-- BEGIN CONTENT -->
    <div class="page-content-wrapper">
        <!-- BEGIN CONTENT BODY -->
        <!-- BEGIN PAGE HEAD-->
        <div class="page-head">
            <div class="container">
                <!-- BEGIN PAGE TITLE -->
                <div class="page-title">
                    <h1>
						{{ trans('user.settings.title') }}
                        <small>{{ ( isset( $subtitle ) ) ? $subtitle : '' }}</small>
                    </h1>
                </div>
                <!-- END PAGE TITLE -->
            </div>
        </div>
        <!-- END PAGE HEAD-->
        <!-- BEGIN PAGE CONTENT BODY -->
        <div class="page-content">
            <div class="container">
                <!-- BEGIN PAGE BREADCRUMBS -->
                <ul class="page-breadcrumb breadcrumb">
                    <li>
					<a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
                        <i class="fa fa-circle"></i>
                    </li>
                    <li>
                        <a href="{{ route('user.profile') }}">{{ trans('user.settings.title') }}</a>
                    </li>
                </ul>
                <!-- END PAGE BREADCRUMBS -->
                <!-- BEGIN PAGE CONTENT INNER -->
                <div class="page-content-inner">
                <div class="row">
                    <div class="col-md-12">
                        @include('user.sidebar')
						<div class="profile-content">
							<div class="row">
							<div class="col-md-12">
							    <div class="portlet light ">
							        <div class="portlet-title tabbable-line">
							            <div class="caption caption-md">
							                <i class="icon-globe theme-font hide"></i>
							                <span class="caption-subject font-yellow bold uppercase">{{ trans('user.settings.title') }}</span>
							            </div>
							            <ul class="nav nav-tabs">
							            <?php $tab = Session::get('tab'); ?>
														@if($tab)
																<li @if( $tab == 'personal') class="active" @endif>
								                    <a href="#personal-info" data-toggle="tab">{{ trans('user.settings.personal') }}</a>
								                </li>
								                <li @if( $tab == 'account') class="active" @endif>
								                    <a href="#account" data-toggle="tab">{{ trans('user.settings.account') }}</a>
								                </li>
								                <li @if( $tab == 'password') class="active" @endif>
								                    <a href="#change-password" data-toggle="tab">{{ trans('user.settings.change') }}</a>
								                </li>
												{{--
								                <li @if( $tab == 'secpassword') class="active" @endif>
								                    <a href="#change-secpassword" data-toggle="tab">{{ trans('user.settings.secondary') }}</a>
								                </li>
												--}}
													@else

								                <li class="active">
								                    <a href="#personal-info" data-toggle="tab">{{ trans('user.settings.personal') }}</a>
								                </li>
								                <li>
								                    <a href="#account" data-toggle="tab">{{ trans('user.settings.account') }}</a>
								                </li>
								                <li>
								                    <a href="#change-password" data-toggle="tab">{{ trans('user.settings.password') }}</a>
								                </li>
												{{--
								                <li>
								                    <a href="#change-secpassword" data-toggle="tab">{{ trans('user.settings.secondary') }}</a>
								                </li>
												--}}
							                @endif
							            </ul>
								        </div>
								        <div class="portlet-body">
								            <div class="tab-content">
								                <!-- PERSONAL INFO TAB -->
								                <div class="tab-pane fade @if(isset($tab)) {{ (Session::get('tab') == 'personal') ? ' active in' : '' }} @else {{ ' active in' }} @endif" id="personal-info">
								                    <form role="form" action="" method="POST">
								                        <div class="form-group">
								                            <label class="control-label" for="first_name">{{ trans('user.profile.fields.firstName') }}</label>
								                            <input type="text" placeholder="John" class="form-control" id="first_name" name="first_name" value="{{ old('first_name', $user->first_name ) }}" />
								                        </div>
								                        <div class="form-group">
								                            <label class="control-label" for="middle_name">{{ trans('user.profile.fields.middleName') }}</label>
								                            <input type="text" placeholder="Awesome" class="form-control" id="middle_name" name="middle_name" value="{{ old('middle_name', $user->middle_name ) }}" />
								                        </div>
								                        <div class="form-group">
								                            <label class="control-label" for="last_name">{{ trans('user.profile.fields.lastName') }}</label>
								                            <input type="text" placeholder="Doe" class="form-control" id="last_name" name="last_name" value="{{ old('last_name', $user->last_name ) }}" />
								                        </div>

								                    	<hr>
								                    		<div class="form-group">
								                            <label class="control-label" for="country">{{ trans('user.profile.fields.country') }}</label>
								                            <select class="form-control" name="country" id="country">
								                            	@foreach( $countries as $c )
								                            	<option value="{{ $c->id }}" @if( $c->id == old('country', $user->profile->country_id) ) selected="selected" @endif>{{ $c->name }}</option>
								                            	@endforeach
								                            </select>
								                        </div>
								                        <div class="form-group">
								                            <label class="control-label" for="zip">{{ trans('user.profile.fields.postalCode') }}</label>
								                            <input type="text" placeholder="98057" class="form-control" id="zip" name="zip" value="{{ old('zip', $user->profile->zip ) }}" />
								                        </div>
								                        <div class="form-group">
								                            <label class="control-label" for="state">{{ trans('user.profile.fields.state') }}</label>
								                            <input type="text" placeholder="Washington" class="form-control" id="state" name="state" value="{{ old('state', $user->profile->state ) }}" />
								                        </div>
								                        <div class="form-group">
								                            <label class="control-label" for="city">{{ trans('user.profile.fields.city') }}</label>
								                            <input type="text" placeholder="Renton" class="form-control" id="city" name="city" value="{{ old('city', $user->profile->city ) }}" />
								                        </div>
								                        <div class="form-group">
								                            <label class="control-label" for="address">{{ trans('user.profile.fields.address') }}</label>
								                            <input type="text" placeholder="536 Wells Ave S" class="form-control" id="address" name="address" value="{{ old('address', $user->profile->address ) }}" />
								                        </div>

								                        <hr>

								                        <div class="form-group">
							                          	<label class="control-label" for="phone">{{ trans('user.profile.fields.phone') }}</label>
						                            	<input type="text" placeholder="123456789" class="form-control" id="phone" name="phone" value="{{ old('phone', $user->profile->phone ) }}" />
								                        </div>

								                        <hr>
								                        @php
													        $oldBirthDateY = old('birthdate-y', null);
													        $oldBirthDateM = old('birthdate-m', null);
													        $oldBirthDateD = old('birthdate-d', null);

													        if( !is_null( $oldBirthDateY ) && !is_null( $oldBirthDateM ) && !is_null( $oldBirthDateD ) && $oldBirthDateY !== '-' && $oldBirthDateM !== '-' && $oldBirthDateD !== '-' ) {
													        	$birthDate = $oldBirthDateY . '-' . $oldBirthDateM . '-' . $oldBirthDateD;
													        	$birthDate = Carbon\Carbon::parse($birthDate);
													        } elseif( !is_null( $birthDate = $user->profile->birth_date ) ) {

													        } else {
													        	$birthDate = Carbon\Carbon::parse('1970-01-01');
													        }
												        @endphp
												        <div class="form-group">
												        	<label class="control-label">{{ trans('user.profile.fields.birth') }}</label>
												        	<div class="row">
												        		<div class="col-md-4">
													                <select class="form-control" name="birthdate-y">
													                	<option> - </option>
													                	@for( $i = (date('Y', time()) - 18); $i >= 1920; $i-- )
													                	<option value="{{ $i }}" @if( ($birthDate !== false) && $i == $birthDate->format('Y') ) selected="selected" @endif>{{ $i }}</option>
													                	@endfor
													                </select>
													            </div>
													            <div class="col-md-4">
													                <select class="form-control" name="birthdate-m">
													                	<option> - </option>
													                	@for( $i = 1; $i <= 12; $i++ )
													                	<option value="{{ $i }}" @if( ($birthDate !== false) && $i == $birthDate->format('m') ) selected="selected" @endif>{{ $i }}</option>
													                	@endfor
													                </select>
													            </div>
													            <div class="col-md-4">
													                <select class="form-control" name="birthdate-d">
													                	<option> - </option>
													                	@for( $i = 1; $i <= 31; $i++ )
													                	<option value="{{ $i }}" @if( ($birthDate !== false) &&  $i == $birthDate->format('d') ) selected="selected" @endif>{{ $i }}</option>
													                	@endfor
													                </select>
													            </div>
												            </div>
												        </div>

								                        <div class="margiv-top-10">
								                        	<input type="hidden" name="save" value="personal">
															<input type="hidden" name="_token" value="{{ csrf_token() }}">
								                            <button type="submit" class="btn green"> {{ trans('user.settings.save') }} </button>
								                            <a href="{{ route('user.profile') }}" class="btn default"> {{ trans('user.settings.cancel') }} </a>
								                        </div>
								                    </form>
								                </div>
								                <!-- END PERSONAL INFO TAB -->
								                <div class="tab-pane fade @if(isset($tab)) {{ (Session::get('tab') == 'account') ? ' active in' : '' }} @endif" id="account">
								                    <form role="form" action="" method="POST">
								                        <div class="form-group">
								                            <label class="control-label" for="email">{{ trans('user.profile.fields.email') }}</label>
								                            <input type="text" placeholder="me@user.com" class="form-control" id="email" name="email" value="{{ old('email', $user->email ) }}" />
								                        </div>
								                        <!--end profile-settings-->
								                        <div class="margin-top-10">
								                            <input type="hidden" name="save" value="account">
															<input type="hidden" name="_token" value="{{ csrf_token() }}">
								                            <button type="submit" class="btn green"> {{ trans('user.settings.save') }} </button>
								                            <a href="{{ route('user.profile') }}" class="btn default">{{ trans('user.settings.cancel') }} </a>
								                        </div>
								                    </form>
								                </div>
								                <!-- CHANGE PASSWORD TAB -->
								                <div class="tab-pane fade @if(isset($tab)) {{ (Session::get('tab') == 'password') ? ' active in' : '' }} @endif" id="change-password">
								                    <form role="form" action="" method="POST">
								                        <div class="form-group">
								                            <label class="control-label" for="old_password">{{ trans('user.password.current') }}</label>
								                            <input type="password" name="old_password" id="old_password" class="form-control" /> </div>
								                        <div class="form-group">
								                            <label class="control-label" for="new_password">{{ trans('user.password.new') }}</label>
								                            <input type="password" name="new_password" id="new_password" class="form-control" /> </div>
								                        <div class="form-group">
								                            <label class="control-label" for="new_password_confirmation">{{ trans('user.password.re') }}</label>
								                            <input type="password" name="new_password_confirmation" id="new_password_confirmation" class="form-control" /> </div>
								                        <div class="margin-top-10">
								                            <input type="hidden" name="save" value="password">
																						<input type="hidden" name="_token" value="{{ csrf_token() }}">
															<button type="submit" class="btn green"> {{ trans('user.settings.save') }} </button>
								                            <a href="{{ route('user.profile') }}" class="btn default">{{ trans('user.settings.cancel') }} </a>
								                        </div>
								                    </form>
								                </div>
								                <div class="tab-pane fade @if(isset($tab)) {{ (Session::get('tab') == 'secpassword') ? ' active in' : '' }} @endif" id="change-secpassword">
								                	<form role="form" action="" method="POST">
								                        <div class="form-group">
								                            <label class="control-label" for="old_primary_password">{{ trans('user.password.currentPrimary') }}</label>
								                            <input type="password" name="old_primary_password" id="old_primary_password" class="form-control" />
								                        </div>
								                        <div class="form-group">
								                            <label class="control-label" for="old_secondary_password">{{ trans('user.password.currentSecondary') }}</label>
								                            <input type="password" name="old_secondary_password" id="old_secondary_password" class="form-control" />
								                        </div>
								                        <div class="form-group">
								                            <label class="control-label" for="new_secondary_password">{{ trans('user.password.newSecondary') }}</label>
								                            <input type="password" name="new_secondary_password" id="new_secondary_password" class="form-control" />
								                        </div>
								                        <div class="form-group">
								                            <label class="control-label" for="new_secondary_password_confirmation">{{ trans('user.password.reNewSecondary') }}</label>
								                            <input type="password" name="new_secondary_password_confirmation" id="new_secondary_password_confirmation" class="form-control" />
								                        </div>
								                        <div class="margin-top-10">
								                            <input type="hidden" name="save" value="secpassword">
															<input type="hidden" name="_token" value="{{ csrf_token() }}">
															<button type="submit" class="btn green"> {{ trans('user.settings.save') }} </button>
								                            <a href="{{ route('user.profile') }}" class="btn default">{{ trans('user.settings.cancel') }} </a>
								                        </div>
								                    </form>
								                </div>
								                <!-- END CHANGE PASSWORD TAB -->
								            </div>
								        </div>
							    	</div>
							</div>
							</div>
						</div>
					</div>
                </div>
            </div>
            <!-- END PAGE CONTENT INNER -->
        </div>
    </div>
    <!-- END PAGE CONTENT BODY -->
    <!-- END CONTENT BODY -->
</div>
@stop
@section('style')
<link href="{{ asset('assets/css/pages/profile.css') }}" rel="stylesheet" type="text/css" />
@stop
@section('script')
<!-- BEGIN PAGE LEVEL SCRIPTS -->
<script src="{{ asset('assets/scripts/pages/profile.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/scripts/pages/dashboard.js') }}" type="text/javascript"></script>
<!-- END PAGE LEVEL SCRIPTS -->
@stop