<!-- BEGIN PROFILE SIDEBAR -->
<div class="profile-sidebar">
    <!-- PORTLET MAIN -->
    <div class="portlet light profile-sidebar-portlet ">
        <!-- SIDEBAR USERPIC -->
        <div class="profile-userpic">
            <img src="{{ asset('avatars/avatar.png') }}" class="img-responsive" alt=""> </div>
        <!-- END SIDEBAR USERPIC -->
        <!-- SIDEBAR USER TITLE -->
        <div class="profile-usertitle">
            <div class="profile-usertitle-name font-grey-gallery"> {{ $user->fullName() }} </div>
            {{--@if( $user->isVerified() )--}}
            @if( $user->kyc_approved == 1 )
            <div class="profile-usertitle-job font-gold"> {{trans('user.sidebar.verified') }} </div>
            @else
                @if($user->kyc_pending == 1)
                    <div class="profile-usertitle-job">  {{trans('user.sidebar.under-verification') }} </div>
                @else
                    <div class="profile-usertitle-job">  {{trans('user.sidebar.unverfied') }} </div>
                @endif
            @endif
        </div>


        <!-- END SIDEBAR USER TITLE -->
        <!-- SIDEBAR MENU -->
        <div class="profile-usermenu">
            <ul class="nav">
                <li @if( Request::is('*/profile') ) class="active" @endif>
                    <a href="{{ route('user.profile') }}">
                        <i class="icon-home"></i> {{trans('user.sidebar.overview') }} </a>
                </li>
                <li @if( Request::is('*/profile/settings') ) class="active" @endif>
                    <a href="{{ route('user.settings') }}">
                        <i class="icon-settings"></i>  {{trans('user.sidebar.accountSettings') }} </a>
                </li>
                @if( !$user->isVerified() )
                <li @if( Request::is('*/profile/documents') ) class="active" @endif>
                <a href="{{ route('user.documents') }}">
                        <i class="fa fa-clipboard"></i>  {{trans('user.sidebar.Identification Documents') }} </a>
                </li>
                    <li @if( Request::is('*/profile/location') ) class="active" @endif>
                        <a href="{{ route('user.location') }}">
                            <i class="fa fa-map-marker"></i> {{trans('user.sidebar.Address Documents') }} </a>
                    </li>
                @endif
            </ul>
        </div>
        <!-- END MENU -->
    </div>
    <!-- END PORTLET MAIN -->
    <!-- PORTLET MAIN -->
    <div class="portlet light ">
        <!-- STAT -->
        <div class="row list-separated profile-stat">
            @if(env('MLM') == 'ON')
            <div class="col-md-6 col-sm-6 col-xs-6">
                <div class="uppercase profile-stat-title font-yellow"> @if($user->sponsor!=null){{ $user->sponsor->directs->count() }} @endif</div>
                <div class="uppercase profile-stat-text font-grey-gallery"> {{trans('user.sidebar.underline') }} </div>
            </div>

            <div class="col-md-6 col-sm-6 col-xs-6">
            @else
                    <div class="col-md-12 col-sm-12 col-xs-12">
            @endif
                <div class="uppercase profile-stat-title font-yellow"> {{ $user->packages->count() }} </div>
                <div class="uppercase profile-stat-text font-grey-gallery"> {{trans('user.sidebar.packages') }} </div>
            </div>
        </div>
        <!-- END STAT -->

        <div class="row">
            <div class="col-md-12">
                <div class="row static-info">
                    <div class="col-md-5 name"> {{trans('user.sidebar.lastLogin') }}:</div>
                    <div class="col-md-7 value"> {{ $user->last_login }} </div>
                </div>
                <div class="row static-info">
                    <div class="col-md-5 name"> {{trans('user.sidebar.lastIp') }}:</div>
                    <div class="col-md-7 value"> {{ $user->last_login_ip }} </div>
                </div>
                <div class="row static-info">
                    <div class="col-md-5 name"> {{trans('user.sidebar.activatedAt') }}:</div>
                    @if( !is_null($user->activated_at) )
                        <div class="col-md-7 value"> {{ $user->activated_at }} </div>
                    @else
                        <div class="col-md-7 value"> {{trans('user.sidebar.Not Activated') }} </div>
                    @endif
                </div>
                <div class="row static-info">
                    <div class="col-md-5 name"> {{trans('user.sidebar.registeredAt') }}:</div>
                    <div class="col-md-7 value"> {{ $user->created_at }} </div>
                </div>
            </div>
        </div>
    </div>
    <!-- END PORTLET MAIN -->
</div>
