@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small> {{ trans('wallet.bank.smallTittle') }}</small>
            </h1>
        </div>
    </div>
  </div>
        <!-- END PAGE TITLE -->
				<div class="page-content">

				  <div class="container">
				      <!-- BEGIN PAGE BREADCRUMBS -->
				      <ul class="page-breadcrumb breadcrumb">
			            <li>
						<a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
			                <i class="fa fa-circle"></i>
			            </li>
			            <li>
			                <span>{{ $title }}</span>
			            </li>
			        </ul>
				      <!-- END PAGE BREADCRUMBS -->
				      <!-- BEGIN PAGE CONTENT INNER -->
				      <div class="page-content-inner">

		            <div class="row">
            			<div class="col-md-12">
						      	<div class="portlet light ">
		                  <div class="portlet-title">
													<div class="caption">
		                          <i class="fa fa-briefcase font-dark"></i>
		                          <span class="caption-subject font-dark bold uppercase">{{ trans('wallet.bank.My Bank Accounts') }}</span>
		                      </div>
		                      <div class="actions">
		                      	<a href="{{ route('wallet.bank-profiles.new') }}" class="btn yellow"><i class="fa fa-plus-square"></i> {{ trans('wallet.bank.Create a New') }}</a>
		                      </div>
		                  </div>
		                  <div class="portlet-body">
		                  	<table class="table table-striped">
													<thead>
														<tr>
															<th>{{ trans('wallet.bank.Profile') }}</th>
															<th>{{ trans('wallet.bank.Bank Name') }}</th>	
															<th>{{ trans('wallet.bank.Created at') }}</th>
															<th>{{ trans('wallet.bank.Status') }}</th>
															<th>{{ trans('wallet.bank.Actions') }}</th>
														</tr>
													</thead>
													<tbody>
													@foreach( $bankProfiles as $bd )
														<tr>
															<td><a href="{{ route('wallet.bank-profiles.view', $bd->id) }}">{{ $bd->bankDetails->profile_name }}</a></td>
															<td>{{ $bd->bankDetails->bank_name }}</td>
															<td>{{ \App\Models\Date::format($bd->created_at, 'M j, Y') }}</td>
															<td>@if( $bd->status == 0 ) <span class="text-muted">{{ trans('wallet.bank.Pending Approval') }}</span> @elseif( $bd->status == 1 ) <span class="text-success">{{ trans('wallet.bank.Active') }}</span> @endif</td>
															<td>
															<a href="{{ route('wallet.bank-profiles.view', $bd->id) }}" class="btn yellow"><i class="fa fa-pencil"></i> {{ trans('wallet.bank.Edit') }}</a>
															<a href="{{ route('wallet.bank-profiles.delete', $bd->id) }}" class="btn red"><i class="fa fa-trash-o"></i> {{ trans('wallet.bank.Delete') }}</a>
														</tr>
													@endforeach
													</tbody>
												</table>
		                  </div>
		                 </div>
		                </div>
		               </div>
		              </div>

		          </div>
		         </div>
		       
		       @stop