@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small>	{{ trans('wallet.bank.fill_out') }}</small>
            </h1>
        </div>
    </div>
  </div>
        <!-- END PAGE TITLE -->
				<div class="page-content">
				  <div class="container">
				      <!-- BEGIN PAGE BREADCRUMBS -->
				      <ul class="page-breadcrumb breadcrumb">
			            <li>
						<a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
			                <i class="fa fa-circle"></i>
			            </li>
			            <li>
			                <a href="{{ route('wallet.bank-profiles') }}">{{trans('wallet.bank.Bank Profiles') }}</a>
			                <i class="fa fa-circle"></i>
			            </li>
			            <li>
			                <span>{{ $title }}</span>
			            </li>
			        </ul>
				      <!-- END PAGE BREADCRUMBS -->
				      <!-- BEGIN PAGE CONTENT INNER -->
				      <div class="page-content-inner">

		            <div class="row">
            			<div class="col-md-12">
						      	<div class="portlet light ">
		                  <div class="portlet-title">
													<div class="caption">
		                          <i class="fa fa-briefcase font-dark"></i>
		                          <span class="caption-subject font-dark bold uppercase">{{trans('wallet.bank.Add Bank Profile') }}</span>
		                      </div>
		                  </div>
		                  <div class="portlet-body">
		                  	<form class="form-horizontal" role="form" action="" method="POST" autocomplete="off">
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Profile Name') }}</label>
														<div class="col-sm-7">
															<input type="text" name="Profile_Name" class="form-control" placeholder="{{ trans('wallet.bank.Profile Name') }}" value="{{ Input::old('Profile_Name') }}">
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Name on Account') }}</label>
														<div class="col-sm-7">
															<input type="text" name="Name_on_Account" class="form-control" placeholder="{{ trans('wallet.bank.Name on Account') }}" value="{{ Input::old('Name_on_Account') }}">
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Bank Name') }}</label>
														<div class="col-sm-7">
															<input type="text" name="Bank_Name" class="form-control" placeholder="{{ trans('wallet.bank.Bank Name') }}" value="{{ Input::old('Bank_Name') }}">
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Bank Address') }}</label>
														<div class="col-sm-7">
															<input type="text" name="Bank_Address" class="form-control" placeholder="{{ trans('wallet.bank.Bank Address') }}" value="{{ Input::old('Bank_Address') }}">
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Bank Phone Number') }}</label>
														<div class="col-sm-5">
															<input type="text" name="Bank_Phone_Number" class="form-control" placeholder="{{ trans('wallet.bank.Bank Phone Number') }}" value="{{ Input::old('Bank_Phone_Number') }}">
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Institution Number') }}</label>
														<div class="col-sm-5">
															<input type="text" name="Institution_Number" class="form-control" placeholder="{{trans('wallet.bank.Institution Number') }}" value="{{ Input::old('Institution_Number') }}">
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Branch Number') }}</label>
														<div class="col-sm-5">
															<input type="text" name="Branch_Number" class="form-control" placeholder="{{ trans('wallet.bank.Branch Number') }}" value="{{ Input::old('Branch_Number') }}">
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Account Number') }}</label>
														<div class="col-sm-5">
															<input type="text" name="Account_Number" class="form-control" placeholder="{{ trans('wallet.bank.Account Number') }}" value="{{ Input::old('Account_Number') }}">
															</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Routing Number') }}</label>
														<div class="col-sm-5">
															<input type="text" name="Routing_Number" class="form-control" placeholder="{{ trans('wallet.bank.Routing Number') }}" value="{{ Input::old('Routing_Number') }}">
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{trans('wallet.bank.IBAN')}}</label>
														<div class="col-sm-5">
															<input type="text" name="IBAN" class="form-control" placeholder="{{trans('wallet.bank.IBAN')}}" value="{{ Input::old('IBAN') }}">
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Swift code') }}</label>
														<div class="col-sm-5">
															<input type="text" name="Swift_code" class="form-control" placeholder="{{ trans('wallet.bank.Swift code') }}" value="{{ Input::old('Swift_code') }}">
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Intermediary Bank Info') }}</label>
														<div class="col-sm-10">
															<textarea class="form-control" placeholder="Intermediary Bank Info" name="{{ trans('wallet.bank.Intermediary Bank Info') }}" rows="4" cols="80">{{ Input::old('Intermediary_Bank_Info') }}</textarea>
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Secondary Password') }}</label>
														<div class="col-sm-5">
															<input type="password" name="password" class="form-control" placeholder="{{ trans('wallet.bank.Secondary Password') }}">
														</div>
													</div>
													<input type="hidden" name="_token" value="{{ csrf_token() }}">
													<div class="form-group">
														<div class="col-sm-3">
															<button type="submit" class="btn yellow"><i class="fa fa-plus"></i> {{ trans('wallet.bank.Create') }}</button>
														</div>
													</div>
												</form>
		                  </div>
		                 </div>
		                </div>
		               </div>
		              </div>

		          </div>
		         </div>
		       
		       @stop