@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small>Below are the details of the selected bank account profile.</small>
            </h1>
        </div>
    </div>
  </div>
        <!-- END PAGE TITLE -->
				<div class="page-content">
				  <div class="container">
				      <!-- BEGIN PAGE BREADCRUMBS -->
				      <ul class="page-breadcrumb breadcrumb">
			            <li>
						<a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
			                <i class="fa fa-circle"></i>
			            </li>
			            <li>
			                <a href="{{ route('wallet.bank-profiles') }}">{{trans('wallet.bank.Bank Profiles') }}</a>
			                <i class="fa fa-circle"></i>
			            </li>
			            <li>
			                <span>{{ $title }}</span>
			            </li>
			        </ul>
				      <!-- END PAGE BREADCRUMBS -->
				      <!-- BEGIN PAGE CONTENT INNER -->
				      <div class="page-content-inner">

		            <div class="row">
            			<div class="col-md-12">
						      	<div class="portlet light ">
		                  <div class="portlet-title">
													<div class="caption">
		                          <i class="fa fa-briefcase font-dark"></i>
		                          <span class="caption-subject font-dark bold uppercase">{{ trans('wallet.bank.Bank Account Details') }}</span>
		                      </div>
		                  </div>
		                  <div class="portlet-body">
		                  	<form class="form-horizontal" role="form" action="" method="POST" autocomplete="off">
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Profile Name') }}</label>
														<div class="col-sm-7">
																<input type="text" name="Profile_Name" class="form-control" placeholder="{{ trans('wallet.bank.Profile Name') }}" value="{{ Input::old('Profile_Name', $bankDetails->profile_name) }}">
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Name on Account') }}</label>
														<div class="col-sm-7">
															<div class="input-group">
																<input type="text" name="Name_on_Account" class="form-control" placeholder="{{ trans('wallet.bank.Name on Account') }}" value="{{ Input::old('Name_on_Account', $bankDetails->name_on_account) }}">
															</div>
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Bank Name') }}</label>
														<div class="col-sm-7">
															<div class="input-group">
																<input type="text" name="Bank_Name" class="form-control" placeholder="{{ trans('wallet.bank.Bank Name') }}" value="{{ Input::old('Bank_Name', $bankDetails->bank_name) }}">
															</div>
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Bank Address') }}</label>
														<div class="col-sm-7">
															<div class="input-group">
																<input type="text" name="Bank_Address" class="form-control" placeholder="{{ trans('wallet.bank.Bank Address') }}" value="{{ Input::old('Bank_Address', $bankDetails->bank_address) }}">
															</div>
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Bank Phone Number') }}</label>
														<div class="col-sm-5">
															<div class="input-group">
																<input type="text" name="Bank_Phone_Number" class="form-control" placeholder="{{ trans('wallet.bank.Bank Phone Number') }}" value="{{ Input::old('Bank_Phone_Number', $bankDetails->bank_phone_number) }}">
															</div>
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Institution Number') }}</label>
														<div class="col-sm-5">
															<div class="input-group">
																<input type="text" name="Institution_Number" class="form-control" placeholder="{{ trans('wallet.bank.Institution Number') }}" value="{{ Input::old('Institution_Number', $bankDetails->institution_number) }}">
															</div>
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Branch Number') }}</label>
														<div class="col-sm-5">
															<div class="input-group">
																<input type="text" name="Branch_Number" class="form-control" placeholder="{{ trans('wallet.bank.Branch Number') }}" value="{{ Input::old('Branch_Number', $bankDetails->branch_number) }}">
															</div>
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Account Number') }}</label>
														<div class="col-sm-5">
															<div class="input-group">
																<input type="text" name="Account_Number" class="form-control" placeholder="{{ trans('wallet.bank.Account Number') }}" value="{{ Input::old('Account_Number', $bankDetails->account_number) }}">
															</div>
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Routing Number') }}</label>
														<div class="col-sm-5">
															<div class="input-group">
																<input type="text" name="Routing_Number" class="form-control" placeholder="{{ trans('wallet.bank.Routing Number') }}" value="{{ Input::old('Routing_Number', $bankDetails->routing_number) }}">
															</div>
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{trans('wallet.bank.IBAN')}} #</label>
														<div class="col-sm-5">
															<div class="input-group">
																<input type="text" name="IBAN_#" class="form-control" placeholder="{{trans('wallet.bank.IBAN')}} #" value="{{ Input::old('IBAN_#', $bankDetails->iban) }}">
															</div>
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Swift code') }}</label>
														<div class="col-sm-5">
															<div class="input-group">
																<input type="text" name="Swift_code" class="form-control" placeholder="{{ trans('wallet.bank.Swift code') }}" value="{{ Input::old('Swift_code', $bankDetails->swift_code) }}">
															</div>
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Intermediary Bank Info') }}</label>
														<div class="col-sm-10">
															<div class="input-group">
															<textarea class="form-control" placeholder="{{ trans('wallet.bank.Intermediary Bank Info') }}" name="Intermediary_Bank_Info" rows="4" cols="80">{{ Input::old('Intermediary_Bank_Info', $bankDetails->intermediary_bank_info) }}</textarea>
															</div>
														</div>
													</div>
													<div class="form-group">
														<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.bank.Secondary Password') }}</label>
														<div class="col-sm-5">
															<div class="input-group">
																<input type="password" name="password" class="form-control" placeholder="{{ trans('wallet.bank.Secondary Password') }}">
															</div>
														</div>
													</div>
													<input type="hidden" name="_token" value="{{ csrf_token() }}">
													<div class="form-group">
														<div class="col-sm-3">
															<button type="submit" class="btn yellow"><i class="fa fa-floppy-o"></i> {{ trans('wallet.bank.Save') }}</button>
														</div>
													</div>
												</form>
		                  </div>
		                 </div>
		                </div>
		               </div>
		              </div>

		          </div>
		         </div>
		       
		       @stop