@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
<div class="page-head">
  <div class="container">
      <!-- BEGIN PAGE TITLE -->
      <div class="page-title">
          <h1>{{ $title }}
              <small>Request money in your available cash balance to be sent to your payment processor.</small>
          </h1>
      </div>
  </div>
</div>
<!-- END PAGE TITLE -->
<div class="page-content">
  <div class="container">
      <!-- BEGIN PAGE BREADCRUMBS -->
      <ul class="page-breadcrumb breadcrumb">
          <li>
		  <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
              <i class="fa fa-circle"></i>
          </li>
          <li>
              <span>{{ $title }}</span>
          </li>
      </ul>
      <!-- END PAGE BREADCRUMBS -->
      <!-- BEGIN PAGE CONTENT INNER -->
      <div class="page-content-inner">

        <div class="row">
    			<div class="col-md-12">
		      	<div class="portlet light ">
              <div class="portlet-title">
					<div class="caption">
                  		<i class="fa fa-briefcase font-dark"></i>
                      	<span class="caption-subject font-dark bold uppercase">{{ $title }}</span>
                  	</div>
              </div>
              <div class="portlet-body">
				<form class="form-horizontal" role="form" action="" method="POST" autocomplete="off">
					
					<div class="form-group" id="pool_selector">
					
						<label class="col-sm-2 control-label">Balance</label>
						<div class="col-sm-5">
							<p class="form-control-static">
							{{ Config::get('app.currencies')[ $user->profile->currency ] }} {{ number_format($e_wallet_balance->wallet ,2) }}
							</p>
						</div>
					
					</div>

					
					<div class="form-group">
						<label for="amount" class="col-sm-2 control-label">Amount To Cashout</label>
						<div class="col-sm-5">
							<div class="input-group">
								<input type="text" name="amount" class="form-control" placeholder="Amount" id="amount_cashout" value="{{ Input::old('amount') }}">
								<span class="input-group-addon">{{ Config::get('app.currencies')[ $user->profile->currency ] }}</span>
							</div>
						</div>
						<p class="help-block"><em>How much would you like to cashout?</em></p>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label">Fees</label>
						<div class="col-sm-6">
							<p class="form-control-static" id="fee_static">{{ Config::get('app.currencies')[ $user->profile->currency ] }}<span id="_fee">0.00</span> - Net Fund {{ Config::get('app.currencies')[ $user->profile->currency ] }}<span id="_net">0.00</span></p>
							<p class="help-block"><em>The fees you will pay for this cashout.</em></p>
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label">Your secondary password</label>
						<div class="col-sm-4">
							<input type="password" name="password" class="form-control" id="password" placeholder="Secondary Password">
							<p class="help-block"><em>Enter your current Secondary Password.</em></p>
						</div>
					</div>
					
					<input type="hidden" name="_token" value="{{ csrf_token() }}">
					<div class="form-group">
						<div class="col-sm-3">
							<button type="submit" class="btn yellow"><i class="fa fa-credit-card"></i> Request Cashout</button>
						</div>
					</div>
				</form>
              </div>
             </div>
            </div>
           </div>
          </div>

      </div>
     </div>

   @stop
@section('script')
<script type="text/javascript" src="{{ asset('assets/scripts/pages/wallet-cashout.js') }}"></script>
@stop
