@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small>Fund your E-Wallet with your processors to purchase Plans</small>
            </h1>
        </div>
    </div>
  </div>
  <!-- END PAGE TITLE -->
	<div class="page-content">
	  <div class="container">
	      <!-- BEGIN PAGE BREADCRUMBS -->
	      <ul class="page-breadcrumb breadcrumb">
		  <li>
		  <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
                <i class="fa fa-circle"></i>
            </li>
            <li>
            <a href="{{ route('wallet.index') }}">{{ trans('deposits.pending-bitcoin.E-Wallet') }}</a>
                <i class="fa fa-circle"></i>
            </li>
            <li>
                <span>{{ $title }}</span>
            </li>
        </ul>
	      <!-- END PAGE BREADCRUMBS -->
	      <!-- BEGIN PAGE CONTENT INNER -->
	      <div class="page-content-inner">

						@if( Session::has('memo') )
						<div class="row">
        			<div class="col-md-12">
								<div class="alert alert-success alert-dismissable">
									<a href="" class="close">×</a>
									<p>{{ trans('deposits.wire.fundSubmited') }}</p>
									<p>{{ trans('deposits.wire.instrutcions') }}</p>
									<br>
									<p>{{ trans('deposits.wire.memo') }}: <strong>#{{ Session::get('memo') }}</strong>.</p>
								</div>
							</div>
						</div>
						@endif

						@foreach( $data as $d )
						<div class="row">
        			<div class="col-md-12">
				      	<div class="portlet light ">
                  <div class="portlet-title">
											<div class="caption">
                          <i class="fa fa-briefcase font-dark"></i>
                          <span class="caption-subject font-dark bold uppercase">{{ trans('deposits.wire.BANK ACCOUNT DETAIL') }}</span>
                      </div>
                  </div>
                  <div class="portlet-body">
											<ul>
												<li>{{ trans('deposits.wire.Transfer fees') }}: {{ $d['fees'][0] }}%</li>
												<li>{{ trans('deposits.wire.Process estimation') }}: {{ $d['process_time'] }}</li>
												@if( isset($d['note']) )<li>Important Note: {{ $d['note'] }}</li>@endif
											</ul>
											<ul class="fa-ul">
												<li><i class="fa-li fa fa-user"></i>{{ trans('deposits.wire.Beneficiary') }}: {{ $d['name'] }}</li>
												<li><i class="fa-li fa fa-house"></i>{{ trans('deposits.wire.Bank') }}: {{ $d['bank_name'] }}</li>
												<li><i class="fa-li fa fa-page_code"></i>{{ trans('deposits.wire.Account Number') }}: {{ $d['account_number'] }}</li>
												<li><i class="fa-li fa fa-database"></i>{{trans('deposits.wire.Swift Code') }}: {{ $d['swift'] }}</li>
											</ul>
										</div>
									</div>
								</div>
							</div>
							@endforeach

						<div class="row">
							<div class="col-md-12">
								<div class="portlet light ">
	                  <div class="portlet-title">
												<div class="caption">
	                          <i class="fa fa-briefcase font-dark"></i>
	                          <span class="caption-subject font-dark bold uppercase">{{ trans('deposits.wire.How to Send Your Bank Wire') }}</span>
	                      </div>
	                  </div>
	                  <div class="portlet-body">
										<p>{{ trans('deposits.wire.send1') }}</p>
										<p>{{ trans('deposits.wire.send2') }}</p>

                                        <p>{{ trans('deposits.wire.send3') }</p>

										<p>{{ trans('deposits.wire.send4') }}</p>
										<p>{{ trans('deposits.wire.send5') }}</p>	
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
		</div>
@stop
