@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small>{{ trans('wallet.index.title') }}</small>
            </h1>
        </div>
    </div>
  </div>
        <!-- END PAGE TITLE -->
				<div class="page-content">
				  <div class="container">
				      <!-- BEGIN PAGE BREADCRUMBS -->
				      <ul class="page-breadcrumb breadcrumb">
			            <li>
			                <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
			                <i class="fa fa-circle"></i>
			            </li>
			            <li>
			                <span>{{ $title }}</span>
			            </li>
			        </ul>
				      <!-- END PAGE BREADCRUMBS -->
				      <!-- BEGIN PAGE CONTENT INNER -->
				      <div class="page-content-inner">

		            <div class="row">
            			<div class="col-md-12">
						      	<div class="portlet light ">
		                  <div class="portlet-title">
													<div class="caption">
		                          <i class="fa fa-briefcase font-dark"></i>
		                          <span class="caption-subject font-dark bold uppercase">{{ trans('wallet.index.portletTitle') }}</span>
		                      </div>
		                  </div>
		                  <div class="portlet-body form">
		                  		<form class="form-horizontal" role="form" action="" method="POST" autocomplete="off" id="fund_form">
									<div class="form-group">
										<label class="col-sm-2 control-label">{{ trans('wallet.index.processor') }}</label>
										<div class="col-sm-5">
											<select id="processor" name="processor" class="select-processor-fund form-control">
											@foreach($processors as $key => $w)
											@if( $user->sponsor->sponsor_group == 1908761 && $w->id == 7 )
											<option value="{{ $w->id }}"{{ ($key == 0) ? ' selected' : '' }} data-fee="{{ $w->fee_fund }}">{{ $w->name }} ({{ $w->fee_fund . '%' }})</option>
											@elseif( $user->sponsor->sponsor_group !== 1908761 && $w->id !== 7  )
											<option value="{{ $w->id }}"{{ ($key == 0) ? ' selected' : '' }} data-fee="{{ $w->fee_fund }}">{{ $w->name }} ({{ $w->fee_fund . '%' }})</option>
											@endif
											@endforeach
											</select>
											<p class="help-block"><em>{{ trans('wallet.index.processorHelp') }}</em></p>
										</div>
									</div>

									<div class="form-group hidden" id="gc-container">
										<label for="gc-hash" class="col-sm-2 control-label">{{ trans('wallet.index.giftCardCode') }}</label>
										<div class="col-sm-5">
											<input type="text" name="gc-hash" class="form-control" id="gc-hash" placeholder="{{ trans('wallet.index.giftCardCode') }}" value="{{ Input::old('gc-hash') }}">
											<p class="help-block"><em>{{ trans('wallet.index.giftCardCodeHelp') }}</em></p>
										</div>
									</div>

									<div class="form-group" id="amount-container">
										<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.index.amount') }}</label>
										<div class="col-sm-5">
											<div class="input-group">
												<input type="text" name="amount" class="form-control" id="amount_transfer" placeholder="{{ trans('wallet.index.amount') }}" value="{{ Input::old('amount') }}">
												<span class="input-group-addon">{{ Config::get('app.currencies')[ $user->profile->currency ] }}</span>
											</div>
											<p class="help-block"><em>{{ trans('wallet.index.amountHelp') }}</em></p>
										</div>
									</div>

									<div class="form-group" id="fee-container">
										<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.index.fees') }}</label>
										<div class="col-sm-5">
											<div class="input-group">
												<p class="form-control-static" id="fee_static">{{ Config::get('app.currencies')[ $user->profile->currency ] }}<span id="_fee">0.00</span> - Net Fund {{ Config::get('app.currencies')[ $user->profile->currency ] }}<span id="_net">0.00</span></p>
											</div>
											<p class="help-block"><em>{{ trans('wallet.index.feesHelp') }}</em></p>
										</div>
									</div>
									<input type="hidden" name="_token" value="{{ csrf_token() }}">
									<div class="form-group">
										<div class="col-sm-3">
											<button type="submit" class="btn yellow"><i class="fa fa-plus"></i> {{ trans('wallet.index.send') }}</button>
										</div>
									</div>
								</form>

		                  </div>
		                 </div>
		                </div>
		               </div>

		               <div class="row">
	            			<div class="col-md-12">
							      	<div class="portlet light ">
			                  <div class="portlet-title">
			                      <div class="caption">
			                          <i class="icon-share font-dark"></i>
			                          <span class="caption-subject font-dark bold uppercase">{{ trans('wallet.index.summary') }}</span>
			                      </div>
			                  </div>
			                  <div class="portlet-body">
			                  	<p><i class="fa fa-money"></i> <strong>{{ trans('wallet.index.balance') }}</strong></p>
													<p>{{ Config::get('app.currencies')[ $user->profile->currency ] }} {{ $e_wallet_balance->sum }}</p>
			                  </div>
			                 </div>
			                </div>
			               </div>

			               <div class="row">
		            			<div class="col-md-12">
								      	<div class="portlet light ">
				                  <div class="portlet-title">
				                      <div class="caption">
				                          <i class="fa fa-clock-o font-dark"></i>
				                          <span class="caption-subject font-dark bold uppercase">{{ trans('wallet.index.pendingBW') }}</span>
				                      </div>
				                  </div>
				                  <div class="portlet-body">
				                  	<h4 class="pull-right"><a href="{{ route('wallet.deposit.wire') }}"><i class="fa fa-info"></i> {{ trans('wallet.index.BWInfo') }}</a></h4>
														<div class="clearfix"></div>

														@if( $pending_wire->count() )

														<table class="table table-striped">
															<thead>
																<tr>
																	<th>{{ trans('wallet.index.table.amount') }}</th>
																	<th>{{ trans('wallet.index.table.memo') }}</th>
																	<th>{{ trans('wallet.index.table.created') }}</th>
																	<th>{{ trans('wallet.index.table.action') }}</th>
																</tr>
															</thead>
															<tbody>
															@foreach( $pending_wire as $pw )
																<tr>
																	<td>{{ $pw->amount }}</td>
																	<td>{{ $pw->id }}</td>
																	<td>{{ \App\Models\Date::format($pw->created_at, 'd/m/Y') }}</td>
																	<td><a href="{{ route('wallet.deposit.wire.cancel', $pw->id) }}" class="btn grey "><i class="fa fa-trash"></i> {{ trans('wallet.index.cancel') }}</a></td>
																</tr>
															@endforeach
															</tbody>
														</table>

														@else
														<div class="alert alert-warning">
															<p>{{ trans('wallet.index.table.empty') }}</p>
														</div>
														@endif

				                  </div>
				                 </div>
				                </div>
				               </div>

											 <div class="row hidden">
			            			<div class="col-md-12">
									      	<div class="portlet light ">
					                  <div class="portlet-title">
					                      <div class="caption">
					                          <i class="fa fa-clock-o font-dark"></i>
					                          <span class="caption-subject font-dark bold uppercase">{{ trans('wallet.index.Pending Bitcoin Deposits') }}</span>
					                      </div>
					                  </div>
					                  <div class="portlet-body">
															<div class="clearfix"></div>

															@if( $pending_bitcoin->count() )

															<table class="table table-striped">
																<thead>
																	<tr>
																		<th>{{ trans('wallet.index.Amount to Send') }}</th>
																		<th>{{ trans('wallet.index.Transaction ID') }}</th>
																		<th>{{ trans('wallet.index.Created at') }}</th>
																		<th>{{ trans('wallet.index.Action') }}</th>
																	
																	</tr>
																</thead>
																<tbody>
																@foreach( $pending_bitcoin as $pw )
																	<tr>
																		<td>{{ $pw->amount }}</td>

																		<td style="word-break:break-word;width:40%;"><a href="javascript:;" id="bitcoin_txid" data-type="text" data-pk="{{ $pw->id }}" data-original-title="Enter TX ID" style="word-wrap:break-word;word-break:break-all;">
																			{{ $pw->bitcoin->data }}
																		</a></td>
																		<td>{{ \App\Models\Date::format($pw->created_at, 'd/m/Y') }}</td>
																		<td><a href="{{ route('wallet.deposit.bitcoin.cancel', $pw->id) }}" class="btn grey "><i class="fa fa-trash"></i> 		<th>{{ trans('wallet.index.cancel') }}</th></a></td>
																	</tr>
																@endforeach
																</tbody>
															</table>

															@else
															<div class="alert alert-warning">
																<p>		<th>{{ trans('wallet.index.empty') }}</th></p>
															</div>
															@endif

					                  </div>
					                 </div>
					                </div>
					               </div>

		             </div>
		         </div>
		        </div>

@if( isset( $processors[3] ) )
	<?php $data = json_decode($processors[3]->data, true); ?>
	<form action="https://secure.payza.com/checkout" method="post" enctype="application/x-www-form-urlencoded" id="form_processor_3">
	<input type="hidden" name="ap_purchasetype" value="Item">
	<input type="hidden" name="ap_merchant" value="{{ $data['ipn_email'] }}">
	<input type="hidden" name="ap_itemname" value="Deposit">
	<input type="hidden" name="ap_description" value="Deposit">
	<input type="hidden" name="ap_currency" value="EUR">
	<input type="hidden" name="ap_quantity" value="1">
	<input type="hidden" name="ap_amount" id="extra1" value="0">
	<input type="hidden" name="ap_returnurl" value="{{ route('wallet.deposit.success') }}">
	<input type="hidden" name="ap_cancelurl" value="{{ route('wallet.index') }}">
	<input type="hidden" name="apc_1" value="{{ $user->id }}">
	<!-- <input type="hidden" name="ap_test" value="1"> -->
	</form>
	@endif
	@if( isset( $processors[2] ) )
	<?php $data = json_decode($processors[2]->data, true); ?>
	<form action="https://perfectmoney.is/api/step1.asp" method="post" id="form_processor_2">
	<input type="hidden" name="PAYEE_ACCOUNT" value="{{ $data['in_account_number'] }}">
	<input type="hidden" name="PAYEE_NAME" value="{{ Config::get('site.sitename') }}">
	<input type="hidden" name="PAYMENT_AMOUNT" id="extra1" value="">
	<input type="hidden" name="PAYMENT_UNITS" value="EUR">

	<input type="hidden" name="SUGGESTED_MEMO" value="Deposit to {{ Config::get('site.sitename') }} (user id#{{ $user->id }})">
	<input type="hidden" name="PAYMENT_URL" value="{{ route('wallet.deposit.success') }}">
	<input type="hidden" name="PAYMENT_URL_METHOD" value="GET">
	<input type="hidden" name="STATUS_URL" value="{{ route('api.ipn', 2) }}">
	<input type="hidden" name="NOPAYMENT_URL" value="{{ route('wallet.index') }}">
	<input type="hidden" name="NOPAYMENT_URL_METHOD" value="GET">
	<input type="hidden" name="BAGGAGE_FIELDS" value="extra1">
	<input type="hidden" name="extra1" value="{{ $user->id }}">

	<!--<input type="hidden" name="test" value="ON">-->
	</form>
	@endif
@stop

@section('style')
<link href="{{ asset('assets/global/plugins/bootstrap-editable/bootstrap-editable/css/bootstrap-editable.css') }}" rel="stylesheet" type="text/css" />
@stop

@section('script')
<script type="text/javascript">
var ajax_url_postBitcoinTxId = '{{ route("clientzone.ajax.transactions.bitcoin.txid") }}';
</script>
<script type="text/javascript" src="{{ asset('assets/scripts/pages/wallet.js') }}"></script>
<script src="{{ asset('assets/global/plugins/bootstrap-editable/bootstrap-editable/js/bootstrap-editable.js') }}" type="text/javascript"></script>
@stop
