@extends('layouts.default')

@section('content')
<!-- BEGIN PAGE HEAD-->
	<div class="page-head">
    <div class="container">
        <!-- BEGIN PAGE TITLE -->
        <div class="page-title">
            <h1>{{ $title }}
                <small>{{ trans('wallet.tradeToMember.smallTitle') }}</small>
            </h1>
        </div>
    </div>
  </div>
        <!-- END PAGE TITLE -->
<div class="page-content">
<div class="container">
  <!-- BEGIN PAGE BREADCRUMBS -->
  <ul class="page-breadcrumb breadcrumb">
    <li>
        <a href="{{ route('home') }}">{{ trans('dashboard.index.title') }}</a>
        <i class="fa fa-circle"></i>
    </li>
    <li>
        <a href="{{ route('wallet.index') }}">{{ trans('wallet.index.title') }}</a>
        <i class="fa fa-circle"></i>
    </li>
    <li>
        <span>{{ $title }}</span>
    </li>
</ul>
  <!-- END PAGE BREADCRUMBS -->
  <!-- BEGIN PAGE CONTENT INNER -->
  <div class="page-content-inner">

<div class="row">
	<div class="col-md-12">
	      	<div class="portlet light ">
      <div class="portlet-title">
			<div class="caption">
				<i class="fa fa-briefcase font-dark"></i>
				<span class="caption-subject font-dark bold uppercase">{{ trans('wallet.tradeToMember.portletTitle') }}</span>
          </div>
      </div>
      <div class="portlet-body">
      	@if( !Config::get('cashouts.t2mtrasfer') )
			<form class="form-horizontal" role="form" action="" method="POST" autocomplete="off">
				<div class="form-group">
					<label for="type" class="col-sm-2 control-label">{{ trans('wallet.tradeToMember.member') }}</label>
					<div class="col-sm-5">
					<input type="text" name="user_id" class="form-control" id="user_id" placeholder="{{ trans('wallet.tradeToMember.member') }}" value="{{ Input::old('user_id') }}">
						<p class="help-block"><em>{{ trans('wallet.tradeToMember.memberHelp') }}</em></p>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-2 control-label">{{ trans('wallet.tradeToMember.balance') }}</label>
					<div class="col-sm-6">
						{{ trans('wallet.tradeToMember.units') }} {{ number_format($user_wallet->resale_units, 2) }}
						<p class="help-block"><em>{{ trans('wallet.tradeToMember.balanceHelp') }}</em></p>
					</div>
				</div>
				<div class="form-group">
					<label for="amount" class="col-sm-2 control-label">{{ trans('wallet.tradeToMember.amount') }}</label>
					<div class="col-sm-4">
						<div class="input-group">
							<input type="text" name="amount" class="form-control" id="amount_transfer" placeholder="{{ trans('wallet.tradeToMember.amount') }}" value="{{ Input::old('amount') }}">
							<span class="input-group-addon">{{ trans('wallet.tradeToMember.units') }}</span>
						</div>
						<p class="help-block"><em>{{ trans('wallet.tradeToMember.amountHelp') }}</em></p>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-2 control-label">{{ trans('wallet.tradeToMember.note') }}</label>
					<div class="col-sm-6">
						<input type="text" name="note" class="form-control" id="note" placeholder="{{ trans('wallet.tradeToMember.note') }}" value="{{ Input::old('note') }}">
						<p class="help-block"><em>{{ trans('wallet.tradeToMember.noteHelp') }}</em></p>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-2 control-label">{{ trans('wallet.tradeToMember.secPass') }}</label>
					<div class="col-sm-6">
						<input type="password" name="password" class="form-control" id="password" placeholder="{{ trans('wallet.tradeToMember.secPass') }}">
						<p class="help-block"><em>{{ trans('wallet.tradeToMember.secPassHelp') }}</em></p>
					</div>
				</div>
				<input type="hidden" name="_token" value="{{ csrf_token() }}">
				<div class="form-group">
					<div class="col-sm-3">
						<button type="submit" class="btn yellow"><i class="fa fa-mail-forward"></i> {{ trans('wallet.tradeToMember.send') }}</button>
					</div>
				</div>
			</form>
		@else
			<div class="alert alert-warning">
				<strong>{{ trans('wallet.tradeToMember.notice') }}</strong> {{ trans('wallet.tradeToMember.noticeText') }}
			</div>
		@endif
      </div>
     </div>
    </div>
   </div>
  </div>

</div>
</div>

@stop
